(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   6740523,     116066]
NotebookOptionsPosition[   6738502,     115993]
NotebookOutlinePosition[   6738845,     116008]
CellTagsIndexPosition[   6738802,     116005]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["First Example", "Section",
 CellChangeTimes->{{3.499935228386736*^9, 3.499935230246194*^9}}],

Cell[CellGroupData[{

Cell["\<\
prism = Prism[{60,3,60},3,Centered->True,ComponentMedium->Water]\
\>", "Input",
 CellChangeTimes->{{3.498819704526411*^9, 3.4988197249089203`*^9}, {
   3.4988198721110773`*^9, 3.4988198750863132`*^9}, 3.498819965109537*^9, {
   3.4988200426402187`*^9, 3.498820049478594*^9}, {3.4988203239405203`*^9, 
   3.498820331130657*^9}, {3.4988204754989634`*^9, 3.4988204877047853`*^9}, {
   3.4988207626348343`*^9, 3.498820773965749*^9}, {3.499853922861321*^9, 
   3.499853941485497*^9}, 3.499934893358675*^9, {3.499934938311749*^9, 
   3.4999349753651857`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   TagBox[
    RowBox[{"Prism", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Centered", "\[Rule]", "True"}], ",", 
        RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
    HoldForm],
   FontColor->RGBColor[0., 0.392193, 0.]],
  DisplayForm]], "Output",
 CellChangeTimes->{3.498820488463139*^9, 3.4998538775749187`*^9, 
  3.4998539422576733`*^9, 3.499899516101986*^9, 3.4999348950262814`*^9, 
  3.4999349456392736`*^9, 3.499934976534251*^9, 3.499935174840369*^9, 
  3.499937459946854*^9, 3.500023857302691*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
elements = Flatten[{RainbowOfRays[{.45,.65},NumberOfRays->10], \
MoveAligned[SingleRay[],Flatten[{Table[{2,prism},{6}]}]],Move[Boundary[30],{-\
10,-10}]}]\
\>", "Input",
 CellChangeTimes->{{3.499854272711955*^9, 3.4998543081752577`*^9}, {
   3.499854402651237*^9, 3.49985440513942*^9}, 3.499936264080164*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"RainbowOfRays", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0.45`", ",", "0.65`"}], "}"}], ",", 
        RowBox[{"NumberOfRays", "\[Rule]", "10"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", "2.`"}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"5.441038452373798`", ",", 
          RowBox[{"-", "1.083477529209416`"}]}], "}"}], ",", 
        RowBox[{"-", "25.275925404545127`"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"8.090017882895093`", ",", 
          RowBox[{"-", "3.5324726626655565`"}]}], "}"}], ",", 
        RowBox[{"-", "50.55185080909018`"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"9.439722504706722`", ",", 
          RowBox[{"-", "6.878061791784243`"}]}], "}"}], ",", 
        RowBox[{"-", "75.8277762136353`"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"9.231716376823597`", ",", 
          RowBox[{"-", "10.47964514328117`"}]}], "}"}], ",", 
        RowBox[{"-", "101.10370161818028`"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"7.50582766499504`", ",", 
          RowBox[{"-", "13.647606213338618`"}]}], "}"}], ",", 
        RowBox[{"-", "126.37962702272523`"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Boundary", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "15"}], ",", 
            RowBox[{"-", "15"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"30", ",", "15", ",", "15"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10.`"}], ",", 
          RowBox[{"-", "10.`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm]}], "}"}]], "Output",
 CellChangeTimes->{3.499854284287215*^9, 3.4998543497011433`*^9, 
  3.4998544061965446`*^9, 3.499906001243184*^9, 3.499907134145556*^9, 
  3.499934768719872*^9, 3.499935138044077*^9, 3.499935177413022*^9, 
  3.499937474668458*^9, 3.500023861123138*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["tresult = TurboPlot[elements,PlotType->TopView];", "Input",
 CellChangeTimes->{{3.498819895998118*^9, 3.498819903971325*^9}, {
   3.498820066224031*^9, 3.498820076431065*^9}, {3.498820158420072*^9, 
   3.498820204795269*^9}, 3.4988203063822517`*^9, {3.499854012892967*^9, 
   3.499854016827602*^9}, 3.4999349063847437`*^9, 3.499935109664934*^9}],

Cell[BoxData[
 GraphicsBox[{
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[
     LineBox[{{{1.25, -1.299038105676658}, {2.75, 1.299038105676658}, {2.75, 
       1.299038105676658}, {1.25, -1.299038105676658}, {
       1.25, -1.299038105676658}}, {{4.25, -1.299038105676658}, {2.75, 
       1.299038105676658}, {2.75, 1.299038105676658}, {
       4.25, -1.299038105676658}, {4.25, -1.299038105676658}}, {{
       1.25, -1.299038105676658}, {4.25, -1.299038105676658}, {
       4.25, -1.299038105676658}, {1.25, -1.299038105676658}, {
       1.25, -1.299038105676658}}, {{1.24925, -1.2994711183785501`}, {2.75, 
       1.2999041310804422`}, {4.25075, -1.2994711183785501`}, {
       1.24925, -1.2994711183785501`}}, {{1.24925, -1.2994711183785501`}, {
       2.75, 1.2999041310804422`}, {4.25075, -1.2994711183785501`}, {
       1.24925, -1.2994711183785501`}}}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[
     LineBox[{{{4.208181300302776, -1.9379149128644901`}, {
       6.673895604444819, -0.22904014555434205`}, {
       6.673895604444819, -0.22904014555434205`}, {
       4.208181300302776, -1.9379149128644901`}, {
       4.208181300302776, -1.9379149128644901`}}, {{
       6.920967412750607, -3.2188487550710967`}, {
       6.67389560444482, -0.22904014555434205`}, {
       6.67389560444482, -0.22904014555434205`}, {
       6.920967412750607, -3.2188487550710967`}, {
       6.920967412750607, -3.2188487550710967`}}, {{
       4.208181300302775, -1.9379149128644901`}, {
       6.920967412750607, -3.2188487550710967`}, {
       6.920967412750607, -3.2188487550710967`}, {
       4.208181300302775, -1.9379149128644901`}, {
       4.208181300302775, -1.9379149128644901`}}, {{
       4.20731821690001, -1.9379862363520073`}, {
       6.674265378194126, -0.2282570316582042}, {
       6.921460722404067, -3.2195605454797174`}, {
       4.20731821690001, -1.9379862363520073`}}, {{
       4.20731821690001, -1.9379862363520073`}, {
       6.674265378194126, -0.2282570316582042}, {
       6.921460722404067, -3.2195605454797174`}, {
       4.20731821690001, -1.9379862363520073`}}}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[
     LineBox[{{{6.610366042381591, -3.778705135879397}, {
       9.569669723408596, -3.286240189451716}, {
       9.569669723408596, -3.286240189451716}, {
       6.610366042381591, -3.778705135879397}, {
       6.610366042381591, -3.778705135879397}}, {{
       8.516505036974808, -6.095304827947745}, {
       9.569669723408596, -3.286240189451716}, {
       9.569669723408596, -3.286240189451716}, {
       8.516505036974808, -6.095304827947745}, {
       8.516505036974808, -6.095304827947745}}, {{
       6.610366042381591, -3.778705135879397}, {
       8.516505036974808, -6.095304827947745}, {
       8.516505036974808, -6.095304827947745}, {
       6.610366042381591, -3.778705135879397}, {
       6.610366042381591, -3.778705135879397}}, {{
       6.6095551352689865`, -3.7784011134217903`}, {
       9.570338468136505, -3.2856899345208954`}, {
       8.5166471993595, -6.096159105336172}, {
       6.6095551352689865`, -3.7784011134217903`}}, {{
       6.6095551352689865`, -3.7784011134217903`}, {
       9.570338468136505, -3.2856899345208954`}, {
       8.5166471993595, -6.096159105336172}, {
       6.6095551352689865`, -3.7784011134217903`}}}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[
     LineBox[{{{7.996593680642474, -6.468941763974628}, {
       10.88285132877097, -7.287181819593859}, {
       10.88285132877097, -7.287181819593859}, {
       7.996593680642474, -6.468941763974628}, {
       7.996593680642474, -6.468941763974628}}, {{
       8.731105830146477, -9.37763423693065}, {
       10.88285132877097, -7.287181819593859}, {
       10.88285132877097, -7.287181819593859}, {
       8.731105830146477, -9.37763423693065}, {
       8.731105830146477, -9.37763423693065}}, {{
       7.996593680642475, -6.468941763974628}, {
       8.731105830146477, -9.377634236930648}, {
       8.731105830146477, -9.377634236930648}, {
       7.996593680642475, -6.468941763974628}, {
       7.996593680642475, -6.468941763974628}}, {{
       7.995990219009536, -6.468320608553199}, {
       10.883690995962096`, -7.286969784200239}, {
       8.73086962458829, -9.378467427745697}, {
       7.995990219009536, -6.468320608553199}}, {{
       7.995990219009536, -6.468320608553199}, {
       10.883690995962096`, -7.286969784200239}, {
       8.73086962458829, -9.378467427745697}, {
       7.995990219009536, -6.468320608553199}}}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[
     LineBox[{{{8.101434995740656, -9.493509250223202}, {
       10.361997757906538`, -11.465781036339138`}, {
       10.361997757906538`, -11.465781036339138`}, {
       8.101434995740656, -9.493509250223202}, {
       8.101434995740656, -9.493509250223202}}, {{
       7.523678906879885, -12.437349922165946`}, {
       10.361997757906538`, -11.465781036339138`}, {
       10.361997757906538`, -11.465781036339138`}, {
       7.523678906879885, -12.437349922165946`}, {
       7.523678906879885, -12.437349922165946`}}, {{
       8.101434995740654, -9.493509250223202}, {
       7.523678906879886, -12.437349922165946`}, {
       7.523678906879886, -12.437349922165946`}, {
       8.101434995740654, -9.493509250223202}, {
       8.101434995740654, -9.493509250223202}}, {{
       8.101154527961771, -9.492689898146859}, {
       10.362847571508738`, -11.465947820155854`}, {
       7.523109561056572, -12.438002490425573`}, {
       8.101154527961771, -9.492689898146859}}, {{
       8.101154527961771, -9.492689898146859}, {
       10.362847571508738`, -11.465947820155854`}, {
       7.523109561056572, -12.438002490425573`}, {
       8.101154527961771, -9.492689898146859}}}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[
     LineBox[{{{6.904815399885845, -12.273275737365566`}, {
       8.106839930104236, -15.02193668931167}, {
       8.106839930104236, -15.02193668931167}, {
       6.904815399885845, -12.273275737365566`}, {
       6.904815399885845, -12.273275737365566`}}, {{
       5.125417454219397, -14.6885899924798}, {
       8.106839930104236, -15.021936689311667`}, {
       8.106839930104236, -15.021936689311667`}, {
       5.125417454219397, -14.6885899924798}, {
       5.125417454219397, -14.6885899924798}}, {{
       6.904815399885845, -12.273275737365568`}, {
       5.125417454219397, -14.6885899924798}, {
       5.125417454219397, -14.6885899924798}, {
       6.904815399885845, -12.273275737365568`}, {
       6.904815399885845, -12.273275737365568`}}, {{
       6.904911628788419, -12.272415074831057`}, {
       8.10753717127192, -15.022450357253133`}, {
       5.124623984149139, -14.688936987072848`}, {
       6.904911628788419, -12.272415074831057`}}, {{
       6.904911628788419, -12.272415074831057`}, {
       8.10753717127192, -15.022450357253133`}, {
       5.124623984149139, -14.688936987072848`}, {
       6.904911628788419, -12.272415074831057`}}}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[LineBox[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
      "]],
     FontColor->GrayLevel[0.]]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{0., 0.}, {1.9999999999999998`, 0.}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6337548604486334`, -0.23167021405631827`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6333379248664612`, -0.2309480604445126}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.633006028670238, -0.23037319936981548`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6327115061728286`, -0.22986307144033008`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6324260004730182`, -0.22936856106240808`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6321414613035823`, -0.2288757247642015}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6318645885406866`, -0.22839616707163374`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6316108570809216`, -0.22795669129184262`}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.6313998503595597`, -0.22759121692970496`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{1.9999999999999998`, 0.}, {
     3.63125207792305, -0.2273352675617125}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6337548604486334`, -0.23167021405631827`}, {
     5.427482156317448, -1.0928727832459302`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6333379248664612`, -0.2309480604445126}, {
     5.432042844707929, -1.0897119769436898`}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.633006028670238, -0.23037319936981548`}, {
     5.435670160258957, -1.0871980490292474`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6327115061728286`, -0.22986307144033008`}, {
     5.4388867281959605`, -1.0849687916592226`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6324260004730182`, -0.22936856106240808`}, {
     5.442002812944178, -1.0828091746305648`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6321414613035823`, -0.2288757247642015}, {
     5.445106423728296, -1.0806582027407476`}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6318645885406866`, -0.22839616707163374`}, {
     5.448124607198564, -1.078566436648143}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{3.6316108570809216`, -0.22795669129184262`}, {
     5.4508889955870155`, -1.0766505644174735`}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{3.6313998503595597`, -0.22759121692970496`}, {
     5.453186805470267, -1.0750580565900392`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{3.63125207792305, -0.2273352675617125}, {
     5.454795427134554, -1.0739431938633923`}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.427482156317448, -1.0928727832459302`}, {
     6.821854255444648, -2.0194833840814725`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.432042844707929, -1.0897119769436898`}, {
     6.820977186533644, -2.008869999255253}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.435670160258957, -1.0871980490292474`}, {
     6.820282379200086, -2.000462156361041}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.4388867281959605`, -1.0849687916592226`}, {
     6.819668286732904, -1.9930310416660408`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.442002812944178, -1.0828091746305648`}, {
     6.819075194469715, -1.9858540498154549`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.445106423728296, -1.0806582027407476`}, {
     6.818486244726212, -1.9787271864724696`}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.448124607198564, -1.078566436648143}, {
     6.817915190525259, -1.9718168765580542`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{5.4508889955870155`, -1.0766505644174735`}, {
     6.817393606407443, -1.965505202649465}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{5.453186805470267, -1.0750580565900392`}, {
     6.816961107644722, -1.9602715479753094`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{5.454795427134554, -1.0739431938633923`}, {
     6.816658895487152, -1.956614487638084}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.821854255444648, -2.0194833840814725`}, {
     8.036436664371427, -3.5413892439812766`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.820977186533644, -2.008869999255253}, {
     8.05438905465962, -3.5384017429085732`}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.820282379200086, -2.000462156361041}, {
     8.06872062464042, -3.5360167913782288`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.819668286732904, -1.9930310416660408`}, {
     8.081468981017684, -3.5338953062867793`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.819075194469715, -1.9858540498154549`}, {
     8.093854780035599, -3.5318341552501593`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.818486244726212, -1.9787271864724696`}, {
     8.106226043982394, -3.529775423030191}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.817915190525259, -1.9718168765580542`}, {
     8.118290453501015, -3.527767755204357}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{6.817393606407443, -1.965505202649465}, {
     8.129369608479749, -3.5259240459905827`}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{6.816961107644722, -1.9602715479753094`}, {
     8.138600134820889, -3.5243879715791486`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{6.816658895487152, -1.956614487638084}, {
     8.14507367725122, -3.5233106935875083`}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.036436664371427, -3.5413892439812766`}, {
     8.918681480286486, -5.022595459797122}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.05438905465962, -3.5384017429085732`}, {
     8.929310970706831, -4.994243839153503}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.06872062464042, -3.5360167913782288`}, {
     8.937708628383529, -4.971845097978764}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.081468981017684, -3.5338953062867793`}, {
     8.945114548655326, -4.952091578876764}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.093854780035599, -3.5318341552501593`}, {
     8.952253306502014, -4.933050651576188}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.106226043982394, -3.529775423030191}, {
     8.95932915380789, -4.914177523080362}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.118290453501015, -3.527767755204357}, {
     8.966178005090661, -4.895909852125784}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{8.129369608479749, -3.5259240459905827`}, {
     8.972423568840831, -4.879251306217373}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.138600134820889, -3.5243879715791486`}, {
     8.977595401927935, -4.865456679765944}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{8.14507367725122, -3.5233106935875083`}, {
     8.981205591507361, -4.8558273634619855`}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.918681480286486, -5.022595459797122}, {
     9.32882744226047, -6.846623579009734}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.929310970706831, -4.994243839153503}, {
     9.365763230231142, -6.8570946958980885`}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.937708628383529, -4.971845097978764}, {
     9.395409140471354, -6.865499167778679}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.945114548655326, -4.952091578876764}, {
     9.421897867887523, -6.873008593629258}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.952253306502014, -4.933050651576188}, {
     9.447738498836175, -6.880334287272157}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.95932915380789, -4.914177523080362}, {
     9.473651445693203, -6.887680482124616}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.966178005090661, -4.895909852125784}, {
     9.499019651302515, -6.8948722454733185`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{8.972423568840831, -4.879251306217373}, {
     9.522400733930226, -6.9015006690869}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.977595401927935, -4.865456679765944}, {
     9.541941984147863, -6.9070405188211454`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{8.981205591507361, -4.8558273634619855`}, {
     9.555679783503297, -6.91093511836113}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.32882744226047, -6.846623579009734}, {
     9.487596210287887, -8.642692699992589}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.365763230231142, -6.8570946958980885`}, {
     9.53155939857457, -8.599981815602925}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.395409140471354, -6.865499167778679}, {
     9.566178880909138, -8.566348479049179}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.421897867887523, -6.873008593629258}, {
     9.59663530094314, -8.536759618784709}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.447738498836175, -6.880334287272157}, {
     9.625932760767991, -8.508296705418868}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.473651445693203, -6.887680482124616}, {
     9.654918809810571, -8.480136332210773}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.499019651302515, -6.8948722454733185`}, {
     9.682929071493206, -8.452923950782704}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{9.522400733930226, -6.9015006690869}, {
     9.708436260200655, -8.42814334158564}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.541941984147863, -6.9070405188211454`}, {
     9.729534729600667, -8.407645868075155}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{9.555679783503297, -6.91093511836113}, {
     9.74425080951045, -8.393348979878668}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.487596210287887, -8.642692699992589}, {
     9.079371899242828, -10.346729251746602`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.53155939857457, -8.599981815602925}, {
     9.129700889846339, -10.390639754853312`}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.566178880909138, -8.566348479049179}, {
     9.170400002755299, -10.426148484561566`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.59663530094314, -8.536759618784709}, {
     9.20698460739703, -10.458067431802808`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.625932760767991, -8.508296705418868}, {
     9.24286780451016, -10.489374422454135`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.654918809810571, -8.480136332210773}, {
     9.2790382761283, -10.520932051314047`}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.682929071493206, -8.452923950782704}, {
     9.314625089839677, -10.551980456523316`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{9.708436260200655, -8.42814334158564}, {
     9.34757568027615, -10.580728837652732`}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.729534729600667, -8.407645868075155}, {
     9.375224065665657, -10.604851207244959`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{9.74425080951045, -8.393348979878668}, {
     9.39471993015778, -10.621860752004032`}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.079371899242828, -10.346729251746602`}, {
     8.39756961159035, -12.138213333617115`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.129700889846339, -10.390639754853312`}, {
     8.498222234984254, -12.10375950291695}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.170400002755299, -10.426148484561566`}, {
     8.577086810891098, -12.076763815622233`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.20698460739703, -10.458067431802808`}, {
     8.646226502198912, -12.053096998616791`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.24286780451016, -10.489374422454135`}, {
     8.712554860577628, -12.030392513098745`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.2790382761283, -10.520932051314047`}, {
     8.778031530932418, -12.007979564095063`}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.314625089839677, -10.551980456523316`}, {
     8.841188754105055, -11.986360571948511`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{9.34757568027615, -10.580728837652732`}, {
     8.898621370677521, -11.966701137536043`}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{9.375224065665657, -10.604851207244959`}, {
     8.946079992735042, -11.950455844820384`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{9.39471993015778, -10.621860752004032`}, {
     8.97916141425219, -11.93913193037245}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.39756961159035, -12.138213333617115`}, {
     7.37804338000662, -13.355402796860744`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.498222234984254, -12.10375950291695}, {
     7.419795936096918, -13.45087807018856}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.577086810891098, -12.076763815622233`}, {
     7.453906882971653, -13.528879330022631`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.646226502198912, -12.053096998616791`}, {
     7.484812396061971, -13.599550747198938`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.712554860577628, -12.030392513098745`}, {
     7.515334457119061, -13.66934532733558}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.778031530932418, -12.007979564095063`}, {
     7.546298869834773, -13.74015142986675}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.841188754105055, -11.986360571948511`}, {
     7.576948179475188, -13.810236988434683`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{8.898621370677521, -11.966701137536043`}, {
     7.605483301668362, -13.87548804958993}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{8.946079992735042, -11.950455844820384`}, {
     7.629538571615868, -13.930495064447786`}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{8.97916141425219, -11.93913193037245}, {
     7.646560499426028, -13.969418985817454`}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.37804338000662, -13.355402796860744`}, {
     5.862079067437702, -14.770954607838874`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.419795936096918, -13.45087807018856}, {
     6.031202649456919, -14.789863966669595`}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.453906882971653, -13.528879330022631`}, {
     6.162550533401557, -14.804549702623808`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.484812396061971, -13.599550747198938`}, {
     6.27705140285601, -14.817351808640565`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.515334457119061, -13.66934532733558}, {
     6.386449345942015, -14.829583366986585`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.546298869834773, -13.74015142986675}, {
     6.494110661031864, -14.84162075653874}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.576948179475188, -13.810236988434683`}, {
     6.597724712134061, -14.853205629853292`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{7.605483301668362, -13.87548804958993}, {
     6.691805654818189, -14.863724625980895`}}]}, 
   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{7.629538571615868, -13.930495064447786`}, {
     6.769480293472039, -14.87240926709845}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{7.646560499426028, -13.969418985817454`}, {
     6.823601470695333, -14.87846044428047}}]}, 
   {RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     5.862079067437702, -14.770954607838874`}, {-10., \
-21.520297559650153`}}]}, 
   {RGBColor[
    0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.031202649456919, -14.789863966669595`}, {-10., \
-22.267360129248104`}}]}, 
   {RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.162550533401557, -14.804549702623808`}, {-10.000000000000004`, \
-22.836371282525562`}}]}, 
   {RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.27705140285601, -14.817351808640565`}, {-10., -23.326137888504604`}}]}, 
   {RGBColor[
    0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.386449345942015, -14.829583366986585`}, {-10., \
-23.789625057263144`}}]}, 
   {RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.494110661031864, -14.84162075653874}, {-10., -24.24223132698648}}]}, 
   {RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.597724712134061, -14.853205629853292`}, {-9.999999999999996, \
-24.675071295620143`}}]}, 
   {RGBColor[0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`],
     AbsoluteThickness[0.5], 
    LineBox[{{
     6.691805654818189, -14.863724625980895`}, {-9.891811281260804, -25.}}]}, \

   {RGBColor[
    0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
    AbsoluteThickness[0.5], 
    LineBox[{{
     6.769480293472039, -14.87240926709845}, {-9.381561180421961, -25.}}]}, 
   {RGBColor[0.9470219661360387, 0.013022958189276956`, 0.009663572422132893],
     AbsoluteThickness[0.5], 
    LineBox[{{
     6.823601470695333, -14.87846044428047}, {-9.041695173547744, -25.}}], 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.5], PointBox[CompressedData["
1:eJzN1f9bzIkWB/DZuJvLTF/Mjqk+Znw+n2ma0eyULaXSrSNKRdoSfVEheW5R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      "]]}}},
  AspectRatio:>Automatic,
  DisplayFunction->Identity,
  ImageSize->{1077., Automatic},
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.4999351153512897`*^9, 3.499935148161373*^9, 
  3.4999351851118307`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ArrangeSystem[elements]", "Input",
 CellChangeTimes->{{3.499854475264429*^9, 3.4998544788542633`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"RainbowOfRays", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0.45`", ",", "0.65`"}], "}"}], ",", 
          RowBox[{"NumberOfRays", "\[Rule]", "10"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy1", ",", "0"}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]1", ",", "0.`"}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx8", ",", "2.`"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy8", ",", "0"}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]8", ",", "0.`"}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx9", ",", "5.441038452373798`"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy9", ",", 
            RowBox[{"-", "1.083477529209416`"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]9", ",", 
          RowBox[{"-", "25.275925404545127`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx10", ",", "8.090017882895093`"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy10", ",", 
            RowBox[{"-", "3.5324726626655565`"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]10", ",", 
          RowBox[{"-", "50.55185080909018`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx11", ",", "9.439722504706722`"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy11", ",", 
            RowBox[{"-", "6.878061791784243`"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]11", ",", 
          RowBox[{"-", "75.8277762136353`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx12", ",", "9.231716376823597`"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy12", ",", 
            RowBox[{"-", "10.47964514328117`"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]12", ",", 
          RowBox[{"-", "101.10370161818028`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xx13", ",", "7.50582766499504`"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"yy13", ",", 
            RowBox[{"-", "13.647606213338618`"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]13", ",", 
          RowBox[{"-", "126.37962702272523`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Boundary", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "15"}], ",", 
            RowBox[{"-", "15"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"30", ",", "15", ",", "15"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10.`"}], ",", 
          RowBox[{"-", "10.`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm]}], "}"}]], "Output",
 CellChangeTimes->{
  3.4998544799185534`*^9, 3.499854523454091*^9, 3.499934802497942*^9, 
   3.49993519999494*^9, {3.4999374511352177`*^9, 3.499937480202182*^9}, 
   3.5000238659548817`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["ManipulateSystem[elements]", "Input",
 CellChangeTimes->{{3.499854562314199*^9, 3.499854566929659*^9}, {
  3.499903758205532*^9, 3.499903789276475*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`lastlocpos\[Theta]1$$ = {0.75, 
    0.}, $CellContext`lastlocpos\[Theta]2$$ = {2.75, 
    0.}, $CellContext`lastlocpos\[Theta]3$$ = {
    6.119234980485755, -1.4037109897610676`}, \
$CellContext`lastlocpos\[Theta]4$$ = {
    8.566552631543399, -4.111622585682643}, \
$CellContext`lastlocpos\[Theta]5$$ = {
    9.623350542082722, -7.605234910023249}, \
$CellContext`lastlocpos\[Theta]6$$ = {
    9.087277354608405, -11.215605311266856`}, \
$CellContext`lastlocpos\[Theta]7$$ = {
    7.060978178578429, -14.251434777117176`}, $CellContext`laststartpos\
\[Theta]1$$ = {0., 0.}, $CellContext`laststartpos\[Theta]2$$ = {2., 
    0.}, $CellContext`laststartpos\[Theta]3$$ = {
    5.441038452373798, -1.083477529209416}, \
$CellContext`laststartpos\[Theta]4$$ = {
    8.090017882895093, -3.5324726626655565`}, $CellContext`laststartpos\
\[Theta]5$$ = {
    9.439722504706722, -6.878061791784243}, \
$CellContext`laststartpos\[Theta]6$$ = {
    9.231716376823597, -10.47964514328117}, \
$CellContext`laststartpos\[Theta]7$$ = {
    7.50582766499504, -13.647606213338618`}, $CellContext`last\[Theta]1$$ = 
    0., $CellContext`last\[Theta]2$$ = 
    0., $CellContext`last\[Theta]3$$ = -25.27592540454513, $CellContext`last\
\[Theta]4$$ = -50.55185080909018, $CellContext`last\[Theta]5$$ = \
-75.8277762136353, $CellContext`last\[Theta]6$$ = -101.10370161818028`, \
$CellContext`last\[Theta]7$$ = -126.37962702272524`, $CellContext`maxxx1$$ = 
    10, $CellContext`maxxx2$$ = 4, $CellContext`maxxx3$$ = 
    11, $CellContext`maxxx4$$ = 16, $CellContext`maxxx5$$ = 
    19, $CellContext`maxxx6$$ = 18, $CellContext`maxxx7$$ = 
    15, $CellContext`maxyy1$$ = 10, $CellContext`maxyy2$$ = 
    10, $CellContext`maxyy3$$ = -0.01, $CellContext`maxyy4$$ = -0.035, \
$CellContext`maxyy5$$ = -0.068, $CellContext`maxyy6$$ = -0.104, \
$CellContext`maxyy7$$ = -0.136, $CellContext`max\[Theta]1$$ = 
    180., $CellContext`max\[Theta]2$$ = 180., $CellContext`max\[Theta]3$$ = 
    154.72407459545488`, $CellContext`max\[Theta]4$$ = 
    129.44814919090982`, $CellContext`max\[Theta]5$$ = 
    104.1722237863647, $CellContext`max\[Theta]6$$ = 
    78.89629838181972, $CellContext`max\[Theta]7$$ = 
    53.620372977274755`, $CellContext`minxx1$$ = -10, $CellContext`minxx2$$ = 
    0.02, $CellContext`minxx3$$ = 0.054, $CellContext`minxx4$$ = 
    0.08, $CellContext`minxx5$$ = 0.094, $CellContext`minxx6$$ = 
    0.092, $CellContext`minxx7$$ = 
    0.075, $CellContext`minyy1$$ = -10, $CellContext`minyy2$$ = -10, \
$CellContext`minyy3$$ = -2, $CellContext`minyy4$$ = -7, $CellContext`minyy5$$ \
= -14, $CellContext`minyy6$$ = -21, $CellContext`minyy7$$ = -27, \
$CellContext`min\[Theta]1$$ = -180., $CellContext`min\[Theta]2$$ = -180., \
$CellContext`min\[Theta]3$$ = -205.27592540454512`, \
$CellContext`min\[Theta]4$$ = -230.55185080909018`, \
$CellContext`min\[Theta]5$$ = -255.8277762136353, $CellContext`min\[Theta]6$$ \
= -281.10370161818025`, $CellContext`min\[Theta]7$$ = -306.37962702272523`, \
$CellContext`oldwavelengths18442010112861329143632$$ = CompressedData["
1:eJxTTMoPSmVkYGBoAuKzZ0Dgjj2t6b7HFkB0j+Z0wK8l/r+W3Kc53dkBAg9o
Tr+cbAdED2lOe83/4jn/C+3p1atA4BHNaZ5tCdzbEh7TnM45KAZET2hOQ/IR
7WkAe5Jm+A==
    "], $CellContext`radius\[Theta]1$$ = 
    0.75, $CellContext`radius\[Theta]2$$ = 
    0.75, $CellContext`radius\[Theta]3$$ = 
    0.75, $CellContext`radius\[Theta]4$$ = 
    0.75, $CellContext`radius\[Theta]5$$ = 
    0.75, $CellContext`radius\[Theta]6$$ = 
    0.75, $CellContext`radius\[Theta]7$$ = 
    0.75, $CellContext`raycolormodel$$ = RGBColor[
     Abs[(-0.3183098861837907) 
       ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
      0.3183098861837907 
       ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
     Abs[0.3183098861837907 
       ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
      0.3183098861837907 
      ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
     Abs[(-0.3183098861837907) 
       ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
      0.3183098861837907 
       ArcTan[22.5 - 0.125 
         Abs[-500. + 
           2. Mod[100. + 500. #, 500.]]]]]& , $CellContext`raycolors$$ = {
     RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
     
     RGBColor[
     0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
     RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
     RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
     RGBColor[
     0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
     RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
     RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
     
     RGBColor[
     0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`], 
     RGBColor[
     0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
     RGBColor[
     0.9470219661360387, 0.013022958189276956`, 
      0.009663572422132893]}, $CellContext`rayresults$$ = {{
    1.}}, $CellContext`staticpolygons178442010112861329128591$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
      
      "]]}, $CellContext`unionwavelengths$$ = {
    1.}, $CellContext`wavelengthpositions$$ = {1, 14, 27, 40, 53, 66, 79, 92, 
    105, 118, 131}, $CellContext`wavelengths$$ = {
    1.}, $CellContext`xoff\[Theta]1$$ = 0.75, $CellContext`xoff\[Theta]2$$ = 
    0.75, $CellContext`xoff\[Theta]3$$ = 
    0.678196528111958, $CellContext`xoff\[Theta]4$$ = 
    0.4765347486483045, $CellContext`xoff\[Theta]5$$ = 
    0.18362803737600056`, $CellContext`xoff\[Theta]6$$ = \
-0.14443902221519203`, $CellContext`xoff\[Theta]7$$ = -0.44484948641661193`, \
$CellContext`xx1$$ = 0., $CellContext`xx2$$ = 2., $CellContext`xx3$$ = 
    5.441038452373798, $CellContext`xx4$$ = 
    8.090017882895093, $CellContext`xx5$$ = 
    9.439722504706722, $CellContext`xx6$$ = 
    9.231716376823597, $CellContext`xx7$$ = 
    7.50582766499504, $CellContext`x\[Theta]1$$ = 
    0.75, $CellContext`x\[Theta]2$$ = 2.75, $CellContext`x\[Theta]3$$ = 
    6.119234980485755, $CellContext`x\[Theta]4$$ = 
    8.566552631543399, $CellContext`x\[Theta]5$$ = 
    9.623350542082722, $CellContext`x\[Theta]6$$ = 
    9.087277354608405, $CellContext`x\[Theta]7$$ = 
    7.060978178578429, $CellContext`yoff\[Theta]1$$ = 
    0., $CellContext`yoff\[Theta]2$$ = 
    0., $CellContext`yoff\[Theta]3$$ = -0.3202334605516516, $CellContext`yoff\
\[Theta]4$$ = -0.5791499230170868, $CellContext`yoff\[Theta]5$$ = \
-0.7271731182390053, $CellContext`yoff\[Theta]6$$ = -0.7359601679856861, \
$CellContext`yoff\[Theta]7$$ = -0.6038285637785584, $CellContext`yy1$$ = 
    0., $CellContext`yy2$$ = 
    0., $CellContext`yy3$$ = -1.083477529209416, $CellContext`yy4$$ = \
-3.5324726626655565`, $CellContext`yy5$$ = -6.878061791784243, \
$CellContext`yy6$$ = -10.47964514328117, $CellContext`yy7$$ = \
-13.647606213338618`, $CellContext`y\[Theta]1$$ = 
    0., $CellContext`y\[Theta]2$$ = 
    0., $CellContext`y\[Theta]3$$ = -1.4037109897610676`, $CellContext`y\
\[Theta]4$$ = -4.111622585682643, $CellContext`y\[Theta]5$$ = \
-7.605234910023249, $CellContext`y\[Theta]6$$ = -11.215605311266856`, \
$CellContext`y\[Theta]7$$ = -14.251434777117176`, $CellContext`\[Theta]1$$ = 
    0., $CellContext`\[Theta]2$$ = 
    0., $CellContext`\[Theta]3$$ = -25.27592540454513, \
$CellContext`\[Theta]4$$ = -50.55185080909018, $CellContext`\[Theta]5$$ = \
-75.8277762136353, $CellContext`\[Theta]6$$ = -101.10370161818028`, \
$CellContext`\[Theta]7$$ = -126.37962702272524`, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xx1$$], 0.}, -10, 10}, {{
       Hold[$CellContext`yy1$$], 0.}, -10, 10}, {{
       Hold[$CellContext`\[Theta]1$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`xx2$$], 2.}, 0.02, 4}, {{
       Hold[$CellContext`xx3$$], 5.441038452373798}, 0.054, 11}, {{
       Hold[$CellContext`xx4$$], 8.090017882895093}, 0.08, 16}, {{
       Hold[$CellContext`xx5$$], 9.439722504706722}, 0.094, 19}, {{
       Hold[$CellContext`xx6$$], 9.231716376823597}, 0.092, 18}, {{
       Hold[$CellContext`xx7$$], 7.50582766499504}, 0.075, 15}, {{
       Hold[$CellContext`yy2$$], 0.}, -10, 10}, {{
       Hold[$CellContext`yy3$$], -1.083477529209416}, -2, -0.01}, {{
       Hold[$CellContext`yy4$$], -3.5324726626655565`}, -7, -0.035}, {{
       Hold[$CellContext`yy5$$], -6.878061791784243}, -14, -0.068}, {{
       Hold[$CellContext`yy6$$], -10.47964514328117}, -21, -0.104}, {{
       Hold[$CellContext`yy7$$], -13.647606213338618`}, -27, -0.136}, {{
       Hold[$CellContext`\[Theta]2$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`\[Theta]3$$], -25.27592540454513}, \
-205.27592540454512`, 154.72407459545488`}, {{
       Hold[$CellContext`\[Theta]4$$], -50.55185080909018}, \
-230.55185080909018`, 129.44814919090982`}, {{
       Hold[$CellContext`\[Theta]5$$], -75.8277762136353}, -255.8277762136353,
       104.1722237863647}, {{
       Hold[$CellContext`\[Theta]6$$], -101.10370161818028`}, \
-281.10370161818025`, 78.89629838181972}, {{
       Hold[$CellContext`\[Theta]7$$], -126.37962702272524`}, \
-306.37962702272523`, 53.620372977274755`}, {{
       Hold[$CellContext`minxx1$$], -10}}, {{
       Hold[$CellContext`maxxx1$$], 10}}, {{
       Hold[$CellContext`minyy1$$], -10}}, {{
       Hold[$CellContext`maxyy1$$], 10}}, {{
       Hold[$CellContext`min\[Theta]1$$], -180.}}, {{
       Hold[$CellContext`max\[Theta]1$$], 180.}}, {{
       Hold[$CellContext`minxx2$$], 0.02}}, {{
       Hold[$CellContext`maxxx2$$], 4}}, {{
       Hold[$CellContext`minxx3$$], 0.054}}, {{
       Hold[$CellContext`maxxx3$$], 11}}, {{
       Hold[$CellContext`minxx4$$], 0.08}}, {{
       Hold[$CellContext`maxxx4$$], 16}}, {{
       Hold[$CellContext`minxx5$$], 0.094}}, {{
       Hold[$CellContext`maxxx5$$], 19}}, {{
       Hold[$CellContext`minxx6$$], 0.092}}, {{
       Hold[$CellContext`maxxx6$$], 18}}, {{
       Hold[$CellContext`minxx7$$], 0.075}}, {{
       Hold[$CellContext`maxxx7$$], 15}}, {{
       Hold[$CellContext`minyy2$$], -10}}, {{
       Hold[$CellContext`maxyy2$$], 10}}, {{
       Hold[$CellContext`minyy3$$], -2}}, {{
       Hold[$CellContext`maxyy3$$], -0.01}}, {{
       Hold[$CellContext`minyy4$$], -7}}, {{
       Hold[$CellContext`maxyy4$$], -0.035}}, {{
       Hold[$CellContext`minyy5$$], -14}}, {{
       Hold[$CellContext`maxyy5$$], -0.068}}, {{
       Hold[$CellContext`minyy6$$], -21}}, {{
       Hold[$CellContext`maxyy6$$], -0.104}}, {{
       Hold[$CellContext`minyy7$$], -27}}, {{
       Hold[$CellContext`maxyy7$$], -0.136}}, {{
       Hold[$CellContext`min\[Theta]2$$], -180.}}, {{
       Hold[$CellContext`max\[Theta]2$$], 180.}}, {{
       Hold[$CellContext`min\[Theta]3$$], -205.27592540454512`}}, {{
       Hold[$CellContext`max\[Theta]3$$], 154.72407459545488`}}, {{
       Hold[$CellContext`min\[Theta]4$$], -230.55185080909018`}}, {{
       Hold[$CellContext`max\[Theta]4$$], 129.44814919090982`}}, {{
       Hold[$CellContext`min\[Theta]5$$], -255.8277762136353}}, {{
       Hold[$CellContext`max\[Theta]5$$], 104.1722237863647}}, {{
       Hold[$CellContext`min\[Theta]6$$], -281.10370161818025`}}, {{
       Hold[$CellContext`max\[Theta]6$$], 78.89629838181972}}, {{
       Hold[$CellContext`min\[Theta]7$$], -306.37962702272523`}}, {{
       Hold[$CellContext`max\[Theta]7$$], 53.620372977274755`}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[
            ToExpression[#] -> #2& , {{
              "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", "yy2", 
               "yy3", "yy4", "yy5", "yy6", "yy7", "\[Theta]1", "\[Theta]2", 
               "\[Theta]3", "\[Theta]4", "\[Theta]5", "\[Theta]6", 
               "\[Theta]7"}, {$CellContext`xx1$$, $CellContext`xx2$$, \
$CellContext`xx3$$, $CellContext`xx4$$, $CellContext`xx5$$, \
$CellContext`xx6$$, $CellContext`xx7$$, $CellContext`yy1$$, \
$CellContext`yy2$$, $CellContext`yy3$$, $CellContext`yy4$$, \
$CellContext`yy5$$, $CellContext`yy6$$, $CellContext`yy7$$, $CellContext`\
\[Theta]1$$, $CellContext`\[Theta]2$$, $CellContext`\[Theta]3$$, \
$CellContext`\[Theta]4$$, $CellContext`\[Theta]5$$, $CellContext`\[Theta]6$$, \
$CellContext`\[Theta]7$$}}], 
           Optica`Optica`SymbolicRanges -> {$CellContext`xx1$$ -> {-10, 
              10}, $CellContext`yy1$$ -> {-10, 
              10}, $CellContext`\[Theta]1$$ -> {-180., 
              180.}, $CellContext`xx2$$ -> {0.02, 4}, $CellContext`xx3$$ -> {
              0.054, 11}, $CellContext`xx4$$ -> {
              0.08, 16}, $CellContext`xx5$$ -> {
              0.094, 19}, $CellContext`xx6$$ -> {
              0.092, 18}, $CellContext`xx7$$ -> {
              0.075, 15}, $CellContext`yy2$$ -> {-10, 
              10}, $CellContext`yy3$$ -> {-2, -0.01}, $CellContext`yy4$$ -> \
{-7, -0.035}, $CellContext`yy5$$ -> {-14, -0.068}, $CellContext`yy6$$ -> \
{-21, -0.104}, $CellContext`yy7$$ -> {-27, -0.136}, $CellContext`\[Theta]2$$ -> \
{-180., 180.}, $CellContext`\[Theta]3$$ -> {-205.27592540454512`, 
              154.72407459545488`}, $CellContext`\[Theta]4$$ -> \
{-230.55185080909018`, 
              129.44814919090982`}, $CellContext`\[Theta]5$$ -> \
{-255.8277762136353, 
              104.1722237863647}, $CellContext`\[Theta]6$$ -> \
{-281.10370161818025`, 
              78.89629838181972}, $CellContext`\[Theta]7$$ -> \
{-306.37962702272523`, 53.620372977274755`}}}; 
        Optica`Optica`$OpticalSystemScript = 
         "{Move[RainbowOfRays[{0.45, 0.65}, NumberOfRays -> 10, OpticalMedium \
-> 1], {{xx1, 0}, {yy1, 0}}, {\[Theta]1, 0.}], Move[Prism[{60, 3, 60}, 3, \
{Centered -> True, ComponentMedium -> Water}], {{xx2, 2.}, {yy2, 0}}, {\
\[Theta]2, 0.}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, \
ComponentMedium -> Water}], {{xx3, 5.441038452373798}, {yy3, \
-1.083477529209416}}, {\[Theta]3, -25.275925404545127}], Move[Prism[{60, 3, \
60}, 3, {Centered -> True, ComponentMedium -> Water}], {{xx4, \
8.090017882895093}, {yy4, -3.5324726626655565}}, \
{ArcTan[1.0000000000000002*Cos[Degree*\[Theta]4], \
1.0000000000000002*Sin[Degree*\[Theta]4]]/Degree, -50.55185080909018}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx5, 9.439722504706722}, {yy5, -6.878061791784243}}, \
{ArcTan[1.0000000000000002*Cos[Degree*\[Theta]5], \
1.0000000000000002*Sin[Degree*\[Theta]5]]/Degree, -75.8277762136353}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx6, 9.231716376823597}, {yy6, -10.47964514328117}}, {\[Theta]6, \
-101.10370161818028}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, \
ComponentMedium -> Water}], {{xx7, 7.50582766499504}, {yy7, \
-13.647606213338618}}, {\[Theta]7, -126.37962702272523}], Move[Boundary[{0, \
-15, -15}, {30, 15, 15}], {-10., -10.}]}"; Print[
          InputForm[
           StringJoin["SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{
               "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", "yy2", 
                "yy3", "yy4", "yy5", "yy6", "yy7", "\[Theta]1", "\[Theta]2", 
                "\[Theta]3", "\[Theta]4", "\[Theta]5", "\[Theta]6", 
                "\[Theta]7"}, {$CellContext`xx1$$, $CellContext`xx2$$, \
$CellContext`xx3$$, $CellContext`xx4$$, $CellContext`xx5$$, \
$CellContext`xx6$$, $CellContext`xx7$$, $CellContext`yy1$$, \
$CellContext`yy2$$, $CellContext`yy3$$, $CellContext`yy4$$, \
$CellContext`yy5$$, $CellContext`yy6$$, $CellContext`yy7$$, $CellContext`\
\[Theta]1$$, $CellContext`\[Theta]2$$, $CellContext`\[Theta]3$$, \
$CellContext`\[Theta]4$$, $CellContext`\[Theta]5$$, $CellContext`\[Theta]6$$, \
$CellContext`\[Theta]7$$}}]]]]], ImageSize -> Automatic]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`x\[Theta]1$$], 0.75}}, {{
       Hold[$CellContext`y\[Theta]1$$], 0.}}, {{
       Hold[$CellContext`radius\[Theta]1$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]1$$], 0.75}}, {{
       Hold[$CellContext`yoff\[Theta]1$$], 0.}}, {{
       Hold[$CellContext`laststartpos\[Theta]1$$], {0., 0.}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]1$$], {0.75, 0.}}}, {{
       Hold[$CellContext`last\[Theta]1$$], 0}}, {{
       Hold[$CellContext`x\[Theta]2$$], 2.75}}, {{
       Hold[$CellContext`y\[Theta]2$$], 0.}}, {{
       Hold[$CellContext`radius\[Theta]2$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]2$$], 0.75}}, {{
       Hold[$CellContext`yoff\[Theta]2$$], 0.}}, {{
       Hold[$CellContext`laststartpos\[Theta]2$$], {2., 0.}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]2$$], {2.75, 0.}}}, {{
       Hold[$CellContext`last\[Theta]2$$], 0}}, {{
       Hold[$CellContext`x\[Theta]3$$], 6.119234980485755}}, {{
       Hold[$CellContext`y\[Theta]3$$], -1.4037109897610676`}}, {{
       Hold[$CellContext`radius\[Theta]3$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]3$$], 0.678196528111958}}, {{
       Hold[$CellContext`yoff\[Theta]3$$], -0.3202334605516516}}, {{
       Hold[$CellContext`laststartpos\[Theta]3$$], {
       5.441038452373798, -1.083477529209416}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]3$$], {
       6.119234980485755, -1.4037109897610676`}}}, {{
       Hold[$CellContext`last\[Theta]3$$], 0}}, {{
       Hold[$CellContext`x\[Theta]4$$], 8.566552631543399}}, {{
       Hold[$CellContext`y\[Theta]4$$], -4.111622585682643}}, {{
       Hold[$CellContext`radius\[Theta]4$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]4$$], 0.4765347486483045}}, {{
       Hold[$CellContext`yoff\[Theta]4$$], -0.5791499230170868}}, {{
       Hold[$CellContext`laststartpos\[Theta]4$$], {
       8.090017882895093, -3.5324726626655565`}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]4$$], {
       8.566552631543399, -4.111622585682643}}}, {{
       Hold[$CellContext`last\[Theta]4$$], 0}}, {{
       Hold[$CellContext`x\[Theta]5$$], 9.623350542082722}}, {{
       Hold[$CellContext`y\[Theta]5$$], -7.605234910023249}}, {{
       Hold[$CellContext`radius\[Theta]5$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]5$$], 0.18362803737600056`}}, {{
       Hold[$CellContext`yoff\[Theta]5$$], -0.7271731182390053}}, {{
       Hold[$CellContext`laststartpos\[Theta]5$$], {
       9.439722504706722, -6.878061791784243}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]5$$], {
       9.623350542082722, -7.605234910023249}}}, {{
       Hold[$CellContext`last\[Theta]5$$], 0}}, {{
       Hold[$CellContext`x\[Theta]6$$], 9.087277354608405}}, {{
       Hold[$CellContext`y\[Theta]6$$], -11.215605311266856`}}, {{
       Hold[$CellContext`radius\[Theta]6$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]6$$], -0.14443902221519203`}}, {{
       Hold[$CellContext`yoff\[Theta]6$$], -0.7359601679856861}}, {{
       Hold[$CellContext`laststartpos\[Theta]6$$], {
       9.231716376823597, -10.47964514328117}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]6$$], {
       9.087277354608405, -11.215605311266856`}}}, {{
       Hold[$CellContext`last\[Theta]6$$], 0}}, {{
       Hold[$CellContext`x\[Theta]7$$], 7.060978178578429}}, {{
       Hold[$CellContext`y\[Theta]7$$], -14.251434777117176`}}, {{
       Hold[$CellContext`radius\[Theta]7$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]7$$], -0.44484948641661193`}}, {{
       Hold[$CellContext`yoff\[Theta]7$$], -0.6038285637785584}}, {{
       Hold[$CellContext`laststartpos\[Theta]7$$], {
       7.50582766499504, -13.647606213338618`}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]7$$], {
       7.060978178578429, -14.251434777117176`}}}, {{
       Hold[$CellContext`last\[Theta]7$$], 0}}, {{
       Hold[$CellContext`rayresults$$], {{1.}}}}, {{
       Hold[$CellContext`oldwavelengths18442010112861329143632$$], {1.}}}, {{
       Hold[$CellContext`wavelengths$$], {1.}}}, {{
       Hold[$CellContext`unionwavelengths$$], {1.}}}, {{
       Hold[$CellContext`wavelengthpositions$$], {1.}}}, {{
       Hold[$CellContext`raycolors$$], {{1., 1., 1.}}}}, {{
       Hold[$CellContext`raycolormodel$$], RGBColor[
        Abs[(-0.3183098861837907) 
          ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
         0.3183098861837907 
          ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
        Abs[
        0.3183098861837907 
          ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
         0.3183098861837907 
         ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
        Abs[(-0.3183098861837907) 
          ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
         0.3183098861837907 
          ArcTan[22.5 - 0.125 
            Abs[-500. + 2. Mod[100. + 500. #, 500.]]]]]& }}, {{
       Hold[$CellContext`staticpolygons178442010112861329128591$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
         "]]}}}}, Typeset`size$$ = {
    815., {415.84375, 421.15625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`xx1$59628$$ = 
    0, $CellContext`yy1$59629$$ = 0, $CellContext`\[Theta]1$59630$$ = 
    0, $CellContext`xx2$59631$$ = 0, $CellContext`xx3$59632$$ = 
    0, $CellContext`xx4$59633$$ = 0, $CellContext`xx5$59634$$ = 
    0, $CellContext`xx6$59635$$ = 0, $CellContext`xx7$59636$$ = 
    0, $CellContext`yy2$59637$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`lastlocpos\[Theta]1$$ = {0.75, 
         0.}, $CellContext`lastlocpos\[Theta]2$$ = {2.75, 
         0.}, $CellContext`lastlocpos\[Theta]3$$ = {
         6.119234980485755, -1.4037109897610676`}, $CellContext`lastlocpos\
\[Theta]4$$ = {
         8.566552631543399, -4.111622585682643}, $CellContext`lastlocpos\
\[Theta]5$$ = {
         9.623350542082722, -7.605234910023249}, $CellContext`lastlocpos\
\[Theta]6$$ = {
         9.087277354608405, -11.215605311266856`}, $CellContext`lastlocpos\
\[Theta]7$$ = {
         7.060978178578429, -14.251434777117176`}, $CellContext`laststartpos\
\[Theta]1$$ = {0., 0.}, $CellContext`laststartpos\[Theta]2$$ = {2., 
         0.}, $CellContext`laststartpos\[Theta]3$$ = {
         5.441038452373798, -1.083477529209416}, $CellContext`laststartpos\
\[Theta]4$$ = {
         8.090017882895093, -3.5324726626655565`}, $CellContext`laststartpos\
\[Theta]5$$ = {
         9.439722504706722, -6.878061791784243}, $CellContext`laststartpos\
\[Theta]6$$ = {
         9.231716376823597, -10.47964514328117}, $CellContext`laststartpos\
\[Theta]7$$ = {
         7.50582766499504, -13.647606213338618`}, \
$CellContext`last\[Theta]1$$ = 0, $CellContext`last\[Theta]2$$ = 
        0, $CellContext`last\[Theta]3$$ = 0, $CellContext`last\[Theta]4$$ = 
        0, $CellContext`last\[Theta]5$$ = 0, $CellContext`last\[Theta]6$$ = 
        0, $CellContext`last\[Theta]7$$ = 0, $CellContext`maxxx1$$ = 
        10, $CellContext`maxxx2$$ = 4, $CellContext`maxxx3$$ = 
        11, $CellContext`maxxx4$$ = 16, $CellContext`maxxx5$$ = 
        19, $CellContext`maxxx6$$ = 18, $CellContext`maxxx7$$ = 
        15, $CellContext`maxyy1$$ = 10, $CellContext`maxyy2$$ = 
        10, $CellContext`maxyy3$$ = -0.01, $CellContext`maxyy4$$ = -0.035, \
$CellContext`maxyy5$$ = -0.068, $CellContext`maxyy6$$ = -0.104, \
$CellContext`maxyy7$$ = -0.136, $CellContext`max\[Theta]1$$ = 
        180., $CellContext`max\[Theta]2$$ = 180., $CellContext`max\[Theta]3$$ = 
        154.72407459545488`, $CellContext`max\[Theta]4$$ = 
        129.44814919090982`, $CellContext`max\[Theta]5$$ = 
        104.1722237863647, $CellContext`max\[Theta]6$$ = 
        78.89629838181972, $CellContext`max\[Theta]7$$ = 
        53.620372977274755`, $CellContext`minxx1$$ = -10, \
$CellContext`minxx2$$ = 0.02, $CellContext`minxx3$$ = 
        0.054, $CellContext`minxx4$$ = 0.08, $CellContext`minxx5$$ = 
        0.094, $CellContext`minxx6$$ = 0.092, $CellContext`minxx7$$ = 
        0.075, $CellContext`minyy1$$ = -10, $CellContext`minyy2$$ = -10, \
$CellContext`minyy3$$ = -2, $CellContext`minyy4$$ = -7, $CellContext`minyy5$$ = \
-14, $CellContext`minyy6$$ = -21, $CellContext`minyy7$$ = -27, \
$CellContext`min\[Theta]1$$ = -180., $CellContext`min\[Theta]2$$ = -180., \
$CellContext`min\[Theta]3$$ = -205.27592540454512`, \
$CellContext`min\[Theta]4$$ = -230.55185080909018`, \
$CellContext`min\[Theta]5$$ = -255.8277762136353, $CellContext`min\[Theta]6$$ = \
-281.10370161818025`, $CellContext`min\[Theta]7$$ = -306.37962702272523`, \
$CellContext`oldwavelengths18442010112861329143632$$ = {
         1.}, $CellContext`radius\[Theta]1$$ = 
        0.75, $CellContext`radius\[Theta]2$$ = 
        0.75, $CellContext`radius\[Theta]3$$ = 
        0.75, $CellContext`radius\[Theta]4$$ = 
        0.75, $CellContext`radius\[Theta]5$$ = 
        0.75, $CellContext`radius\[Theta]6$$ = 
        0.75, $CellContext`radius\[Theta]7$$ = 
        0.75, $CellContext`raycolormodel$$ = RGBColor[
          
          Abs[(-0.3183098861837907) 
            ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
           0.3183098861837907 
            ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
          Abs[
          0.3183098861837907 
            ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
           0.3183098861837907 
           ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
          
          Abs[(-0.3183098861837907) 
            ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
           0.3183098861837907 
            ArcTan[22.5 - 0.125 
              Abs[-500. + 
                2. Mod[100. + 500. #, 
                   500.]]]]]& , $CellContext`raycolors$$ = {{1., 1., 
         1.}}, $CellContext`rayresults$$ = {{
         1.}}, $CellContext`staticpolygons178442010112861329128591$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
           
           "]]}, $CellContext`unionwavelengths$$ = {
         1.}, $CellContext`wavelengthpositions$$ = {
         1.}, $CellContext`wavelengths$$ = {1.}, $CellContext`xoff\[Theta]1$$ = 
        0.75, $CellContext`xoff\[Theta]2$$ = 
        0.75, $CellContext`xoff\[Theta]3$$ = 
        0.678196528111958, $CellContext`xoff\[Theta]4$$ = 
        0.4765347486483045, $CellContext`xoff\[Theta]5$$ = 
        0.18362803737600056`, $CellContext`xoff\[Theta]6$$ = \
-0.14443902221519203`, $CellContext`xoff\[Theta]7$$ = -0.44484948641661193`, \
$CellContext`xx1$$ = 0., $CellContext`xx2$$ = 2., $CellContext`xx3$$ = 
        5.441038452373798, $CellContext`xx4$$ = 
        8.090017882895093, $CellContext`xx5$$ = 
        9.439722504706722, $CellContext`xx6$$ = 
        9.231716376823597, $CellContext`xx7$$ = 
        7.50582766499504, $CellContext`x\[Theta]1$$ = 
        0.75, $CellContext`x\[Theta]2$$ = 2.75, $CellContext`x\[Theta]3$$ = 
        6.119234980485755, $CellContext`x\[Theta]4$$ = 
        8.566552631543399, $CellContext`x\[Theta]5$$ = 
        9.623350542082722, $CellContext`x\[Theta]6$$ = 
        9.087277354608405, $CellContext`x\[Theta]7$$ = 
        7.060978178578429, $CellContext`yoff\[Theta]1$$ = 
        0., $CellContext`yoff\[Theta]2$$ = 
        0., $CellContext`yoff\[Theta]3$$ = -0.3202334605516516, \
$CellContext`yoff\[Theta]4$$ = -0.5791499230170868, \
$CellContext`yoff\[Theta]5$$ = -0.7271731182390053, \
$CellContext`yoff\[Theta]6$$ = -0.7359601679856861, \
$CellContext`yoff\[Theta]7$$ = -0.6038285637785584, $CellContext`yy1$$ = 
        0., $CellContext`yy2$$ = 
        0., $CellContext`yy3$$ = -1.083477529209416, $CellContext`yy4$$ = \
-3.5324726626655565`, $CellContext`yy5$$ = -6.878061791784243, \
$CellContext`yy6$$ = -10.47964514328117, $CellContext`yy7$$ = \
-13.647606213338618`, $CellContext`y\[Theta]1$$ = 
        0., $CellContext`y\[Theta]2$$ = 
        0., $CellContext`y\[Theta]3$$ = -1.4037109897610676`, $CellContext`y\
\[Theta]4$$ = -4.111622585682643, $CellContext`y\[Theta]5$$ = \
-7.605234910023249, $CellContext`y\[Theta]6$$ = -11.215605311266856`, \
$CellContext`y\[Theta]7$$ = -14.251434777117176`, $CellContext`\[Theta]1$$ = 
        0., $CellContext`\[Theta]2$$ = 
        0., $CellContext`\[Theta]3$$ = -25.27592540454513, $CellContext`\
\[Theta]4$$ = -50.55185080909018, $CellContext`\[Theta]5$$ = \
-75.8277762136353, $CellContext`\[Theta]6$$ = -101.10370161818028`, \
$CellContext`\[Theta]7$$ = -126.37962702272524`}, "ControllerVariables" :> {
        Hold[$CellContext`xx1$$, $CellContext`xx1$59628$$, 0], 
        Hold[$CellContext`yy1$$, $CellContext`yy1$59629$$, 0], 
        Hold[$CellContext`\[Theta]1$$, $CellContext`\[Theta]1$59630$$, 0], 
        Hold[$CellContext`xx2$$, $CellContext`xx2$59631$$, 0], 
        Hold[$CellContext`xx3$$, $CellContext`xx3$59632$$, 0], 
        Hold[$CellContext`xx4$$, $CellContext`xx4$59633$$, 0], 
        Hold[$CellContext`xx5$$, $CellContext`xx5$59634$$, 0], 
        Hold[$CellContext`xx6$$, $CellContext`xx6$59635$$, 0], 
        Hold[$CellContext`xx7$$, $CellContext`xx7$59636$$, 0], 
        Hold[$CellContext`yy2$$, $CellContext`yy2$59637$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         OpenerView[{"TopView", 
           Show[{
             Graphics[{{
                Opacity[0.8], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines118442010112861329093125[$CellContext`\
xx2$$, $CellContext`yy2$$, $CellContext`\[Theta]2$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines128442010112861329099648[$CellContext`\
xx3$$, $CellContext`yy3$$, $CellContext`\[Theta]3$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines138442010112861329106238[$CellContext`\
xx4$$, $CellContext`yy4$$, $CellContext`\[Theta]4$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines148442010112861329112904[$CellContext`\
xx5$$, $CellContext`yy5$$, $CellContext`\[Theta]5$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines158442010112861329119610[$CellContext`\
xx6$$, $CellContext`yy6$$, $CellContext`\[Theta]6$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines168442010112861329126524[$CellContext`\
xx7$$, $CellContext`yy7$$, $CellContext`\[Theta]7$$]]]]}], \
$CellContext`staticpolygons178442010112861329128591$$, 
                Opacity[1], 
                AbsoluteThickness[Medium], 
                Dynamic[
                 Refresh[
                  
                  Module[{$CellContext`rayresults$, \
$CellContext`wavelengths$, $CellContext`unionwavelengths$}, \
$CellContext`rayresults$ = Sort[
                    Select[
                    $CellContext`raytracefunction18442010112861329143510[$\
CellContext`xx1$$, $CellContext`yy1$$, $CellContext`\[Theta]1$$, \
$CellContext`xx2$$, $CellContext`xx3$$, $CellContext`xx4$$, \
$CellContext`xx5$$, $CellContext`xx6$$, $CellContext`xx7$$, \
$CellContext`yy2$$, $CellContext`yy3$$, $CellContext`yy4$$, \
$CellContext`yy5$$, $CellContext`yy6$$, $CellContext`yy7$$, $CellContext`\
\[Theta]2$$, $CellContext`\[Theta]3$$, $CellContext`\[Theta]4$$, \
$CellContext`\[Theta]5$$, $CellContext`\[Theta]6$$, $CellContext`\[Theta]7$$],
                     And[Length[#] == 7, 
                    Part[#, 
                    2] > -9.87654321*^8]& ]]; $CellContext`wavelengths$ = 
                    First[
                    Transpose[$CellContext`rayresults$]]; 
                   
                   If[$CellContext`oldwavelengths18442010112861329143632$$ =!= \
$CellContext`wavelengths$, $CellContext`unionwavelengths$ = 
                    Union[$CellContext`wavelengths$]; \
$CellContext`wavelengthpositions$$ = Map[Part[
                    Position[$CellContext`wavelengths$, #], 1, 
                    1]& , $CellContext`unionwavelengths$]; \
$CellContext`wavelengthpositions$$ = 
                    Join[$CellContext`wavelengthpositions$$, {
                    Length[$CellContext`wavelengths$] + 
                    1}]; $CellContext`raycolors$$ = 
                    Map[$CellContext`raycolormodel$$, \
$CellContext`unionwavelengths$]; 
                    Null]; $CellContext`oldwavelengths18442010112861329143632$\
$ = $CellContext`wavelengths$; $CellContext`rayresults$ = Map[{
                    Part[#, {2, 3}], 
                    Part[#, {5, 6}]}& , $CellContext`rayresults$]; Table[{
                    Part[$CellContext`raycolors$$, $CellContext`nn], 
                    Line[
                    Take[$CellContext`rayresults$, {
                    Part[$CellContext`wavelengthpositions$$, $CellContext`nn],
                     Part[$CellContext`wavelengthpositions$$, $CellContext`nn + 
                    1] - 1}]]}, {$CellContext`nn, 1, 
                    Length[$CellContext`wavelengthpositions$$] - 1}]], 
                  TrackedSymbols :> {$CellContext`xx1$$, $CellContext`yy1$$, \
$CellContext`\[Theta]1$$, $CellContext`xx2$$, $CellContext`xx3$$, \
$CellContext`xx4$$, $CellContext`xx5$$, $CellContext`xx6$$, \
$CellContext`xx7$$, $CellContext`yy2$$, $CellContext`yy3$$, \
$CellContext`yy4$$, $CellContext`yy5$$, $CellContext`yy6$$, \
$CellContext`yy7$$, $CellContext`\[Theta]2$$, $CellContext`\[Theta]3$$, \
$CellContext`\[Theta]4$$, $CellContext`\[Theta]5$$, $CellContext`\[Theta]6$$, \
$CellContext`\[Theta]7$$}], SynchronousUpdating -> True], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]1$$ != \
{$CellContext`xx1$$, $CellContext`yy1$$}, $CellContext`last\[Theta]1$$ =!= \
$CellContext`\[Theta]1$$], $CellContext`laststartpos\[Theta]1$$ = \
{$CellContext`xx1$$, $CellContext`yy1$$}; $CellContext`last\[Theta]1$$ = \
$CellContext`\[Theta]1$$; {$CellContext`x\[Theta]1$$, \
$CellContext`y\[Theta]1$$} = $CellContext`laststartpos\[Theta]1$$ + \
$CellContext`radius\[Theta]1$$ {
                    Cos[$CellContext`\[Theta]1$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]1$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]1$$, \
{$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$}}, \
({$CellContext`laststartpos\[Theta]1$$, {$CellContext`x\[Theta]1$$, \
$CellContext`y\[Theta]1$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$} != \
$CellContext`lastlocpos\[Theta]1$$, $CellContext`last\[Theta]1$$ != \
$CellContext`\[Theta]1$$], $CellContext`lastlocpos\[Theta]1$$ = \
{$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$}; $CellContext`last\
\[Theta]1$$ = $CellContext`\[Theta]1$$; {$CellContext`x\[Theta]1$$, \
$CellContext`y\[Theta]1$$} = $CellContext`laststartpos\[Theta]1$$ + \
$CellContext`radius\[Theta]1$$ {
                    Cos[$CellContext`\[Theta]1$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]1$$ 
                    Degree]}]; {$CellContext`x\[Theta]1$$, $CellContext`y\
\[Theta]1$$}), ({$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$} = #; \
$CellContext`xoff\[Theta]1$$ = $CellContext`x\[Theta]1$$ - $CellContext`xx1$$; \
$CellContext`yoff\[Theta]1$$ = $CellContext`y\[Theta]1$$ - $CellContext`yy1$$; \
$CellContext`radius\[Theta]1$$ = 
                    Sqrt[$CellContext`xoff\[Theta]1$$^2 + $CellContext`yoff\
\[Theta]1$$^2]; $CellContext`\[Theta]1$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]1$$, \
$CellContext`yoff\[Theta]1$$]/
                    Degree]; {$CellContext`x\[Theta]1$$, $CellContext`y\
\[Theta]1$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]1 = ", 
                   ToString[$CellContext`\[Theta]1$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]2$$ != \
{$CellContext`xx2$$, $CellContext`yy2$$}, $CellContext`last\[Theta]2$$ =!= \
$CellContext`\[Theta]2$$], $CellContext`laststartpos\[Theta]2$$ = \
{$CellContext`xx2$$, $CellContext`yy2$$}; $CellContext`last\[Theta]2$$ = \
$CellContext`\[Theta]2$$; {$CellContext`x\[Theta]2$$, \
$CellContext`y\[Theta]2$$} = $CellContext`laststartpos\[Theta]2$$ + \
$CellContext`radius\[Theta]2$$ {
                    Cos[$CellContext`\[Theta]2$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]2$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]2$$, \
{$CellContext`x\[Theta]2$$, $CellContext`y\[Theta]2$$}}, \
({$CellContext`laststartpos\[Theta]2$$, {$CellContext`x\[Theta]2$$, \
$CellContext`y\[Theta]2$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]2$$, $CellContext`y\[Theta]2$$} != \
$CellContext`lastlocpos\[Theta]2$$, $CellContext`last\[Theta]2$$ != \
$CellContext`\[Theta]2$$], $CellContext`lastlocpos\[Theta]2$$ = \
{$CellContext`x\[Theta]2$$, $CellContext`y\[Theta]2$$}; $CellContext`last\
\[Theta]2$$ = $CellContext`\[Theta]2$$; {$CellContext`x\[Theta]2$$, \
$CellContext`y\[Theta]2$$} = $CellContext`laststartpos\[Theta]2$$ + \
$CellContext`radius\[Theta]2$$ {
                    Cos[$CellContext`\[Theta]2$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]2$$ 
                    Degree]}]; {$CellContext`x\[Theta]2$$, $CellContext`y\
\[Theta]2$$}), ({$CellContext`x\[Theta]2$$, $CellContext`y\[Theta]2$$} = #; \
$CellContext`xoff\[Theta]2$$ = $CellContext`x\[Theta]2$$ - $CellContext`xx2$$; \
$CellContext`yoff\[Theta]2$$ = $CellContext`y\[Theta]2$$ - $CellContext`yy2$$; \
$CellContext`radius\[Theta]2$$ = 
                    Sqrt[$CellContext`xoff\[Theta]2$$^2 + $CellContext`yoff\
\[Theta]2$$^2]; $CellContext`\[Theta]2$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]2$$, \
$CellContext`yoff\[Theta]2$$]/
                    Degree]; {$CellContext`x\[Theta]2$$, $CellContext`y\
\[Theta]2$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]2 = ", 
                   ToString[$CellContext`\[Theta]2$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]3$$ != \
{$CellContext`xx3$$, $CellContext`yy3$$}, $CellContext`last\[Theta]3$$ =!= \
$CellContext`\[Theta]3$$], $CellContext`laststartpos\[Theta]3$$ = \
{$CellContext`xx3$$, $CellContext`yy3$$}; $CellContext`last\[Theta]3$$ = \
$CellContext`\[Theta]3$$; {$CellContext`x\[Theta]3$$, \
$CellContext`y\[Theta]3$$} = $CellContext`laststartpos\[Theta]3$$ + \
$CellContext`radius\[Theta]3$$ {
                    Cos[$CellContext`\[Theta]3$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]3$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]3$$, \
{$CellContext`x\[Theta]3$$, $CellContext`y\[Theta]3$$}}, \
({$CellContext`laststartpos\[Theta]3$$, {$CellContext`x\[Theta]3$$, \
$CellContext`y\[Theta]3$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]3$$, $CellContext`y\[Theta]3$$} != \
$CellContext`lastlocpos\[Theta]3$$, $CellContext`last\[Theta]3$$ != \
$CellContext`\[Theta]3$$], $CellContext`lastlocpos\[Theta]3$$ = \
{$CellContext`x\[Theta]3$$, $CellContext`y\[Theta]3$$}; $CellContext`last\
\[Theta]3$$ = $CellContext`\[Theta]3$$; {$CellContext`x\[Theta]3$$, \
$CellContext`y\[Theta]3$$} = $CellContext`laststartpos\[Theta]3$$ + \
$CellContext`radius\[Theta]3$$ {
                    Cos[$CellContext`\[Theta]3$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]3$$ 
                    Degree]}]; {$CellContext`x\[Theta]3$$, $CellContext`y\
\[Theta]3$$}), ({$CellContext`x\[Theta]3$$, $CellContext`y\[Theta]3$$} = #; \
$CellContext`xoff\[Theta]3$$ = $CellContext`x\[Theta]3$$ - $CellContext`xx3$$; \
$CellContext`yoff\[Theta]3$$ = $CellContext`y\[Theta]3$$ - $CellContext`yy3$$; \
$CellContext`radius\[Theta]3$$ = 
                    Sqrt[$CellContext`xoff\[Theta]3$$^2 + $CellContext`yoff\
\[Theta]3$$^2]; $CellContext`\[Theta]3$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]3$$, \
$CellContext`yoff\[Theta]3$$]/
                    Degree]; {$CellContext`x\[Theta]3$$, $CellContext`y\
\[Theta]3$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]3 = ", 
                   ToString[$CellContext`\[Theta]3$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]4$$ != \
{$CellContext`xx4$$, $CellContext`yy4$$}, $CellContext`last\[Theta]4$$ =!= \
$CellContext`\[Theta]4$$], $CellContext`laststartpos\[Theta]4$$ = \
{$CellContext`xx4$$, $CellContext`yy4$$}; $CellContext`last\[Theta]4$$ = \
$CellContext`\[Theta]4$$; {$CellContext`x\[Theta]4$$, \
$CellContext`y\[Theta]4$$} = $CellContext`laststartpos\[Theta]4$$ + \
$CellContext`radius\[Theta]4$$ {
                    Cos[$CellContext`\[Theta]4$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]4$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]4$$, \
{$CellContext`x\[Theta]4$$, $CellContext`y\[Theta]4$$}}, \
({$CellContext`laststartpos\[Theta]4$$, {$CellContext`x\[Theta]4$$, \
$CellContext`y\[Theta]4$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]4$$, $CellContext`y\[Theta]4$$} != \
$CellContext`lastlocpos\[Theta]4$$, $CellContext`last\[Theta]4$$ != \
$CellContext`\[Theta]4$$], $CellContext`lastlocpos\[Theta]4$$ = \
{$CellContext`x\[Theta]4$$, $CellContext`y\[Theta]4$$}; $CellContext`last\
\[Theta]4$$ = $CellContext`\[Theta]4$$; {$CellContext`x\[Theta]4$$, \
$CellContext`y\[Theta]4$$} = $CellContext`laststartpos\[Theta]4$$ + \
$CellContext`radius\[Theta]4$$ {
                    Cos[$CellContext`\[Theta]4$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]4$$ 
                    Degree]}]; {$CellContext`x\[Theta]4$$, $CellContext`y\
\[Theta]4$$}), ({$CellContext`x\[Theta]4$$, $CellContext`y\[Theta]4$$} = #; \
$CellContext`xoff\[Theta]4$$ = $CellContext`x\[Theta]4$$ - $CellContext`xx4$$; \
$CellContext`yoff\[Theta]4$$ = $CellContext`y\[Theta]4$$ - $CellContext`yy4$$; \
$CellContext`radius\[Theta]4$$ = 
                    Sqrt[$CellContext`xoff\[Theta]4$$^2 + $CellContext`yoff\
\[Theta]4$$^2]; $CellContext`\[Theta]4$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]4$$, \
$CellContext`yoff\[Theta]4$$]/
                    Degree]; {$CellContext`x\[Theta]4$$, $CellContext`y\
\[Theta]4$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]4 = ", 
                   ToString[$CellContext`\[Theta]4$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]5$$ != \
{$CellContext`xx5$$, $CellContext`yy5$$}, $CellContext`last\[Theta]5$$ =!= \
$CellContext`\[Theta]5$$], $CellContext`laststartpos\[Theta]5$$ = \
{$CellContext`xx5$$, $CellContext`yy5$$}; $CellContext`last\[Theta]5$$ = \
$CellContext`\[Theta]5$$; {$CellContext`x\[Theta]5$$, \
$CellContext`y\[Theta]5$$} = $CellContext`laststartpos\[Theta]5$$ + \
$CellContext`radius\[Theta]5$$ {
                    Cos[$CellContext`\[Theta]5$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]5$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]5$$, \
{$CellContext`x\[Theta]5$$, $CellContext`y\[Theta]5$$}}, \
({$CellContext`laststartpos\[Theta]5$$, {$CellContext`x\[Theta]5$$, \
$CellContext`y\[Theta]5$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]5$$, $CellContext`y\[Theta]5$$} != \
$CellContext`lastlocpos\[Theta]5$$, $CellContext`last\[Theta]5$$ != \
$CellContext`\[Theta]5$$], $CellContext`lastlocpos\[Theta]5$$ = \
{$CellContext`x\[Theta]5$$, $CellContext`y\[Theta]5$$}; $CellContext`last\
\[Theta]5$$ = $CellContext`\[Theta]5$$; {$CellContext`x\[Theta]5$$, \
$CellContext`y\[Theta]5$$} = $CellContext`laststartpos\[Theta]5$$ + \
$CellContext`radius\[Theta]5$$ {
                    Cos[$CellContext`\[Theta]5$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]5$$ 
                    Degree]}]; {$CellContext`x\[Theta]5$$, $CellContext`y\
\[Theta]5$$}), ({$CellContext`x\[Theta]5$$, $CellContext`y\[Theta]5$$} = #; \
$CellContext`xoff\[Theta]5$$ = $CellContext`x\[Theta]5$$ - $CellContext`xx5$$; \
$CellContext`yoff\[Theta]5$$ = $CellContext`y\[Theta]5$$ - $CellContext`yy5$$; \
$CellContext`radius\[Theta]5$$ = 
                    Sqrt[$CellContext`xoff\[Theta]5$$^2 + $CellContext`yoff\
\[Theta]5$$^2]; $CellContext`\[Theta]5$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]5$$, \
$CellContext`yoff\[Theta]5$$]/
                    Degree]; {$CellContext`x\[Theta]5$$, $CellContext`y\
\[Theta]5$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]5 = ", 
                   ToString[$CellContext`\[Theta]5$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]6$$ != \
{$CellContext`xx6$$, $CellContext`yy6$$}, $CellContext`last\[Theta]6$$ =!= \
$CellContext`\[Theta]6$$], $CellContext`laststartpos\[Theta]6$$ = \
{$CellContext`xx6$$, $CellContext`yy6$$}; $CellContext`last\[Theta]6$$ = \
$CellContext`\[Theta]6$$; {$CellContext`x\[Theta]6$$, \
$CellContext`y\[Theta]6$$} = $CellContext`laststartpos\[Theta]6$$ + \
$CellContext`radius\[Theta]6$$ {
                    Cos[$CellContext`\[Theta]6$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]6$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]6$$, \
{$CellContext`x\[Theta]6$$, $CellContext`y\[Theta]6$$}}, \
({$CellContext`laststartpos\[Theta]6$$, {$CellContext`x\[Theta]6$$, \
$CellContext`y\[Theta]6$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]6$$, $CellContext`y\[Theta]6$$} != \
$CellContext`lastlocpos\[Theta]6$$, $CellContext`last\[Theta]6$$ != \
$CellContext`\[Theta]6$$], $CellContext`lastlocpos\[Theta]6$$ = \
{$CellContext`x\[Theta]6$$, $CellContext`y\[Theta]6$$}; $CellContext`last\
\[Theta]6$$ = $CellContext`\[Theta]6$$; {$CellContext`x\[Theta]6$$, \
$CellContext`y\[Theta]6$$} = $CellContext`laststartpos\[Theta]6$$ + \
$CellContext`radius\[Theta]6$$ {
                    Cos[$CellContext`\[Theta]6$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]6$$ 
                    Degree]}]; {$CellContext`x\[Theta]6$$, $CellContext`y\
\[Theta]6$$}), ({$CellContext`x\[Theta]6$$, $CellContext`y\[Theta]6$$} = #; \
$CellContext`xoff\[Theta]6$$ = $CellContext`x\[Theta]6$$ - $CellContext`xx6$$; \
$CellContext`yoff\[Theta]6$$ = $CellContext`y\[Theta]6$$ - $CellContext`yy6$$; \
$CellContext`radius\[Theta]6$$ = 
                    Sqrt[$CellContext`xoff\[Theta]6$$^2 + $CellContext`yoff\
\[Theta]6$$^2]; $CellContext`\[Theta]6$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]6$$, \
$CellContext`yoff\[Theta]6$$]/
                    Degree]; {$CellContext`x\[Theta]6$$, $CellContext`y\
\[Theta]6$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]6 = ", 
                   ToString[$CellContext`\[Theta]6$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]7$$ != \
{$CellContext`xx7$$, $CellContext`yy7$$}, $CellContext`last\[Theta]7$$ =!= \
$CellContext`\[Theta]7$$], $CellContext`laststartpos\[Theta]7$$ = \
{$CellContext`xx7$$, $CellContext`yy7$$}; $CellContext`last\[Theta]7$$ = \
$CellContext`\[Theta]7$$; {$CellContext`x\[Theta]7$$, \
$CellContext`y\[Theta]7$$} = $CellContext`laststartpos\[Theta]7$$ + \
$CellContext`radius\[Theta]7$$ {
                    Cos[$CellContext`\[Theta]7$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]7$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]7$$, \
{$CellContext`x\[Theta]7$$, $CellContext`y\[Theta]7$$}}, \
({$CellContext`laststartpos\[Theta]7$$, {$CellContext`x\[Theta]7$$, \
$CellContext`y\[Theta]7$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]7$$, $CellContext`y\[Theta]7$$} != \
$CellContext`lastlocpos\[Theta]7$$, $CellContext`last\[Theta]7$$ != \
$CellContext`\[Theta]7$$], $CellContext`lastlocpos\[Theta]7$$ = \
{$CellContext`x\[Theta]7$$, $CellContext`y\[Theta]7$$}; $CellContext`last\
\[Theta]7$$ = $CellContext`\[Theta]7$$; {$CellContext`x\[Theta]7$$, \
$CellContext`y\[Theta]7$$} = $CellContext`laststartpos\[Theta]7$$ + \
$CellContext`radius\[Theta]7$$ {
                    Cos[$CellContext`\[Theta]7$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]7$$ 
                    Degree]}]; {$CellContext`x\[Theta]7$$, $CellContext`y\
\[Theta]7$$}), ({$CellContext`x\[Theta]7$$, $CellContext`y\[Theta]7$$} = #; \
$CellContext`xoff\[Theta]7$$ = $CellContext`x\[Theta]7$$ - $CellContext`xx7$$; \
$CellContext`yoff\[Theta]7$$ = $CellContext`y\[Theta]7$$ - $CellContext`yy7$$; \
$CellContext`radius\[Theta]7$$ = 
                    Sqrt[$CellContext`xoff\[Theta]7$$^2 + $CellContext`yoff\
\[Theta]7$$^2]; $CellContext`\[Theta]7$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]7$$, \
$CellContext`yoff\[Theta]7$$]/
                    Degree]; {$CellContext`x\[Theta]7$$, $CellContext`y\
\[Theta]7$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]7 = ", 
                   ToString[$CellContext`\[Theta]7$$]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx1$$, $CellContext`yy1$$}, \
({$CellContext`xx1$$, $CellContext`yy1$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx1, yy1} = ", 
                   ToString[
                    Chop[{$CellContext`xx1$$, $CellContext`yy1$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx2$$, $CellContext`yy2$$}, \
({$CellContext`xx2$$, $CellContext`yy2$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx2, yy2} = ", 
                   ToString[
                    Chop[{$CellContext`xx2$$, $CellContext`yy2$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx3$$, $CellContext`yy3$$}, \
({$CellContext`xx3$$, $CellContext`yy3$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx3, yy3} = ", 
                   ToString[
                    Chop[{$CellContext`xx3$$, $CellContext`yy3$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx4$$, $CellContext`yy4$$}, \
({$CellContext`xx4$$, $CellContext`yy4$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx4, yy4} = ", 
                   ToString[
                    Chop[{$CellContext`xx4$$, $CellContext`yy4$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx5$$, $CellContext`yy5$$}, \
({$CellContext`xx5$$, $CellContext`yy5$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx5, yy5} = ", 
                   ToString[
                    Chop[{$CellContext`xx5$$, $CellContext`yy5$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx6$$, $CellContext`yy6$$}, \
({$CellContext`xx6$$, $CellContext`yy6$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx6, yy6} = ", 
                   ToString[
                    Chop[{$CellContext`xx6$$, $CellContext`yy6$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx7$$, $CellContext`yy7$$}, \
({$CellContext`xx7$$, $CellContext`yy7$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx7, yy7} = ", 
                   ToString[
                    Chop[{$CellContext`xx7$$, $CellContext`yy7$$}]]]]]}}]}, {
            PlotLabel -> None, ImageSize -> 800, AspectRatio -> Automatic}]}, 
          True], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`xx1$$, 0.}, -10, 10, ControlType -> 
         None}, {{$CellContext`yy1$$, 0.}, -10, 10, ControlType -> 
         None}, {{$CellContext`\[Theta]1$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`xx2$$, 2.}, 0.02, 4, ControlType -> 
         None}, {{$CellContext`xx3$$, 5.441038452373798}, 0.054, 11, 
         ControlType -> None}, {{$CellContext`xx4$$, 8.090017882895093}, 0.08,
          16, ControlType -> None}, {{$CellContext`xx5$$, 9.439722504706722}, 
         0.094, 19, ControlType -> 
         None}, {{$CellContext`xx6$$, 9.231716376823597}, 0.092, 18, 
         ControlType -> None}, {{$CellContext`xx7$$, 7.50582766499504}, 0.075,
          15, ControlType -> None}, {{$CellContext`yy2$$, 0.}, -10, 10, 
         ControlType -> 
         None}, {{$CellContext`yy3$$, -1.083477529209416}, -2, -0.01, 
         ControlType -> 
         None}, {{$CellContext`yy4$$, -3.5324726626655565`}, -7, -0.035, 
         ControlType -> 
         None}, {{$CellContext`yy5$$, -6.878061791784243}, -14, -0.068, 
         ControlType -> 
         None}, {{$CellContext`yy6$$, -10.47964514328117}, -21, -0.104, 
         ControlType -> 
         None}, {{$CellContext`yy7$$, -13.647606213338618`}, -27, -0.136, 
         ControlType -> None}, {{$CellContext`\[Theta]2$$, 0.}, -180., 180., 
         ControlType -> 
         None}, {{$CellContext`\[Theta]3$$, -25.27592540454513}, \
-205.27592540454512`, 154.72407459545488`, ControlType -> 
         None}, {{$CellContext`\[Theta]4$$, -50.55185080909018}, \
-230.55185080909018`, 129.44814919090982`, ControlType -> 
         None}, {{$CellContext`\[Theta]5$$, -75.8277762136353}, \
-255.8277762136353, 104.1722237863647, ControlType -> 
         None}, {{$CellContext`\[Theta]6$$, -101.10370161818028`}, \
-281.10370161818025`, 78.89629838181972, ControlType -> 
         None}, {{$CellContext`\[Theta]7$$, -126.37962702272524`}, \
-306.37962702272523`, 53.620372977274755`, ControlType -> 
         None}, {{$CellContext`minxx1$$, -10}, ControlType -> 
         None}, {{$CellContext`maxxx1$$, 10}, ControlType -> 
         None}, {{$CellContext`minyy1$$, -10}, ControlType -> 
         None}, {{$CellContext`maxyy1$$, 10}, ControlType -> 
         None}, {{$CellContext`min\[Theta]1$$, -180.}, ControlType -> 
         None}, {{$CellContext`max\[Theta]1$$, 180.}, ControlType -> 
         None}, {{$CellContext`minxx2$$, 0.02}, ControlType -> 
         None}, {{$CellContext`maxxx2$$, 4}, ControlType -> 
         None}, {{$CellContext`minxx3$$, 0.054}, ControlType -> 
         None}, {{$CellContext`maxxx3$$, 11}, ControlType -> 
         None}, {{$CellContext`minxx4$$, 0.08}, ControlType -> 
         None}, {{$CellContext`maxxx4$$, 16}, ControlType -> 
         None}, {{$CellContext`minxx5$$, 0.094}, ControlType -> 
         None}, {{$CellContext`maxxx5$$, 19}, ControlType -> 
         None}, {{$CellContext`minxx6$$, 0.092}, ControlType -> 
         None}, {{$CellContext`maxxx6$$, 18}, ControlType -> 
         None}, {{$CellContext`minxx7$$, 0.075}, ControlType -> 
         None}, {{$CellContext`maxxx7$$, 15}, ControlType -> 
         None}, {{$CellContext`minyy2$$, -10}, ControlType -> 
         None}, {{$CellContext`maxyy2$$, 10}, ControlType -> 
         None}, {{$CellContext`minyy3$$, -2}, ControlType -> 
         None}, {{$CellContext`maxyy3$$, -0.01}, ControlType -> 
         None}, {{$CellContext`minyy4$$, -7}, ControlType -> 
         None}, {{$CellContext`maxyy4$$, -0.035}, ControlType -> 
         None}, {{$CellContext`minyy5$$, -14}, ControlType -> 
         None}, {{$CellContext`maxyy5$$, -0.068}, ControlType -> 
         None}, {{$CellContext`minyy6$$, -21}, ControlType -> 
         None}, {{$CellContext`maxyy6$$, -0.104}, ControlType -> 
         None}, {{$CellContext`minyy7$$, -27}, ControlType -> 
         None}, {{$CellContext`maxyy7$$, -0.136}, ControlType -> 
         None}, {{$CellContext`min\[Theta]2$$, -180.}, ControlType -> 
         None}, {{$CellContext`max\[Theta]2$$, 180.}, ControlType -> 
         None}, {{$CellContext`min\[Theta]3$$, -205.27592540454512`}, 
         ControlType -> 
         None}, {{$CellContext`max\[Theta]3$$, 154.72407459545488`}, 
         ControlType -> 
         None}, {{$CellContext`min\[Theta]4$$, -230.55185080909018`}, 
         ControlType -> 
         None}, {{$CellContext`max\[Theta]4$$, 129.44814919090982`}, 
         ControlType -> 
         None}, {{$CellContext`min\[Theta]5$$, -255.8277762136353}, 
         ControlType -> 
         None}, {{$CellContext`max\[Theta]5$$, 104.1722237863647}, 
         ControlType -> 
         None}, {{$CellContext`min\[Theta]6$$, -281.10370161818025`}, 
         ControlType -> 
         None}, {{$CellContext`max\[Theta]6$$, 78.89629838181972}, 
         ControlType -> 
         None}, {{$CellContext`min\[Theta]7$$, -306.37962702272523`}, 
         ControlType -> 
         None}, {{$CellContext`max\[Theta]7$$, 53.620372977274755`}, 
         ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[
             ToExpression[#] -> #2& , {{
               "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", "yy2", 
                "yy3", "yy4", "yy5", "yy6", "yy7", "\[Theta]1", "\[Theta]2", 
                "\[Theta]3", "\[Theta]4", "\[Theta]5", "\[Theta]6", 
                "\[Theta]7"}, {$CellContext`xx1$$, $CellContext`xx2$$, \
$CellContext`xx3$$, $CellContext`xx4$$, $CellContext`xx5$$, \
$CellContext`xx6$$, $CellContext`xx7$$, $CellContext`yy1$$, \
$CellContext`yy2$$, $CellContext`yy3$$, $CellContext`yy4$$, \
$CellContext`yy5$$, $CellContext`yy6$$, $CellContext`yy7$$, $CellContext`\
\[Theta]1$$, $CellContext`\[Theta]2$$, $CellContext`\[Theta]3$$, \
$CellContext`\[Theta]4$$, $CellContext`\[Theta]5$$, $CellContext`\[Theta]6$$, \
$CellContext`\[Theta]7$$}}], 
            Optica`Optica`SymbolicRanges -> {$CellContext`xx1$$ -> {-10, 
               10}, $CellContext`yy1$$ -> {-10, 
               10}, $CellContext`\[Theta]1$$ -> {-180., 
               180.}, $CellContext`xx2$$ -> {0.02, 4}, $CellContext`xx3$$ -> {
               0.054, 11}, $CellContext`xx4$$ -> {
               0.08, 16}, $CellContext`xx5$$ -> {
               0.094, 19}, $CellContext`xx6$$ -> {
               0.092, 18}, $CellContext`xx7$$ -> {
               0.075, 15}, $CellContext`yy2$$ -> {-10, 
               10}, $CellContext`yy3$$ -> {-2, -0.01}, $CellContext`yy4$$ -> \
{-7, -0.035}, $CellContext`yy5$$ -> {-14, -0.068}, $CellContext`yy6$$ -> \
{-21, -0.104}, $CellContext`yy7$$ -> {-27, -0.136}, $CellContext`\[Theta]2$$ -> \
{-180., 180.}, $CellContext`\[Theta]3$$ -> {-205.27592540454512`, 
               154.72407459545488`}, $CellContext`\[Theta]4$$ -> \
{-230.55185080909018`, 
               129.44814919090982`}, $CellContext`\[Theta]5$$ -> \
{-255.8277762136353, 
               104.1722237863647}, $CellContext`\[Theta]6$$ -> \
{-281.10370161818025`, 
               78.89629838181972}, $CellContext`\[Theta]7$$ -> \
{-306.37962702272523`, 53.620372977274755`}}}; 
         Optica`Optica`$OpticalSystemScript = 
          "{Move[RainbowOfRays[{0.45, 0.65}, NumberOfRays -> 10, \
OpticalMedium -> 1], {{xx1, 0}, {yy1, 0}}, {\[Theta]1, 0.}], Move[Prism[{60, \
3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], {{xx2, 2.}, {yy2, \
0}}, {\[Theta]2, 0.}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, \
ComponentMedium -> Water}], {{xx3, 5.441038452373798}, {yy3, \
-1.083477529209416}}, {\[Theta]3, -25.275925404545127}], Move[Prism[{60, 3, \
60}, 3, {Centered -> True, ComponentMedium -> Water}], {{xx4, \
8.090017882895093}, {yy4, -3.5324726626655565}}, \
{ArcTan[1.0000000000000002*Cos[Degree*\[Theta]4], \
1.0000000000000002*Sin[Degree*\[Theta]4]]/Degree, -50.55185080909018}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx5, 9.439722504706722}, {yy5, -6.878061791784243}}, \
{ArcTan[1.0000000000000002*Cos[Degree*\[Theta]5], \
1.0000000000000002*Sin[Degree*\[Theta]5]]/Degree, -75.8277762136353}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx6, 9.231716376823597}, {yy6, -10.47964514328117}}, {\[Theta]6, \
-101.10370161818028}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, \
ComponentMedium -> Water}], {{xx7, 7.50582766499504}, {yy7, \
-13.647606213338618}}, {\[Theta]7, -126.37962702272523}], Move[Boundary[{0, \
-15, -15}, {30, 15, 15}], {-10., -10.}]}"; Print[
           InputForm[
            StringJoin["SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", "yy2",
                  "yy3", "yy4", "yy5", "yy6", "yy7", "\[Theta]1", "\[Theta]2",
                  "\[Theta]3", "\[Theta]4", "\[Theta]5", "\[Theta]6", 
                 "\[Theta]7"}, {$CellContext`xx1$$, $CellContext`xx2$$, \
$CellContext`xx3$$, $CellContext`xx4$$, $CellContext`xx5$$, \
$CellContext`xx6$$, $CellContext`xx7$$, $CellContext`yy1$$, \
$CellContext`yy2$$, $CellContext`yy3$$, $CellContext`yy4$$, \
$CellContext`yy5$$, $CellContext`yy6$$, $CellContext`yy7$$, $CellContext`\
\[Theta]1$$, $CellContext`\[Theta]2$$, $CellContext`\[Theta]3$$, \
$CellContext`\[Theta]4$$, $CellContext`\[Theta]5$$, $CellContext`\[Theta]6$$, \
$CellContext`\[Theta]7$$}}]]]]], ImageSize -> 
         Automatic], {{$CellContext`x\[Theta]1$$, 0.75}, ControlType -> 
         None}, {{$CellContext`y\[Theta]1$$, 0.}, ControlType -> 
         None}, {{$CellContext`radius\[Theta]1$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoff\[Theta]1$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoff\[Theta]1$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]1$$, {0., 0.}}, 
         ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]1$$, {0.75, 0.}}, 
         ControlType -> None}, {{$CellContext`last\[Theta]1$$, 0}, 
         ControlType -> None}, {{$CellContext`x\[Theta]2$$, 2.75}, 
         ControlType -> None}, {{$CellContext`y\[Theta]2$$, 0.}, ControlType -> 
         None}, {{$CellContext`radius\[Theta]2$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoff\[Theta]2$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoff\[Theta]2$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]2$$, {2., 0.}}, 
         ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]2$$, {2.75, 0.}}, 
         ControlType -> None}, {{$CellContext`last\[Theta]2$$, 0}, 
         ControlType -> 
         None}, {{$CellContext`x\[Theta]3$$, 6.119234980485755}, ControlType -> 
         None}, {{$CellContext`y\[Theta]3$$, -1.4037109897610676`}, 
         ControlType -> None}, {{$CellContext`radius\[Theta]3$$, 0.75}, 
         ControlType -> 
         None}, {{$CellContext`xoff\[Theta]3$$, 0.678196528111958}, 
         ControlType -> 
         None}, {{$CellContext`yoff\[Theta]3$$, -0.3202334605516516}, 
         ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]3$$, {
          5.441038452373798, -1.083477529209416}}, ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]3$$, {
          6.119234980485755, -1.4037109897610676`}}, ControlType -> 
         None}, {{$CellContext`last\[Theta]3$$, 0}, ControlType -> 
         None}, {{$CellContext`x\[Theta]4$$, 8.566552631543399}, ControlType -> 
         None}, {{$CellContext`y\[Theta]4$$, -4.111622585682643}, ControlType -> 
         None}, {{$CellContext`radius\[Theta]4$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoff\[Theta]4$$, 0.4765347486483045}, 
         ControlType -> 
         None}, {{$CellContext`yoff\[Theta]4$$, -0.5791499230170868}, 
         ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]4$$, {
          8.090017882895093, -3.5324726626655565`}}, ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]4$$, {
          8.566552631543399, -4.111622585682643}}, ControlType -> 
         None}, {{$CellContext`last\[Theta]4$$, 0}, ControlType -> 
         None}, {{$CellContext`x\[Theta]5$$, 9.623350542082722}, ControlType -> 
         None}, {{$CellContext`y\[Theta]5$$, -7.605234910023249}, ControlType -> 
         None}, {{$CellContext`radius\[Theta]5$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoff\[Theta]5$$, 0.18362803737600056`}, 
         ControlType -> 
         None}, {{$CellContext`yoff\[Theta]5$$, -0.7271731182390053}, 
         ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]5$$, {
          9.439722504706722, -6.878061791784243}}, ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]5$$, {
          9.623350542082722, -7.605234910023249}}, ControlType -> 
         None}, {{$CellContext`last\[Theta]5$$, 0}, ControlType -> 
         None}, {{$CellContext`x\[Theta]6$$, 9.087277354608405}, ControlType -> 
         None}, {{$CellContext`y\[Theta]6$$, -11.215605311266856`}, 
         ControlType -> None}, {{$CellContext`radius\[Theta]6$$, 0.75}, 
         ControlType -> 
         None}, {{$CellContext`xoff\[Theta]6$$, -0.14443902221519203`}, 
         ControlType -> 
         None}, {{$CellContext`yoff\[Theta]6$$, -0.7359601679856861}, 
         ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]6$$, {
          9.231716376823597, -10.47964514328117}}, ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]6$$, {
          9.087277354608405, -11.215605311266856`}}, ControlType -> 
         None}, {{$CellContext`last\[Theta]6$$, 0}, ControlType -> 
         None}, {{$CellContext`x\[Theta]7$$, 7.060978178578429}, ControlType -> 
         None}, {{$CellContext`y\[Theta]7$$, -14.251434777117176`}, 
         ControlType -> None}, {{$CellContext`radius\[Theta]7$$, 0.75}, 
         ControlType -> 
         None}, {{$CellContext`xoff\[Theta]7$$, -0.44484948641661193`}, 
         ControlType -> 
         None}, {{$CellContext`yoff\[Theta]7$$, -0.6038285637785584}, 
         ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]7$$, {
          7.50582766499504, -13.647606213338618`}}, ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]7$$, {
          7.060978178578429, -14.251434777117176`}}, ControlType -> 
         None}, {{$CellContext`last\[Theta]7$$, 0}, ControlType -> 
         None}, {{$CellContext`rayresults$$, {{1.}}}, ControlType -> 
         None}, {{$CellContext`oldwavelengths18442010112861329143632$$, {1.}},
          ControlType -> None}, {{$CellContext`wavelengths$$, {1.}}, 
         ControlType -> None}, {{$CellContext`unionwavelengths$$, {1.}}, 
         ControlType -> None}, {{$CellContext`wavelengthpositions$$, {1.}}, 
         ControlType -> None}, {{$CellContext`raycolors$$, {{1., 1., 1.}}}, 
         ControlType -> None}, {{$CellContext`raycolormodel$$, RGBColor[
           
           Abs[(-0.3183098861837907) 
             ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
            0.3183098861837907 
             ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
           Abs[
           0.3183098861837907 
             ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
            0.3183098861837907 
            ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
           
           Abs[(-0.3183098861837907) 
             ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
            0.3183098861837907 
             ArcTan[22.5 - 0.125 
               Abs[-500. + 2. Mod[100. + 500. #, 500.]]]]]& }, ControlType -> 
         None}, {{$CellContext`staticpolygons178442010112861329128591$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
            "]]}}, ControlType -> None}},
       "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 
         15, 16, 17, 18, 19, 20, 21}, SynchronousInitialization -> True, 
        BaseStyle -> {DynamicEvaluationTimeout -> 40}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{858., {462.34375, 467.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`raytracefunction18442010112861329143510 = 
       Compile[{{$CellContext`xx1$$, 
           Blank[Real]}, {$CellContext`yy1$$, 
           Blank[Real]}, {$CellContext`\[Theta]1$$, 
           Blank[Real]}, {$CellContext`xx2$$, 
           Blank[Real]}, {$CellContext`xx3$$, 
           Blank[Real]}, {$CellContext`xx4$$, 
           Blank[Real]}, {$CellContext`xx5$$, 
           Blank[Real]}, {$CellContext`xx6$$, 
           Blank[Real]}, {$CellContext`xx7$$, 
           Blank[Real]}, {$CellContext`yy2$$, 
           Blank[Real]}, {$CellContext`yy3$$, 
           Blank[Real]}, {$CellContext`yy4$$, 
           Blank[Real]}, {$CellContext`yy5$$, 
           Blank[Real]}, {$CellContext`yy6$$, 
           Blank[Real]}, {$CellContext`yy7$$, 
           Blank[Real]}, {$CellContext`\[Theta]2$$, 
           Blank[Real]}, {$CellContext`\[Theta]3$$, 
           Blank[Real]}, {$CellContext`\[Theta]4$$, 
           Blank[Real]}, {$CellContext`\[Theta]5$$, 
           Blank[Real]}, {$CellContext`\[Theta]6$$, 
           Blank[Real]}, {$CellContext`\[Theta]7$$, 
           Blank[Real]}}, 
         Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`clonedata$, \
$CellContext`clonegenerationnumber$, $CellContext`cloneinput$, \
$CellContext`clonenumber$, $CellContext`cloneposition$, \
$CellContext`clonereportedrays$, $CellContext`clonerotation$, \
$CellContext`clonescale$, $CellContext`clonescalevector$, \
$CellContext`clonesorthistogram$, $CellContext`clonetraceinput$, \
$CellContext`clonetraceoutput$, $CellContext`closestdistances$, \
$CellContext`closestposition$, $CellContext`closestpositions$, \
$CellContext`closestraylength$, $CellContext`completedray$, \
$CellContext`componentnumber$, $CellContext`cosangle$, \
$CellContext`crossmatrix$, $CellContext`deflecteddummyrayspresent$, \
$CellContext`deflectedlocalrays$, $CellContext`deflectedrays$, \
$CellContext`deflectedrayspresent$, $CellContext`dummymatrix$, \
$CellContext`dummymatrixlist$, $CellContext`dummyvector$, \
$CellContext`frontid$, $CellContext`generationlimit$, \
$CellContext`generationnumber$, $CellContext`holeintersections$, \
$CellContext`holeQ$, $CellContext`holeQlist$, $CellContext`hor$, \
$CellContext`index$, $CellContext`index1$, $CellContext`index2$, \
$CellContext`inrays$, $CellContext`intensity$, $CellContext`intensityscale$, \
$CellContext`intersectionnumber$, $CellContext`intersections$, \
$CellContext`intersectionslist$, $CellContext`intersectionspresent$, \
$CellContext`localdummyoutrayspresent$, $CellContext`localoutrays$, \
$CellContext`localoutrayspresent$, $CellContext`magnitude$, \
$CellContext`maxclonegenerationnumber$, $CellContext`maximumposition$, \
$CellContext`minimumraylength$, $CellContext`minresonateraylength$, \
$CellContext`n12$, $CellContext`newcomponentnumber$, \
$CellContext`newdeflectedrays$, $CellContext`newdistance$, \
$CellContext`newsurfaceid$, $CellContext`newsurfacenumber$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`opticallength$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`reporteddummyrayspresent$, \
$CellContext`reportedlocalrays$, $CellContext`reportedrays$, \
$CellContext`reportedrayspresent$, $CellContext`resonateintersections$, \
$CellContext`resonatenumber$, $CellContext`resonateraylength$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`rotationaxis$, $CellContext`rsx$, $CellContext`LocRSx$, \
$CellContext`rsy$, $CellContext`LocRSy$, $CellContext`rsz$, \
$CellContext`LocRSz$, 
           Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sno1$, $CellContext`sno2$, $CellContext`sno3$, \
$CellContext`sno4$, $CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`tempclonedata$, \
$CellContext`terminatedeflection$, $CellContext`thresholdintensity$, \
$CellContext`tiltmagnitude$, $CellContext`transmatrix$, $CellContext`LocTV1$, \
$CellContext`LocTV10$, $CellContext`LocTV2$, $CellContext`LocTV3$, \
$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$, \
$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$, \
$CellContext`u$, $CellContext`unfilteredintersections$, $CellContext`unit$, \
$CellContext`uu$, $CellContext`ver$, $CellContext`wavelength$, \
$CellContext`XAxis$, $CellContext`xunit$, $CellContext`YAxis$, \
$CellContext`yunit$, $CellContext`ZAxis$, $CellContext`zunit$}, \
$CellContext`activeregion$ = 
           1.; $CellContext`allcreatedamplitudes$ = {{
             0. + 0. I, 0. + 0. I, 0. + 
              0. I}}; $CellContext`allcreatedrays$ = {{
            1.}}; $CellContext`allowzeroraylength$ = 
           True; $CellContext`alternateindex$ = 
           1.; $CellContext`amplitude$ = {
            1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`axismagnitude$ = 
           1.; $CellContext`axismatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`clonedata$ = {{
            1.}}; $CellContext`clonegenerationnumber$ = 
           1.; $CellContext`cloneinput$ = {1.}; $CellContext`clonenumber$ = 
           1; $CellContext`cloneposition$ = {0., 0., 
            0.}; $CellContext`clonereportedrays$ = {{
            1.}}; $CellContext`clonerotation$ = {{
            1.}}; $CellContext`clonescale$ = 
           1.; $CellContext`clonescalevector$ = {
            1.}; $CellContext`clonesorthistogram$ = {
            1}; $CellContext`clonetraceinput$ = {{
            1.}}; $CellContext`clonetraceoutput$ = {{
            1.}}; $CellContext`closestdistances$ = {
            1.}; $CellContext`closestposition$ = 
           0; $CellContext`closestpositions$ = {
            0}; $CellContext`closestraylength$ = 
           1.; $CellContext`completedray$ = {
            1.}; $CellContext`componentnumber$ = -1.; $CellContext`cosangle$ = 
           1.; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`deflecteddummyrayspresent$ = 
           False; $CellContext`deflectedlocalrays$ = {{
            1.}}; $CellContext`deflectedrays$ = {{
            1.}}; $CellContext`deflectedrayspresent$ = 
           False; $CellContext`dummymatrix$ = {{
            1.}}; $CellContext`dummymatrixlist$ = {{{
            1.}}}; $CellContext`dummyvector$ = {1.}; $CellContext`frontid$ = 
           1.; $CellContext`generationlimit$ = 
           200.; $CellContext`generationnumber$ = 
           1.; $CellContext`holeintersections$ = {{-1., 0., 
            0.}}; $CellContext`holeQ$ = 
           False; $CellContext`holeQlist$ = {0}; $CellContext`hor$ = 
           1. + 0. I; $CellContext`index$ = 1.; $CellContext`index1$ = 
           1.; $CellContext`index2$ = 
           1.; $CellContext`inrays$ = {{1.}}; $CellContext`intensity$ = 
           1.; $CellContext`intensityscale$ = 
           1.; $CellContext`intersectionnumber$ = 
           1.; $CellContext`intersections$ = {{-1., 0., 
            0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
            0.}}}; $CellContext`intersectionspresent$ = 
           False; $CellContext`localdummyoutrayspresent$ = 
           False; $CellContext`localoutrays$ = {{
            1.}}; $CellContext`localoutrayspresent$ = 
           False; $CellContext`magnitude$ = 
           1.; $CellContext`maxclonegenerationnumber$ = 
           1.; $CellContext`maximumposition$ = 
           1; $CellContext`minimumraylength$ = 
           0.0001; $CellContext`minresonateraylength$ = 1.; $CellContext`n12$ = 
           1.; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newdeflectedrays$ = {{1.}}; $CellContext`newdistance$ = 
           1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`nonintersectingrays$ = {{
            1.}}; $CellContext`normalizedpolarization$ = {1., 
            1.}; $CellContext`oldgenerationnumber$ = 
           1.; $CellContext`opticallength$ = 
           1.; $CellContext`originalray$ = {
            1.}; $CellContext`originalraytilt$ = {
            1.}; $CellContext`originalrotation$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`originalsurfnorm$ = {{
            1.}}; $CellContext`outrays$ = {{
            1.}}; $CellContext`parallelamplitude$ = 
           1. + 0. I; $CellContext`PAxis$ = {1., 0., 
            0.}; $CellContext`perpendicularamplitude$ = 
           1. + 0. I; $CellContext`phaseshift$ = 0.; $CellContext`pol1$ = 
           1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
           1.; $CellContext`previoustilt$ = {1., 0., 
            0.}; $CellContext`propagate$ = 
           True; $CellContext`propagatedrays$ = {{1.}}; $CellContext`r1$ = 
           1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 1.; $CellContext`r4$ = 
           1.; $CellContext`r5$ = 1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
           1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
           1.; $CellContext`ray1$ = 1.; $CellContext`ray2$ = 
           1.; $CellContext`ray3$ = 1.; $CellContext`LocRayL$ = 
           1.; $CellContext`rayslot$ = 1.; $CellContext`raysreported$ = 
           False; $CellContext`raytiltx$ = 1.; $CellContext`raytiltz$ = 
           1.; $CellContext`reporteddummyrayspresent$ = 
           False; $CellContext`reportedlocalrays$ = {{
            1.}}; $CellContext`reportedrays$ = {{
            1.}}; $CellContext`reportedrayspresent$ = 
           False; $CellContext`resonateintersections$ = {{-1., 0., 
            0.}}; $CellContext`resonatenumber$ = 
           0; $CellContext`resonateraylength$ = 1.; $CellContext`rex$ = 
           1.; $CellContext`rey$ = 1.; $CellContext`rez$ = 
           1.; $CellContext`rsx$ = 1.; $CellContext`LocRSx$ = 
           1.; $CellContext`rsy$ = 1.; $CellContext`LocRSy$ = 
           1.; $CellContext`rsz$ = 1.; $CellContext`LocRSz$ = 1.; 
          Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
           1.; $CellContext`LocRTz$ = 1.; $CellContext`rx$ = 
           1.; $CellContext`rxhlp$ = 1.; $CellContext`ry$ = 
           1.; $CellContext`ryhlp$ = 1.; $CellContext`rz$ = 
           1.; $CellContext`rzhlp$ = 1.; $CellContext`LocSCx$ = 
           1.; $CellContext`LocSCy$ = 1.; $CellContext`sid$ = 
           1.; $CellContext`sinangle$ = 1.; $CellContext`sno1$ = 
           1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
           1.; $CellContext`sno4$ = 
           1.; $CellContext`surfaceid$ = -1.; $CellContext`surfacenumber$ = \
-1.; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 0., 
            0.}; $CellContext`surfnorm$ = {{1.}}; $CellContext`symr1$ = 
           1.; $CellContext`symr2$ = 1.; $CellContext`symr3$ = 
           1.; $CellContext`symr4$ = 1.; $CellContext`symr5$ = 
           1.; $CellContext`symr6$ = 1.; $CellContext`symr7$ = 
           1.; $CellContext`symr8$ = 1.; $CellContext`symr9$ = 
           1.; $CellContext`tempclonedata$ = {{
            1.}}; $CellContext`terminatedeflection$ = 
           False; $CellContext`thresholdintensity$ = 
           1.; $CellContext`tiltmagnitude$ = 
           1.; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}}; $CellContext`LocTV1$ = 1.; $CellContext`LocTV10$ = 
           1.; $CellContext`LocTV2$ = 1.; $CellContext`LocTV3$ = 
           1.; $CellContext`LocTV4$ = 1.; $CellContext`LocTV5$ = 
           1.; $CellContext`LocTV6$ = 1.; $CellContext`LocTV7$ = 
           1.; $CellContext`LocTV8$ = 1.; $CellContext`LocTV9$ = 
           1.; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
            0.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`ver$ = 0. + 0. I; $CellContext`wavelength$ = 
           1.; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`xunit$ = 
           1.; $CellContext`YAxis$ = {1., 0., 0.}; $CellContext`yunit$ = 
           1.; $CellContext`ZAxis$ = {1., 0., 0.}; $CellContext`zunit$ = 
           1.; $CellContext`propagatedrays$ = 
           Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                 Cos[Degree $CellContext`\[Theta]1$$], 
                 Sin[Degree $CellContext`\[Theta]1$$], 0, -
                 Sin[Degree $CellContext`\[Theta]1$$], 
                 Cos[Degree $CellContext`\[Theta]1$$], 0, 0, 0, 1}]; 
             Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`xx1$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`yy1$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`xx1$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`yy1$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGDgAmJ1BnLBB3tK5c+eAYE7UHWRDrNmgsBOe3R15JkPBfmv
HFBouD4VB/LMJdJesvUTlu97bAFE9+gcbgxQeuiGW8CvJf6/ltync7hxQOmh
G26dHSDwgM7hJgClh264vZxsB0QP6RxuIlB66Iab1/wvnvO/0DvcJKD00A23
1atA4BGdw00GSg/dcOPZlsC9LeExncNNAUoP3XDLOSgGRE/oHG5KUHrohhuk
3UvvcFNBo0k1FyEPAJqg33k=
               "]]]; $CellContext`propagatedrays$ = 
           Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
              1.; $CellContext`frontid$ = 
              1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
           200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
           0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 53990.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54021.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])
                     Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54052.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2] \
($CellContext`rez$ + 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])
                     Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) - (1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])
                     Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) - (1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54108.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    53990.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    53990.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx2$$] + $CellContext`ryhlp$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rey$ = Re[$CellContext`yy2$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`rxhlp$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), (-
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), 
                    0.}, {(-Re[0.5 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    
                    
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx2$$], 
                    Re[$CellContext`yy2$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    54021.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    54021.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`ryhlp$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`rxhlp$ Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), (-
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), 
                    0.}, {(-Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {
                    
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    
                    
                    Re[$CellContext`yy2$$ + 
                    1.5 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])
                     Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 3., 
                    54052.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 3., 
                    54052.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rey$ = (-$CellContext`rxhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {-Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], -
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]],
                     0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])
                     Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) - (1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 4., 
                    54080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 4., 
                    54080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]])
                     Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) - (1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 5., 
                    54108.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 5., 
                    54108.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]] + 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]2$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]], 
                    
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]2$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`\[Theta]2$$]],
                     1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]2$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]2$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 53990.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx3$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54021.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54052.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2] \
($CellContext`rez$ + 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54108.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    53990.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    53990.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx3$$] + $CellContext`ryhlp$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rey$ = Re[$CellContext`yy3$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`rxhlp$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), (-
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), 
                    0.}, {(-Re[0.5 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    
                    
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx3$$], 
                    Re[$CellContext`yy3$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx3$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    54021.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    54021.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx3$$ + 
                    1.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`ryhlp$ Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`rxhlp$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`yy3$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), (-
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), 
                    0.}, {(-Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {
                    
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx3$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    
                    
                    Re[$CellContext`yy3$$ + 
                    1.5 Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    54052.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    54052.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rey$ = (-$CellContext`rxhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {-Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], -
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    54080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    54080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], \
(-1.5) Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]3$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    54108.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    54108.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]] + 
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]3$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.7499999999999998 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    1.2990381056766582` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 
                    
                    Re[$CellContext`yy3$$ - 1.2990381056766582` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]3$$] + 
                    0.7499999999999998 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]3$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]3$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 53990.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx4$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54021.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = ((-1.0000000000000002`) $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
((-1.0000000000000002`) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) + (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54052.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2] \
($CellContext`rez$ + 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54108.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 1., 
                    53990.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 1., 
                    53990.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx4$$] + $CellContext`ryhlp$ 
                    Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rey$ = Re[$CellContext`yy4$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`rxhlp$ Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), (-
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), 
                    0.}, {(-Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    
                    Re[(-0.5000000000000002) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {
                    Re[
                    0.5000000000000003 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    Re[
                    0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.5000000000000003 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx4$$], 
                    Re[$CellContext`yy4$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`r2$ Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx4$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 2., 
                    54021.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 2., 
                    54021.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx4$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`ryhlp$ Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + \
$CellContext`rxhlp$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`yy4$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]/(
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), (-
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])/(
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), 
                    0.}, {(-Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])/(
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]/(
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])/(
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] 
                    Re[0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1. Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    Re[
                    0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {
                    
                    Re[(-0.49999999999999983`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.8660254037844388 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    Re[
                    0.8660254037844388 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] - 
                    0.49999999999999983` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    
                    Re[$CellContext`yy4$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = ((-1.0000000000000002`) $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
((-1.0000000000000002`) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) + (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 3., 
                    54052.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 3., 
                    54052.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
(1.0000000000000002` $CellContext`ryhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`rxhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rey$ = ((-1.0000000000000002`) $CellContext`rxhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`ryhlp$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {(-1.0000000000000002`) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]], \
(-1.0000000000000002`) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 4., 
                    54080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 4., 
                    54080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
(1.0000000000000002` $CellContext`ryhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1.0000000000000002` $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rey$ = (1.0000000000000002` $CellContext`rzhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`ryhlp$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]], \
(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]}, {
                    0., 1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], \
(-1.5) Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 5., 
                    54108.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 5., 
                    54108.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
(1.0000000000000002` $CellContext`ryhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] - (
                    1.0000000000000002` $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rey$ = (1.0000000000000002` $CellContext`rzhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]] + 
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]] + (
                    1.0000000000000002` $CellContext`ryhlp$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]4$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]4$$]], \
(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]]}, {
                    0., 1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}, {(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    0.7499999999999996 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    1.2990381056766587` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 
                    
                    Re[$CellContext`yy4$$ - 1.2990381056766587` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]4$$] + 
                    0.7499999999999996 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]4$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]4$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 53990.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    1.5000000000000004` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ + 
                    1.5000000000000004` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx5$$ + 
                    1.5000000000000004` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ + 
                    1.5000000000000004` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54021.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = ((-1.0000000000000002`) $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
((-1.0000000000000002`) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) + (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54052.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2] \
($CellContext`rez$ + 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54108.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 1., 
                    53990.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 1., 
                    53990.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx5$$] + $CellContext`ryhlp$ 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rey$ = Re[$CellContext`yy5$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`rxhlp$ Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]/(
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), (-
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])/(
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), 
                    0.}, {(-Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])/(
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), 
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]/(
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])/(
                    Re[0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {
                    Re[
                    0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844389 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    Re[
                    0.8660254037844389 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx5$$], 
                    Re[$CellContext`yy5$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    1.5000000000000004` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ + 
                    1.5000000000000004` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx5$$ + 
                    1.5000000000000004` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ + 
                    1.5000000000000004` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 2., 
                    54021.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 2., 
                    54021.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx5$$ + 
                    1.5000000000000004` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`ryhlp$ Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + \
$CellContext`rxhlp$ Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`yy5$$ + 
                    1.5000000000000004` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), (-
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), 
                    0.}, {(-Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]^2 - (
                    1. Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) 
                    Re[0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    Re[
                    0.5000000000000001 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {
                    
                    Re[(-0.5000000000000001) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] - 
                    0.5000000000000001 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    1.5000000000000004` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    
                    Re[$CellContext`yy5$$ + 
                    1.5000000000000004` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = ((-1.0000000000000002`) $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
((-1.0000000000000002`) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) + (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 3., 
                    
                    54052.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 3., 
                    54052.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
(1.0000000000000002` $CellContext`ryhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`rxhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rey$ = ((-1.0000000000000002`) $CellContext`rxhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`ryhlp$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {(-1.0000000000000002`) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]], \
(-1.0000000000000002`) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]); \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 4., 
                    54080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 4., 
                    54080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
(1.0000000000000002` $CellContext`ryhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] - (
                    1.0000000000000002` $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rey$ = (1.0000000000000002` $CellContext`rzhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`ryhlp$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]], \
(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]}, {
                    0., 1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], \
(-1.5) Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`yunit$ = (1.0000000000000002` $CellContext`r1$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`r2$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`zunit$ = (1.0000000000000002` $CellContext`r2$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] - (
                    1.0000000000000002` $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`ry$ = (1.0000000000000002` ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]])) 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rz$ = (1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]) - (
                    1.0000000000000002` Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 5., 
                    
                    54108.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 5., 
                    54108.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
(1.0000000000000002` $CellContext`ryhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] - (
                    1.0000000000000002` $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rey$ = (1.0000000000000002` $CellContext`rzhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]] + 
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]] + (
                    1.0000000000000002` $CellContext`ryhlp$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]5$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1.0000000000000002` Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]5$$]], \
(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]]}, {
                    0., 1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}, {(-1.0000000000000002`) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    1.0000000000000002` Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    0.7500000000000002 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    1.2990381056766576` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 
                    
                    Re[$CellContext`yy5$$ - 1.2990381056766576` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]5$$] + 
                    0.7500000000000002 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]5$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]5$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`\[Theta]6$$]
                     - 0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 53990.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx6$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + S\
in[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54021.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54052.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2] \
($CellContext`rez$ + 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54108.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 1., 
                    53990.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 1., 
                    53990.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx6$$] + $CellContext`ryhlp$ 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rey$ = Re[$CellContext`yy6$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`rxhlp$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), (-
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), 
                    0.}, {(-Re[0.5 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (1. 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    
                    
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx6$$], 
                    Re[$CellContext`yy6$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx6$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 2., 
                    54021.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 2., 
                    54021.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx6$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`ryhlp$ Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`rxhlp$ Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`yy6$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (
                    1. Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), (-
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (
                    1. Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), 
                    0.}, {(-Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (
                    1. Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), 
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (
                    1. Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (
                    1. Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])/(
                    Re[0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]^2 - (
                    1. Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) 
                    Re[0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    0.4999999999999999 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {
                    
                    Re[(-0.4999999999999999) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.8660254037844385 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    0.8660254037844385 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] - 
                    0.4999999999999999 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ + 
                    1.5000000000000002` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    
                    Re[$CellContext`yy6$$ + 
                    1.5000000000000002` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[
                    Abs[$CellContext`alternateindex$ - $CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 3., 
                    54052.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 3., 
                    54052.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rey$ = (-$CellContext`rxhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {-Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], -
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 0.},
                     {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 4., 
                    54080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 4., 
                    54080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], \
(-1.5) Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]6$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 5., 
                    54108.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 5., 
                    54108.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]] + 
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]6$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ + 
                    0.7500000000000007 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 
                    
                    Re[$CellContext`yy6$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`\[Theta]6$$] + 
                    0.7500000000000007 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]6$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]6$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 53990.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    1.4999999999999996` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ + 
                    1.4999999999999996` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx7$$ + 
                    1.4999999999999996` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ + 
                    1.4999999999999996` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54021.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54052.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2] \
($CellContext`rez$ + 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54108.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 1., 
                    53990.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 1., 
                    53990.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx7$$] + $CellContext`ryhlp$ 
                    Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rey$ = Re[$CellContext`yy7$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`rxhlp$ Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), (-
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), 
                    0.}, {(-Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    
                    Re[(-0.49999999999999994`) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {
                    Re[
                    0.49999999999999994` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.49999999999999994` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx7$$], 
                    Re[$CellContext`yy7$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    1.4999999999999996` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ + 
                    1.4999999999999996` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx7$$ + 
                    1.4999999999999996` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ + 
                    1.4999999999999996` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 2., 
                    54021.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 2., 
                    54021.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx7$$ + 
                    1.4999999999999996` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`ryhlp$ Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`rxhlp$ Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`yy7$$ + 
                    1.4999999999999996` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), (-
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), 
                    0.}, {(-Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), 
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]), 
                    0.}, {0., 0., (
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.5 Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])/(
                    Re[0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]^2 - (
                    1. Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) 
                    Re[0.5 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]])}}, \
#]& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {
                    
                    Re[(-0.5) Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$] - 
                    0.8660254037844387 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    0.8660254037844387 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ + 
                    1.4999999999999996` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    
                    Re[$CellContext`yy7$$ + 
                    1.4999999999999996` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = (-$CellContext`r2$) Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]) \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 3., 
                    54052.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 3., 
                    54052.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rey$ = (-$CellContext`rxhlp$) Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {-Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], -
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 4., 
                    54080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 4., 
                    54080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], \
(-1.5) Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] - (
                    1. $CellContext`r1$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`\[Theta]7$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]) - (
                    1. Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]) \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 5., 
                    54108.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 5., 
                    54108.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] - (
                    1. $CellContext`rzhlp$) Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]] + 
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`\[Theta]7$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], -
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]]}, {
                    0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]]}, {
                    1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ + 
                    0.7500000000000008 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    1.2990381056766578` 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 
                    
                    Re[$CellContext`yy7$$ - 1.2990381056766578` 
                    Cos[0.017453292519943295` $CellContext`\[Theta]7$$] + 
                    0.7500000000000008 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`\[Theta]7$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`\[Theta]7$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + \
(Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$})
                     Exp[(I $CellContext`pol3$) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - (
                    2 $CellContext`ZAxis$) 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-20. + \
$CellContext`rex$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54317.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    25. + $CellContext`rey$; $CellContext`ry$ = -(-5. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54318.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    10. + $CellContext`rex$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54319.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -5. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54320.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54321.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 54322.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-20. + \
$CellContext`rex$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 1., 
                    
                    54317.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 1., 
                    54317.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rxhlp$; $CellContext`rey$ = -10. - 
                    1. $CellContext`ryhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0, 0}, {0, -1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    20., -10., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    25. + $CellContext`rey$; $CellContext`ry$ = -(-5. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 2., 
                    54318.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 2., 
                    54318.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`ryhlp$; $CellContext`rey$ = -25. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 1., 0}, {-1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    5., -25., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    10. + $CellContext`rex$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 3., 
                    54319.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 3., 
                    54319.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-10. + $CellContext`rxhlp$; $CellContext`rey$ = -10. + $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0, 0}, {0, 1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = \
{-10., -10., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -5. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = \
False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 4., 
                    54320.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 4., 
                    54320.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. + $CellContext`ryhlp$; $CellContext`rey$ = 
                    5. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, -1., 0}, {1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    5., 5., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 5., 
                    54321.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 5., 
                    54321.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`rzhlp$; $CellContext`rey$ = -10. + \
$CellContext`ryhlp$; $CellContext`rez$ = -15. + $CellContext`rxhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 0, 1.}, {
                    0, 1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector$ = {
                    5., -10., -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 6., 
                    54322.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 6., 
                    54322.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`rzhlp$; $CellContext`rey$ = -10. - 
                    1. $CellContext`ryhlp$; $CellContext`rez$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 0, -1.}, {
                    0, -1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector$ = {5., -10., 
                    15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
          If[Length[$CellContext`reportedrays$] > 
            2, $CellContext`reportedrays$ = 
            Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
          Map[{
             Part[#, 16], 
             Part[#, 1], 
             Part[#, 2], 
             Part[#, 3], 
             Part[#, 4], 
             Part[#, 5], 
             
             Part[#, 6]}& , $CellContext`reportedrays$]]]; \
$CellContext`lines118442010112861329093125 = 
       Compile[{$CellContext`xx2, $CellContext`yy2, $CellContext`\[Theta]2}, \
{{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75075 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75075 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] - 
           1.2999041310804422` 
           Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 + 
           1.2999041310804422` 
            Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25075 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75075 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.2994711183785501` 
            Sin[
             0.017453292519943295` $CellContext`\[Theta]2], $CellContext`yy2 - 
           1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75075 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75075 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75075 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]2] - 
           1.2999041310804422` 
           Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 + 
           1.2999041310804422` 
            Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 + 2.25075 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`\[Theta]2]}, \
{$CellContext`xx2 - 0.75075 Cos[0.017453292519943295` $CellContext`\[Theta]2] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]2], \
$CellContext`yy2 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]2] - 0.75075 
           Sin[0.017453292519943295` $CellContext`\[Theta]2]}}]; \
$CellContext`lines128442010112861329099648 = 
       Compile[{$CellContext`xx3, $CellContext`yy3, $CellContext`\[Theta]3}, \
{{$CellContext`xx3 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 
           0.7499999999999998 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           0.7499999999999998 
            Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 
           0.7499999999999998 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           0.7499999999999998 
            Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2994711183785506` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2994711183785506` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 
           0.7499999999999998 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           1.299904131080442 
           Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 + 
           1.299904131080442 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           0.7499999999999998 
            Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25075 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2994711183785503` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2994711183785503` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2994711183785506` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2994711183785506` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2994711183785506` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2994711183785506` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 
           0.7499999999999998 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           1.299904131080442 
           Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 + 
           1.299904131080442 
            Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           0.7499999999999998 
            Sin[0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 + 2.25075 Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2994711183785503` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2994711183785503` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`\[Theta]3]}, \
{$CellContext`xx3 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] + 
           1.2994711183785506` 
            Sin[0.017453292519943295` $CellContext`\[Theta]3], \
$CellContext`yy3 - 1.2994711183785506` 
           Cos[0.017453292519943295` $CellContext`\[Theta]3] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]3]}}]; \
$CellContext`lines138442010112861329106238 = 
       Compile[{$CellContext`xx4, $CellContext`yy4, $CellContext`\[Theta]4}, \
{{$CellContext`xx4 - 0.7500000000000004 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7500000000000004 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 
           0.7500000000000004 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           1.2990381056766582` 
           Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 + 
           1.2990381056766582` 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           0.7500000000000004 
            Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 
           0.7500000000000004 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           1.2990381056766582` 
           Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 + 
           1.2990381056766582` 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           0.7500000000000004 
            Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7500000000000004 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7500000000000004 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7500000000000004 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7500000000000004 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 
           0.7500000000000004 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           1.2990381056766582` 
           Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 + 
           1.2990381056766582` 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           0.7500000000000004 
            Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 
           0.7500000000000004 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           1.2990381056766582` 
           Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 + 
           1.2990381056766582` 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           0.7500000000000004 
            Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766582` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766582` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7500000000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766587` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766587` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7500000000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766587` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766587` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766587` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766587` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7500000000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766587` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766587` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7500000000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7500000000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2990381056766587` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2990381056766587` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7500000000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7507500000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.299471118378551 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.299471118378551 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7507500000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 
           0.7499999999999996 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           1.299904131080442 
           Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 + 
           1.299904131080442 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           0.7499999999999996 
            Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25075 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2994711183785508` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2994711183785508` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7507500000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.299471118378551 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.299471118378551 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7507500000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7507500000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.299471118378551 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.299471118378551 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7507500000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 
           0.7499999999999996 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           1.299904131080442 
           Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 + 
           1.299904131080442 
            Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           0.7499999999999996 
            Sin[0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 + 2.25075 Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.2994711183785508` 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.2994711183785508` 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`\[Theta]4]}, \
{$CellContext`xx4 - 0.7507500000000009 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] + 
           1.299471118378551 
            Sin[0.017453292519943295` $CellContext`\[Theta]4], \
$CellContext`yy4 - 1.299471118378551 
           Cos[0.017453292519943295` $CellContext`\[Theta]4] - 
           0.7507500000000009 
           Sin[0.017453292519943295` $CellContext`\[Theta]4]}}]; \
$CellContext`lines148442010112861329112904 = 
       Compile[{$CellContext`xx5, $CellContext`yy5, $CellContext`\[Theta]5}, \
{{$CellContext`xx5 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766584` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766584` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           0.7500000000000002 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           1.2990381056766584` 
           Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 + 
           1.2990381056766584` 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           0.7500000000000002 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           0.7500000000000002 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           1.2990381056766584` 
           Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 + 
           1.2990381056766584` 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           0.7500000000000002 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766584` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766584` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766584` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766584` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           0.7500000000000002 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           0.7500000000000002 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           0.7500000000000002 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           0.7500000000000002 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.299038105676658 
            Sin[
             0.017453292519943295` $CellContext`\[Theta]5], $CellContext`yy5 - 
           1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766576` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766576` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766576` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766576` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766576` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766576` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766576` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766576` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7500000000000002 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2990381056766576` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2990381056766576` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7500000000000002 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.29947111837855 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.29947111837855 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           0.7500000000000002 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           1.2999041310804431` 
           Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 + 
           1.2999041310804431` 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           0.7500000000000002 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250750000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2994711183785497` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2994711183785497` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250750000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.29947111837855 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.29947111837855 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.29947111837855 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.29947111837855 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           0.7500000000000002 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           1.2999041310804431` 
           Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 + 
           1.2999041310804431` 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           0.7500000000000002 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 + 
           2.250750000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.2994711183785497` 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.2994711183785497` 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           2.250750000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]5]}, \
{$CellContext`xx5 - 0.7507500000000003 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] + 
           1.29947111837855 
            Sin[0.017453292519943295` $CellContext`\[Theta]5], \
$CellContext`yy5 - 1.29947111837855 
           Cos[0.017453292519943295` $CellContext`\[Theta]5] - 
           0.7507500000000003 
           Sin[0.017453292519943295` $CellContext`\[Theta]5]}}]; \
$CellContext`lines158442010112861329119610 = 
       Compile[{$CellContext`xx6, $CellContext`yy6, $CellContext`\[Theta]6}, \
{{$CellContext`xx6 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           1.2990381056766578` 
           Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 + 
           1.2990381056766578` 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           1.2990381056766578` 
           Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 + 
           1.2990381056766578` 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.75 Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 0.75 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           0.7500000000000004 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           1.2990381056766578` 
           Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 + 
           1.2990381056766578` 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           0.7500000000000004 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           0.7500000000000004 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           1.2990381056766578` 
           Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 + 
           1.2990381056766578` 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           0.7500000000000004 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.25 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 2.25 Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7499999999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7499999999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7499999999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7499999999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7499999999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7499999999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7507499999999994 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7507499999999994 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           0.7500000000000007 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           1.2999041310804422` 
           Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 + 
           1.2999041310804422` 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           0.7500000000000007 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           2.250750000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.250750000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7507499999999994 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7507499999999994 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7507499999999994 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7507499999999994 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           0.7500000000000007 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           1.2999041310804422` 
           Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 + 
           1.2999041310804422` 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           0.7500000000000007 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 + 
           2.250750000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           2.250750000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]6]}, \
{$CellContext`xx6 - 0.7507499999999994 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]6], \
$CellContext`yy6 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]6] - 
           0.7507499999999994 
           Sin[0.017453292519943295` $CellContext`\[Theta]6]}}]; \
$CellContext`lines168442010112861329126524 = 
       Compile[{$CellContext`xx7, $CellContext`yy7, $CellContext`\[Theta]7}, \
{{$CellContext`xx7 - 0.7499999999999999 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7499999999999999 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           0.7499999999999999 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           0.7499999999999999 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           0.7499999999999999 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           0.7499999999999999 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7499999999999999 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7499999999999999 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7499999999999999 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7499999999999999 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.2499999999999996` 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.2499999999999996` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           0.7499999999999996 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           0.7499999999999996 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           0.7499999999999996 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 + 
           1.299038105676658 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           0.7499999999999996 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.2499999999999996` 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.2499999999999996` 
            Sin[
             0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.2499999999999996` 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.299038105676658 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.2499999999999996` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7499999999999992 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7499999999999992 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.250000000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.250000000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7499999999999992 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7499999999999992 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7499999999999992 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2990381056766578` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2990381056766578` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7499999999999992 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7507499999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7507499999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           0.7500000000000008 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           1.2999041310804424` 
           Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 + 
           1.2999041310804424` 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           0.7500000000000008 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.250750000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.29947111837855 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.29947111837855 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.250750000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7507499999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7507499999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7507499999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7507499999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           0.7500000000000008 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           1.2999041310804424` 
           Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 + 
           1.2999041310804424` 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           0.7500000000000008 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 + 
           2.250750000000001 
            Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.29947111837855 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.29947111837855 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           2.250750000000001 
            Sin[0.017453292519943295` $CellContext`\[Theta]7]}, \
{$CellContext`xx7 - 0.7507499999999993 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`\[Theta]7], \
$CellContext`yy7 - 1.2994711183785501` 
           Cos[0.017453292519943295` $CellContext`\[Theta]7] - 
           0.7507499999999993 
           Sin[0.017453292519943295` $CellContext`\[Theta]7]}}]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->40],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.499906013541709*^9, 3.4999060711442547`*^9, 
  3.499907149852065*^9, 3.499934842389846*^9, 3.499935217609537*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Second Example", "Section",
 CellChangeTimes->{{3.499935228386736*^9, 3.499935240071472*^9}}],

Cell[CellGroupData[{

Cell["\<\
prism = Move[Prism[{60,3,60},3,Centered->True,ComponentMedium->Water],0,{th,0}\
]\
\>", "Input",
 CellChangeTimes->{{3.498819704526411*^9, 3.4988197249089203`*^9}, {
   3.4988198721110773`*^9, 3.4988198750863132`*^9}, 3.498819965109537*^9, {
   3.4988200426402187`*^9, 3.498820049478594*^9}, {3.4988203239405203`*^9, 
   3.498820331130657*^9}, {3.4988204754989634`*^9, 3.4988204877047853`*^9}, {
   3.4988207626348343`*^9, 3.498820773965749*^9}, {3.499853922861321*^9, 
   3.499853941485497*^9}, {3.499935256767577*^9, 3.4999352623943443`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   TagBox[
    RowBox[{"Move", "[", 
     RowBox[{
      RowBox[{"Prism", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Centered", "\[Rule]", "True"}], ",", 
          RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}], 
      ",", "0", ",", 
      RowBox[{"{", 
       RowBox[{"th", ",", "0.`"}], "}"}]}], "]"}],
    HoldForm],
   FontColor->RGBColor[0., 0.392193, 0.]],
  DisplayForm]], "Output",
 CellChangeTimes->{3.498820488463139*^9, 3.4998538775749187`*^9, 
  3.4998539422576733`*^9, 3.499899516101986*^9, 3.499899760187195*^9, 
  3.499907067414716*^9, 3.4999352743579493`*^9, 3.499935963947538*^9, 
  3.499936131926882*^9, 3.4999374209723597`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
elements = Flatten[{RainbowOfRays[{.45,.65},NumberOfRays->10], \
MoveAligned[SingleRay[],Flatten[{Table[{2,prism},{6}]}]],Move[Boundary[30],{-\
10,-10}]}]\
\>", "Input",
 CellChangeTimes->{{3.499854272711955*^9, 3.4998543081752577`*^9}, {
   3.499854402651237*^9, 3.49985440513942*^9}, 3.499899800510956*^9, {
   3.499935268264462*^9, 3.4999352712951717`*^9}, 3.4999362545628347`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"RainbowOfRays", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0.45`", ",", "0.65`"}], "}"}], ",", 
        RowBox[{"NumberOfRays", "\[Rule]", "10"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", "2.`", ",", 
        RowBox[{"{", 
         RowBox[{"th", ",", "0.`"}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"5.441038452373798`", ",", 
          RowBox[{"-", "1.083477529209416`"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "25.27592540454513`"}], "+", "th"}], ",", 
          RowBox[{"-", "25.275925404545127`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"8.090017882895093`", ",", 
          RowBox[{"-", "3.5324726626655565`"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "50.55185080909018`"}], "+", "th"}], ",", 
          RowBox[{"-", "50.55185080909018`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"9.439722504706722`", ",", 
          RowBox[{"-", "6.878061791784243`"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "75.8277762136353`"}], "+", "th"}], ",", 
          RowBox[{"-", "75.8277762136353`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"9.231716376823597`", ",", 
          RowBox[{"-", "10.47964514328117`"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "101.10370161818028`"}], "+", "th"}], ",", 
          RowBox[{"-", "101.10370161818028`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Prism", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Centered", "\[Rule]", "True"}], ",", 
            RowBox[{"ComponentMedium", "\[Rule]", "Water"}]}], "}"}]}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"7.50582766499504`", ",", 
          RowBox[{"-", "13.647606213338618`"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "126.37962702272524`"}], "+", "th"}], ",", 
          RowBox[{"-", "126.37962702272523`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm], ",", 
   TagBox[
    StyleBox[
     TagBox[
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Boundary", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "15"}], ",", 
            RowBox[{"-", "15"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"30", ",", "15", ",", "15"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10.`"}], ",", 
          RowBox[{"-", "10.`"}]}], "}"}]}], "]"}],
      HoldForm],
     FontColor->RGBColor[0., 0.392193, 0.]],
    DisplayForm]}], "}"}]], "Output",
 CellChangeTimes->{3.499854284287215*^9, 3.4998543497011433`*^9, 
  3.4998544061965446`*^9, 3.4998998022281713`*^9, 3.4999058546515837`*^9, 
  3.499906117813101*^9, 3.4999069997700377`*^9, 3.499907073939435*^9, 
  3.4999352769462633`*^9, 3.4999359649509783`*^9, 3.499936132910844*^9, 
  3.4999374219892*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Default Behavior (ArrangeSystem->Automatic)", "Subsection",
 CellChangeTimes->{{3.4999354877744503`*^9, 3.49993549344554*^9}, {
  3.499935777646069*^9, 3.499935783642395*^9}}],

Cell[CellGroupData[{

Cell["ManipulateSystem[elements]", "Input",
 CellChangeTimes->{{3.499854615337832*^9, 3.499854634457168*^9}, {
  3.499935413928474*^9, 3.499935423461536*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`lastlocposth$$ = {2.75, 
    0.}, $CellContext`laststartposth$$ = {2., 0}, $CellContext`lastth$$ = 
    0, $CellContext`maxth$$ = 
    180., $CellContext`minth$$ = -180., \
$CellContext`oldwavelengths117502010112862856291826$$ = CompressedData["
1:eJxTTMoPSmVkYGBoAuKzZ0Dgjj2t6b7HFkB0j+Z0wK8l/r+W3Kc53dkBAg9o
Tr+cbAdED2lOe83/4jn/C+3p1atA4BHNaZ5tCdzbEh7TnM45KAZET2hOQ/IR
7WkAe5Jm+A==
    "], $CellContext`radiusth$$ = 
    0.75, $CellContext`raycolormodel$$ = RGBColor[
     Abs[(-0.3183098861837907) 
       ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
      0.3183098861837907 
       ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
     Abs[0.3183098861837907 
       ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
      0.3183098861837907 
      ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
     Abs[(-0.3183098861837907) 
       ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
      0.3183098861837907 
       ArcTan[22.5 - 0.125 
         Abs[-500. + 
           2. Mod[100. + 500. #, 500.]]]]]& , $CellContext`raycolors$$ = {
     RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
     
     RGBColor[
     0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
     RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
     RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
     RGBColor[
     0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
     RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
     RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
     
     RGBColor[
     0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`], 
     RGBColor[
     0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
     RGBColor[
     0.9470219661360387, 0.013022958189276956`, 
      0.009663572422132893]}, $CellContext`rayresults$$ = {{
    1.}}, $CellContext`staticpolygons1717502010112862856285353$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
      "]]}, $CellContext`th$$ = 
    0., $CellContext`unionwavelengths$$ = {
    1.}, $CellContext`wavelengthpositions$$ = {1, 14, 27, 40, 53, 66, 79, 92, 
    105, 118, 131}, $CellContext`wavelengths$$ = {1.}, $CellContext`xoffth$$ =
     0.75, $CellContext`xth$$ = 2.75, $CellContext`yoffth$$ = 
    0., $CellContext`yth$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`th$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[ToExpression[#] -> #2& , {{"th"}, {$CellContext`th$$}}], 
           Optica`Optica`SymbolicRanges -> {$CellContext`th$$ -> {-180., 
              180.}}}; Optica`Optica`$OpticalSystemScript = 
         "{RainbowOfRays[{0.45, 0.65}, NumberOfRays -> 10, OpticalMedium -> \
1], Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
2., {th, 0.}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium \
-> Water}], {5.441038452373798, -1.083477529209416}, \
{ArcTan[0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th], -0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th]]/Degree, -25.275925404545127}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{8.090017882895093, -3.5324726626655565}, \
{ArcTan[0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th], -0.7721998973561157*Cos[Degree*th] + \
0.6353796648644058*Sin[Degree*th]]/Degree, -50.55185080909018}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{9.439722504706722, -6.878061791784243}, \
{ArcTan[0.2448373831680008*Cos[Degree*th] + 0.969564157652007*Sin[Degree*th], \
-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]]/Degree, -75.8277762136353}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{9.231716376823597, -10.47964514328117}, \
{ArcTan[-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th], -0.9812802239809147*Cos[Degree*th] - \
0.19258536295358947*Sin[Degree*th]]/Degree, -101.10370161818028}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{7.50582766499504, -13.647606213338618}, \
{ArcTan[-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th], -0.8051047517047446*Cos[Degree*th] - \
0.5931326485554825*Sin[Degree*th]]/Degree, -126.37962702272523}], \
Move[Boundary[{0, -15, -15}, {30, 15, 15}], {-10., -10.}]}"; Print[
          InputForm[
           StringJoin["SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{"th"}, {$CellContext`th$$}}]]]]],
         ImageSize -> Automatic]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xth$$], 2.75}}, {{
       Hold[$CellContext`yth$$], 0.}}, {{
       Hold[$CellContext`radiusth$$], 0.75}}, {{
       Hold[$CellContext`xoffth$$], 0.75}}, {{
       Hold[$CellContext`yoffth$$], 0.}}, {{
       Hold[$CellContext`laststartposth$$], {2., 0}}}, {{
       Hold[$CellContext`lastlocposth$$], {2.75, 0.}}}, {{
       Hold[$CellContext`lastth$$], 0}}, {{
       Hold[$CellContext`rayresults$$], {{1.}}}}, {{
       Hold[$CellContext`oldwavelengths117502010112862856291826$$], {1.}}}, {{
      
       Hold[$CellContext`wavelengths$$], {1.}}}, {{
       Hold[$CellContext`unionwavelengths$$], {1.}}}, {{
       Hold[$CellContext`wavelengthpositions$$], {1.}}}, {{
       Hold[$CellContext`raycolors$$], {{1., 1., 1.}}}}, {{
       Hold[$CellContext`raycolormodel$$], RGBColor[
        Abs[(-0.3183098861837907) 
          ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
         0.3183098861837907 
          ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
        Abs[
        0.3183098861837907 
          ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
         0.3183098861837907 
         ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
        Abs[(-0.3183098861837907) 
          ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
         0.3183098861837907 
          ArcTan[22.5 - 0.125 
            Abs[-500. + 2. Mod[100. + 500. #, 500.]]]]]& }}, {{
       Hold[$CellContext`staticpolygons1717502010112862856285353$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
         "]]}}}}, Typeset`size$$ = {
    815., {415.84375, 421.15625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`th$2502$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`lastlocposth$$ = {2.75, 
         0.}, $CellContext`laststartposth$$ = {2., 0}, $CellContext`lastth$$ = 
        0, $CellContext`maxth$$ = 
        180., $CellContext`minth$$ = -180., \
$CellContext`oldwavelengths117502010112862856291826$$ = {
         1.}, $CellContext`radiusth$$ = 0.75, $CellContext`raycolormodel$$ = 
        RGBColor[
          
          Abs[(-0.3183098861837907) 
            ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
           0.3183098861837907 
            ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
          Abs[
          0.3183098861837907 
            ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
           0.3183098861837907 
           ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
          
          Abs[(-0.3183098861837907) 
            ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
           0.3183098861837907 
            ArcTan[22.5 - 0.125 
              Abs[-500. + 
                2. Mod[100. + 500. #, 
                   500.]]]]]& , $CellContext`raycolors$$ = {{1., 1., 
         1.}}, $CellContext`rayresults$$ = {{
         1.}}, $CellContext`staticpolygons1717502010112862856285353$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
           "]]}, $CellContext`th$$ = 
        0., $CellContext`unionwavelengths$$ = {
         1.}, $CellContext`wavelengthpositions$$ = {
         1.}, $CellContext`wavelengths$$ = {1.}, $CellContext`xoffth$$ = 
        0.75, $CellContext`xth$$ = 2.75, $CellContext`yoffth$$ = 
        0., $CellContext`yth$$ = 0.}, "ControllerVariables" :> {
        Hold[$CellContext`th$$, $CellContext`th$2502$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         OpenerView[{"TopView", 
           Show[{
             Graphics[{{
                Opacity[0.8], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1117502010112862856265043[$CellContext`\
th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1217502010112862856268781[$CellContext`\
th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1317502010112862856272509[$CellContext`\
th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1417502010112862856276490[$CellContext`\
th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1517502010112862856280228[$CellContext`\
th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1617502010112862856283929[$CellContext`\
th$$]]]]}], $CellContext`staticpolygons1717502010112862856285353$$, 
                Opacity[1], 
                AbsoluteThickness[Medium], 
                Dynamic[
                 Refresh[
                  
                  Module[{$CellContext`rayresults$, \
$CellContext`wavelengths$, $CellContext`unionwavelengths$}, \
$CellContext`rayresults$ = Sort[
                    Select[
                    $CellContext`raytracefunction117502010112862856291726[$\
CellContext`th$$], And[
                    Length[#] == 7, 
                    Part[#, 
                    2] > -9.87654321*^8]& ]]; $CellContext`wavelengths$ = 
                    First[
                    Transpose[$CellContext`rayresults$]]; 
                   If[$CellContext`oldwavelengths117502010112862856291826$$ =!= \
$CellContext`wavelengths$, $CellContext`unionwavelengths$ = 
                    Union[$CellContext`wavelengths$]; \
$CellContext`wavelengthpositions$$ = Map[Part[
                    Position[$CellContext`wavelengths$, #], 1, 
                    1]& , $CellContext`unionwavelengths$]; \
$CellContext`wavelengthpositions$$ = 
                    Join[$CellContext`wavelengthpositions$$, {
                    Length[$CellContext`wavelengths$] + 
                    1}]; $CellContext`raycolors$$ = 
                    Map[$CellContext`raycolormodel$$, \
$CellContext`unionwavelengths$]; 
                    Null]; $CellContext`\
oldwavelengths117502010112862856291826$$ = $CellContext`wavelengths$; \
$CellContext`rayresults$ = Map[{
                    Part[#, {2, 3}], 
                    Part[#, {5, 6}]}& , $CellContext`rayresults$]; Table[{
                    Part[$CellContext`raycolors$$, $CellContext`nn], 
                    Line[
                    Take[$CellContext`rayresults$, {
                    Part[$CellContext`wavelengthpositions$$, $CellContext`nn],
                     Part[$CellContext`wavelengthpositions$$, $CellContext`nn + 
                    1] - 1}]]}, {$CellContext`nn, 1, 
                    Length[$CellContext`wavelengthpositions$$] - 1}]], 
                  TrackedSymbols :> {$CellContext`th$$}], SynchronousUpdating -> 
                 True], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[
                 If[$CellContext`lastth$$ =!= $CellContext`th$$, \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}}, ({$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`xth$$, $CellContext`yth$$} != \
$CellContext`lastlocposth$$, $CellContext`lastth$$ != $CellContext`th$$], \
$CellContext`lastlocposth$$ = {$CellContext`xth$$, $CellContext`yth$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`xth$$, $CellContext`yth$$}), \
({$CellContext`xth$$, $CellContext`yth$$} = #; $CellContext`xoffth$$ = \
$CellContext`xth$$ - 2.; $CellContext`yoffth$$ = $CellContext`yth$$ + 
                    0; $CellContext`radiusth$$ = 
                    Sqrt[$CellContext`xoffth$$^2 + $CellContext`yoffth$$^2]; \
$CellContext`th$$ = Chop[
                    ArcTan[$CellContext`xoffth$$, $CellContext`yoffth$$]/
                    Degree]; {$CellContext`xth$$, $CellContext`yth$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["th = ", 
                   ToString[$CellContext`th$$]]]]}}]}, {
            PlotLabel -> None, ImageSize -> 800, AspectRatio -> Automatic}]}, 
          True], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`th$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`minth$$, -180.}, ControlType -> 
         None}, {{$CellContext`maxth$$, 180.}, ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[ToExpression[#] -> #2& , {{"th"}, {$CellContext`th$$}}],
             Optica`Optica`SymbolicRanges -> {$CellContext`th$$ -> {-180., 
               180.}}}; 
         Optica`Optica`$OpticalSystemScript = 
          "{RainbowOfRays[{0.45, 0.65}, NumberOfRays -> 10, OpticalMedium -> \
1], Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
2., {th, 0.}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium \
-> Water}], {5.441038452373798, -1.083477529209416}, \
{ArcTan[0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th], -0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th]]/Degree, -25.275925404545127}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{8.090017882895093, -3.5324726626655565}, \
{ArcTan[0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th], -0.7721998973561157*Cos[Degree*th] + \
0.6353796648644058*Sin[Degree*th]]/Degree, -50.55185080909018}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{9.439722504706722, -6.878061791784243}, \
{ArcTan[0.2448373831680008*Cos[Degree*th] + 0.969564157652007*Sin[Degree*th], \
-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]]/Degree, -75.8277762136353}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{9.231716376823597, -10.47964514328117}, \
{ArcTan[-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th], -0.9812802239809147*Cos[Degree*th] - \
0.19258536295358947*Sin[Degree*th]]/Degree, -101.10370161818028}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{7.50582766499504, -13.647606213338618}, \
{ArcTan[-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th], -0.8051047517047446*Cos[Degree*th] - \
0.5931326485554825*Sin[Degree*th]]/Degree, -126.37962702272523}], \
Move[Boundary[{0, -15, -15}, {30, 15, 15}], {-10., -10.}]}"; Print[
           InputForm[
            StringJoin["SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "th"}, {$CellContext`th$$}}]]]]], ImageSize -> 
         Automatic], {{$CellContext`xth$$, 2.75}, ControlType -> 
         None}, {{$CellContext`yth$$, 0.}, ControlType -> 
         None}, {{$CellContext`radiusth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoffth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoffth$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartposth$$, {2., 0}}, ControlType -> 
         None}, {{$CellContext`lastlocposth$$, {2.75, 0.}}, ControlType -> 
         None}, {{$CellContext`lastth$$, 0}, ControlType -> 
         None}, {{$CellContext`rayresults$$, {{1.}}}, ControlType -> 
         None}, {{$CellContext`oldwavelengths117502010112862856291826$$, {
          1.}}, ControlType -> None}, {{$CellContext`wavelengths$$, {1.}}, 
         ControlType -> None}, {{$CellContext`unionwavelengths$$, {1.}}, 
         ControlType -> None}, {{$CellContext`wavelengthpositions$$, {1.}}, 
         ControlType -> None}, {{$CellContext`raycolors$$, {{1., 1., 1.}}}, 
         ControlType -> None}, {{$CellContext`raycolormodel$$, RGBColor[
           
           Abs[(-0.3183098861837907) 
             ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
            0.3183098861837907 
             ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
           Abs[
           0.3183098861837907 
             ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
            0.3183098861837907 
            ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
           
           Abs[(-0.3183098861837907) 
             ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
            0.3183098861837907 
             ArcTan[22.5 - 0.125 
               Abs[-500. + 2. Mod[100. + 500. #, 500.]]]]]& }, ControlType -> 
         None}, {{$CellContext`staticpolygons1717502010112862856285353$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
            "]]}}, ControlType -> None}},
       "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {1}, SynchronousInitialization -> True, 
        BaseStyle -> {DynamicEvaluationTimeout -> 40}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{858., {462.34375, 467.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`raytracefunction117502010112862856291726 = 
       Compile[{{$CellContext`th$$, 
           Blank[Real]}}, 
         Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`clonedata$, \
$CellContext`clonegenerationnumber$, $CellContext`cloneinput$, \
$CellContext`clonenumber$, $CellContext`cloneposition$, \
$CellContext`clonereportedrays$, $CellContext`clonerotation$, \
$CellContext`clonescale$, $CellContext`clonescalevector$, \
$CellContext`clonesorthistogram$, $CellContext`clonetraceinput$, \
$CellContext`clonetraceoutput$, $CellContext`closestdistances$, \
$CellContext`closestposition$, $CellContext`closestpositions$, \
$CellContext`closestraylength$, $CellContext`completedray$, \
$CellContext`componentnumber$, $CellContext`cosangle$, \
$CellContext`crossmatrix$, $CellContext`deflecteddummyrayspresent$, \
$CellContext`deflectedlocalrays$, $CellContext`deflectedrays$, \
$CellContext`deflectedrayspresent$, $CellContext`dummymatrix$, \
$CellContext`dummymatrixlist$, $CellContext`dummyvector$, \
$CellContext`frontid$, $CellContext`generationlimit$, \
$CellContext`generationnumber$, $CellContext`holeintersections$, \
$CellContext`holeQ$, $CellContext`holeQlist$, $CellContext`hor$, \
$CellContext`index$, $CellContext`index1$, $CellContext`index2$, \
$CellContext`inrays$, $CellContext`intensity$, $CellContext`intensityscale$, \
$CellContext`intersectionnumber$, $CellContext`intersections$, \
$CellContext`intersectionslist$, $CellContext`intersectionspresent$, \
$CellContext`localdummyoutrayspresent$, $CellContext`localoutrays$, \
$CellContext`localoutrayspresent$, $CellContext`magnitude$, \
$CellContext`maxclonegenerationnumber$, $CellContext`maximumposition$, \
$CellContext`minimumraylength$, $CellContext`minresonateraylength$, \
$CellContext`n12$, $CellContext`newcomponentnumber$, \
$CellContext`newdeflectedrays$, $CellContext`newdistance$, \
$CellContext`newsurfaceid$, $CellContext`newsurfacenumber$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`opticallength$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`reporteddummyrayspresent$, \
$CellContext`reportedlocalrays$, $CellContext`reportedrays$, \
$CellContext`reportedrayspresent$, $CellContext`resonateintersections$, \
$CellContext`resonatenumber$, $CellContext`resonateraylength$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`rotationaxis$, $CellContext`rsx$, $CellContext`LocRSx$, \
$CellContext`rsy$, $CellContext`LocRSy$, $CellContext`rsz$, \
$CellContext`LocRSz$, 
           Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sno1$, $CellContext`sno2$, $CellContext`sno3$, \
$CellContext`sno4$, $CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`tempclonedata$, \
$CellContext`terminatedeflection$, $CellContext`thresholdintensity$, \
$CellContext`tiltmagnitude$, $CellContext`transmatrix$, $CellContext`LocTV1$, \
$CellContext`LocTV10$, $CellContext`LocTV2$, $CellContext`LocTV3$, \
$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$, \
$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$, \
$CellContext`u$, $CellContext`unfilteredintersections$, $CellContext`unit$, \
$CellContext`uu$, $CellContext`ver$, $CellContext`wavelength$, \
$CellContext`XAxis$, $CellContext`xunit$, $CellContext`YAxis$, \
$CellContext`yunit$, $CellContext`ZAxis$, $CellContext`zunit$}, \
$CellContext`activeregion$ = 
           1.; $CellContext`allcreatedamplitudes$ = {{
             0. + 0. I, 0. + 0. I, 0. + 
              0. I}}; $CellContext`allcreatedrays$ = {{
            1.}}; $CellContext`allowzeroraylength$ = 
           True; $CellContext`alternateindex$ = 
           1.; $CellContext`amplitude$ = {
            1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`axismagnitude$ = 
           1.; $CellContext`axismatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`clonedata$ = {{
            1.}}; $CellContext`clonegenerationnumber$ = 
           1.; $CellContext`cloneinput$ = {1.}; $CellContext`clonenumber$ = 
           1; $CellContext`cloneposition$ = {0., 0., 
            0.}; $CellContext`clonereportedrays$ = {{
            1.}}; $CellContext`clonerotation$ = {{
            1.}}; $CellContext`clonescale$ = 
           1.; $CellContext`clonescalevector$ = {
            1.}; $CellContext`clonesorthistogram$ = {
            1}; $CellContext`clonetraceinput$ = {{
            1.}}; $CellContext`clonetraceoutput$ = {{
            1.}}; $CellContext`closestdistances$ = {
            1.}; $CellContext`closestposition$ = 
           0; $CellContext`closestpositions$ = {
            0}; $CellContext`closestraylength$ = 
           1.; $CellContext`completedray$ = {
            1.}; $CellContext`componentnumber$ = -1.; $CellContext`cosangle$ = 
           1.; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`deflecteddummyrayspresent$ = 
           False; $CellContext`deflectedlocalrays$ = {{
            1.}}; $CellContext`deflectedrays$ = {{
            1.}}; $CellContext`deflectedrayspresent$ = 
           False; $CellContext`dummymatrix$ = {{
            1.}}; $CellContext`dummymatrixlist$ = {{{
            1.}}}; $CellContext`dummyvector$ = {1.}; $CellContext`frontid$ = 
           1.; $CellContext`generationlimit$ = 
           200.; $CellContext`generationnumber$ = 
           1.; $CellContext`holeintersections$ = {{-1., 0., 
            0.}}; $CellContext`holeQ$ = 
           False; $CellContext`holeQlist$ = {0}; $CellContext`hor$ = 
           1. + 0. I; $CellContext`index$ = 1.; $CellContext`index1$ = 
           1.; $CellContext`index2$ = 
           1.; $CellContext`inrays$ = {{1.}}; $CellContext`intensity$ = 
           1.; $CellContext`intensityscale$ = 
           1.; $CellContext`intersectionnumber$ = 
           1.; $CellContext`intersections$ = {{-1., 0., 
            0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
            0.}}}; $CellContext`intersectionspresent$ = 
           False; $CellContext`localdummyoutrayspresent$ = 
           False; $CellContext`localoutrays$ = {{
            1.}}; $CellContext`localoutrayspresent$ = 
           False; $CellContext`magnitude$ = 
           1.; $CellContext`maxclonegenerationnumber$ = 
           1.; $CellContext`maximumposition$ = 
           1; $CellContext`minimumraylength$ = 
           0.0001; $CellContext`minresonateraylength$ = 1.; $CellContext`n12$ = 
           1.; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newdeflectedrays$ = {{1.}}; $CellContext`newdistance$ = 
           1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`nonintersectingrays$ = {{
            1.}}; $CellContext`normalizedpolarization$ = {1., 
            1.}; $CellContext`oldgenerationnumber$ = 
           1.; $CellContext`opticallength$ = 
           1.; $CellContext`originalray$ = {
            1.}; $CellContext`originalraytilt$ = {
            1.}; $CellContext`originalrotation$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`originalsurfnorm$ = {{
            1.}}; $CellContext`outrays$ = {{
            1.}}; $CellContext`parallelamplitude$ = 
           1. + 0. I; $CellContext`PAxis$ = {1., 0., 
            0.}; $CellContext`perpendicularamplitude$ = 
           1. + 0. I; $CellContext`phaseshift$ = 0.; $CellContext`pol1$ = 
           1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
           1.; $CellContext`previoustilt$ = {1., 0., 
            0.}; $CellContext`propagate$ = 
           True; $CellContext`propagatedrays$ = {{1.}}; $CellContext`r1$ = 
           1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 1.; $CellContext`r4$ = 
           1.; $CellContext`r5$ = 1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
           1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
           1.; $CellContext`ray1$ = 1.; $CellContext`ray2$ = 
           1.; $CellContext`ray3$ = 1.; $CellContext`LocRayL$ = 
           1.; $CellContext`rayslot$ = 1.; $CellContext`raysreported$ = 
           False; $CellContext`raytiltx$ = 1.; $CellContext`raytiltz$ = 
           1.; $CellContext`reporteddummyrayspresent$ = 
           False; $CellContext`reportedlocalrays$ = {{
            1.}}; $CellContext`reportedrays$ = {{
            1.}}; $CellContext`reportedrayspresent$ = 
           False; $CellContext`resonateintersections$ = {{-1., 0., 
            0.}}; $CellContext`resonatenumber$ = 
           0; $CellContext`resonateraylength$ = 1.; $CellContext`rex$ = 
           1.; $CellContext`rey$ = 1.; $CellContext`rez$ = 
           1.; $CellContext`rsx$ = 1.; $CellContext`LocRSx$ = 
           1.; $CellContext`rsy$ = 1.; $CellContext`LocRSy$ = 
           1.; $CellContext`rsz$ = 1.; $CellContext`LocRSz$ = 1.; 
          Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
           1.; $CellContext`LocRTz$ = 1.; $CellContext`rx$ = 
           1.; $CellContext`rxhlp$ = 1.; $CellContext`ry$ = 
           1.; $CellContext`ryhlp$ = 1.; $CellContext`rz$ = 
           1.; $CellContext`rzhlp$ = 1.; $CellContext`LocSCx$ = 
           1.; $CellContext`LocSCy$ = 1.; $CellContext`sid$ = 
           1.; $CellContext`sinangle$ = 1.; $CellContext`sno1$ = 
           1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
           1.; $CellContext`sno4$ = 
           1.; $CellContext`surfaceid$ = -1.; $CellContext`surfacenumber$ = \
-1.; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 0., 
            0.}; $CellContext`surfnorm$ = {{1.}}; $CellContext`symr1$ = 
           1.; $CellContext`symr2$ = 1.; $CellContext`symr3$ = 
           1.; $CellContext`symr4$ = 1.; $CellContext`symr5$ = 
           1.; $CellContext`symr6$ = 1.; $CellContext`symr7$ = 
           1.; $CellContext`symr8$ = 1.; $CellContext`symr9$ = 
           1.; $CellContext`tempclonedata$ = {{
            1.}}; $CellContext`terminatedeflection$ = 
           False; $CellContext`thresholdintensity$ = 
           1.; $CellContext`tiltmagnitude$ = 
           1.; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}}; $CellContext`LocTV1$ = 1.; $CellContext`LocTV10$ = 
           1.; $CellContext`LocTV2$ = 1.; $CellContext`LocTV3$ = 
           1.; $CellContext`LocTV4$ = 1.; $CellContext`LocTV5$ = 
           1.; $CellContext`LocTV6$ = 1.; $CellContext`LocTV7$ = 
           1.; $CellContext`LocTV8$ = 1.; $CellContext`LocTV9$ = 
           1.; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
            0.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`ver$ = 0. + 0. I; $CellContext`wavelength$ = 
           1.; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`xunit$ = 
           1.; $CellContext`YAxis$ = {1., 0., 0.}; $CellContext`yunit$ = 
           1.; $CellContext`ZAxis$ = {1., 0., 0.}; $CellContext`zunit$ = 
           1.; $CellContext`propagatedrays$ = CompressedData["
1:eJxTTMoPSmViYGDgAmJ1BnLBB3tK5c+eAYE7UHWRDrNmgsBOe3R15JkPBQvm
OKDQcH0qDuSZS6S9ZOsnLN/32AKI7tE53Big9NANt4BfS/x/LblP53DjgNJD
N9w6O0DgAZ3DTQBKD91weznZDoge0jncRKD00A03r/lfPOd/oXe4SUDpoRtu
q1eBwCM6h5sMlB664cazLYF7W8JjOoebApQeuuGWc1AMiJ7QOdyUoPTQDTdI
u5fe4aaCRpNqLkIeAG3p3TU=
            "]; $CellContext`propagatedrays$ = 
           Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
              1.; $CellContext`frontid$ = 
              1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
           200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
           0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-2. + \
$CellContext`rex$) Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rey$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`ry$ = (-2. + $CellContext`rex$) 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rey$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-2. + \
$CellContext`rex$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1.5 Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = (-2. + $CellContext`rex$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1.5 Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-2. + \
$CellContext`rex$) Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rey$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`ry$ = (-2. + $CellContext`rex$) 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rey$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    2. + $CellContext`ryhlp$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    2., 0, 0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (-2. + \
$CellContext`rex$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1.5 Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = (-2. + $CellContext`rex$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1.5 Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    2. + 1.5 Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 1.5 Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    2. + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 1.5 Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 3., 
                    
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    2. + $CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -$CellContext`rxhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 0.}, {-Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], -Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    2. + Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[
                    Abs[$CellContext`alternateindex$ - $CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    2. + $CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`rzhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`th$$]]}, {0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    2. + Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]], (-1.5)
                     Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] (-2. + \
$CellContext`rex$ - 1. Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 5., 
                    
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    2. + $CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`rzhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`th$$]]}, {0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    2. + Re[0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
(-5.441038452373798 + $CellContext`rex$) 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + (
                    1.083477529209416 + $CellContext`rey$) 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (-5.441038452373798 + $CellContext`rex$) 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] + (
                    1.083477529209416 + $CellContext`rey$) 
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[(-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[(-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
(-5.441038452373798 + $CellContext`rex$) 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + (
                    1.083477529209416 + $CellContext`rey$) 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (-5.441038452373798 + $CellContext`rex$) 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] + (
                    1.083477529209416 + $CellContext`rey$) 
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5.441038452373798 + $CellContext`ryhlp$ 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -1.083477529209416 + $CellContext`ryhlp$ 
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])]/(
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])])/(
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    Re[
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    5.441038452373798, -1.083477529209416, 
                    0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r2$ Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[(-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[(-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5.441038452373798 + $CellContext`ryhlp$ 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -1.083477529209416 + $CellContext`ryhlp$ 
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] - 1. 
                    Re[0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    Re[
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    5.441038452373798 + 
                    Re[1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]], \
-1.083477529209416 + Re[(-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5.441038452373798 + $CellContext`ryhlp$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -1.083477529209416 + $CellContext`rxhlp$ 
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    0.}, {(-Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0.}, {
                    0., 0., (-Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    5.441038452373798 + 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-1.083477529209416 + Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5.441038452373798 + $CellContext`rzhlp$ 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -1.083477529209416 + $CellContext`rzhlp$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])}, {
                    0., (-Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])}, {(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    5.441038452373798 + 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-1.083477529209416 + Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    1.083477529209416 + $CellContext`rey$ - 1. 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-5.441038452373798 + $CellContext`rex$ - 1. 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5.441038452373798 + $CellContext`rzhlp$ 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -1.083477529209416 + $CellContext`rzhlp$ 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])}, {
                    0., (-Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])}, {(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    5.441038452373798 + 
                    Re[0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-1.083477529209416 + Re[0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    3.5324726626655565` + $CellContext`rey$) 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-8.090017882895093 + $CellContext`rex$) 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (3.5324726626655565` + $CellContext`rey$) 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-8.090017882895093 + $CellContext`rex$) 
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[(-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[(-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    3.5324726626655565` + $CellContext`rey$) 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-8.090017882895093 + $CellContext`rex$) 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (3.5324726626655565` + $CellContext`rey$) 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-8.090017882895093 + $CellContext`rex$) 
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    8.090017882895093 + $CellContext`ryhlp$ 
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -3.5324726626655565` + $CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    Re[
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    8.090017882895093, -3.5324726626655565`, 
                    0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[(-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[(-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    8.090017882895093 + $CellContext`ryhlp$ 
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -3.5324726626655565` + $CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    Re[
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    8.090017882895093 + 
                    Re[0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]], \
-3.5324726626655565` + Re[(-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    8.090017882895093 + $CellContext`rxhlp$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -3.5324726626655565` + $CellContext`rxhlp$ 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    8.090017882895093 + 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-3.5324726626655565` + Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    8.090017882895093 + $CellContext`rzhlp$ 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -3.5324726626655565` + $CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    8.090017882895093 + 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-3.5324726626655565` + Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    3.5324726626655565` + $CellContext`rey$ - 1. 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-8.090017882895093 + $CellContext`rex$ - 1. 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    8.090017882895093 + $CellContext`rzhlp$ 
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -3.5324726626655565` + $CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    8.090017882895093 + 
                    Re[0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-3.5324726626655565` + Re[0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    6.878061791784243 + $CellContext`rey$) 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-9.439722504706722 + $CellContext`rex$) 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (6.878061791784243 + $CellContext`rey$) 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-9.439722504706722 + $CellContext`rex$) 
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[(-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[(-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    6.878061791784243 + $CellContext`rey$) 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-9.439722504706722 + $CellContext`rex$) 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (6.878061791784243 + $CellContext`rey$) 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-9.439722504706722 + $CellContext`rex$) 
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.439722504706722 + $CellContext`ryhlp$ 
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -6.878061791784243 + $CellContext`ryhlp$ 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    Re[
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    9.439722504706722, -6.878061791784243, 
                    0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[(-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[(-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.439722504706722 + $CellContext`ryhlp$ 
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -6.878061791784243 + $CellContext`ryhlp$ 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    Re[
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    9.439722504706722 + 
                    Re[0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]], \
-6.878061791784243 + Re[(-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.439722504706722 + $CellContext`rxhlp$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -6.878061791784243 + $CellContext`rxhlp$ 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    9.439722504706722 + 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-6.878061791784243 + Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.439722504706722 + $CellContext`rzhlp$ 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -6.878061791784243 + $CellContext`ryhlp$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    9.439722504706722 + 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-6.878061791784243 + Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    6.878061791784243 + $CellContext`rey$ - 1. 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.439722504706722 + $CellContext`rex$ - 1. 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.439722504706722 + $CellContext`rzhlp$ 
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -6.878061791784243 + $CellContext`ryhlp$ 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    9.439722504706722 + 
                    Re[0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-6.878061791784243 + Re[0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    10.47964514328117 + $CellContext`rey$) 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-9.231716376823597 + $CellContext`rex$) 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (10.47964514328117 + $CellContext`rey$) 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-9.231716376823597 + $CellContext`rex$) 
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-1.4719203359713722`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[(-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-1.4719203359713722`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[(-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    10.47964514328117 + $CellContext`rey$) 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-9.231716376823597 + $CellContext`rex$) 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (10.47964514328117 + $CellContext`rey$) 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-9.231716376823597 + $CellContext`rex$) 
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.231716376823597 + $CellContext`ryhlp$ 
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -10.47964514328117 + $CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    
                    Re[(-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.9812802239809147) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    9.231716376823597, -10.47964514328117, 
                    0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[
                    Abs[$CellContext`alternateindex$ - $CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-1.4719203359713722`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[(-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-1.4719203359713722`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[(-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.231716376823597 + $CellContext`ryhlp$ 
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -10.47964514328117 + $CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-1.4719203359713722`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.9812802239809147) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    
                    Re[(-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.9812802239809147) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    9.231716376823597 + 
                    Re[(-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]], \
-10.47964514328117 + Re[(-1.4719203359713722`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.231716376823597 + $CellContext`rxhlp$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -10.47964514328117 + $CellContext`rxhlp$ 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    9.231716376823597 + 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-10.47964514328117 + Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.231716376823597 + $CellContext`rzhlp$ 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -10.47964514328117 + $CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    9.231716376823597 + 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-10.47964514328117 + Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    10.47964514328117 + $CellContext`rey$ - 1. 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-9.231716376823597 + $CellContext`rex$ - 1. 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    9.231716376823597 + $CellContext`rzhlp$ 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -10.47964514328117 + $CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    9.231716376823597 + 
                    Re[0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-10.47964514328117 + Re[(-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    13.647606213338618` + $CellContext`rey$) 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-7.50582766499504 + $CellContext`rex$) 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (13.647606213338618` + $CellContext`rey$) 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-7.50582766499504 + $CellContext`rex$) 
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-1.2076571275571168`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[(-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-1.2076571275571168`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[(-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = (
                    13.647606213338618` + $CellContext`rey$) 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
(-7.50582766499504 + $CellContext`rex$) 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`ry$ = (13.647606213338618` + $CellContext`rey$) 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
(-7.50582766499504 + $CellContext`rex$) 
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    7.50582766499504 + $CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -13.647606213338618` + $CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& ,
                     $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    
                    Re[(-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.8051047517047446) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    7.50582766499504, -13.647606213338618`, 
                    0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-1.2076571275571168`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[(-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-1.2076571275571168`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]]) + 
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[(-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    7.50582766499504 + $CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -13.647606213338618` + $CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] + \
$CellContext`rxhlp$ Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-1.2076571275571168`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), (-
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    0.}, {(-Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]/(-
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])]), 0.}, {
                    0., 0., (-Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])/(-
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])] + 
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])] 
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    Re[(-0.8051047517047446) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {
                    
                    Re[(-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    
                    Re[(-0.8051047517047446) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    7.50582766499504 + 
                    Re[(-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]], \
-13.647606213338618` + Re[(-1.2076571275571168`) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`ry$ = Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    7.50582766499504 + $CellContext`rxhlp$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -13.647606213338618` + $CellContext`rxhlp$ 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    7.50582766499504 + 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-13.647606213338618` + Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    7.50582766499504 + $CellContext`rzhlp$ 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -13.647606213338618` + $CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    7.50582766499504 + 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-13.647606213338618` + Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rz$ = Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] (
                    13.647606213338618` + $CellContext`rey$ - 1. 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]) + 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
(-7.50582766499504 + $CellContext`rex$ - 1. 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    7.50582766499504 + $CellContext`rzhlp$ 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rey$ = -13.647606213338618` + $CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rzhlp$ Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), (-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {
                    0., (-Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)}, {(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2)/(-
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    7.50582766499504 + 
                    Re[0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], \
-13.647606213338618` + Re[(-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-20. + \
$CellContext`rex$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2043.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    25. + $CellContext`rey$; $CellContext`ry$ = -(-5. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2044.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    10. + $CellContext`rex$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2045.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -5. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2046.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 0]]; {$CellContext`rsx$,
                     $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2047.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2048.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-20. + \
$CellContext`rex$); $CellContext`ry$ = -(
                    
                    10. + $CellContext`rey$); $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 1., 
                    2043.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 1., 
                    2043.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rxhlp$; $CellContext`rey$ = -10. - 
                    1. $CellContext`ryhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0, 0}, {0, -1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    20., -10., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    25. + $CellContext`rey$; $CellContext`ry$ = -(-5. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 2., 
                    2044.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 2., 
                    2044.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`ryhlp$; $CellContext`rey$ = -25. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 1., 0}, {-1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    5., -25., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    10. + $CellContext`rex$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 3., 
                    2045.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 3., 
                    2045.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-10. + $CellContext`rxhlp$; $CellContext`rey$ = -10. + $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0, 0}, {0, 1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = \
{-10., -10., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -5. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 4., 
                    2046.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 4., 
                    2046.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. + $CellContext`ryhlp$; $CellContext`rey$ = 
                    5. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, -1., 0}, {1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    5., 5., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 5., 
                    2047.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 5., 
                    2047.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`rzhlp$; $CellContext`rey$ = -10. + \
$CellContext`ryhlp$; $CellContext`rez$ = -15. + $CellContext`rxhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 0, 1.}, {
                    0, 1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector$ = {
                    5., -10., -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 6., 
                    2048.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 6., 
                    2048.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`rzhlp$; $CellContext`rey$ = -10. - 
                    1. $CellContext`ryhlp$; $CellContext`rez$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 0, -1.}, {
                    0, -1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector$ = {5., -10., 
                    15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
          If[Length[$CellContext`reportedrays$] > 
            2, $CellContext`reportedrays$ = 
            Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
          Map[{
             Part[#, 16], 
             Part[#, 1], 
             Part[#, 2], 
             Part[#, 3], 
             Part[#, 4], 
             Part[#, 5], 
             
             Part[#, 6]}& , $CellContext`reportedrays$]]]; \
$CellContext`lines1117502010112862856265043 = 
       Compile[{$CellContext`th}, {{
          2. - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] - 0.75 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 Sin[0.017453292519943295` $CellContext`th], 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 Sin[0.017453292519943295` $CellContext`th], 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] - 0.75 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] - 0.75 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 Sin[0.017453292519943295` $CellContext`th], 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 Sin[0.017453292519943295` $CellContext`th], 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] - 0.75 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] - 0.75 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], (-1.299038105676658) 
            Cos[0.017453292519943295` $CellContext`th] - 0.75 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], (-1.2994711183785501`)
              Cos[0.017453292519943295` $CellContext`th] - 0.75075 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.2999041310804422` Sin[0.017453292519943295` $CellContext`th], 
           1.2999041310804422` Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], (-1.2994711183785501`)
              Cos[0.017453292519943295` $CellContext`th] + 
           2.25075 Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], (-1.2994711183785501`)
              Cos[0.017453292519943295` $CellContext`th] - 0.75075 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], (-1.2994711183785501`)
              Cos[0.017453292519943295` $CellContext`th] - 0.75075 
           Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.2999041310804422` Sin[0.017453292519943295` $CellContext`th], 
           1.2999041310804422` Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[0.017453292519943295` $CellContext`th]}, {
          2. + 2.25075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], (-1.2994711183785501`)
              Cos[0.017453292519943295` $CellContext`th] + 
           2.25075 Sin[0.017453292519943295` $CellContext`th]}, {
          2. - 0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], (-1.2994711183785501`)
              Cos[0.017453292519943295` $CellContext`th] - 0.75075 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1217502010112862856268781 = 
       Compile[{$CellContext`th}, {{
          5.441038452373798 - 1.232857152071022 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.232857152071022 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.232857152071022 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4799289603768098` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768098` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4799289603768098` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768098` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4799289603768098` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768098` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2328571520710223` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.2328571520710223` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4799289603768095` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768095` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4799289603768095` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768095` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2328571520710223` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.2328571520710223` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2328571520710223` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.2328571520710223` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2337202354737875` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.2332269258203281` Cos[0.017453292519943295` $CellContext`th] - 
           0.8552204975512119 
           Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 + 
           0.8552204975512119 Cos[0.017453292519943295` $CellContext`th] + 
           1.2332269258203281` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4804222700302687` Cos[0.017453292519943295` $CellContext`th] + 
           2.136083016270301 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1360830162703013` Cos[0.017453292519943295` $CellContext`th] + 
           1.4804222700302687` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2337202354737875` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2337202354737875` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.2332269258203281` Cos[0.017453292519943295` $CellContext`th] - 
           0.8552204975512119 
           Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 + 
           0.8552204975512119 Cos[0.017453292519943295` $CellContext`th] + 
           1.2332269258203281` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 + 
           1.4804222700302687` Cos[0.017453292519943295` $CellContext`th] + 
           2.136083016270301 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           2.1360830162703013` Cos[0.017453292519943295` $CellContext`th] + 
           1.4804222700302687` Sin[0.017453292519943295` $CellContext`th]}, {
          5.441038452373798 - 1.2337202354737875` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], -1.083477529209416 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1317502010112862856272509 = 
       Compile[{$CellContext`th}, {{
          8.090017882895093 - 1.4796518405135024` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384062` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24623247321384062` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           1.4796518405135024` Cos[0.017453292519943295` $CellContext`th] - 
           0.24623247321384062` 
           Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` + 
           0.24623247321384062` Cos[0.017453292519943295` $CellContext`th] + 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           1.4796518405135024` Cos[0.017453292519943295` $CellContext`th] - 
           0.24623247321384062` 
           Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` + 
           0.24623247321384062` Cos[0.017453292519943295` $CellContext`th] + 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4796518405135024` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384062` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24623247321384062` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4796518405135024` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384062` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24623247321384062` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.4264871540797148 Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821877` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.5628321652821877` Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797148 Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           1.4796518405135026` Cos[0.017453292519943295` $CellContext`th] - 
           0.24623247321384056` 
           Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` + 
           0.24623247321384056` Cos[0.017453292519943295` $CellContext`th] + 
           1.4796518405135026` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           1.4796518405135026` Cos[0.017453292519943295` $CellContext`th] - 
           0.24623247321384056` 
           Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` + 
           0.24623247321384056` Cos[0.017453292519943295` $CellContext`th] + 
           1.4796518405135026` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.4264871540797148 Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821877` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.5628321652821877` Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797148 Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.4264871540797148 Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821877` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.5628321652821877` Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797148 Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4796518405135024` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384079` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24623247321384079` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.42648715407971494` Cos[0.017453292519943295` $CellContext`th] + 
           2.562832165282188 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.42648715407971494` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.42648715407971494` Cos[0.017453292519943295` $CellContext`th] + 
           2.562832165282188 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.42648715407971494` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4796518405135024` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384079` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24623247321384079` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4796518405135024` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384079` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24623247321384079` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4804627476261059` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623382` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24592845075623382` Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           1.4803205852414125` Cos[0.017453292519943295` $CellContext`th] - 
           0.24678272814466107` 
           Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` + 
           0.24678272814466107` Cos[0.017453292519943295` $CellContext`th] + 
           1.4803205852414125` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.42662931646440827` Cos[0.017453292519943295` $CellContext`th] + 
           2.5636864426706154` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.5636864426706154` Cos[0.017453292519943295` $CellContext`th] + 
           0.42662931646440827` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4804627476261059` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623382` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24592845075623382` Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4804627476261059` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623382` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24592845075623382` Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           1.4803205852414125` Cos[0.017453292519943295` $CellContext`th] - 
           0.24678272814466107` 
           Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` + 
           0.24678272814466107` Cos[0.017453292519943295` $CellContext`th] + 
           1.4803205852414125` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 + 
           0.42662931646440827` Cos[0.017453292519943295` $CellContext`th] + 
           2.5636864426706154` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           2.5636864426706154` Cos[0.017453292519943295` $CellContext`th] + 
           0.42662931646440827` Sin[0.017453292519943295` $CellContext`th]}, {
          8.090017882895093 - 1.4804627476261059` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623382` 
            Sin[0.017453292519943295` $CellContext`th], -3.5324726626655565` - 
           0.24592845075623382` Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1417502010112862856276490 = 
       Compile[{$CellContext`th}, {{
          9.439722504706722 - 1.4431288240642484` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096155 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642484` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 + 
           1.4431288240642484` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096155 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642484` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 + 
           1.4431288240642484` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096155 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642484` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4431288240642484` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096155 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642484` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4431288240642484` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096155 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642484` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7086166745602459 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602459 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 + 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096154 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           0.4091200278096154 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642481` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 + 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096154 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           0.4091200278096154 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642481` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7086166745602459 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602459 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7086166745602459 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602459 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4431288240642481` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096154 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4091200278096154 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642481` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7086166745602457 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602457 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7086166745602457 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602457 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4431288240642481` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096154 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4091200278096154 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642481` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4431288240642481` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096154 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4091200278096154 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642481` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4437322856971868` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4097411832310447 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4097411832310447 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 + 
           1.443968491255374 Cos[0.017453292519943295` $CellContext`th] + 
           0.40890799241599585` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           0.40890799241599585` Cos[0.017453292519943295` $CellContext`th] + 
           1.443968491255374 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7088528801184324 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.500405635961454 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.5004056359614544` Cos[0.017453292519943295` $CellContext`th] - 
           0.7088528801184324 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4437322856971868` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4097411832310447 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4097411832310447 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4437322856971868` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4097411832310447 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4097411832310447 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 + 
           1.443968491255374 Cos[0.017453292519943295` $CellContext`th] + 
           0.40890799241599585` 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           0.40890799241599585` Cos[0.017453292519943295` $CellContext`th] + 
           1.443968491255374 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 0.7088528801184324 
           Cos[0.017453292519943295` $CellContext`th] + 
           2.500405635961454 
            Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 - 
           2.5004056359614544` Cos[0.017453292519943295` $CellContext`th] - 
           0.7088528801184324 Sin[0.017453292519943295` $CellContext`th]}, {
          9.439722504706722 - 1.4437322856971868` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4097411832310447 
           Sin[0.017453292519943295` $CellContext`th], -6.878061791784243 + 
           0.4097411832310447 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1517502010112862856280228 = 
       Compile[{$CellContext`th}, {{
          9.231716376823597 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579684 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 + 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579684 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] + 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 + 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579684 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] + 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579684 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579684 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.7080374699437102` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437102` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 + 
           1.1302813810829417` Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579686 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] + 
           1.1302813810829417` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 + 
           1.1302813810829417` Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579686 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] + 
           1.1302813810829417` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.7080374699437102` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437102` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.7080374699437102` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437102` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579686 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.7080374699437104` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437104` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.7080374699437104` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437104` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579686 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579686 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130561848861826 
           Cos[0.017453292519943295` $CellContext`th] - 0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 + 
           1.1311311946851406` Cos[0.017453292519943295` $CellContext`th] + 
           0.9863026768746834 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           0.9863026768746834 Cos[0.017453292519943295` $CellContext`th] + 
           1.1311311946851406` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.708606815767025 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.958357347144404 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.9583573471444042` Cos[0.017453292519943295` $CellContext`th] - 
           1.708606815767025 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130561848861826 
           Cos[0.017453292519943295` $CellContext`th] - 0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130561848861826 
           Cos[0.017453292519943295` $CellContext`th] - 0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 + 
           1.1311311946851406` Cos[0.017453292519943295` $CellContext`th] + 
           0.9863026768746834 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           0.9863026768746834 Cos[0.017453292519943295` $CellContext`th] + 
           1.1311311946851406` Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.708606815767025 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.958357347144404 
            Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 - 
           1.9583573471444042` Cos[0.017453292519943295` $CellContext`th] - 
           1.708606815767025 Sin[0.017453292519943295` $CellContext`th]}, {
          9.231716376823597 - 1.130561848861826 
           Cos[0.017453292519943295` $CellContext`th] - 0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], -10.47964514328117 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1617502010112862856283929 = 
       Compile[{$CellContext`th}, {{
          7.50582766499504 - 0.6010122651091956 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091956 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 + 
           0.6010122651091956 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730512` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091956 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 + 
           0.6010122651091956 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730512` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091956 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6010122651091956 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091956 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6010122651091956 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091956 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.380410210775643 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 + 
           0.6010122651091954 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730515` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091954 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 + 
           0.6010122651091954 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730515` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091954 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.380410210775643 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.380410210775643 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6010122651091954 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091954 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.380410210775643 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411825` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0409837791411825` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.380410210775643 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411825` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0409837791411825` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6010122651091954 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091954 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6010122651091954 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091954 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6009160362066207 
           Cos[0.017453292519943295` $CellContext`th] - 1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 + 
           0.6017095062768796 Cos[0.017453292519943295` $CellContext`th] + 
           1.3748441439145145` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.3748441439145145` Cos[0.017453292519943295` $CellContext`th] + 
           0.6017095062768796 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.3812036808459016` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0413307737342294` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0413307737342294` Cos[0.017453292519943295` $CellContext`th] - 
           2.3812036808459016` Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6009160362066207 
           Cos[0.017453292519943295` $CellContext`th] - 1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6009160362066207 
           Cos[0.017453292519943295` $CellContext`th] - 1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 + 
           0.6017095062768796 Cos[0.017453292519943295` $CellContext`th] + 
           1.3748441439145145` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.3748441439145145` Cos[0.017453292519943295` $CellContext`th] + 
           0.6017095062768796 Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 2.3812036808459016` 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.0413307737342294` 
            Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` - 
           1.0413307737342294` Cos[0.017453292519943295` $CellContext`th] - 
           2.3812036808459016` Sin[0.017453292519943295` $CellContext`th]}, {
          7.50582766499504 - 0.6009160362066207 
           Cos[0.017453292519943295` $CellContext`th] - 1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], -13.647606213338618` + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 Sin[0.017453292519943295` $CellContext`th]}}]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->40],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.49989982679503*^9, 3.499907025081586*^9, 
  3.499907095879368*^9, 3.4999354340336103`*^9, 3.499936144358622*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ArrangeSystem->True", "Subsection",
 CellChangeTimes->{{3.4999354877744503`*^9, 3.49993550740809*^9}, 
   3.49993579093117*^9}],

Cell[CellGroupData[{

Cell["ManipulateSystem[elements,ArrangeSystem->True]", "Input",
 CellChangeTimes->{{3.499854615337832*^9, 3.499854634457168*^9}, {
  3.499935413928474*^9, 3.499935449479019*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`lastlocposth$$ = {2.75, 
    0.}, $CellContext`lastlocpos\[Theta]1$$ = {0.75, 
    0.}, $CellContext`laststartposth$$ = {2., 
    0.}, $CellContext`laststartpos\[Theta]1$$ = {0., 
    0.}, $CellContext`lastth$$ = 0., $CellContext`last\[Theta]1$$ = 
    0., $CellContext`maxth$$ = 180., $CellContext`maxxx1$$ = 
    10, $CellContext`maxxx2$$ = 4, $CellContext`maxxx3$$ = 
    11, $CellContext`maxxx4$$ = 16, $CellContext`maxxx5$$ = 
    19, $CellContext`maxxx6$$ = 18, $CellContext`maxxx7$$ = 
    15, $CellContext`maxyy1$$ = 10, $CellContext`maxyy2$$ = 
    10, $CellContext`maxyy3$$ = -0.01, $CellContext`maxyy4$$ = -0.035, \
$CellContext`maxyy5$$ = -0.068, $CellContext`maxyy6$$ = -0.104, \
$CellContext`maxyy7$$ = -0.136, $CellContext`max\[Theta]1$$ = 
    180., $CellContext`minth$$ = -180., $CellContext`minxx1$$ = -10, \
$CellContext`minxx2$$ = 0.02, $CellContext`minxx3$$ = 
    0.054, $CellContext`minxx4$$ = 0.08, $CellContext`minxx5$$ = 
    0.094, $CellContext`minxx6$$ = 0.092, $CellContext`minxx7$$ = 
    0.075, $CellContext`minyy1$$ = -10, $CellContext`minyy2$$ = -10, \
$CellContext`minyy3$$ = -2, $CellContext`minyy4$$ = -7, $CellContext`minyy5$$ \
= -14, $CellContext`minyy6$$ = -21, $CellContext`minyy7$$ = -27, \
$CellContext`min\[Theta]1$$ = -180., \
$CellContext`oldwavelengths117502010112862929631042$$ = CompressedData["
1:eJxTTMoPSmVkYGBoAuKzZ0Dgjj2t6b7HFkB0j+Z0wK8l/r+W3Kc53dkBAg9o
Tr+cbAdED2lOe83/4jn/C+3p1atA4BHNaZ5tCdzbEh7TnM45KAZET2hOQ/IR
7WkAe5Jm+A==
    "], $CellContext`radiusth$$ = 
    0.75, $CellContext`radius\[Theta]1$$ = 
    0.75, $CellContext`raycolormodel$$ = RGBColor[
     Abs[(-0.3183098861837907) 
       ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
      0.3183098861837907 
       ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
     Abs[0.3183098861837907 
       ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
      0.3183098861837907 
      ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
     Abs[(-0.3183098861837907) 
       ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
      0.3183098861837907 
       ArcTan[22.5 - 0.125 
         Abs[-500. + 
           2. Mod[100. + 500. #, 500.]]]]]& , $CellContext`raycolors$$ = {
     RGBColor[0.0007568495259124841, 0.09180997994403128, 0.901145431087504], 
     
     RGBColor[
     0.0030274224132315064`, 0.27713417138715624`, 0.7325025474355531], 
     RGBColor[0.007490426965698682, 0.7921825722295619, 0.14998435464913545`], 
     RGBColor[0.01818531086244024, 0.8961736163027318, 0.05883143230984694], 
     RGBColor[
     0.060821820183060815`, 0.9204724668232629, 0.034555111731316646`], 
     RGBColor[0.796693737189927, 0.9202510950048937, 0.023756226230130684`], 
     RGBColor[0.9336877530393519, 0.8765178645241676, 0.017774404529693644`], 
     
     RGBColor[
     0.9493437694030878, 0.20796358064809672`, 0.014027304130066809`], 
     RGBColor[
     0.9514824455961237, 0.035181763831922674`, 0.011486050263594005`], 
     RGBColor[
     0.9470219661360387, 0.013022958189276956`, 
      0.009663572422132893]}, $CellContext`rayresults$$ = {{
    1.}}, $CellContext`staticpolygons1717502010112862929615251$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
      "]]}, $CellContext`th$$ = 
    0., $CellContext`unionwavelengths$$ = {
    1.}, $CellContext`wavelengthpositions$$ = {1, 14, 27, 40, 53, 66, 79, 92, 
    105, 118, 131}, $CellContext`wavelengths$$ = {1.}, $CellContext`xoffth$$ =
     0.75, $CellContext`xoff\[Theta]1$$ = 0.75, $CellContext`xth$$ = 
    2.75, $CellContext`xx1$$ = 0., $CellContext`xx2$$ = 
    2., $CellContext`xx3$$ = 5.441038452373798, $CellContext`xx4$$ = 
    8.090017882895093, $CellContext`xx5$$ = 
    9.439722504706722, $CellContext`xx6$$ = 
    9.231716376823597, $CellContext`xx7$$ = 
    7.50582766499504, $CellContext`x\[Theta]1$$ = 
    0.75, $CellContext`yoffth$$ = 0., $CellContext`yoff\[Theta]1$$ = 
    0., $CellContext`yth$$ = 0., $CellContext`yy1$$ = 0., $CellContext`yy2$$ =
     0., $CellContext`yy3$$ = -1.083477529209416, $CellContext`yy4$$ = \
-3.5324726626655565`, $CellContext`yy5$$ = -6.878061791784243, \
$CellContext`yy6$$ = -10.47964514328117, $CellContext`yy7$$ = \
-13.647606213338618`, $CellContext`y\[Theta]1$$ = 
    0., $CellContext`\[Theta]1$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xx1$$], 0.}, -10, 10}, {{
       Hold[$CellContext`yy1$$], 0.}, -10, 10}, {{
       Hold[$CellContext`\[Theta]1$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`th$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`xx2$$], 2.}, 0.02, 4}, {{
       Hold[$CellContext`xx3$$], 5.441038452373798}, 0.054, 11}, {{
       Hold[$CellContext`xx4$$], 8.090017882895093}, 0.08, 16}, {{
       Hold[$CellContext`xx5$$], 9.439722504706722}, 0.094, 19}, {{
       Hold[$CellContext`xx6$$], 9.231716376823597}, 0.092, 18}, {{
       Hold[$CellContext`xx7$$], 7.50582766499504}, 0.075, 15}, {{
       Hold[$CellContext`yy2$$], 0.}, -10, 10}, {{
       Hold[$CellContext`yy3$$], -1.083477529209416}, -2, -0.01}, {{
       Hold[$CellContext`yy4$$], -3.5324726626655565`}, -7, -0.035}, {{
       Hold[$CellContext`yy5$$], -6.878061791784243}, -14, -0.068}, {{
       Hold[$CellContext`yy6$$], -10.47964514328117}, -21, -0.104}, {{
       Hold[$CellContext`yy7$$], -13.647606213338618`}, -27, -0.136}, {{
       Hold[$CellContext`minxx1$$], -10}}, {{
       Hold[$CellContext`maxxx1$$], 10}}, {{
       Hold[$CellContext`minyy1$$], -10}}, {{
       Hold[$CellContext`maxyy1$$], 10}}, {{
       Hold[$CellContext`min\[Theta]1$$], -180.}}, {{
       Hold[$CellContext`max\[Theta]1$$], 180.}}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {{
       Hold[$CellContext`minxx2$$], 0.02}}, {{
       Hold[$CellContext`maxxx2$$], 4}}, {{
       Hold[$CellContext`minxx3$$], 0.054}}, {{
       Hold[$CellContext`maxxx3$$], 11}}, {{
       Hold[$CellContext`minxx4$$], 0.08}}, {{
       Hold[$CellContext`maxxx4$$], 16}}, {{
       Hold[$CellContext`minxx5$$], 0.094}}, {{
       Hold[$CellContext`maxxx5$$], 19}}, {{
       Hold[$CellContext`minxx6$$], 0.092}}, {{
       Hold[$CellContext`maxxx6$$], 18}}, {{
       Hold[$CellContext`minxx7$$], 0.075}}, {{
       Hold[$CellContext`maxxx7$$], 15}}, {{
       Hold[$CellContext`minyy2$$], -10}}, {{
       Hold[$CellContext`maxyy2$$], 10}}, {{
       Hold[$CellContext`minyy3$$], -2}}, {{
       Hold[$CellContext`maxyy3$$], -0.01}}, {{
       Hold[$CellContext`minyy4$$], -7}}, {{
       Hold[$CellContext`maxyy4$$], -0.035}}, {{
       Hold[$CellContext`minyy5$$], -14}}, {{
       Hold[$CellContext`maxyy5$$], -0.068}}, {{
       Hold[$CellContext`minyy6$$], -21}}, {{
       Hold[$CellContext`maxyy6$$], -0.104}}, {{
       Hold[$CellContext`minyy7$$], -27}}, {{
       Hold[$CellContext`maxyy7$$], -0.136}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[
            ToExpression[#] -> #2& , {{
              "th", "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", 
               "yy2", "yy3", "yy4", "yy5", "yy6", "yy7", 
               "\[Theta]1"}, {$CellContext`th$$, $CellContext`xx1$$, \
$CellContext`xx2$$, $CellContext`xx3$$, $CellContext`xx4$$, \
$CellContext`xx5$$, $CellContext`xx6$$, $CellContext`xx7$$, \
$CellContext`yy1$$, $CellContext`yy2$$, $CellContext`yy3$$, \
$CellContext`yy4$$, $CellContext`yy5$$, $CellContext`yy6$$, \
$CellContext`yy7$$, $CellContext`\[Theta]1$$}}], 
           Optica`Optica`SymbolicRanges -> {$CellContext`xx1$$ -> {-10, 
              10}, $CellContext`yy1$$ -> {-10, 
              10}, $CellContext`\[Theta]1$$ -> {-180., 
              180.}, $CellContext`th$$ -> {-180., 
              180.}, $CellContext`xx2$$ -> {0.02, 4}, $CellContext`xx3$$ -> {
              0.054, 11}, $CellContext`xx4$$ -> {
              0.08, 16}, $CellContext`xx5$$ -> {
              0.094, 19}, $CellContext`xx6$$ -> {
              0.092, 18}, $CellContext`xx7$$ -> {
              0.075, 15}, $CellContext`yy2$$ -> {-10, 
              10}, $CellContext`yy3$$ -> {-2, -0.01}, $CellContext`yy4$$ -> \
{-7, -0.035}, $CellContext`yy5$$ -> {-14, -0.068}, $CellContext`yy6$$ -> \
{-21, -0.104}, $CellContext`yy7$$ -> {-27, -0.136}}}; 
        Optica`Optica`$OpticalSystemScript = 
         "{Move[RainbowOfRays[{0.45, 0.65}, NumberOfRays -> 10, OpticalMedium \
-> 1], {{xx1, 0}, {yy1, 0}}, {\[Theta]1, 0.}], Move[Prism[{60, 3, 60}, 3, \
{Centered -> True, ComponentMedium -> Water}], {{xx2, 2.}, {yy2, 0}}, {th, \
0.}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> \
Water}], {{xx3, 5.441038452373798}, {yy3, -1.083477529209416}}, \
{ArcTan[0.9042620374826107*(0.9042620374826107*(0.9042620374826107*Cos[Degree*\
th] + 0.4269779474022021*Sin[Degree*th]) - \
0.4269779474022021*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th])) + \
0.4269779474022021*(0.4269779474022021*(0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th]) + \
0.9042620374826107*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th])), \
-0.4269779474022021*(0.9042620374826107*(0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th]) - \
0.4269779474022021*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th])) + \
0.9042620374826107*(0.4269779474022021*(0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th]) + \
0.9042620374826107*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th]))]/Degree, -25.275925404545127}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx4, 8.090017882895093}, {yy4, -3.5324726626655565}}, \
{ArcTan[0.6353796648644059*(-0.7721998973561155*(-0.7721998973561157*Cos[\
Degree*th] + 0.6353796648644058*Sin[Degree*th]) + \
0.6353796648644059*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th])) + \
0.7721998973561155*(0.6353796648644058*(-0.7721998973561157*Cos[Degree*th] + \
0.6353796648644058*Sin[Degree*th]) + \
0.7721998973561157*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th])), \
-0.7721998973561157*(-0.7721998973561155*(-0.7721998973561157*Cos[Degree*th] \
+ 0.6353796648644058*Sin[Degree*th]) + \
0.6353796648644059*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th])) + \
0.6353796648644058*(0.6353796648644058*(-0.7721998973561157*Cos[Degree*th] + \
0.6353796648644058*Sin[Degree*th]) + \
0.7721998973561157*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th]))]/Degree, -50.55185080909018}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx5, 9.439722504706722}, {yy5, -6.878061791784243}}, \
{ArcTan[0.2448373831680007*(-0.9695641576520069*(-0.969564157652007*Cos[\
Degree*th] + 0.2448373831680008*Sin[Degree*th]) + \
0.2448373831680007*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th])) + \
0.9695641576520069*(0.2448373831680007*(-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]) + \
0.9695641576520069*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th])), \
-0.9695641576520069*(-0.9695641576520069*(-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]) + \
0.2448373831680007*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th])) + \
0.2448373831680007*(0.2448373831680007*(-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]) + \
0.9695641576520069*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th]))]/Degree, -75.8277762136353}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx6, 9.231716376823597}, {yy6, -10.47964514328117}}, \
{ArcTan[-0.19258536295358938*(-0.9812802239809147*(-0.9812802239809147*Cos[\
Degree*th] - 0.19258536295358947*Sin[Degree*th]) - \
0.19258536295358938*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th])) + \
0.9812802239809147*(-0.19258536295358938*(-0.9812802239809147*Cos[Degree*th] \
- 0.19258536295358947*Sin[Degree*th]) + \
0.9812802239809147*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th])), \
-0.9812802239809147*(-0.9812802239809147*(-0.9812802239809147*Cos[Degree*th] \
- 0.19258536295358947*Sin[Degree*th]) - \
0.19258536295358938*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th])) - \
0.19258536295358938*(-0.19258536295358938*(-0.9812802239809147*Cos[Degree*th] \
- 0.19258536295358947*Sin[Degree*th]) + \
0.9812802239809147*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th]))]/Degree, -101.10370161818028}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx7, 7.50582766499504}, {yy7, -13.647606213338618}}, \
{ArcTan[-0.5931326485554825*(-0.8051047517047446*(-0.8051047517047446*Cos[\
Degree*th] - 0.5931326485554825*Sin[Degree*th]) - \
0.5931326485554825*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th])) + \
0.8051047517047446*(-0.5931326485554825*(-0.8051047517047446*Cos[Degree*th] - \
0.5931326485554825*Sin[Degree*th]) + \
0.8051047517047446*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th])), \
-0.8051047517047446*(-0.8051047517047446*(-0.8051047517047446*Cos[Degree*th] \
- 0.5931326485554825*Sin[Degree*th]) - \
0.5931326485554825*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th])) - \
0.5931326485554825*(-0.5931326485554825*(-0.8051047517047446*Cos[Degree*th] - \
0.5931326485554825*Sin[Degree*th]) + \
0.8051047517047446*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th]))]/Degree, -126.37962702272523}], \
Move[Boundary[{0, -15, -15}, {30, 15, 15}], {-10., -10.}]}"; Print[
          InputForm[
           StringJoin["SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{
               "th", "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", 
                "yy2", "yy3", "yy4", "yy5", "yy6", "yy7", 
                "\[Theta]1"}, {$CellContext`th$$, $CellContext`xx1$$, \
$CellContext`xx2$$, $CellContext`xx3$$, $CellContext`xx4$$, \
$CellContext`xx5$$, $CellContext`xx6$$, $CellContext`xx7$$, \
$CellContext`yy1$$, $CellContext`yy2$$, $CellContext`yy3$$, \
$CellContext`yy4$$, $CellContext`yy5$$, $CellContext`yy6$$, \
$CellContext`yy7$$, $CellContext`\[Theta]1$$}}]]]]], ImageSize -> Automatic]],
       Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`x\[Theta]1$$], 0.75}}, {{
       Hold[$CellContext`y\[Theta]1$$], 0.}}, {{
       Hold[$CellContext`radius\[Theta]1$$], 0.75}}, {{
       Hold[$CellContext`xoff\[Theta]1$$], 0.75}}, {{
       Hold[$CellContext`yoff\[Theta]1$$], 0.}}, {{
       Hold[$CellContext`laststartpos\[Theta]1$$], {0., 0.}}}, {{
       Hold[$CellContext`lastlocpos\[Theta]1$$], {0.75, 0.}}}, {{
       Hold[$CellContext`last\[Theta]1$$], 0}}, {{
       Hold[$CellContext`xth$$], 2.75}}, {{
       Hold[$CellContext`yth$$], 0.}}, {{
       Hold[$CellContext`radiusth$$], 0.75}}, {{
       Hold[$CellContext`xoffth$$], 0.75}}, {{
       Hold[$CellContext`yoffth$$], 0.}}, {{
       Hold[$CellContext`laststartposth$$], {2., 0.}}}, {{
       Hold[$CellContext`lastlocposth$$], {2.75, 0.}}}, {{
       Hold[$CellContext`lastth$$], 0}}, {{
       Hold[$CellContext`rayresults$$], {{1.}}}}, {{
       Hold[$CellContext`oldwavelengths117502010112862929631042$$], {1.}}}, {{
      
       Hold[$CellContext`wavelengths$$], {1.}}}, {{
       Hold[$CellContext`unionwavelengths$$], {1.}}}, {{
       Hold[$CellContext`wavelengthpositions$$], {1.}}}, {{
       Hold[$CellContext`raycolors$$], {{1., 1., 1.}}}}, {{
       Hold[$CellContext`raycolormodel$$], RGBColor[
        Abs[(-0.3183098861837907) 
          ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
         0.3183098861837907 
          ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
        Abs[
        0.3183098861837907 
          ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
         0.3183098861837907 
         ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
        Abs[(-0.3183098861837907) 
          ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
         0.3183098861837907 
          ArcTan[22.5 - 0.125 
            Abs[-500. + 2. Mod[100. + 500. #, 500.]]]]]& }}, {{
       Hold[$CellContext`staticpolygons1717502010112862929615251$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
         "]]}}}}, Typeset`size$$ = {
    815., {415.84375, 421.15625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`xx1$14908$$ = 
    0, $CellContext`yy1$14909$$ = 0, $CellContext`\[Theta]1$14910$$ = 
    0, $CellContext`th$14911$$ = 0, $CellContext`xx2$14912$$ = 
    0, $CellContext`xx3$14913$$ = 0, $CellContext`xx4$14914$$ = 
    0, $CellContext`xx5$14915$$ = 0, $CellContext`xx6$14916$$ = 
    0, $CellContext`xx7$14917$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`lastlocposth$$ = {2.75, 
         0.}, $CellContext`lastlocpos\[Theta]1$$ = {0.75, 
         0.}, $CellContext`laststartposth$$ = {2., 
         0.}, $CellContext`laststartpos\[Theta]1$$ = {0., 
         0.}, $CellContext`lastth$$ = 0, $CellContext`last\[Theta]1$$ = 
        0, $CellContext`maxth$$ = 180., $CellContext`maxxx1$$ = 
        10, $CellContext`maxxx2$$ = 4, $CellContext`maxxx3$$ = 
        11, $CellContext`maxxx4$$ = 16, $CellContext`maxxx5$$ = 
        19, $CellContext`maxxx6$$ = 18, $CellContext`maxxx7$$ = 
        15, $CellContext`maxyy1$$ = 10, $CellContext`maxyy2$$ = 
        10, $CellContext`maxyy3$$ = -0.01, $CellContext`maxyy4$$ = -0.035, \
$CellContext`maxyy5$$ = -0.068, $CellContext`maxyy6$$ = -0.104, \
$CellContext`maxyy7$$ = -0.136, $CellContext`max\[Theta]1$$ = 
        180., $CellContext`minth$$ = -180., $CellContext`minxx1$$ = -10, \
$CellContext`minxx2$$ = 0.02, $CellContext`minxx3$$ = 
        0.054, $CellContext`minxx4$$ = 0.08, $CellContext`minxx5$$ = 
        0.094, $CellContext`minxx6$$ = 0.092, $CellContext`minxx7$$ = 
        0.075, $CellContext`minyy1$$ = -10, $CellContext`minyy2$$ = -10, \
$CellContext`minyy3$$ = -2, $CellContext`minyy4$$ = -7, $CellContext`minyy5$$ = \
-14, $CellContext`minyy6$$ = -21, $CellContext`minyy7$$ = -27, \
$CellContext`min\[Theta]1$$ = -180., \
$CellContext`oldwavelengths117502010112862929631042$$ = {
         1.}, $CellContext`radiusth$$ = 0.75, $CellContext`radius\[Theta]1$$ = 
        0.75, $CellContext`raycolormodel$$ = RGBColor[
          
          Abs[(-0.3183098861837907) 
            ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
           0.3183098861837907 
            ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
          Abs[
          0.3183098861837907 
            ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
           0.3183098861837907 
           ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
          
          Abs[(-0.3183098861837907) 
            ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
           0.3183098861837907 
            ArcTan[22.5 - 0.125 
              Abs[-500. + 
                2. Mod[100. + 500. #, 
                   500.]]]]]& , $CellContext`raycolors$$ = {{1., 1., 
         1.}}, $CellContext`rayresults$$ = {{
         1.}}, $CellContext`staticpolygons1717502010112862929615251$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
           "]]}, $CellContext`th$$ = 
        0., $CellContext`unionwavelengths$$ = {
         1.}, $CellContext`wavelengthpositions$$ = {
         1.}, $CellContext`wavelengths$$ = {1.}, $CellContext`xoffth$$ = 
        0.75, $CellContext`xoff\[Theta]1$$ = 0.75, $CellContext`xth$$ = 
        2.75, $CellContext`xx1$$ = 0., $CellContext`xx2$$ = 
        2., $CellContext`xx3$$ = 5.441038452373798, $CellContext`xx4$$ = 
        8.090017882895093, $CellContext`xx5$$ = 
        9.439722504706722, $CellContext`xx6$$ = 
        9.231716376823597, $CellContext`xx7$$ = 
        7.50582766499504, $CellContext`x\[Theta]1$$ = 
        0.75, $CellContext`yoffth$$ = 0., $CellContext`yoff\[Theta]1$$ = 
        0., $CellContext`yth$$ = 0., $CellContext`yy1$$ = 
        0., $CellContext`yy2$$ = 
        0., $CellContext`yy3$$ = -1.083477529209416, $CellContext`yy4$$ = \
-3.5324726626655565`, $CellContext`yy5$$ = -6.878061791784243, \
$CellContext`yy6$$ = -10.47964514328117, $CellContext`yy7$$ = \
-13.647606213338618`, $CellContext`y\[Theta]1$$ = 
        0., $CellContext`\[Theta]1$$ = 0.}, "ControllerVariables" :> {
        Hold[$CellContext`xx1$$, $CellContext`xx1$14908$$, 0], 
        Hold[$CellContext`yy1$$, $CellContext`yy1$14909$$, 0], 
        Hold[$CellContext`\[Theta]1$$, $CellContext`\[Theta]1$14910$$, 0], 
        Hold[$CellContext`th$$, $CellContext`th$14911$$, 0], 
        Hold[$CellContext`xx2$$, $CellContext`xx2$14912$$, 0], 
        Hold[$CellContext`xx3$$, $CellContext`xx3$14913$$, 0], 
        Hold[$CellContext`xx4$$, $CellContext`xx4$14914$$, 0], 
        Hold[$CellContext`xx5$$, $CellContext`xx5$14915$$, 0], 
        Hold[$CellContext`xx6$$, $CellContext`xx6$14916$$, 0], 
        Hold[$CellContext`xx7$$, $CellContext`xx7$14917$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         OpenerView[{"TopView", 
           Show[{
             Graphics[{{
                Opacity[0.8], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1117502010112862929581804[$CellContext`\
xx2$$, $CellContext`yy2$$, $CellContext`th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1217502010112862929587806[$CellContext`\
xx3$$, $CellContext`yy3$$, $CellContext`th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1317502010112862929596019[$CellContext`\
xx4$$, $CellContext`yy4$$, $CellContext`th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1417502010112862929602003[$CellContext`\
xx5$$, $CellContext`yy5$$, $CellContext`th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1517502010112862929607836[$CellContext`\
xx6$$, $CellContext`yy6$$, $CellContext`th$$]]]]}], 
                Dynamic[{
                  GrayLevel[0], 
                  AbsoluteThickness[0.5], 
                  Line[
                   Dynamic[
                    (Map[
                    Function[{$CellContext`element}, 
                    Take[#, $CellContext`element]], {{1, 5}, {6, 10}, {11, 
                    15}, {16, 19}, {20, 23}}]& )[
                    $CellContext`lines1617502010112862929613511[$CellContext`\
xx7$$, $CellContext`yy7$$, $CellContext`th$$]]]]}], \
$CellContext`staticpolygons1717502010112862929615251$$, 
                Opacity[1], 
                AbsoluteThickness[Medium], 
                Dynamic[
                 Refresh[
                  
                  Module[{$CellContext`rayresults$, \
$CellContext`wavelengths$, $CellContext`unionwavelengths$}, \
$CellContext`rayresults$ = Sort[
                    Select[
                    $CellContext`raytracefunction117502010112862929630928[$\
CellContext`xx1$$, $CellContext`yy1$$, $CellContext`\[Theta]1$$, \
$CellContext`th$$, $CellContext`xx2$$, $CellContext`xx3$$, \
$CellContext`xx4$$, $CellContext`xx5$$, $CellContext`xx6$$, \
$CellContext`xx7$$, $CellContext`yy2$$, $CellContext`yy3$$, \
$CellContext`yy4$$, $CellContext`yy5$$, $CellContext`yy6$$, \
$CellContext`yy7$$], And[
                    Length[#] == 7, 
                    Part[#, 
                    2] > -9.87654321*^8]& ]]; $CellContext`wavelengths$ = 
                    First[
                    Transpose[$CellContext`rayresults$]]; 
                   If[$CellContext`oldwavelengths117502010112862929631042$$ =!= \
$CellContext`wavelengths$, $CellContext`unionwavelengths$ = 
                    Union[$CellContext`wavelengths$]; \
$CellContext`wavelengthpositions$$ = Map[Part[
                    Position[$CellContext`wavelengths$, #], 1, 
                    1]& , $CellContext`unionwavelengths$]; \
$CellContext`wavelengthpositions$$ = 
                    Join[$CellContext`wavelengthpositions$$, {
                    Length[$CellContext`wavelengths$] + 
                    1}]; $CellContext`raycolors$$ = 
                    Map[$CellContext`raycolormodel$$, \
$CellContext`unionwavelengths$]; 
                    Null]; $CellContext`\
oldwavelengths117502010112862929631042$$ = $CellContext`wavelengths$; \
$CellContext`rayresults$ = Map[{
                    Part[#, {2, 3}], 
                    Part[#, {5, 6}]}& , $CellContext`rayresults$]; Table[{
                    Part[$CellContext`raycolors$$, $CellContext`nn], 
                    Line[
                    Take[$CellContext`rayresults$, {
                    Part[$CellContext`wavelengthpositions$$, $CellContext`nn],
                     Part[$CellContext`wavelengthpositions$$, $CellContext`nn + 
                    1] - 1}]]}, {$CellContext`nn, 1, 
                    Length[$CellContext`wavelengthpositions$$] - 1}]], 
                  TrackedSymbols :> {$CellContext`xx1$$, $CellContext`yy1$$, \
$CellContext`\[Theta]1$$, $CellContext`th$$, $CellContext`xx2$$, \
$CellContext`xx3$$, $CellContext`xx4$$, $CellContext`xx5$$, \
$CellContext`xx6$$, $CellContext`xx7$$, $CellContext`yy2$$, \
$CellContext`yy3$$, $CellContext`yy4$$, $CellContext`yy5$$, \
$CellContext`yy6$$, $CellContext`yy7$$}], SynchronousUpdating -> True], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartpos\[Theta]1$$ != \
{$CellContext`xx1$$, $CellContext`yy1$$}, $CellContext`last\[Theta]1$$ =!= \
$CellContext`\[Theta]1$$], $CellContext`laststartpos\[Theta]1$$ = \
{$CellContext`xx1$$, $CellContext`yy1$$}; $CellContext`last\[Theta]1$$ = \
$CellContext`\[Theta]1$$; {$CellContext`x\[Theta]1$$, \
$CellContext`y\[Theta]1$$} = $CellContext`laststartpos\[Theta]1$$ + \
$CellContext`radius\[Theta]1$$ {
                    Cos[$CellContext`\[Theta]1$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]1$$ 
                    Degree]}]; {$CellContext`laststartpos\[Theta]1$$, \
{$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$}}, \
({$CellContext`laststartpos\[Theta]1$$, {$CellContext`x\[Theta]1$$, \
$CellContext`y\[Theta]1$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$} != \
$CellContext`lastlocpos\[Theta]1$$, $CellContext`last\[Theta]1$$ != \
$CellContext`\[Theta]1$$], $CellContext`lastlocpos\[Theta]1$$ = \
{$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$}; $CellContext`last\
\[Theta]1$$ = $CellContext`\[Theta]1$$; {$CellContext`x\[Theta]1$$, \
$CellContext`y\[Theta]1$$} = $CellContext`laststartpos\[Theta]1$$ + \
$CellContext`radius\[Theta]1$$ {
                    Cos[$CellContext`\[Theta]1$$ Degree], 
                    
                    Sin[$CellContext`\[Theta]1$$ 
                    Degree]}]; {$CellContext`x\[Theta]1$$, $CellContext`y\
\[Theta]1$$}), ({$CellContext`x\[Theta]1$$, $CellContext`y\[Theta]1$$} = #; \
$CellContext`xoff\[Theta]1$$ = $CellContext`x\[Theta]1$$ - $CellContext`xx1$$; \
$CellContext`yoff\[Theta]1$$ = $CellContext`y\[Theta]1$$ - $CellContext`yy1$$; \
$CellContext`radius\[Theta]1$$ = 
                    Sqrt[$CellContext`xoff\[Theta]1$$^2 + $CellContext`yoff\
\[Theta]1$$^2]; $CellContext`\[Theta]1$$ = 
                    Chop[ArcTan[$CellContext`xoff\[Theta]1$$, \
$CellContext`yoff\[Theta]1$$]/
                    Degree]; {$CellContext`x\[Theta]1$$, $CellContext`y\
\[Theta]1$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["\[Theta]1 = ", 
                   ToString[$CellContext`\[Theta]1$$]]]], 
                Arrowheads[Large], 
                Thickness[Large], 
                Dashing[{Small, Small}], 
                RGBColor[1, 1, 0], 
                Arrow[
                 Dynamic[If[
                    
                    Or[$CellContext`laststartposth$$ != {$CellContext`xx2$$, \
$CellContext`yy2$$}, $CellContext`lastth$$ =!= $CellContext`th$$], \
$CellContext`laststartposth$$ = {$CellContext`xx2$$, $CellContext`yy2$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}}, ({$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}} = #)& ]], 
                Tooltip[
                 Locator[
                  Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`xth$$, $CellContext`yth$$} != \
$CellContext`lastlocposth$$, $CellContext`lastth$$ != $CellContext`th$$], \
$CellContext`lastlocposth$$ = {$CellContext`xth$$, $CellContext`yth$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`xth$$, $CellContext`yth$$}), \
({$CellContext`xth$$, $CellContext`yth$$} = #; $CellContext`xoffth$$ = \
$CellContext`xth$$ - $CellContext`xx2$$; $CellContext`yoffth$$ = \
$CellContext`yth$$ - $CellContext`yy2$$; $CellContext`radiusth$$ = 
                    Sqrt[$CellContext`xoffth$$^2 + $CellContext`yoffth$$^2]; \
$CellContext`th$$ = Chop[
                    ArcTan[$CellContext`xoffth$$, $CellContext`yoffth$$]/
                    Degree]; {$CellContext`xth$$, $CellContext`yth$$})& ], 
                  Graphics[{
                    RGBColor[1/3, 1/3, 1], 
                    Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["th = ", 
                   ToString[$CellContext`th$$]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx1$$, $CellContext`yy1$$}, \
({$CellContext`xx1$$, $CellContext`yy1$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx1, yy1} = ", 
                   ToString[
                    Chop[{$CellContext`xx1$$, $CellContext`yy1$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx2$$, $CellContext`yy2$$}, \
({$CellContext`xx2$$, $CellContext`yy2$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx2, yy2} = ", 
                   ToString[
                    Chop[{$CellContext`xx2$$, $CellContext`yy2$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx3$$, $CellContext`yy3$$}, \
({$CellContext`xx3$$, $CellContext`yy3$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx3, yy3} = ", 
                   ToString[
                    Chop[{$CellContext`xx3$$, $CellContext`yy3$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx4$$, $CellContext`yy4$$}, \
({$CellContext`xx4$$, $CellContext`yy4$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx4, yy4} = ", 
                   ToString[
                    Chop[{$CellContext`xx4$$, $CellContext`yy4$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx5$$, $CellContext`yy5$$}, \
({$CellContext`xx5$$, $CellContext`yy5$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx5, yy5} = ", 
                   ToString[
                    Chop[{$CellContext`xx5$$, $CellContext`yy5$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx6$$, $CellContext`yy6$$}, \
({$CellContext`xx6$$, $CellContext`yy6$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx6, yy6} = ", 
                   ToString[
                    Chop[{$CellContext`xx6$$, $CellContext`yy6$$}]]]]], 
                Tooltip[
                 Locator[
                  Dynamic[
                  BesselJ[
                    1., 3.]; {$CellContext`xx7$$, $CellContext`yy7$$}, \
({$CellContext`xx7$$, $CellContext`yy7$$} = Chop[#])& ], 
                  Graphics[{
                    RGBColor[1, 1/3, 1/3], 
                    Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
                 Dynamic[
                  StringJoin["{xx7, yy7} = ", 
                   ToString[
                    Chop[{$CellContext`xx7$$, $CellContext`yy7$$}]]]]]}}]}, {
            PlotLabel -> None, ImageSize -> 800, AspectRatio -> Automatic}]}, 
          True], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`xx1$$, 0.}, -10, 10, ControlType -> 
         None}, {{$CellContext`yy1$$, 0.}, -10, 10, ControlType -> 
         None}, {{$CellContext`\[Theta]1$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`th$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`xx2$$, 2.}, 0.02, 4, ControlType -> 
         None}, {{$CellContext`xx3$$, 5.441038452373798}, 0.054, 11, 
         ControlType -> None}, {{$CellContext`xx4$$, 8.090017882895093}, 0.08,
          16, ControlType -> None}, {{$CellContext`xx5$$, 9.439722504706722}, 
         0.094, 19, ControlType -> 
         None}, {{$CellContext`xx6$$, 9.231716376823597}, 0.092, 18, 
         ControlType -> None}, {{$CellContext`xx7$$, 7.50582766499504}, 0.075,
          15, ControlType -> None}, {{$CellContext`yy2$$, 0.}, -10, 10, 
         ControlType -> 
         None}, {{$CellContext`yy3$$, -1.083477529209416}, -2, -0.01, 
         ControlType -> 
         None}, {{$CellContext`yy4$$, -3.5324726626655565`}, -7, -0.035, 
         ControlType -> 
         None}, {{$CellContext`yy5$$, -6.878061791784243}, -14, -0.068, 
         ControlType -> 
         None}, {{$CellContext`yy6$$, -10.47964514328117}, -21, -0.104, 
         ControlType -> 
         None}, {{$CellContext`yy7$$, -13.647606213338618`}, -27, -0.136, 
         ControlType -> None}, {{$CellContext`minxx1$$, -10}, ControlType -> 
         None}, {{$CellContext`maxxx1$$, 10}, ControlType -> 
         None}, {{$CellContext`minyy1$$, -10}, ControlType -> 
         None}, {{$CellContext`maxyy1$$, 10}, ControlType -> 
         None}, {{$CellContext`min\[Theta]1$$, -180.}, ControlType -> 
         None}, {{$CellContext`max\[Theta]1$$, 180.}, ControlType -> 
         None}, {{$CellContext`minth$$, -180.}, ControlType -> 
         None}, {{$CellContext`maxth$$, 180.}, ControlType -> 
         None}, {{$CellContext`minxx2$$, 0.02}, ControlType -> 
         None}, {{$CellContext`maxxx2$$, 4}, ControlType -> 
         None}, {{$CellContext`minxx3$$, 0.054}, ControlType -> 
         None}, {{$CellContext`maxxx3$$, 11}, ControlType -> 
         None}, {{$CellContext`minxx4$$, 0.08}, ControlType -> 
         None}, {{$CellContext`maxxx4$$, 16}, ControlType -> 
         None}, {{$CellContext`minxx5$$, 0.094}, ControlType -> 
         None}, {{$CellContext`maxxx5$$, 19}, ControlType -> 
         None}, {{$CellContext`minxx6$$, 0.092}, ControlType -> 
         None}, {{$CellContext`maxxx6$$, 18}, ControlType -> 
         None}, {{$CellContext`minxx7$$, 0.075}, ControlType -> 
         None}, {{$CellContext`maxxx7$$, 15}, ControlType -> 
         None}, {{$CellContext`minyy2$$, -10}, ControlType -> 
         None}, {{$CellContext`maxyy2$$, 10}, ControlType -> 
         None}, {{$CellContext`minyy3$$, -2}, ControlType -> 
         None}, {{$CellContext`maxyy3$$, -0.01}, ControlType -> 
         None}, {{$CellContext`minyy4$$, -7}, ControlType -> 
         None}, {{$CellContext`maxyy4$$, -0.035}, ControlType -> 
         None}, {{$CellContext`minyy5$$, -14}, ControlType -> 
         None}, {{$CellContext`maxyy5$$, -0.068}, ControlType -> 
         None}, {{$CellContext`minyy6$$, -21}, ControlType -> 
         None}, {{$CellContext`maxyy6$$, -0.104}, ControlType -> 
         None}, {{$CellContext`minyy7$$, -27}, ControlType -> 
         None}, {{$CellContext`maxyy7$$, -0.136}, ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[
             ToExpression[#] -> #2& , {{
               "th", "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", 
                "yy2", "yy3", "yy4", "yy5", "yy6", "yy7", 
                "\[Theta]1"}, {$CellContext`th$$, $CellContext`xx1$$, \
$CellContext`xx2$$, $CellContext`xx3$$, $CellContext`xx4$$, \
$CellContext`xx5$$, $CellContext`xx6$$, $CellContext`xx7$$, \
$CellContext`yy1$$, $CellContext`yy2$$, $CellContext`yy3$$, \
$CellContext`yy4$$, $CellContext`yy5$$, $CellContext`yy6$$, \
$CellContext`yy7$$, $CellContext`\[Theta]1$$}}], 
            Optica`Optica`SymbolicRanges -> {$CellContext`xx1$$ -> {-10, 
               10}, $CellContext`yy1$$ -> {-10, 
               10}, $CellContext`\[Theta]1$$ -> {-180., 
               180.}, $CellContext`th$$ -> {-180., 
               180.}, $CellContext`xx2$$ -> {0.02, 4}, $CellContext`xx3$$ -> {
               0.054, 11}, $CellContext`xx4$$ -> {
               0.08, 16}, $CellContext`xx5$$ -> {
               0.094, 19}, $CellContext`xx6$$ -> {
               0.092, 18}, $CellContext`xx7$$ -> {
               0.075, 15}, $CellContext`yy2$$ -> {-10, 
               10}, $CellContext`yy3$$ -> {-2, -0.01}, $CellContext`yy4$$ -> \
{-7, -0.035}, $CellContext`yy5$$ -> {-14, -0.068}, $CellContext`yy6$$ -> \
{-21, -0.104}, $CellContext`yy7$$ -> {-27, -0.136}}}; 
         Optica`Optica`$OpticalSystemScript = 
          "{Move[RainbowOfRays[{0.45, 0.65}, NumberOfRays -> 10, \
OpticalMedium -> 1], {{xx1, 0}, {yy1, 0}}, {\[Theta]1, 0.}], Move[Prism[{60, \
3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], {{xx2, 2.}, {yy2, \
0}}, {th, 0.}], Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium \
-> Water}], {{xx3, 5.441038452373798}, {yy3, -1.083477529209416}}, \
{ArcTan[0.9042620374826107*(0.9042620374826107*(0.9042620374826107*Cos[Degree*\
th] + 0.4269779474022021*Sin[Degree*th]) - \
0.4269779474022021*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th])) + \
0.4269779474022021*(0.4269779474022021*(0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th]) + \
0.9042620374826107*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th])), \
-0.4269779474022021*(0.9042620374826107*(0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th]) - \
0.4269779474022021*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th])) + \
0.9042620374826107*(0.4269779474022021*(0.9042620374826107*Cos[Degree*th] + \
0.4269779474022021*Sin[Degree*th]) + \
0.9042620374826107*(-0.4269779474022021*Cos[Degree*th] + \
0.9042620374826107*Sin[Degree*th]))]/Degree, -25.275925404545127}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx4, 8.090017882895093}, {yy4, -3.5324726626655565}}, \
{ArcTan[0.6353796648644059*(-0.7721998973561155*(-0.7721998973561157*Cos[\
Degree*th] + 0.6353796648644058*Sin[Degree*th]) + \
0.6353796648644059*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th])) + \
0.7721998973561155*(0.6353796648644058*(-0.7721998973561157*Cos[Degree*th] + \
0.6353796648644058*Sin[Degree*th]) + \
0.7721998973561157*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th])), \
-0.7721998973561157*(-0.7721998973561155*(-0.7721998973561157*Cos[Degree*th] \
+ 0.6353796648644058*Sin[Degree*th]) + \
0.6353796648644059*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th])) + \
0.6353796648644058*(0.6353796648644058*(-0.7721998973561157*Cos[Degree*th] + \
0.6353796648644058*Sin[Degree*th]) + \
0.7721998973561157*(0.6353796648644058*Cos[Degree*th] + \
0.7721998973561157*Sin[Degree*th]))]/Degree, -50.55185080909018}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx5, 9.439722504706722}, {yy5, -6.878061791784243}}, \
{ArcTan[0.2448373831680007*(-0.9695641576520069*(-0.969564157652007*Cos[\
Degree*th] + 0.2448373831680008*Sin[Degree*th]) + \
0.2448373831680007*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th])) + \
0.9695641576520069*(0.2448373831680007*(-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]) + \
0.9695641576520069*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th])), \
-0.9695641576520069*(-0.9695641576520069*(-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]) + \
0.2448373831680007*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th])) + \
0.2448373831680007*(0.2448373831680007*(-0.969564157652007*Cos[Degree*th] + \
0.2448373831680008*Sin[Degree*th]) + \
0.9695641576520069*(0.2448373831680008*Cos[Degree*th] + \
0.969564157652007*Sin[Degree*th]))]/Degree, -75.8277762136353}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx6, 9.231716376823597}, {yy6, -10.47964514328117}}, \
{ArcTan[-0.19258536295358938*(-0.9812802239809147*(-0.9812802239809147*Cos[\
Degree*th] - 0.19258536295358947*Sin[Degree*th]) - \
0.19258536295358938*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th])) + \
0.9812802239809147*(-0.19258536295358938*(-0.9812802239809147*Cos[Degree*th] \
- 0.19258536295358947*Sin[Degree*th]) + \
0.9812802239809147*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th])), \
-0.9812802239809147*(-0.9812802239809147*(-0.9812802239809147*Cos[Degree*th] \
- 0.19258536295358947*Sin[Degree*th]) - \
0.19258536295358938*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th])) - \
0.19258536295358938*(-0.19258536295358938*(-0.9812802239809147*Cos[Degree*th] \
- 0.19258536295358947*Sin[Degree*th]) + \
0.9812802239809147*(-0.19258536295358947*Cos[Degree*th] + \
0.9812802239809147*Sin[Degree*th]))]/Degree, -101.10370161818028}], \
Move[Prism[{60, 3, 60}, 3, {Centered -> True, ComponentMedium -> Water}], \
{{xx7, 7.50582766499504}, {yy7, -13.647606213338618}}, \
{ArcTan[-0.5931326485554825*(-0.8051047517047446*(-0.8051047517047446*Cos[\
Degree*th] - 0.5931326485554825*Sin[Degree*th]) - \
0.5931326485554825*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th])) + \
0.8051047517047446*(-0.5931326485554825*(-0.8051047517047446*Cos[Degree*th] - \
0.5931326485554825*Sin[Degree*th]) + \
0.8051047517047446*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th])), \
-0.8051047517047446*(-0.8051047517047446*(-0.8051047517047446*Cos[Degree*th] \
- 0.5931326485554825*Sin[Degree*th]) - \
0.5931326485554825*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th])) - \
0.5931326485554825*(-0.5931326485554825*(-0.8051047517047446*Cos[Degree*th] - \
0.5931326485554825*Sin[Degree*th]) + \
0.8051047517047446*(-0.5931326485554825*Cos[Degree*th] + \
0.8051047517047446*Sin[Degree*th]))]/Degree, -126.37962702272523}], \
Move[Boundary[{0, -15, -15}, {30, 15, 15}], {-10., -10.}]}"; Print[
           InputForm[
            StringJoin["SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "th", "xx1", "xx2", "xx3", "xx4", "xx5", "xx6", "xx7", "yy1", 
                 "yy2", "yy3", "yy4", "yy5", "yy6", "yy7", 
                 "\[Theta]1"}, {$CellContext`th$$, $CellContext`xx1$$, \
$CellContext`xx2$$, $CellContext`xx3$$, $CellContext`xx4$$, \
$CellContext`xx5$$, $CellContext`xx6$$, $CellContext`xx7$$, \
$CellContext`yy1$$, $CellContext`yy2$$, $CellContext`yy3$$, \
$CellContext`yy4$$, $CellContext`yy5$$, $CellContext`yy6$$, \
$CellContext`yy7$$, $CellContext`\[Theta]1$$}}]]]]], ImageSize -> 
         Automatic], {{$CellContext`x\[Theta]1$$, 0.75}, ControlType -> 
         None}, {{$CellContext`y\[Theta]1$$, 0.}, ControlType -> 
         None}, {{$CellContext`radius\[Theta]1$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoff\[Theta]1$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoff\[Theta]1$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartpos\[Theta]1$$, {0., 0.}}, 
         ControlType -> 
         None}, {{$CellContext`lastlocpos\[Theta]1$$, {0.75, 0.}}, 
         ControlType -> None}, {{$CellContext`last\[Theta]1$$, 0}, 
         ControlType -> None}, {{$CellContext`xth$$, 2.75}, ControlType -> 
         None}, {{$CellContext`yth$$, 0.}, ControlType -> 
         None}, {{$CellContext`radiusth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoffth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoffth$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartposth$$, {2., 0.}}, ControlType -> 
         None}, {{$CellContext`lastlocposth$$, {2.75, 0.}}, ControlType -> 
         None}, {{$CellContext`lastth$$, 0}, ControlType -> 
         None}, {{$CellContext`rayresults$$, {{1.}}}, ControlType -> 
         None}, {{$CellContext`oldwavelengths117502010112862929631042$$, {
          1.}}, ControlType -> None}, {{$CellContext`wavelengths$$, {1.}}, 
         ControlType -> None}, {{$CellContext`unionwavelengths$$, {1.}}, 
         ControlType -> None}, {{$CellContext`wavelengthpositions$$, {1.}}, 
         ControlType -> None}, {{$CellContext`raycolors$$, {{1., 1., 1.}}}, 
         ControlType -> None}, {{$CellContext`raycolormodel$$, RGBColor[
           
           Abs[(-0.3183098861837907) 
             ArcTan[63.75 - 0.25 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
            0.3183098861837907 
             ArcTan[43. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
           Abs[
           0.3183098861837907 
             ArcTan[60. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] - 
            0.3183098861837907 
            ArcTan[18. - 0.1 Abs[-500. + 2. Mod[100. + 500. #, 500.]]]], 
           
           Abs[(-0.3183098861837907) 
             ArcTan[10. - 0.2 Abs[-500. + 2. Mod[100. + 500. #, 500.]]] + 
            0.3183098861837907 
             ArcTan[22.5 - 0.125 
               Abs[-500. + 2. Mod[100. + 500. #, 500.]]]]]& }, ControlType -> 
         None}, {{$CellContext`staticpolygons1717502010112862929615251$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAETBwgt4oDKtzyAn4+uHpd+lQP4+YTsw6Uf
Zh8uPrH6CfmHkH2EwoeQ+4gNX9L9AwAJHij1
            "]]}}, ControlType -> None}},
       "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 
         15, 16}, SynchronousInitialization -> True, 
        BaseStyle -> {DynamicEvaluationTimeout -> 40}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{858., {462.34375, 467.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`raytracefunction117502010112862929630928 = 
       Compile[{{$CellContext`xx1$$, 
           Blank[Real]}, {$CellContext`yy1$$, 
           Blank[Real]}, {$CellContext`\[Theta]1$$, 
           Blank[Real]}, {$CellContext`th$$, 
           Blank[Real]}, {$CellContext`xx2$$, 
           Blank[Real]}, {$CellContext`xx3$$, 
           Blank[Real]}, {$CellContext`xx4$$, 
           Blank[Real]}, {$CellContext`xx5$$, 
           Blank[Real]}, {$CellContext`xx6$$, 
           Blank[Real]}, {$CellContext`xx7$$, 
           Blank[Real]}, {$CellContext`yy2$$, 
           Blank[Real]}, {$CellContext`yy3$$, 
           Blank[Real]}, {$CellContext`yy4$$, 
           Blank[Real]}, {$CellContext`yy5$$, 
           Blank[Real]}, {$CellContext`yy6$$, 
           Blank[Real]}, {$CellContext`yy7$$, 
           Blank[Real]}}, 
         Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`clonedata$, \
$CellContext`clonegenerationnumber$, $CellContext`cloneinput$, \
$CellContext`clonenumber$, $CellContext`cloneposition$, \
$CellContext`clonereportedrays$, $CellContext`clonerotation$, \
$CellContext`clonescale$, $CellContext`clonescalevector$, \
$CellContext`clonesorthistogram$, $CellContext`clonetraceinput$, \
$CellContext`clonetraceoutput$, $CellContext`closestdistances$, \
$CellContext`closestposition$, $CellContext`closestpositions$, \
$CellContext`closestraylength$, $CellContext`completedray$, \
$CellContext`componentnumber$, $CellContext`cosangle$, \
$CellContext`crossmatrix$, $CellContext`deflecteddummyrayspresent$, \
$CellContext`deflectedlocalrays$, $CellContext`deflectedrays$, \
$CellContext`deflectedrayspresent$, $CellContext`dummymatrix$, \
$CellContext`dummymatrixlist$, $CellContext`dummyvector$, \
$CellContext`frontid$, $CellContext`generationlimit$, \
$CellContext`generationnumber$, $CellContext`holeintersections$, \
$CellContext`holeQ$, $CellContext`holeQlist$, $CellContext`hor$, \
$CellContext`index$, $CellContext`index1$, $CellContext`index2$, \
$CellContext`inrays$, $CellContext`intensity$, $CellContext`intensityscale$, \
$CellContext`intersectionnumber$, $CellContext`intersections$, \
$CellContext`intersectionslist$, $CellContext`intersectionspresent$, \
$CellContext`localdummyoutrayspresent$, $CellContext`localoutrays$, \
$CellContext`localoutrayspresent$, $CellContext`magnitude$, \
$CellContext`maxclonegenerationnumber$, $CellContext`maximumposition$, \
$CellContext`minimumraylength$, $CellContext`minresonateraylength$, \
$CellContext`n12$, $CellContext`newcomponentnumber$, \
$CellContext`newdeflectedrays$, $CellContext`newdistance$, \
$CellContext`newsurfaceid$, $CellContext`newsurfacenumber$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`opticallength$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`reporteddummyrayspresent$, \
$CellContext`reportedlocalrays$, $CellContext`reportedrays$, \
$CellContext`reportedrayspresent$, $CellContext`resonateintersections$, \
$CellContext`resonatenumber$, $CellContext`resonateraylength$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`rotationaxis$, $CellContext`rsx$, $CellContext`LocRSx$, \
$CellContext`rsy$, $CellContext`LocRSy$, $CellContext`rsz$, \
$CellContext`LocRSz$, 
           Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sno1$, $CellContext`sno2$, $CellContext`sno3$, \
$CellContext`sno4$, $CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`tempclonedata$, \
$CellContext`terminatedeflection$, $CellContext`thresholdintensity$, \
$CellContext`tiltmagnitude$, $CellContext`transmatrix$, $CellContext`LocTV1$, \
$CellContext`LocTV10$, $CellContext`LocTV2$, $CellContext`LocTV3$, \
$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$, \
$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$, \
$CellContext`u$, $CellContext`unfilteredintersections$, $CellContext`unit$, \
$CellContext`uu$, $CellContext`ver$, $CellContext`wavelength$, \
$CellContext`XAxis$, $CellContext`xunit$, $CellContext`YAxis$, \
$CellContext`yunit$, $CellContext`ZAxis$, $CellContext`zunit$}, \
$CellContext`activeregion$ = 
           1.; $CellContext`allcreatedamplitudes$ = {{
             0. + 0. I, 0. + 0. I, 0. + 
              0. I}}; $CellContext`allcreatedrays$ = {{
            1.}}; $CellContext`allowzeroraylength$ = 
           True; $CellContext`alternateindex$ = 
           1.; $CellContext`amplitude$ = {
            1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`axismagnitude$ = 
           1.; $CellContext`axismatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`clonedata$ = {{
            1.}}; $CellContext`clonegenerationnumber$ = 
           1.; $CellContext`cloneinput$ = {1.}; $CellContext`clonenumber$ = 
           1; $CellContext`cloneposition$ = {0., 0., 
            0.}; $CellContext`clonereportedrays$ = {{
            1.}}; $CellContext`clonerotation$ = {{
            1.}}; $CellContext`clonescale$ = 
           1.; $CellContext`clonescalevector$ = {
            1.}; $CellContext`clonesorthistogram$ = {
            1}; $CellContext`clonetraceinput$ = {{
            1.}}; $CellContext`clonetraceoutput$ = {{
            1.}}; $CellContext`closestdistances$ = {
            1.}; $CellContext`closestposition$ = 
           0; $CellContext`closestpositions$ = {
            0}; $CellContext`closestraylength$ = 
           1.; $CellContext`completedray$ = {
            1.}; $CellContext`componentnumber$ = -1.; $CellContext`cosangle$ = 
           1.; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`deflecteddummyrayspresent$ = 
           False; $CellContext`deflectedlocalrays$ = {{
            1.}}; $CellContext`deflectedrays$ = {{
            1.}}; $CellContext`deflectedrayspresent$ = 
           False; $CellContext`dummymatrix$ = {{
            1.}}; $CellContext`dummymatrixlist$ = {{{
            1.}}}; $CellContext`dummyvector$ = {1.}; $CellContext`frontid$ = 
           1.; $CellContext`generationlimit$ = 
           200.; $CellContext`generationnumber$ = 
           1.; $CellContext`holeintersections$ = {{-1., 0., 
            0.}}; $CellContext`holeQ$ = 
           False; $CellContext`holeQlist$ = {0}; $CellContext`hor$ = 
           1. + 0. I; $CellContext`index$ = 1.; $CellContext`index1$ = 
           1.; $CellContext`index2$ = 
           1.; $CellContext`inrays$ = {{1.}}; $CellContext`intensity$ = 
           1.; $CellContext`intensityscale$ = 
           1.; $CellContext`intersectionnumber$ = 
           1.; $CellContext`intersections$ = {{-1., 0., 
            0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
            0.}}}; $CellContext`intersectionspresent$ = 
           False; $CellContext`localdummyoutrayspresent$ = 
           False; $CellContext`localoutrays$ = {{
            1.}}; $CellContext`localoutrayspresent$ = 
           False; $CellContext`magnitude$ = 
           1.; $CellContext`maxclonegenerationnumber$ = 
           1.; $CellContext`maximumposition$ = 
           1; $CellContext`minimumraylength$ = 
           0.0001; $CellContext`minresonateraylength$ = 1.; $CellContext`n12$ = 
           1.; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newdeflectedrays$ = {{1.}}; $CellContext`newdistance$ = 
           1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`nonintersectingrays$ = {{
            1.}}; $CellContext`normalizedpolarization$ = {1., 
            1.}; $CellContext`oldgenerationnumber$ = 
           1.; $CellContext`opticallength$ = 
           1.; $CellContext`originalray$ = {
            1.}; $CellContext`originalraytilt$ = {
            1.}; $CellContext`originalrotation$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`originalsurfnorm$ = {{
            1.}}; $CellContext`outrays$ = {{
            1.}}; $CellContext`parallelamplitude$ = 
           1. + 0. I; $CellContext`PAxis$ = {1., 0., 
            0.}; $CellContext`perpendicularamplitude$ = 
           1. + 0. I; $CellContext`phaseshift$ = 0.; $CellContext`pol1$ = 
           1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
           1.; $CellContext`previoustilt$ = {1., 0., 
            0.}; $CellContext`propagate$ = 
           True; $CellContext`propagatedrays$ = {{1.}}; $CellContext`r1$ = 
           1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 1.; $CellContext`r4$ = 
           1.; $CellContext`r5$ = 1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
           1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
           1.; $CellContext`ray1$ = 1.; $CellContext`ray2$ = 
           1.; $CellContext`ray3$ = 1.; $CellContext`LocRayL$ = 
           1.; $CellContext`rayslot$ = 1.; $CellContext`raysreported$ = 
           False; $CellContext`raytiltx$ = 1.; $CellContext`raytiltz$ = 
           1.; $CellContext`reporteddummyrayspresent$ = 
           False; $CellContext`reportedlocalrays$ = {{
            1.}}; $CellContext`reportedrays$ = {{
            1.}}; $CellContext`reportedrayspresent$ = 
           False; $CellContext`resonateintersections$ = {{-1., 0., 
            0.}}; $CellContext`resonatenumber$ = 
           0; $CellContext`resonateraylength$ = 1.; $CellContext`rex$ = 
           1.; $CellContext`rey$ = 1.; $CellContext`rez$ = 
           1.; $CellContext`rsx$ = 1.; $CellContext`LocRSx$ = 
           1.; $CellContext`rsy$ = 1.; $CellContext`LocRSy$ = 
           1.; $CellContext`rsz$ = 1.; $CellContext`LocRSz$ = 1.; 
          Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
           1.; $CellContext`LocRTz$ = 1.; $CellContext`rx$ = 
           1.; $CellContext`rxhlp$ = 1.; $CellContext`ry$ = 
           1.; $CellContext`ryhlp$ = 1.; $CellContext`rz$ = 
           1.; $CellContext`rzhlp$ = 1.; $CellContext`LocSCx$ = 
           1.; $CellContext`LocSCy$ = 1.; $CellContext`sid$ = 
           1.; $CellContext`sinangle$ = 1.; $CellContext`sno1$ = 
           1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
           1.; $CellContext`sno4$ = 
           1.; $CellContext`surfaceid$ = -1.; $CellContext`surfacenumber$ = \
-1.; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 0., 
            0.}; $CellContext`surfnorm$ = {{1.}}; $CellContext`symr1$ = 
           1.; $CellContext`symr2$ = 1.; $CellContext`symr3$ = 
           1.; $CellContext`symr4$ = 1.; $CellContext`symr5$ = 
           1.; $CellContext`symr6$ = 1.; $CellContext`symr7$ = 
           1.; $CellContext`symr8$ = 1.; $CellContext`symr9$ = 
           1.; $CellContext`tempclonedata$ = {{
            1.}}; $CellContext`terminatedeflection$ = 
           False; $CellContext`thresholdintensity$ = 
           1.; $CellContext`tiltmagnitude$ = 
           1.; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}}; $CellContext`LocTV1$ = 1.; $CellContext`LocTV10$ = 
           1.; $CellContext`LocTV2$ = 1.; $CellContext`LocTV3$ = 
           1.; $CellContext`LocTV4$ = 1.; $CellContext`LocTV5$ = 
           1.; $CellContext`LocTV6$ = 1.; $CellContext`LocTV7$ = 
           1.; $CellContext`LocTV8$ = 1.; $CellContext`LocTV9$ = 
           1.; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
            0.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`ver$ = 0. + 0. I; $CellContext`wavelength$ = 
           1.; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`xunit$ = 
           1.; $CellContext`YAxis$ = {1., 0., 0.}; $CellContext`yunit$ = 
           1.; $CellContext`ZAxis$ = {1., 0., 0.}; $CellContext`zunit$ = 
           1.; $CellContext`propagatedrays$ = 
           Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                 Cos[Degree $CellContext`\[Theta]1$$], 
                 Sin[Degree $CellContext`\[Theta]1$$], 0, -
                 Sin[Degree $CellContext`\[Theta]1$$], 
                 Cos[Degree $CellContext`\[Theta]1$$], 0, 0, 0, 1}]; 
             Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`xx1$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`yy1$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`xx1$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`yy1$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGDgAmJ1BnLBB3tK5c+eAYE7UHWRDrNmgsBOe3R15JkPBQvm
OKDQcH0qDuSZS6S9ZOsnLN/32AKI7tE53Big9NANt4BfS/x/LblP53DjgNJD
N9w6O0DgAZ3DTQBKD91weznZDoge0jncRKD00A03r/lfPOd/oXe4SUDpoRtu
q1eBwCM6h5sMlB664cazLYF7W8JjOoebApQeuuGWc1AMiJ7QOdyUoPTQDTdI
u5fe4aaCRpNqLkIeAG3p3TU=
               "]]]; $CellContext`propagatedrays$ = 
           Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
              1.; $CellContext`frontid$ = 
              1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
           200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
           0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx2$$]) 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx2$$] + $CellContext`ryhlp$ 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = Re[$CellContext`yy2$$] + $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx2$$], 
                    Re[$CellContext`yy2$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = ($CellContext`rex$ - 1. 
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`th$$]]) 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`yy2$$ + 
                    1.5 Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), (-
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    0.}, {(-Re[(-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]]), 0.}, {
                    0., 0., (Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])/(
                    Re[0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]]^2 - 1. 
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]] 
                    Re[0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    
                    Re[(-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    1.5 Cos[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[$CellContext`yy2$$ + 
                    1.5 Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = -$CellContext`rxhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 0.}, {-Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], -Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 0.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {0., 
                    0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; 
                    $CellContext`rxhlp$ = $CellContext`rx$ + \
$CellContext`ray1$ $CellContext`xunit$; $CellContext`ryhlp$ = \
$CellContext`ry$ + $CellContext`ray1$ $CellContext`yunit$; \
$CellContext`rzhlp$ = $CellContext`rz$ + $CellContext`ray1$ \
$CellContext`zunit$; $CellContext`rex$ = $CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`rzhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`th$$]]}, {0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]], (-1.5)
                     Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`zunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rz$ = Re[
                    Cos[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rey$ - 1. Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]]) - 1. 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]] \
($CellContext`rex$ - 1. Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] - 
                    1. $CellContext`rzhlp$ Re[
                    Sin[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rey$ = $CellContext`rzhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`th$$]] + 
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[
                    0.017453292519943295` $CellContext`th$$]] + \
$CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`th$$]]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = Map[Dot[{{0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`th$$]]}, {0., 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]]}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`th$$]], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx2$$ + 
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]], 
                    
                    Re[$CellContext`yy2$$ - 1.299038105676658 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rex$ - 1. Re[$CellContext`xx3$$]) 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$]) 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx3$$] + $CellContext`ryhlp$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = Re[$CellContext`yy3$$] + $CellContext`ryhlp$ 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx3$$], 
                    Re[$CellContext`yy3$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ - 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`xx3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`yy3$$ - 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[$CellContext`yy3$$ - 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    1.356393056223916 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6404669211033032 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.6404669211033032) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.356393056223916 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rxhlp$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    0.}, {(-Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0.}, {
                    0., 0., (-Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$]))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.4269779474022021 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 ((-0.9042620374826107) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.4269779474022021 ((-0.4269779474022021) \
((-0.9042620374826107) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r1$ 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r2$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 ((-0.4269779474022021) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.4269779474022021) (
                    0.9042620374826107 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 (
                    0.4269779474022021 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9042620374826107 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.9042620374826107 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.4269779474022021 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx3$$ + 
                    0.4269779474022021 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9042620374826107 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy3$$ + 
                    0.9042620374826107 (
                    0.9042620374826107 (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.4269779474022021 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.4269779474022021 ((-0.4269779474022021) (
                    0.9042620374826107 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.4269779474022021 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9042620374826107 (
                    0.4269779474022021 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9042620374826107 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy4$$]) 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$]) 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx4$$] + $CellContext`ryhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = Re[$CellContext`yy4$$] + $CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx4$$], 
                    Re[$CellContext`yy4$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.6353796648644058 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) \
((-1.1582998460341736`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.1582998460341736`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9530694972966087 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.9530694972966087 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.1582998460341736` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rxhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    0.}, {(-Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0.}, {
                    0., 0., (Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.6353796648644058) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.6353796648644058) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {3., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {3., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.6353796648644059 ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.7721998973561157) ((-0.7721998973561155) \
((-0.7721998973561157) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644059 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.6353796648644058 ((-0.7721998973561157) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.7721998973561157 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[0.6353796648644059 (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561155 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.7721998973561157) (
                    0.6353796648644059 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561155 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644058 (
                    0.7721998973561157 (
                    0.7721998973561157 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.6353796648644058 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.6353796648644058 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.7721998973561157 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx4$$ + 
                    0.6353796648644059 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.7721998973561155 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy4$$ - 
                    0.7721998973561157 ((-0.7721998973561155) (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.6353796648644059 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.6353796648644058 (
                    0.6353796648644058 (
                    0.6353796648644058 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.7721998973561157 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.7721998973561157 (
                    0.7721998973561157 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.6353796648644058 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 Sin[
                    0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy5$$]) 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$]) 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx5$$] + $CellContext`ryhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = Re[$CellContext`yy5$$] + $CellContext`ryhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx5$$], 
                    Re[$CellContext`yy5$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680008 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.969564157652007 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) \
((-1.4543462364780104`) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-1.4543462364780104`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.36725607475200117` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.36725607475200117` 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4543462364780104` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 3., 
                    
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rxhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    0.}, {(-Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0.}, {
                    0., 0., (Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.2448373831680008) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.2448373831680008) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {4., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {4., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))] 
                    Re[0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    Re[
                    0.2448373831680007 ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9695641576520069) ((-0.9695641576520069) \
((-0.969564157652007) Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.2448373831680007 ((-0.969564157652007) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9695641576520069) (
                    0.2448373831680007 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9695641576520069 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.9695641576520069 (
                    0.969564157652007 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.2448373831680008 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680007 (
                    0.2448373831680008 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.969564157652007 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx5$$ + 
                    0.2448373831680007 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9695641576520069 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy5$$ - 
                    0.9695641576520069 ((-0.9695641576520069) (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.2448373831680007 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.2448373831680007 (
                    0.2448373831680007 (
                    0.2448373831680008 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.969564157652007 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9695641576520069 (
                    0.969564157652007 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.2448373831680008 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[Sign[3.900362561813218 + 
                    2.5993752494589923` Part[#, 2] - 1.50075 Part[#, 3]] == 
                    1., Sign[3.900362561813218 - 2.5993752494589923` 
                    Part[#, 2] - 1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy6$$]) 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$]) 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx6$$] + $CellContext`ryhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = Re[$CellContext`yy6$$] + $CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx6$$], 
                    Re[$CellContext`yy6$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 2., 
                    
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358947`) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-1.4719203359713722`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.28887804443038423` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.28887804443038423`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.4719203359713722` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rxhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    0.}, {(-
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0.}, {
                    0., 0., (
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) (
                    0.19258536295358947` 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.9812802239809147) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[(-0.19258536295358938`) ((-0.19258536295358938`) \
(0.9812802239809147 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[
                    0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {5., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {5., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[(-0.19258536295358938`) ((-0.19258536295358938`) \
(0.9812802239809147 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.19258536295358938`) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9812802239809147) ((-0.9812802239809147) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.9812802239809147) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    
                    Re[(-0.19258536295358938`) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.9812802239809147) ((-0.19258536295358938`) (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 (
                    0.9812802239809147 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.19258536295358947` 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358938` ((-0.19258536295358947`) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.9812802239809147 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx6$$ - 
                    0.19258536295358938` ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.9812802239809147 ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy6$$ - 
                    0.9812802239809147 ((-0.9812802239809147) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.19258536295358938` (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.19258536295358938` ((-0.19258536295358938`) \
((-0.19258536295358947`) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.9812802239809147 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.9812802239809147 (
                    0.9812802239809147 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.19258536295358947` (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1676.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1708.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 1.50075, Part[#, 2] >= -1.50075, 
                    Part[#, 3] >= -1.50075, Part[#, 3] <= 1.50075]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1739.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1767.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Sign[3.900362561813218 + 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[3.900362561813218 - 2.5993752494589923` Part[#, 2] - 
                    1.50075 Part[#, 3]] == 1., 
                    Sign[0.0012996876247295026` + 3.0015 Part[#, 3]] == 1.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 1795.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`ry$ = ($CellContext`rey$ - 1. Re[$CellContext`yy7$$]) 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$]) 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 1., 
                    1676.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 1., 
                    1676.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    Re[$CellContext`xx7$$] + $CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = Re[$CellContext`yy7$$] + $CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5 Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    Re[$CellContext`xx7$$], 
                    Re[$CellContext`yy7$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    
                    0.5931326485554825 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 2., 
                    1708.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 2., 
                    1708.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rey$ = $CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + \
$CellContext`rxhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))] + 
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), (-
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    0.}, {(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))]), 0.}, {
                    0., 0., (-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (0.5 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])/(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))] + 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 Cos[
                    0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 Sin[
                    0.017453292519943295` $CellContext`th$$])))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) (0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.5 Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) ((-0.5) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) ((-0.5) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8660254037844386 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 (
                    0.8660254037844386 
                    Cos[0.017453292519943295` $CellContext`th$$] - 0.5 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 0.}, {
                    0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-1.2076571275571168`) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8896989728332239 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8896989728332239) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.2076571275571168` 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 3., 
                    1739.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 3., 
                    1739.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rxhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    0.}, {(-
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0.}, {
                    0., 0., (Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 Cos[
                    0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] - 1. 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}}, #]& , \
$CellContext`surfnorm$]; $CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) (
                    0.5931326485554825 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.8051047517047446) 
                    Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] \
($CellContext`rez$ + 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]); \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 4., 
                    1767.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 4., 
                    1767.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], (-1.5) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`yunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`zunit$ = $CellContext`r2$ 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`r1$ Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
($CellContext`rez$ - 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]) 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`ry$ = 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rz$ = Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rey$ - 1. Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]) + 
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] \
($CellContext`rex$ - 1. Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {6., 5., 
                    1795.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {6., 5., 
                    1795.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rzhlp$ Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rey$ = $CellContext`rzhlp$ 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + \
$CellContext`ryhlp$ 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))]; \
$CellContext`rez$ = 1.5 Re[
                    Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2] + \
$CellContext`rxhlp$ Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{
                    0., Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), (-
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {
                    0., (-Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 Sin[
                    0.017453292519943295` $CellContext`th$$]))]), 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))])}, {(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 Cos[
                    0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 Sin[
                    0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 Sin[
                    0.017453292519943295` $CellContext`th$$]))])/(-
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] + 
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))] 
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))]), 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {
                    
                    Re[(-0.5931326485554825) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.8051047517047446) ((-0.8051047517047446) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.8051047517047446) Cos[0.017453292519943295` $CellContext`th$$] - 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) + 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 0.}, {
                    
                    Re[(-0.5931326485554825) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    
                    Re[(-0.8051047517047446) ((-0.5931326485554825) (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 (
                    0.8051047517047446 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.5931326485554825 
                    Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 ((-0.5931326485554825) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.8051047517047446 
                    Sin[0.017453292519943295` $CellContext`th$$]))], 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    
                    Re[$CellContext`xx7$$ - 
                    0.5931326485554825 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) + 
                    0.8051047517047446 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 
                    
                    Re[$CellContext`yy7$$ - 
                    0.8051047517047446 ((-0.8051047517047446) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) - 
                    0.5931326485554825 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$]))) - 
                    0.5931326485554825 ((-0.5931326485554825) \
((-0.5931326485554825) ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.8051047517047446 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])) + 
                    0.8051047517047446 (
                    0.8051047517047446 ((-1.299038105676658) 
                    Cos[0.017453292519943295` $CellContext`th$$] + 
                    0.75 Sin[0.017453292519943295` $CellContext`th$$]) - 
                    0.5931326485554825 (
                    0.75 Cos[0.017453292519943295` $CellContext`th$$] + 
                    1.299038105676658 
                    Sin[0.017453292519943295` $CellContext`th$$])))], 1.5 
                    Re[Cos[0.017453292519943295` $CellContext`th$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`th$$]^2]}; \
$CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[0.7992360315395051 + 
                    0.7008820316429027 $CellContext`wavelength$^2 + 
                    0.5081427934441332/$CellContext`wavelength$^2 - 
                    0.1261876011757923/$CellContext`wavelength$^4 + 
                    0.015383998117699492`/$CellContext`wavelength$^6 - 
                    0.0007271522895618472/$CellContext`wavelength$^8]]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-20. + \
$CellContext`rex$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2043.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    25. + $CellContext`rey$; $CellContext`ry$ = -(-5. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2044.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    10. + $CellContext`rex$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2045.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -5. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2046.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2047.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx$/$CellContext`xunit$), \
$CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$)/$CellContext`xunit$, $CellContext`rz$ - \
($CellContext`rx$ $CellContext`zunit$)/$CellContext`xunit$}]}, {{-1., 0., 
                    0.}}]; AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 2048.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-20. + \
$CellContext`rex$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 1., 
                    2043.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 1., 
                    2043.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rxhlp$; $CellContext`rey$ = -10. - 
                    1. $CellContext`ryhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0, 0}, {0, -1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    20., -10., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    25. + $CellContext`rey$; $CellContext`ry$ = -(-5. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = \
False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 2., 
                    2044.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 2., 
                    2044.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`ryhlp$; $CellContext`rey$ = -25. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 1., 0}, {-1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    5., -25., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    10. + $CellContext`rex$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 3., 
                    2045.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 3., 
                    2045.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-10. + $CellContext`rxhlp$; $CellContext`rey$ = -10. + $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0, 0}, {0, 1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = \
{-10., -10., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -5. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 4., 
                    2046.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 4., 
                    2046.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. + $CellContext`ryhlp$; $CellContext`rey$ = 
                    5. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, -1., 0}, {1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector$ = {
                    5., 5., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = 
                    10. + $CellContext`rey$; $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 5., 
                    2047.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 5., 
                    2047.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`rzhlp$; $CellContext`rey$ = -10. + \
$CellContext`ryhlp$; $CellContext`rez$ = -15. + $CellContext`rxhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 0, 1.}, {
                    0, 1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector$ = {
                    5., -10., -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -(
                    10. + $CellContext`rey$); $CellContext`rz$ = -(-5. + \
$CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {7., 6., 
                    2048.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {7., 6., 
                    2048.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    5. - 1. $CellContext`rzhlp$; $CellContext`rey$ = -10. - 
                    1. $CellContext`ryhlp$; $CellContext`rez$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0, 0, -1.}, {
                    0, -1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector$ = {5., -10., 
                    15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
          If[Length[$CellContext`reportedrays$] > 
            2, $CellContext`reportedrays$ = 
            Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
          Map[{
             Part[#, 16], 
             Part[#, 1], 
             Part[#, 2], 
             Part[#, 3], 
             Part[#, 4], 
             Part[#, 5], 
             
             Part[#, 6]}& , $CellContext`reportedrays$]]]; \
$CellContext`lines1117502010112862929581804 = 
       Compile[{$CellContext`xx2, $CellContext`yy2, $CellContext`th}, \
{{$CellContext`xx2 - 0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] - 
           0.75 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 + 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 + 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] - 
           0.75 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 0.75 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] - 
           0.75 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           2.25 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 + 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.299038105676658 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 + 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] - 
           0.75 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           2.25 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] + 
           2.25 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75 Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] - 
           0.75 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 0.75 
           Cos[0.017453292519943295` $CellContext`th] + 
           1.299038105676658 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.299038105676658 Cos[0.017453292519943295` $CellContext`th] - 
           0.75 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.2994711183785501` Cos[0.017453292519943295` $CellContext`th] - 
           0.75075 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.2999041310804422` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 + 
           1.2999041310804422` Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.2994711183785501` Cos[0.017453292519943295` $CellContext`th] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.2994711183785501` Cos[0.017453292519943295` $CellContext`th] - 
           0.75075 Sin[
            0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.2994711183785501` Cos[0.017453292519943295` $CellContext`th] - 
           0.75075 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           0.75 Cos[0.017453292519943295` $CellContext`th] - 
           1.2999041310804422` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 + 
           1.2999041310804422` Cos[0.017453292519943295` $CellContext`th] + 
           0.75 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 + 
           2.25075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.2994711183785501` Cos[0.017453292519943295` $CellContext`th] + 
           2.25075 Sin[
             0.017453292519943295` $CellContext`th]}, {$CellContext`xx2 - 
           0.75075 Cos[0.017453292519943295` $CellContext`th] + 
           1.2994711183785501` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy2 - 
           1.2994711183785501` Cos[0.017453292519943295` $CellContext`th] - 
           0.75075 Sin[
            0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1217502010112862929587806 = 
       Compile[{$CellContext`xx3, $CellContext`yy3, $CellContext`th}, \
{{$CellContext`xx3 - 1.232857152071022 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.232857152071022 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.232857152071022 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.232857152071022 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4799289603768098` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768098` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.232857152071022 Cos[0.017453292519943295` $CellContext`th] - 
           0.854437383655074 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 + 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] + 
           1.232857152071022 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4799289603768098` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768098` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4799289603768098` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768098` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2328571520710223` Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.2328571520710223` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4799289603768095` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768095` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4799289603768095` Cos[0.017453292519943295` $CellContext`th] + 
           2.1353712258616806` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1353712258616806` Cos[0.017453292519943295` $CellContext`th] + 
           1.4799289603768095` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2328571520710223` Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.2328571520710223` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2328571520710223` Cos[0.017453292519943295` $CellContext`th] + 
           0.854437383655074 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.854437383655074 Cos[0.017453292519943295` $CellContext`th] - 
           1.2328571520710223` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2337202354737875` Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.2332269258203281` Cos[0.017453292519943295` $CellContext`th] - 
           0.8552204975512119 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 + 
           0.8552204975512119 Cos[0.017453292519943295` $CellContext`th] + 
           1.2332269258203281` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4804222700302687` Cos[0.017453292519943295` $CellContext`th] + 
           2.136083016270301 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1360830162703013` Cos[0.017453292519943295` $CellContext`th] + 
           1.4804222700302687` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2337202354737875` Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2337202354737875` Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.2332269258203281` Cos[0.017453292519943295` $CellContext`th] - 
           0.8552204975512119 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 + 
           0.8552204975512119 Cos[0.017453292519943295` $CellContext`th] + 
           1.2332269258203281` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 + 
           1.4804222700302687` Cos[0.017453292519943295` $CellContext`th] + 
           2.136083016270301 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           2.1360830162703013` Cos[0.017453292519943295` $CellContext`th] + 
           1.4804222700302687` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx3 - 
           1.2337202354737875` Cos[0.017453292519943295` $CellContext`th] + 
           0.8545087071425913 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy3 - 
           0.8545087071425912 Cos[0.017453292519943295` $CellContext`th] - 
           1.2337202354737875` 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1317502010112862929596019 = 
       Compile[{$CellContext`xx4, $CellContext`yy4, $CellContext`th}, \
{{$CellContext`xx4 - 1.4796518405135028` 
           Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384087` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.24623247321384029` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135028` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] - 
           0.24623247321384087` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 + 
           0.24623247321384029` Cos[0.017453292519943295` $CellContext`th] + 
           1.4796518405135028` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] - 
           0.24623247321384087` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 + 
           0.24623247321384029` Cos[0.017453292519943295` $CellContext`th] + 
           1.4796518405135028` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384087` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.24623247321384029` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135028` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] + 
           0.24623247321384087` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.24623247321384029` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135028` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.42648715407971516` Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821886` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797144 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] - 
           0.246232473213841 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 + 
           0.24623247321384034` Cos[0.017453292519943295` $CellContext`th] + 
           1.479651840513503 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] - 
           0.246232473213841 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 + 
           0.24623247321384034` Cos[0.017453292519943295` $CellContext`th] + 
           1.479651840513503 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.42648715407971516` Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821886` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797144 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.42648715407971516` Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821886` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797144 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] + 
           0.246232473213841 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.24623247321384056` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.42648715407971505` Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821886` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797145 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.42648715407971505` Cos[0.017453292519943295` $CellContext`th] + 
           2.5628321652821886` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.562832165282188 Cos[0.017453292519943295` $CellContext`th] + 
           0.4264871540797145 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] + 
           0.246232473213841 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.24623247321384056` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4796518405135028` Cos[0.017453292519943295` $CellContext`th] + 
           0.246232473213841 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.24623247321384056` Cos[0.017453292519943295` $CellContext`th] - 
           1.4796518405135024` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4804627476261063` Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623426` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.2459284507562336 Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           1.480320585241413 Cos[0.017453292519943295` $CellContext`th] - 
           0.2467827281446613 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 + 
           0.24678272814466085` Cos[0.017453292519943295` $CellContext`th] + 
           1.4803205852414134` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.4266293164644085 Cos[0.017453292519943295` $CellContext`th] + 
           2.563686442670616 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.5636864426706154` Cos[0.017453292519943295` $CellContext`th] + 
           0.4266293164644078 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4804627476261063` Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623426` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.2459284507562336 Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4804627476261063` Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623426` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.2459284507562336 Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           1.480320585241413 Cos[0.017453292519943295` $CellContext`th] - 
           0.2467827281446613 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 + 
           0.24678272814466085` Cos[0.017453292519943295` $CellContext`th] + 
           1.4803205852414134` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 + 
           0.4266293164644085 Cos[0.017453292519943295` $CellContext`th] + 
           2.563686442670616 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           2.5636864426706154` Cos[0.017453292519943295` $CellContext`th] + 
           0.4266293164644078 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx4 - 
           1.4804627476261063` Cos[0.017453292519943295` $CellContext`th] + 
           0.24592845075623426` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy4 - 
           0.2459284507562336 Cos[0.017453292519943295` $CellContext`th] - 
           1.4804627476261059` 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1417502010112862929602003 = 
       Compile[{$CellContext`xx5, $CellContext`yy5, $CellContext`th}, \
{{$CellContext`xx5 - 1.4431288240642484` 
           Cos[0.017453292519943295` $CellContext`th] - 0.4091200278096155 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642484` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 + 
           1.4431288240642484` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096155 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642484` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 + 
           1.4431288240642484` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096155 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642484` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4431288240642484` Cos[0.017453292519943295` $CellContext`th] - 
           0.4091200278096155 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642484` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4431288240642484` Cos[0.017453292519943295` $CellContext`th] - 
           0.4091200278096155 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4091200278096155 Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642484` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.708616674560246 Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.708616674560246 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 + 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096152 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           0.4091200278096152 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642481` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 + 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] + 
           0.4091200278096152 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           0.4091200278096152 Cos[0.017453292519943295` $CellContext`th] + 
           1.4431288240642481` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.708616674560246 Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.708616674560246 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.708616674560246 Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.708616674560246 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] - 
           0.40912002780961565` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.40912002780961565` Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642481` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.7086166745602456 Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602456 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.7086166745602456 Cos[0.017453292519943295` $CellContext`th] + 
           2.4995724451464056` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.4995724451464056` Cos[0.017453292519943295` $CellContext`th] - 
           0.7086166745602456 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] - 
           0.40912002780961565` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.40912002780961565` Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642481` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4431288240642481` Cos[0.017453292519943295` $CellContext`th] - 
           0.40912002780961565` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.40912002780961565` Cos[0.017453292519943295` $CellContext`th] - 
           1.4431288240642481` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4437322856971868` Cos[0.017453292519943295` $CellContext`th] - 
           0.4097411832310449 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4097411832310449 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 + 
           1.443968491255374 Cos[0.017453292519943295` $CellContext`th] + 
           0.40890799241599574` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           0.40890799241599574` Cos[0.017453292519943295` $CellContext`th] + 
           1.443968491255374 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.7088528801184324 Cos[0.017453292519943295` $CellContext`th] + 
           2.5004056359614544` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.500405635961455 Cos[0.017453292519943295` $CellContext`th] - 
           0.7088528801184324 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4437322856971868` Cos[0.017453292519943295` $CellContext`th] - 
           0.4097411832310449 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4097411832310449 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4437322856971868` Cos[0.017453292519943295` $CellContext`th] - 
           0.4097411832310449 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4097411832310449 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 + 
           1.443968491255374 Cos[0.017453292519943295` $CellContext`th] + 
           0.40890799241599574` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           0.40890799241599574` Cos[0.017453292519943295` $CellContext`th] + 
           1.443968491255374 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           0.7088528801184324 Cos[0.017453292519943295` $CellContext`th] + 
           2.5004056359614544` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 - 
           2.500405635961455 Cos[0.017453292519943295` $CellContext`th] - 
           0.7088528801184324 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx5 - 
           1.4437322856971868` Cos[0.017453292519943295` $CellContext`th] - 
           0.4097411832310449 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy5 + 
           0.4097411832310449 Cos[0.017453292519943295` $CellContext`th] - 
           1.4437322856971868` 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1517502010112862929607836 = 
       Compile[{$CellContext`xx6, $CellContext`yy6, $CellContext`th}, \
{{$CellContext`xx6 - 1.130281381082942 
           Cos[0.017453292519943295` $CellContext`th] - 0.9861358930579684 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 + 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579684 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] + 
           1.130281381082942 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 + 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579684 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] + 
           1.130281381082942 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] - 
           0.9861358930579684 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] - 
           0.9861358930579684 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9861358930579684 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.7080374699437102` Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437102` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 + 
           1.1302813810829417` Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579686 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] + 
           1.1302813810829417` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 + 
           1.1302813810829417` Cos[0.017453292519943295` $CellContext`th] + 
           0.9861358930579686 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] + 
           1.1302813810829417` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.7080374699437102` Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437102` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.7080374699437102` Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437102` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] - 
           0.9861358930579686 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.7080374699437104` Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437104` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.7080374699437104` Cos[0.017453292519943295` $CellContext`th] + 
           1.957704778884776 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.957704778884776 Cos[0.017453292519943295` $CellContext`th] - 
           1.7080374699437104` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] - 
           0.9861358930579686 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130281381082942 Cos[0.017453292519943295` $CellContext`th] - 
           0.9861358930579686 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9861358930579686 Cos[0.017453292519943295` $CellContext`th] - 
           1.130281381082942 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130561848861826 Cos[0.017453292519943295` $CellContext`th] - 
           0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 + 
           1.1311311946851406` Cos[0.017453292519943295` $CellContext`th] + 
           0.9863026768746834 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           0.9863026768746834 Cos[0.017453292519943295` $CellContext`th] + 
           1.1311311946851406` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.708606815767025 Cos[0.017453292519943295` $CellContext`th] + 
           1.958357347144404 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.9583573471444042` Cos[0.017453292519943295` $CellContext`th] - 
           1.708606815767025 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130561848861826 Cos[0.017453292519943295` $CellContext`th] - 
           0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130561848861826 Cos[0.017453292519943295` $CellContext`th] - 
           0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 + 
           1.1311311946851406` Cos[0.017453292519943295` $CellContext`th] + 
           0.9863026768746834 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           0.9863026768746834 Cos[0.017453292519943295` $CellContext`th] + 
           1.1311311946851406` 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.708606815767025 Cos[0.017453292519943295` $CellContext`th] + 
           1.958357347144404 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 - 
           1.9583573471444042` Cos[0.017453292519943295` $CellContext`th] - 
           1.708606815767025 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx6 - 
           1.130561848861826 Cos[0.017453292519943295` $CellContext`th] - 
           0.9869552451343117 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy6 + 
           0.9869552451343118 Cos[0.017453292519943295` $CellContext`th] - 
           1.130561848861826 
           Sin[0.017453292519943295` $CellContext`th]}}]; \
$CellContext`lines1617502010112862929613511 = 
       Compile[{$CellContext`xx7, $CellContext`yy7, $CellContext`th}, \
{{$CellContext`xx7 - 0.6010122651091956 
           Cos[0.017453292519943295` $CellContext`th] - 1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091956 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 + 
           0.6010122651091956 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730512` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091956 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 + 
           0.6010122651091956 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730512` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091956 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6010122651091956 Cos[0.017453292519943295` $CellContext`th] - 
           1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091956 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6010122651091956 Cos[0.017453292519943295` $CellContext`th] - 
           1.3743304759730512` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3743304759730512` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091956 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.380410210775643 Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 + 
           0.6010122651091953 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730515` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091953 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 + 
           0.6010122651091953 Cos[0.017453292519943295` $CellContext`th] + 
           1.3743304759730515` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] + 
           0.6010122651091953 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.380410210775643 Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.380410210775643 Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6010122651091954 Cos[0.017453292519943295` $CellContext`th] - 
           1.3743304759730515` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091954 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.380410210775643 Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.380410210775643 Cos[0.017453292519943295` $CellContext`th] + 
           1.0409837791411822` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0409837791411822` Cos[0.017453292519943295` $CellContext`th] - 
           2.380410210775643 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6010122651091954 Cos[0.017453292519943295` $CellContext`th] - 
           1.3743304759730515` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091954 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6010122651091954 Cos[0.017453292519943295` $CellContext`th] - 
           1.3743304759730515` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3743304759730515` Cos[0.017453292519943295` $CellContext`th] - 
           0.6010122651091954 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6009160362066207 Cos[0.017453292519943295` $CellContext`th] - 
           1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 + 
           0.6017095062768796 Cos[0.017453292519943295` $CellContext`th] + 
           1.3748441439145143` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.3748441439145143` Cos[0.017453292519943295` $CellContext`th] + 
           0.6017095062768796 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.3812036808459016` Cos[0.017453292519943295` $CellContext`th] + 
           1.0413307737342294` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0413307737342294` Cos[0.017453292519943295` $CellContext`th] - 
           2.3812036808459016` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6009160362066207 Cos[0.017453292519943295` $CellContext`th] - 
           1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6009160362066207 Cos[0.017453292519943295` $CellContext`th] - 
           1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 + 
           0.6017095062768796 Cos[0.017453292519943295` $CellContext`th] + 
           1.3748441439145143` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.3748441439145143` Cos[0.017453292519943295` $CellContext`th] + 
           0.6017095062768796 
            Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           2.3812036808459016` Cos[0.017453292519943295` $CellContext`th] + 
           1.0413307737342294` 
            Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 - 
           1.0413307737342294` Cos[0.017453292519943295` $CellContext`th] - 
           2.3812036808459016` 
           Sin[0.017453292519943295` $CellContext`th]}, {$CellContext`xx7 - 
           0.6009160362066207 Cos[0.017453292519943295` $CellContext`th] - 
           1.3751911385075615` 
           Sin[0.017453292519943295` $CellContext`th], $CellContext`yy7 + 
           1.3751911385075615` Cos[0.017453292519943295` $CellContext`th] - 
           0.6009160362066207 Sin[0.017453292519943295` $CellContext`th]}}]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->40],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.499935459444294*^9, 3.499935975864843*^9, 
  3.499936185631629*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Third Example (ComponentMedium->BK7)", "Section",
 CellChangeTimes->{{3.499935228386736*^9, 3.499935230246194*^9}, {
  3.4999358109661903`*^9, 3.499935826666143*^9}}],

Cell[CellGroupData[{

Cell["\<\
prism = Prism[{60,3,60},3,Centered->True,ComponentMedium->BK7]\
\>", "Input",
 CellChangeTimes->{{3.498819704526411*^9, 3.4988197249089203`*^9}, {
   3.4988198721110773`*^9, 3.4988198750863132`*^9}, 3.498819965109537*^9, {
   3.4988200426402187`*^9, 3.498820049478594*^9}, {3.4988203239405203`*^9, 
   3.498820331130657*^9}, {3.4988204754989634`*^9, 3.4988204877047853`*^9}, {
   3.4988207626348343`*^9, 3.498820773965749*^9}, {3.499853922861321*^9, 
   3.499853941485497*^9}, 3.499934893358675*^9, {3.499934938311749*^9, 
   3.4999349753651857`*^9}, {3.499935818515154*^9, 3.499935835051837*^9}}],

Cell[BoxData[
 RowBox[{"Prism", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
   RowBox[{"Centered", "\[Rule]", "True"}], ",", 
   RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}]], "Output",
 CellChangeTimes->{3.498820488463139*^9, 3.4998538775749187`*^9, 
  3.4998539422576733`*^9, 3.499899516101986*^9, 3.4999348950262814`*^9, 
  3.4999349456392736`*^9, 3.499934976534251*^9, 3.499935174840369*^9, 
  3.49993583694306*^9, 3.499936306800157*^9, 3.500769342858951*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
elements = Flatten[{RainbowOfRays[{.45,.65},NumberOfRays->10], \
MoveAligned[SingleRay[],Flatten[{Table[{2,prism},{6}]}]],Move[Boundary[30],{-\
10,-10}]}]\
\>", "Input",
 CellChangeTimes->{{3.499854272711955*^9, 3.4998543081752577`*^9}, {
   3.499854402651237*^9, 3.49985440513942*^9}, {3.4999362764484663`*^9, 
   3.499936290851262*^9}, 3.499936321634802*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"RainbowOfRays", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.45`", ",", "0.65`"}], "}"}], ",", 
     RowBox[{"NumberOfRays", "\[Rule]", "10"}]}], "]"}], ",", 
   RowBox[{"MoveAligned", "[", 
    RowBox[{
     RowBox[{"SingleRay", "[", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"Prism", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
         RowBox[{"Centered", "\[Rule]", "True"}], ",", 
         RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}], ",", "2", 
       ",", 
       RowBox[{"Prism", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
         RowBox[{"Centered", "\[Rule]", "True"}], ",", 
         RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}], ",", "2", 
       ",", 
       RowBox[{"Prism", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
         RowBox[{"Centered", "\[Rule]", "True"}], ",", 
         RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}], ",", "2", 
       ",", 
       RowBox[{"Prism", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
         RowBox[{"Centered", "\[Rule]", "True"}], ",", 
         RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}], ",", "2", 
       ",", 
       RowBox[{"Prism", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
         RowBox[{"Centered", "\[Rule]", "True"}], ",", 
         RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}], ",", "2", 
       ",", 
       RowBox[{"Prism", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"60", ",", "3", ",", "60"}], "}"}], ",", "3", ",", 
         RowBox[{"Centered", "\[Rule]", "True"}], ",", 
         RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]}], "]"}]}], "}"}]}], 
    "]"}], ",", 
   RowBox[{"Move", "[", 
    RowBox[{
     RowBox[{"Boundary", "[", "30", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}]}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.499854284287215*^9, 3.4998543497011433`*^9, 3.4998544061965446`*^9, 
   3.499906001243184*^9, 3.499907134145556*^9, 3.499934768719872*^9, 
   3.499935138044077*^9, 3.499935177413022*^9, 3.499935840255279*^9, {
   3.499936292239606*^9, 3.499936323270623*^9}, 3.500769348381831*^9}]
}, Open  ]],

Cell["tresult = TurboPlot[elements,PlotType->TopView];", "Input",
 CellChangeTimes->{{3.498819895998118*^9, 3.498819903971325*^9}, {
   3.498820066224031*^9, 3.498820076431065*^9}, {3.498820158420072*^9, 
   3.498820204795269*^9}, 3.4988203063822517`*^9, {3.499854012892967*^9, 
   3.499854016827602*^9}, 3.4999349063847437`*^9, 3.499935109664934*^9}]
}, Open  ]]
},
WindowSize->{1437, 1108},
WindowMargins->{{Automatic, 47}, {Automatic, 235}},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 98, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[690, 27, 563, 9, 27, "Input"],
Cell[1256, 38, 681, 18, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1974, 61, 318, 6, 27, "Input"],
Cell[2295, 69, 5193, 159, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7525, 233, 351, 4, 27, "Input"],
Cell[7879, 239, 114636, 2012, 1083, 37596, 747, "CachedBoxData", "BoxData", \
"Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[122552, 2256, 108, 1, 27, "Input"],
Cell[122663, 2259, 6758, 207, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129458, 2471, 158, 2, 27, "Input"],
Cell[129619, 2475, 1463774, 24937, 947, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1593442, 27418, 99, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[1593566, 27423, 554, 9, 27, "Input"],
Cell[1594123, 27434, 831, 23, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1594991, 27462, 394, 7, 27, "Input"],
Cell[1595388, 27471, 6006, 182, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1601431, 27658, 181, 2, 34, "Subsection"],
Cell[CellGroupData[{
Cell[1601637, 27664, 158, 2, 27, "Input"],
Cell[1601798, 27668, 1663937, 28214, 947, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[3265784, 55888, 133, 2, 26, "Subsection"],
Cell[CellGroupData[{
Cell[3265942, 55894, 178, 2, 27, "Input"],
Cell[3266123, 55898, 3467598, 59971, 947, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6733782, 115876, 172, 2, 67, "Section"],
Cell[CellGroupData[{
Cell[6733979, 115882, 607, 9, 27, "Input"],
Cell[6734589, 115893, 527, 10, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6735153, 115908, 370, 7, 27, "Input"],
Cell[6735526, 115917, 2594, 66, 73, "Output"]
}, Open  ]],
Cell[6738135, 115986, 351, 4, 27, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
