(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    175700,       6235]*)
(*NotebookOutlinePosition[    176595,       6263]*)
(*  CellTagsIndexPosition[    176551,       6259]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(<< Optica`Optica`\)], "Input"],

Cell[BoxData[
    \("Optica version 1.3 is now loaded."\)], "Print"]
}, Open  ]],

Cell[BoxData[{
    \(\(Unprotect[ModelRefractiveIndex];\)\), "\n", 
    \(\(ModelRefractiveIndex[Cornea]\  = \[IndentingNewLine]IndexFunction[
          0.9327928718707739, \ 0.8538516694499236, \ 
          0.40169985446393497, \ \(-0.07463464076879944\), \ 
          0.005414466086210101, \ \(-0.0000470733761931217\)];\)\), "\n", 
    \(\(ModelRefractiveIndex[Aqueous]\  = 
        IndexFunction[0.8793489860601689, \ 0.804930679059261, \ 
          0.3786846687785399, \ \(-0.070358487574401\), \ 
          0.0051042470483479985, \ \(-0.00004437633141731942\)];\)\), "\
\[IndentingNewLine]", 
    \(\(ModelRefractiveIndex[Crystalline]\  = 
        IndexFunction[0.919884568239997, \ 0.867873568315229, \ 
          0.5011969857016929, \ \(-0.09717840706484093\), \ 
          0.007046473790792707, \ \(-0.00006123715897960033\)];\)\), "\n", 
    \(\(Protect[ModelRefractiveIndex];\)\)}], "Input"],

Cell[BoxData[{
    \(xnul = 137.975; xs = 42.36; zs = xnul - xs; 
    xcor = xnul - 3.6;\), "\[IndentingNewLine]", 
    \(xp = xcor + 2.5; \ yp = \(+0. \);\), "\[IndentingNewLine]", 
    \(SP = Sqrt[zs^2 + \((xp - xs)\)^2 + yp^2]; 
    radius = SP*Tan[angle];\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"setup", "=", 
        RowBox[{"DrawSystem", "[", 
          RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
              
              RowBox[{\(Move3D[\[IndentingNewLine]Ray[], {xs, 0. , 
                    zs}, {\((xp - xs)\)/SP, yp/SP, \(-zs\)/SP}, 0]\), ",", 
                "\[IndentingNewLine]", 
                
                StyleBox[\(Move[
                    IntrinsicSphericalSurface[8.0, 13. , Air, Cornea, 
                      SurfaceRendering \[Rule] Empty], {xcor, 0. , 0. }]\),
                  "Text"], 
                StyleBox[",",
                  "Text"], 
                StyleBox["\[IndentingNewLine]",
                  "Text"], 
                
                StyleBox[\(Move[
                    IntrinsicSphericalSurface[6.4, 11.5, Cornea, Aqueous, 
                      SurfaceRendering \[Rule] Empty], {xcor + 0.5, 0. , 
                      0. }]\),
                  "Text"], 
                StyleBox[",",
                  "Text"], "\[IndentingNewLine]", 
                
                StyleBox[\(Move[
                    IntrinsicSphericalSurface[10.0, 9.6, Aqueous, 
                      Crystalline, 
                      SurfaceRendering \[Rule] Empty], {xcor + 3.6, 0. , 0. , 
                      0. }]\),
                  "Text"], 
                StyleBox[",",
                  "Text"], 
                StyleBox["\[IndentingNewLine]",
                  "Text"], 
                
                StyleBox[\(Move[
                    IntrinsicSphericalSurface[\(-6.0\), 9.6, Crystalline, 
                      Aqueous, SurfaceRendering \[Rule] Empty], {xcor + 7.2, 
                      0. , 0. }]\),
                  "Text"], 
                StyleBox[",",
                  "Text"], 
                "\[IndentingNewLine]", \(Boundary[{\(-150\), \(-150\), \(-150\
\)}, {150, 150, 150}]\)}], "}"}], ",", " ", \(PlotPoints \[Rule] 100\)}], 
          "]"}]}], ";"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.09853 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0817638 1.11533 -0.0167995 1.11533 [
[ 0 0 0 0 ]
[ 1 1.09853 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07143 .29748 m
0 1.04948 L
s
0 1.04948 m
.06917 1.09853 L
s
.06917 1.09853 m
.12889 .35583 L
s
.12889 .35583 m
.07143 .29748 L
s
.87038 0 m
.91466 .07195 L
s
.91466 .07195 m
1 .85623 L
s
1 .85623 m
.9494 .79334 L
s
.9494 .79334 m
.87038 0 L
s
.07143 .29748 m
0 1.04948 L
s
0 1.04948 m
.9494 .79334 L
s
.9494 .79334 m
.87038 0 L
s
.87038 0 m
.07143 .29748 L
s
.12889 .35583 m
.91466 .07195 L
s
.91466 .07195 m
1 .85623 L
s
1 .85623 m
.06917 1.09853 L
s
.06917 1.09853 m
.12889 .35583 L
s
0 0 m
1 0 L
1 1.09853 L
0 1.09853 L
closepath
clip
newpath
.5 Mabswid
.80523 .18067 m
.80091 .18019 L
s
.80523 .18067 m
.80523 .18067 L
s
.80091 .18019 m
.79698 .17958 L
s
.79698 .17958 m
.79337 .17885 L
s
.79337 .17885 m
.79003 .17802 L
s
.79003 .17802 m
.78691 .17712 L
s
.78691 .17712 m
.784 .17614 L
s
.784 .17614 m
.78126 .17509 L
s
.78008 .10816 m
.78008 .10816 L
s
.77701 .1113 m
.78008 .10816 L
s
.78126 .17509 m
.77869 .17399 L
s
.77433 .1143 m
.77701 .1113 L
s
.80845 .17491 m
.80845 .17491 L
s
.80347 .17489 m
.80845 .17491 L
s
.80347 .17489 m
.79921 .17462 L
s
.77197 .11719 m
.77433 .1143 L
s
.79543 .17418 m
.79921 .17462 L
s
.76988 .11998 m
.77197 .11719 L
s
.79543 .17418 m
.79203 .1736 L
s
.77869 .17399 m
.77627 .17283 L
s
.76801 .12269 m
.76988 .11998 L
s
.79203 .1736 m
.78892 .17292 L
s
.76635 .12532 m
.76801 .12269 L
s
.78892 .17292 m
.78605 .17216 L
s
.77627 .17283 m
.77398 .17162 L
s
.76487 .12789 m
.76635 .12532 L
s
.78605 .17216 m
.78339 .17131 L
s
.77398 .17162 m
.77183 .17037 L
s
.76355 .13041 m
.76487 .12789 L
s
.78339 .17131 m
.78092 .1704 L
s
.76238 .13287 m
.76355 .13041 L
s
.78092 .1704 m
.77861 .16944 L
s
.77183 .17037 m
.76979 .16907 L
s
.7823 .11384 m
.78617 .11064 L
s
.77914 .11678 m
.7823 .11384 L
s
.77647 .11955 m
.77914 .11678 L
s
.78617 .11064 m
.78617 .11064 L
s
.77418 .12218 m
.77647 .11955 L
s
.76135 .13528 m
.76238 .13287 L
s
.77218 .1247 m
.77418 .12218 L
s
.77861 .16944 m
.77645 .16841 L
s
.77042 .12714 m
.77218 .1247 L
s
.76979 .16907 m
.76788 .16772 L
s
.76045 .13764 m
.76135 .13528 L
s
.76887 .1295 m
.77042 .12714 L
s
.77645 .16841 m
.77442 .16734 L
s
.81069 .16824 m
.81217 .16622 L
s
.81069 .16824 m
.81069 .16824 L
s
.76751 .1318 m
.76887 .1295 L
s
.8109 .16817 m
.80911 .16731 L
s
.8109 .16817 m
.8109 .16817 L
s
.75968 .13997 m
.76045 .13764 L
s
.76608 .16633 m
.76788 .16772 L
s
.76631 .13404 m
.76751 .1318 L
s
.77442 .16734 m
.77252 .16622 L
s
.80911 .16731 m
.80739 .16643 L
s
.75902 .14225 m
.75968 .13997 L
s
.76526 .13623 m
.76631 .13404 L
s
.80572 .16553 m
.80739 .16643 L
s
.76608 .16633 m
.76438 .1649 L
s
.81217 .16622 m
.81339 .1643 L
s
.77252 .16622 m
.77075 .16506 L
s
.76435 .13836 m
.76526 .13623 L
s
.75848 .14449 m
.75902 .14225 L
s
.80572 .16553 m
.80411 .1646 L
s
.76357 .14045 m
.76435 .13836 L
s
.77075 .16506 m
.76908 .16386 L
s
.76438 .1649 m
.7628 .16344 L
s
.75805 .14669 m
.75848 .14449 L
s
.80411 .1646 m
.80256 .16366 L
s
.81339 .1643 m
.81439 .16245 L
s
.76291 .1425 m
.76357 .14045 L
s
.79205 .11446 m
.79205 .11446 L
s
.79446 .1151 m
.79205 .11446 L
s
.79226 .11439 m
.79226 .11439 L
s
.7914 .11621 m
.79226 .11439 L
s
.76753 .16261 m
.76908 .16386 L
s
.80106 .16269 m
.80256 .16366 L
s
.75773 .14886 m
.75805 .14669 L
s
.7906 .118 m
.7914 .11621 L
s
.7628 .16344 m
.76131 .16193 L
s
.76236 .14451 m
.76291 .1425 L
s
.78986 .11978 m
.7906 .118 L
s
.80106 .16269 m
.79961 .16171 L
s
.76753 .16261 m
.76608 .16132 L
s
.81439 .16245 m
.8152 .16067 L
s
.76192 .14649 m
.76236 .14451 L
s
.7966 .11584 m
.79446 .1151 L
s
.75751 .15099 m
.75773 .14886 L
s
.78918 .12153 m
.78986 .11978 L
s
.76131 .16193 m
.75993 .16038 L
s
.79961 .16171 m
.79822 .16071 L
s
.76159 .14842 m
.76192 .14649 L
s
.78856 .12327 m
.78918 .12153 L
s
.76608 .16132 m
.76473 .16 L
s
.75739 .15309 m
.75751 .15099 L
s
.79822 .16071 m
.79687 .15969 L
s
.79853 .11665 m
.7966 .11584 L
s
.8152 .16067 m
.81585 .15894 L
s
.78799 .12499 m
.78856 .12327 L
s
.75993 .16038 m
.75865 .1588 L
s
.76137 .15032 m
.76159 .14842 L
s
.76473 .16 m
.76349 .15864 L
s
.78747 .12669 m
.78799 .12499 L
s
.75738 .15515 m
.75739 .15309 L
s
.79687 .15969 m
.79557 .15865 L
s
.76124 .15218 m
.76137 .15032 L
s
.787 .12837 m
.78747 .12669 L
s
.79853 .11665 m
.80026 .11754 L
s
.81636 .15726 m
.81585 .15894 L
s
.75865 .1588 m
.75746 .15718 L
s
.79557 .15865 m
.79432 .15759 L
s
.76349 .15864 m
.76234 .15724 L
s
.75746 .15718 m
.75738 .15515 L
s
.78658 .13003 m
.787 .12837 L
s
.76122 .15401 m
.76124 .15218 L
s
.79432 .15759 m
.79311 .15652 L
s
.78622 .13168 m
.78658 .13003 L
s
.80184 .11848 m
.80026 .11754 L
s
.81636 .15726 m
.81674 .15563 L
s
.76234 .15724 m
.76129 .15581 L
s
.75765 .15917 m
.75746 .15718 L
s
.75746 .15718 m
.75638 .15552 L
s
.76129 .15581 m
.76122 .15401 L
s
.7859 .13331 m
.78622 .13168 L
s
.79311 .15652 m
.79196 .15542 L
s
.80327 .11948 m
.80184 .11848 L
s
.76146 .15757 m
.76129 .15581 L
s
.76129 .15581 m
.76034 .15434 L
s
.75794 .16113 m
.75765 .15917 L
s
.78562 .13493 m
.7859 .13331 L
s
.81674 .15563 m
.81699 .15404 L
s
.75638 .15552 m
.7554 .15382 L
s
.79196 .15542 m
.79084 .15431 L
s
.7854 .13653 m
.78562 .13493 L
s
.76173 .1593 m
.76146 .15757 L
s
.80458 .12052 m
.80327 .11948 L
s
.75833 .16305 m
.75794 .16113 L
s
.76034 .15434 m
.75948 .15283 L
s
.79084 .15431 m
.78977 .15319 L
s
.81699 .15404 m
.81714 .15248 L
s
.78522 .13811 m
.7854 .13653 L
s
.7554 .15382 m
.75452 .15208 L
s
.76211 .16099 m
.76173 .1593 L
s
.78977 .15319 m
.78875 .15204 L
s
.78509 .13968 m
.78522 .13811 L
s
.80577 .12161 m
.80458 .12052 L
s
.75883 .16494 m
.75833 .16305 L
s
.75948 .15283 m
.75873 .15128 L
s
.81714 .15248 m
.81719 .15096 L
s
.785 .14123 m
.78509 .13968 L
s
.75452 .15208 m
.75374 .15031 L
s
.78875 .15204 m
.78777 .15088 L
s
.76258 .16265 m
.76211 .16099 L
s
.80684 .12274 m
.80577 .12161 L
s
0 0 0 r
2 Mabswid
.87346 .05982 Mdot
.039 .916 .04 r
.5 Mabswid
.80767 .12372 m
.87346 .05982 L
s
0 g
.75943 .1668 m
.75883 .16494 L
s
.75873 .15128 m
.75808 .1497 L
s
.78495 .14277 m
.785 .14123 L
s
.81719 .15096 m
.81714 .14947 L
s
.78777 .15088 m
.78683 .1497 L
s
.76316 .16427 m
.76258 .16265 L
s
.75374 .15031 m
.75306 .14849 L
s
.78495 .14429 m
.78495 .14277 L
s
.80782 .12391 m
.80684 .12274 L
s
.76014 .16862 m
.75943 .1668 L
s
.78683 .1497 m
.78594 .14851 L
s
.75808 .1497 m
.75753 .14808 L
s
.81714 .14947 m
.81699 .14801 L
s
.785 .1458 m
.78495 .14429 L
s
.76385 .16586 m
.76316 .16427 L
s
0 0 0 r
2 Mabswid
.80767 .12372 Mdot
.039 .916 .04 r
.5 Mabswid
.78498 .14539 m
.80767 .12372 L
s
0 g
.8087 .12512 m
.80782 .12391 L
s
0 0 0 r
2 Mabswid
.78498 .14539 Mdot
.039 .916 .04 r
.5 Mabswid
.76422 .16662 m
.78498 .14539 L
s
0 g
.78594 .14851 m
.78509 .1473 L
s
.75306 .14849 m
.75249 .14663 L
s
.78509 .1473 m
.785 .1458 L
s
.76096 .1704 m
.76014 .16862 L
s
.75753 .14808 m
.75708 .14641 L
s
.81699 .14801 m
.81676 .14659 L
s
.76465 .16741 m
.76385 .16586 L
s
.80949 .12635 m
.8087 .12512 L
s
.78522 .14878 m
.78509 .1473 L
s
.78509 .1473 m
.78428 .14607 L
s
0 0 0 r
2 Mabswid
.76422 .16662 Mdot
.039 .916 .04 r
.5 Mabswid
.7608 .17006 m
.76422 .16662 L
s
0 0 0 r
2 Mabswid
.7608 .17006 Mdot
.039 .916 .04 r
.5 Mabswid
.05661 1.04823 m
.7608 .17006 L
s
0 g
.7619 .17214 m
.76096 .1704 L
s
.75249 .14663 m
.75204 .14473 L
s
.81676 .14659 m
.81645 .14519 L
s
.76556 .16892 m
.76465 .16741 L
s
.75675 .14471 m
.75708 .14641 L
s
.8102 .12762 m
.80949 .12635 L
s
.7854 .15024 m
.78522 .14878 L
s
.78428 .14607 m
.78352 .14482 L
s
.78562 .15169 m
.7854 .15024 L
s
.81645 .14519 m
.81605 .14381 L
s
.81082 .12893 m
.8102 .12762 L
s
.76296 .17384 m
.7619 .17214 L
s
.7666 .17039 m
.76556 .16892 L
s
.78352 .14482 m
.7828 .14356 L
s
.75169 .14279 m
.75204 .14473 L
s
.75675 .14471 m
.75654 .14296 L
s
.78589 .15312 m
.78562 .15169 L
s
.81136 .13026 m
.81082 .12893 L
s
.81605 .14381 m
.81558 .14247 L
s
.7828 .14356 m
.78213 .14228 L
s
.76778 .17181 m
.7666 .17039 L
s
.76415 .1755 m
.76296 .17384 L
s
.78621 .15454 m
.78589 .15312 L
s
.75654 .14296 m
.75644 .14116 L
s
.81182 .13162 m
.81136 .13026 L
s
.75169 .14279 m
.75147 .1408 L
s
.81558 .14247 m
.81502 .14115 L
s
.78213 .14228 m
.7815 .14098 L
s
.78657 .15595 m
.78621 .15454 L
s
.76909 .17318 m
.76778 .17181 L
s
.81221 .13301 m
.81182 .13162 L
s
.76547 .17711 m
.76415 .1755 L
s
.75644 .14116 m
.75648 .13932 L
s
.81502 .14115 m
.8144 .13986 L
s
.7815 .14098 m
.78092 .13967 L
s
.78697 .15734 m
.78657 .15595 L
s
.75147 .1408 m
.75137 .13876 L
s
.81252 .13443 m
.81221 .13301 L
s
.77055 .17451 m
.76909 .17318 L
s
.8144 .13986 m
.81369 .13859 L
s
.78742 .15871 m
.78697 .15734 L
s
.76694 .17867 m
.76547 .17711 L
s
.78092 .13967 m
.78038 .13834 L
s
.81275 .13587 m
.81252 .13443 L
s
.75648 .13932 m
.75665 .13742 L
s
.75137 .13876 m
.75141 .13667 L
s
.78792 .16007 m
.78742 .15871 L
s
.81369 .13859 m
.81291 .13735 L
s
.77219 .17577 m
.77055 .17451 L
s
.81291 .13735 m
.81275 .13587 L
s
.78038 .13834 m
.77988 .13698 L
s
.76856 .18019 m
.76694 .17867 L
s
.78847 .16141 m
.78792 .16007 L
s
.75665 .13742 m
.75698 .13546 L
s
.81299 .13885 m
.81291 .13735 L
s
.81291 .13735 m
.81205 .13613 L
s
.77988 .13698 m
.77944 .13562 L
s
.75141 .13667 m
.75158 .13453 L
s
.77401 .17697 m
.77219 .17577 L
s
.813 .14038 m
.81299 .13885 L
s
.78907 .16274 m
.78847 .16141 L
s
.81205 .13613 m
.81112 .13494 L
s
.77035 .18164 m
.76856 .18019 L
s
.77944 .13562 m
.77904 .13423 L
s
.75698 .13546 m
.75747 .13345 L
s
.81294 .14194 m
.813 .14038 L
s
.78972 .16405 m
.78907 .16274 L
s
.81112 .13494 m
.81011 .13378 L
s
.77605 .1781 m
.77401 .17697 L
s
.75158 .13453 m
.75192 .13233 L
s
.8128 .14352 m
.81294 .14194 L
s
.77904 .13423 m
.77869 .13282 L
s
.77233 .18303 m
.77035 .18164 L
s
.79041 .16534 m
.78972 .16405 L
s
.81011 .13378 m
.80903 .13264 L
s
.81258 .14514 m
.8128 .14352 L
s
.75747 .13345 m
.75815 .13136 L
s
.77834 .17914 m
.77605 .1781 L
s
.77869 .13282 m
.77838 .1314 L
s
.80903 .13264 m
.80787 .13153 L
s
.79117 .16661 m
.79041 .16534 L
s
.81228 .14678 m
.81258 .14514 L
s
.75192 .13233 m
.75241 .13006 L
s
.77451 .18436 m
.77233 .18303 L
s
.8119 .14845 m
.81228 .14678 L
s
.80787 .13153 m
.80662 .13044 L
s
.77838 .1314 m
.77813 .12995 L
s
.79197 .16787 m
.79117 .16661 L
s
.75815 .13136 m
.75905 .12919 L
s
.78093 .18007 m
.77834 .17914 L
s
.81144 .15016 m
.8119 .14845 L
s
.80662 .13044 m
.8053 .12939 L
s
.79283 .16911 m
.79197 .16787 L
s
.75241 .13006 m
.7531 .12773 L
s
.81088 .1519 m
.81144 .15016 L
s
.77813 .12995 m
.77793 .12849 L
s
.77694 .1856 m
.77451 .18436 L
s
.8053 .12939 m
.80389 .12836 L
s
.81024 .15367 m
.81088 .1519 L
s
.75905 .12919 m
.7602 .12693 L
s
.79375 .17033 m
.79283 .16911 L
s
.78391 .18087 m
.78093 .18007 L
s
.77793 .12849 m
.77779 .127 L
s
.8095 .15547 m
.81024 .15367 L
s
.80389 .12836 m
.80239 .12737 L
s
.80865 .15732 m
.8095 .15547 L
s
.7531 .12773 m
.75399 .12531 L
s
.77963 .18674 m
.77694 .1856 L
s
.79473 .17153 m
.79375 .17033 L
s
.80239 .12737 m
.8008 .12641 L
s
.80769 .1592 m
.80865 .15732 L
s
.7777 .12549 m
.77779 .127 L
s
.7602 .12693 m
.76164 .12456 L
s
.78739 .1815 m
.78391 .18087 L
s
.80662 .16113 m
.80769 .1592 L
s
.8008 .12641 m
.7991 .12548 L
s
.79577 .17271 m
.79473 .17153 L
s
.80541 .16311 m
.80662 .16113 L
s
.7777 .12549 m
.77766 .12396 L
s
.7991 .12548 m
.79731 .12459 L
s
.75399 .12531 m
.75511 .12281 L
s
.80405 .16513 m
.80541 .16311 L
s
.78266 .18778 m
.77963 .18674 L
s
.79688 .17387 m
.79577 .17271 L
s
.80253 .16722 m
.80405 .16513 L
s
.79731 .12459 m
.7954 .12373 L
s
.76164 .12456 m
.76347 .12204 L
s
.80253 .16722 m
.80081 .16938 L
s
.7916 .18187 m
.78739 .1815 L
s
.77766 .12396 m
.77769 .12241 L
s
.79888 .17161 m
.80081 .16938 L
s
.7954 .12373 m
.79337 .12292 L
s
.79666 .17394 m
.79888 .17161 L
s
.79666 .17394 m
.79666 .17394 L
s
.79688 .17387 m
.79688 .17387 L
s
.79337 .12292 m
.79121 .12216 L
s
.7861 .18867 m
.78266 .18778 L
s
.75511 .12281 m
.75651 .12021 L
s
.77769 .12241 m
.77777 .12084 L
s
.7889 .12145 m
.79121 .12216 L
s
.7658 .11934 m
.76347 .12204 L
s
.7889 .12145 m
.78643 .1208 L
s
.7916 .18187 m
.7916 .18187 L
s
.77777 .12084 m
.77792 .11923 L
s
.78643 .1208 m
.78376 .12022 L
s
.7861 .18867 m
.7861 .18867 L
s
.78376 .12022 m
.78087 .11971 L
s
.75651 .12021 m
.75823 .11748 L
s
.78087 .11971 m
.77771 .11931 L
s
.7658 .11934 m
.76886 .11638 L
s
.77771 .11931 m
.77771 .11931 L
s
.77792 .11923 m
.77792 .11923 L
s
.75823 .11748 m
.76036 .1146 L
s
.76886 .11638 m
.76886 .11638 L
s
.76036 .1146 m
.76036 .1146 L
s
.25 Mabswid
.87038 0 m
.91466 .07195 L
s
.91466 .07195 m
1 .85623 L
s
1 .85623 m
.9494 .79334 L
s
.9494 .79334 m
.87038 0 L
s
.07143 .29748 m
0 1.04948 L
s
0 1.04948 m
.9494 .79334 L
s
.9494 .79334 m
.87038 0 L
s
.87038 0 m
.07143 .29748 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{262.125, 287.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004600017b000`400?l00000o`00003ohP3oool2
00000280oooo003O0?ooo`<0000000<0oooo0000000000008@3oool00=d0oooo0P0000040?ooo`80
00008@3oool00=X0oooo0`0000060?ooo`030000003oool000000200oooo003G0?ooo`<000002@3o
ool00`000000oooo0000000P0?ooo`00e@3oool2000000`0oooo00@000000?ooo`3oool000007`3o
ool00=80oooo0`00000?0?ooo`040000003oool0oooo000001h0oooo003?0?ooo`<000004P3oool0
10000000oooo0?ooo`00000N0?ooo`00c03oool3000001D0oooo00D000000?ooo`3oool0oooo0000
000M0?ooo`00bP3oool2000001P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0J
0?ooo`00a`3oool3000001X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0J0?oo
o`00a03oool3000001d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0I0?ooo`00
`P3oool200000200oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0I0?ooo`00_`3o
ool300000280oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0H0?ooo`00_03oool3
000002D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0G0?ooo`00^@3oool30000
02L0oooo0P0000070?ooo`030000003oool0oooo01L0oooo002g0?ooo`800000:P3oool00`09jPX0
0000000000070?ooo`030000003oool0oooo01H0oooo002d0?ooo`<00000:`3oool01009jPX0oooo
0?ooo`0000070?ooo`030000003oool0oooo01H0oooo002a0?ooo`<00000;@3oool01@09jPX0oooo
0?ooo`3oool0000000L0oooo0P00000G0?ooo`00[`3oool2000002l0oooo00<02NX:0?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000003oool05P3oool00:`0oooo0`00
000`0?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool00P0000040?ooo`030000003o
ool0oooo01D0oooo002Y0?ooo`<00000<P3oool00`09jPX0oooo0?ooo`040?ooo`<000001P3oool0
0`000000oooo0?ooo`0E0?ooo`00YP3oool3000003@0oooo00<02NX:0?ooo`3oool00P3oool40000
00P0oooo00<000000?ooo`3oool05@3oool00:@0oooo0P00000e0?ooo`802NX:0P3oool3000000<0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0D0?ooo`00X@3oool3000003H0oooo
00<02NX:0?ooo`3oool00P0000060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
503oool009h0oooo0`00000h0?ooo`0400WZ2P0000000000000000P0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0D0?ooo`00W03oool2000003T0oooo00<0000000WZ2P000000303o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo002I0?ooo`<00000>@3oool2
0000000300WZ2P3oool0oooo00`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0D
0?ooo`00UP3oool300000380oooo00<000000?ooo`000000103oool3000000030?ooo`09jPX0oooo
00h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0D0?ooo`00T`3oool300000300
oooo00P000000?ooo`3oool0oooo0000003oool000000?ooo`@000000`3oool00`09jPX0oooo0?oo
o`0>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0503oool00940oooo0P00000b
0?ooo`80000000@0oooo000000000000oooo1P0000030?ooo`0300WZ2P3oool0oooo00l0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0D0?ooo`00SP3oool3000003@0oooo00@00000
0?ooo`000000oooo1P0000020?ooo`<000004P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo01@0oooo002;0?ooo`<00000=P3oool8000000030?ooo`00000000000080000000<0oooo
0000000000004P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01<0oooo00290?oo
o`800000>@3oool6000000040?ooo`000000oooo000000<0oooo0`00000B0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool04`3oool008H0oooo0`00000h0?ooo`D0000000<0oooo0000
000000000P3oool00`000000oooo000000020?ooo`0300WZ2P3oool00000008000004@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo01<0oooo00230?ooo`<00000>@3oool2000000<0
oooo1@0000020?ooo`050000003oool000000?ooo`09jPX00`3oool200000140oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0C0?ooo`00P03oool3000003T0oooo0`0000050?ooo`@0
00000`3oool30000000300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo01<0oooo001n0?ooo`800000>@3oool3000000P0oooo
100000040?ooo`8000001P3oool200000140oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0C0?ooo`00N`3oool3000003P0oooo0`00000;0?ooo`<000001@3oool2000000H0oooo0P00
000A0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04`3oool007P0oooo0`00000i
0?ooo`8000003P3oool3000000@0oooo00<02NX:0?ooo`0000001@3oool00`000000oooo0000000A
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04`3oool007H0oooo0P00000i0?oo
o`<000004@3oool2000000<0oooo00<02NX:0?ooo`3oool00`0000030?ooo`030000003oool00000
0140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0C0?ooo`00L`3oool3000003P0
oooo0`00000D0?ooo`<0000000<0oooo00WZ2P3oool00P3oool01@000000oooo000000000000oooo
0080000000<0oooo0000003oool0403oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
0180oooo001`0?ooo`<00000>@3oool2000001L0oooo0`0000000`09jPX0oooo0?ooo`020?ooo`80
000000H0oooo00000000000000000?ooo`00000B0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool04P3oool006d0oooo0`00000i0?ooo`<000006P3oool5000000<0oooo00<000000?oo
o`3oool01000000B0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04P3oool006/0
oooo0P00000i0?ooo`<000007@3oool700000080oooo0`0000000`3oool000000?ooo`0B0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool04P3oool006P0oooo0`00000h0?ooo`<00000
7`3oool00`09jPX000000000000<000001<0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0B0?ooo`00I@3oool3000003T0oooo0P00000Q0?ooo`0300WZ2P3oool0oooo00X000005P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0180oooo001S0?ooo`800000>@3oool3
000002<0oooo00@02NX:0?ooo`3oool0oooo0P0000000`3oool000000000000200000080oooo0P00
000E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04P3oool00600oooo0`00000h
0?ooo`<000009@3oool00`09jPX0oooo0?ooo`040?ooo`800000703oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo0180oooo001M0?ooo`<00000>03oool3000002L0oooo00<02NX:0?oo
o`3oool01`3oool2000001X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0B0?oo
o`00FP3oool3000003T0oooo0P00000Y0?ooo`0300WZ2P3oool0oooo02@0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0A0?ooo`00F03oool2000003T0oooo0`00000Z0?ooo`0300WZ
2P3oool0oooo02D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`00E@3o
ool3000003P0oooo0`00000]0?ooo`0300WZ2P3oool0oooo02D0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0A0?ooo`00DP3oool3000003P0oooo0`00000_0?ooo`0300WZ2P3oool0
oooo02H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`00D03oool20000
03T0oooo0P00000a0?ooo`0300WZ2P3oool0oooo02L0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0A0?ooo`00C@3oool3000003P0oooo0`00000b0?ooo`0300WZ2P3oool0oooo02P0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`00BP3oool3000003P0oooo
0`00000d0?ooo`0300WZ2P3oool0oooo02T0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0A0?ooo`00A`3oool3000003T0oooo0P00000g0?ooo`0300WZ2P3oool0oooo02X0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0A0?ooo`00A@3oool2000003T0oooo0`00000h
0?ooo`0300WZ2P3oool0oooo02/0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0A
0?ooo`00@P3oool3000003P0oooo0`00000j0?ooo`0300WZ2P3oool0oooo02`0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`00?`3oool3000003P0oooo0`00000l0?ooo`03
00WZ2P3oool0oooo02d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`00
?@3oool2000003T0oooo0P00000n0?ooo`0300WZ2P3oool0oooo02h0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0@0?ooo`00>P3oool3000003P0oooo0`0000100?ooo`0300WZ2P3o
ool0oooo02h0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`00=`3oool3
000003P0oooo0`0000120?ooo`0300WZ2P3oool0oooo02l0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0@0?ooo`00=03oool3000003P0oooo0`0000140?ooo`0300WZ2P3oool0oooo
0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`00<P3oool2000003T0
oooo0P0000160?ooo`0300WZ2P3oool0oooo0340oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`0@0?ooo`00;`3oool3000003P0oooo0`0000170?ooo`0300WZ2P3oool0oooo0380oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`00;03oool3000003P0oooo0`00
001:0?ooo`0300WZ2P3oool0oooo0380oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0@0?ooo`00:P3oool2000003P0oooo0`00001<0?ooo`0300WZ2P3oool0oooo03@0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`009`3oool3000003P0oooo0P00001>0?oo
o`0300WZ2P3oool0oooo03D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?oo
o`00903oool3000003P0oooo0`00001?0?ooo`0300WZ2P3oool0oooo03H0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0?0?ooo`008@3oool3000003P0oooo0`00001A0?ooo`0300WZ
2P3oool0oooo03L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`007`3o
ool2000003T0oooo0P00001D0?ooo`0300WZ2P3oool0oooo03L0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0?0?ooo`00703oool3000003P0oooo0`00001E0?ooo`0300WZ2P3oool0
oooo03P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`006@3oool30000
03P0oooo0`00001G0?ooo`0300WZ2P3oool0oooo03T0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0?0?ooo`005`3oool2000003P0oooo0`00001I0?ooo`0300WZ2P3oool0oooo03X0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`00503oool3000003P0oooo
0P00001K0?ooo`0300WZ2P3oool0oooo03/0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0>0?ooo`004P3oool2000003P0oooo0`00001L0?ooo`0300WZ2P3oool0oooo03`0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0>0?ooo`004P3oool2000003D0oooo0`00001O
0?ooo`0300WZ2P3oool0oooo03d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0>
0?ooo`004P3oool00`000000oooo0000000a0?ooo`<00000H@3oool00`09jPX0oooo0?ooo`0n0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool03P3oool00180oooo00@000000?ooo`3o
ool00000;P3oool2000006<0oooo00<02NX:0?ooo`3oool0?`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00h0oooo000B0?ooo`050000003oool0oooo0?ooo`000000:P3oool30000
06@0oooo00<02NX:0?ooo`3oool0@03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00h0oooo000B0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0903oool3000006H0
oooo00<02NX:0?ooo`3oool0@@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00h0
oooo000A0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0803oool3000006T0oooo
00<02NX:0?ooo`3oool0@@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00h0oooo
000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool07@3oool2000006/0oooo00<0
2NX:0?ooo`3oool0@P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00h0oooo000A
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06@3oool3000006`0oooo00<02NX:
0?ooo`3oool0@`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00d0oooo000A0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool05P3oool3000006h0oooo00<02NX:0?oo
o`3oool0A03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00d0oooo000A0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool04`3oool200000700oooo00<02NX:0?ooo`3o
ool0A@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00d0oooo000A0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool03`3oool300000780oooo00<02NX:0?ooo`3oool0
AP3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00d0oooo000A0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool02`3oool3000007@0oooo00<02NX:0?ooo`3oool0A`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00d0oooo000A0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool01`3oool3000007H0oooo00<02NX:0?ooo`3oool0B03oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00d0oooo000A0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0103oool2000007P0oooo00<02NX:0?ooo`3oool0B@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00d0oooo000A0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool00`00001i0?ooo`0300WZ2P3oool0oooo04X0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0=0?ooo`004@3oool00`000000oooo0?ooo`0=0?ooo`800000
O03oool00`09jPX0oooo0?ooo`1:0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
3@3oool00100oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1j0?ooo`0300WZ2P3o
ool0oooo04/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0<0?ooo`00403oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo07T0oooo00<02NX:0?ooo`3oool0C03oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00`0oooo000@0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool0N03oool00`09jPX0oooo0?ooo`1=0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0303oool00100oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`1g0?ooo`0300WZ2P3oool0oooo04h0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0<0?ooo`00403oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo07L0oooo
00<02NX:0?ooo`3oool0CP3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00`0oooo
000@0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0MP3oool00`09jPX0oooo0?oo
o`1@0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0303oool00100oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`1f0?ooo`0300WZ2P3oool0oooo0540oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0<0?ooo`00403oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo07D0oooo00<02NX:0?ooo`3oool0DP3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00`0oooo000@0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3o
ool0M03oool00`09jPX0oooo0?ooo`1C0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0303oool00100oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`1d0?ooo`0300WZ
2P3oool0oooo05<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0;0?ooo`00403o
ool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo07<0oooo00<02NX:0?ooo`3oool0E03o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0oooo000?0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0LP3oool00`09jPX0oooo0?ooo`1E0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool02`3oool000l0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`1a0?ooo`0300WZ2P3oool0oooo05H0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0;0?ooo`003`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0700
oooo00<02NX:0?ooo`3oool0E`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0
oooo000?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0L03oool00`09jPX0oooo
0?ooo`1G0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02`3oool000l0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`1_0?ooo`0300WZ2P3oool0oooo05T0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0;0?ooo`003`3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo06h0oooo00<02NX:0?ooo`3oool0FP3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00/0oooo000?0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool0K@3oool00`09jPX0oooo0?ooo`1K0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool02`3oool000l0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1/0?ooo`03
00WZ2P3oool0oooo05`0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`00
3`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo06d0oooo00<02NX:0?ooo`3oool0
G03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00X0oooo000?0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0K03oool00`09jPX0oooo0?ooo`1M0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02P3oool000l0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`1[0?ooo`0300WZ2P3oool0oooo05h0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0:0?ooo`003P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
06X0oooo00<02NX:0?ooo`3oool0G`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00X0oooo000>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0J@3oool00`09jPX0
oooo0?ooo`1P0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02P3oool000h0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1Y0?ooo`0300WZ2P3oool0oooo0600oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`003P3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo06P0oooo00<02NX:0?ooo`3oool0H@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00X0oooo000>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool0I`3oool00`09jPX0oooo0?ooo`1S0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool02P3oool000h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1V0?oo
o`0300WZ2P3oool0oooo06@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?oo
o`003P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06D0oooo00<02NX:0?ooo`3o
ool0I@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo000>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0I@3oool00`09jPX0oooo0?ooo`1U0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool000h0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`1T0?ooo`0300WZ2P3oool0oooo06H0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`090?ooo`003P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo06<0oooo00<02NX:0?ooo`3oool0I`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00T0oooo000>0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0H`3oool00`09
jPX0oooo0?ooo`1X0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool000d0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1R0?ooo`0300WZ2P3oool0oooo06T0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`003@3oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo0680oooo00<02NX:0?ooo`3oool0J@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00T0oooo000=0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0H@3oool00`09jPX0oooo0?ooo`1Z0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool02@3oool000d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1P
0?ooo`0300WZ2P3oool0oooo06`0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`08
0?ooo`003@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo05l0oooo00<02NX:0?oo
o`3oool0K@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo000=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0GP3oool00`09jPX0oooo0?ooo`1^0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool000d0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`1M0?ooo`0300WZ2P3oool0oooo06l0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`080?ooo`003@3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo05d0oooo00<02NX:0?ooo`3oool0K`3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00P0oooo000=0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0G03oool0
0`09jPX0oooo0?ooo`1`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool0
00d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1K0?ooo`0300WZ2P3oool0oooo
0740oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`003@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo05X0oooo00<02NX:0?ooo`3oool0LP3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo000<0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0F@3oool00`09jPX0oooo0?ooo`1c0?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0203oool000`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`1J0?ooo`0300WZ2P3oool0oooo07<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`070?ooo`00303oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo05T0oooo00<02NX:
0?ooo`3oool0M@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo000<0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0F03oool00`09jPX0oooo0?ooo`1f0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool000`0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`1G0?ooo`0300WZ2P3oool0oooo07L0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`070?ooo`00303oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo05H0oooo00<02NX:0?ooo`3oool0N03oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00L0oooo000<0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0EP3o
ool00`09jPX0oooo0?ooo`1h0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3o
ool000`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1E0?ooo`0300WZ2P3oool0
oooo07T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`00303oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo05@0oooo00<02NX:0?ooo`3oool0NP3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo000<0?ooo`030000003oool0oooo00h0
oooo00<000000?ooo`3oool0D`3oool00`09jPX0oooo0?ooo`1k0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool01`3oool000`0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`1B0?ooo`0300WZ2P3oool0oooo07`0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`060?ooo`002`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0580oooo00<0
2NX:0?ooo`3oool0O03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo000;
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0D@3oool00`09jPX0oooo0?ooo`1m
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool000/0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`1A0?ooo`0300WZ2P3oool0oooo07l0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`060?ooo`002`3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo0500oooo00<02NX:0?ooo`3oool0P03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00H0oooo000;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
C`3oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
1P3oool000/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1?0?ooo`0300WZ2P3o
ool0oooo0840oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`002`3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04h0oooo00<02NX:0?ooo`3oool0PP3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo000;0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool0C@3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01P3oool000/0oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`1<0?ooo`0300WZ2P3oool0oooo08@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`050?ooo`002`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04/0oooo
00<02NX:0?ooo`3oool0Q@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00D0oooo
000;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0B`3oool00`09jPX0oooo0?oo
o`250?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool000X0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`1:0?ooo`0300WZ2P3oool0oooo08H0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`002P3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo04T0oooo00<02NX:0?ooo`3oool0R03oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00D0oooo000:0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool0B03oool00`09jPX0oooo0?ooo`290?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool01@3oool000X0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`170?ooo`0300WZ
2P3oool0oooo08X0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`002P3o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04P0oooo00<02NX:0?ooo`3oool0RP3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo000:0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0A`3oool00`09jPX0oooo0?ooo`2;0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool01@3oool000X0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`160?ooo`0300WZ2P3oool0oooo08`0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`002P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04D0
oooo00<02NX:0?ooo`3oool0S@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0
oooo000:0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool00`09jPX0oooo
0?ooo`2>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool000X0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`0300WZ2P3oool0oooo08h0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`002P3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo04<0oooo00<02NX:0?ooo`3oool0S`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00090?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0@P3oool00`09jPX0oooo0?ooo`2A0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool000T0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`110?ooo`03
00WZ2P3oool0oooo0980oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`00
2@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0400oooo00<02NX:0?ooo`3oool0
T`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00090?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool0@03oool00`09jPX0oooo0?ooo`2C0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool000T0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0o0?ooo`0300WZ2P3oool0oooo09@0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`002@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
03h0oooo00<02NX:0?ooo`3oool0U@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00<0oooo00090?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0?P3oool00`09jPX0
oooo0?ooo`2F0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool000T0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0m0?ooo`0300WZ2P3oool0oooo09L0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`002@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo03d0oooo00<02NX:0?ooo`3oool0U`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00<0oooo00090?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool0?03oool00`09jPX0oooo0?ooo`2H0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool00`3oool000P0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0k0?oo
o`0300WZ2P3oool0oooo09T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?oo
o`00203oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo03X0oooo00<02NX:0?ooo`3o
ool0V`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00080?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0>@3oool00`09jPX0oooo0?ooo`2L0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool00P3oool000P0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`0i0?ooo`0300WZ2P3oool0oooo09`0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`020?ooo`00203oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo03P0oooo00<02NX:0?ooo`3oool0W@3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0080oooo00080?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0=`3oool00`09
jPX0oooo0?ooo`2N0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00P3oool000P0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0f0?ooo`0300WZ2P3oool0oooo09l0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`00203oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo03D0oooo00<02NX:0?ooo`3oool0X03oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo0080oooo00080?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0=03oool00`09jPX0oooo0?ooo`2Q0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00P3oool000P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0e
0?ooo`0300WZ2P3oool0oooo0:40oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`02
0?ooo`00203oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03@0oooo00<02NX:0?oo
o`3oool0XP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00070?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool0<`3oool00`09jPX0oooo0?ooo`2T0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool00@3oool000L0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0b0?ooo`0300WZ2P3oool0oooo0:D0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`010?ooo`001`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0340oooo00<02NX:0?ooo`3oool0YP3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0040oooo00070?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<@3oool0
0`09jPX0oooo0?ooo`2V0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00@3oool0
00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0`0?ooo`0300WZ2P3oool0oooo
0:L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`010?ooo`001`3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo02l0oooo00<02NX:0?ooo`3oool0Z03oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0040oooo00070?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0;P3oool00`09jPX0oooo0?ooo`2Y0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00@3oool000L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`0]0?ooo`0300WZ2P3oool0oooo0:X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`010?ooo`001`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo02d0oooo00<02NX:
0?ooo`3oool0ZP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0040oooo00070?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;03oool00`09jPX0oooo0?ooo`2[0?oo
o`030000003oool0oooo00X0oooo0@0000010?ooo`40oooo00070?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0:`3oool00`09jPX0oooo0?ooo`2]0?ooo`030000003oool0oooo00T0
oooo0@0000010?ooo`40oooo00060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
:`3oool00`09jPX0oooo0?ooo`2^0?ooo`030000003oool0oooo00T0oooo0@0000010?ooo`40oooo
00060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0:P3oool00`09jPX0oooo0?oo
o`2_0?ooo`030000003oool0oooo00T0oooo0@0000010?ooo`40oooo00060?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool0:P3oool00`09jPX0oooo0?ooo`2_0?ooo`030000003oool0
oooo00T0oooo0@0000010?ooo`40oooo00060?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0:@3oool00`09jPX0oooo0?ooo`2`0?ooo`030000003oool0oooo00T0oooo0@0000010?oo
o`40oooo00060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0:03oool00`09jPX0
oooo0?ooo`2`0?ooo`8000002`3oool100000040oooo0@3oool000H0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0W0?ooo`0300WZ2P3oool0oooo0:d0oooo100000020?ooo`030000
003oool0oooo00P0oooo0@0000010?ooo`40oooo00060?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool09P3oool00`09jPX0oooo0?ooo`2Z0?ooo`@000001`3oool00`000000oooo0?oo
o`070?ooo`4000000@3oool10?ooo`001P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo02H0oooo00<02NX:0?ooo`3oool0Y`3oool3000000`0oooo00<000000?ooo`3oool01`3oool1
00000040oooo00060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool09@3oool00`09
jPX0oooo0?ooo`2T0?ooo`@00000403oool00`000000oooo0?ooo`060?ooo`4000000@3oool000H0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0T0?ooo`0300WZ2P3oool0oooo0:40
oooo1000000D0?ooo`030000003oool0oooo00H0oooo0@0000010?ooo`001P3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo02<0oooo00<02NX:0?ooo`3oool0W`3oool3000001T0oooo
00<000000?ooo`3oool01@3oool100000040oooo00050?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool08P3oool00`09jPX0oooo0?ooo`2L0?ooo`@000007@3oool00`000000oooo0?oo
o`040?ooo`4000000@3oool000D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0R
0?ooo`0300WZ2P3oool0oooo09P0oooo1000000R0?ooo`030000003oool0oooo00<0oooo0@000001
0?ooo`001@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0280oooo00<02NX:0?oo
o`3oool0U@3oool4000002L0oooo00<000000?ooo`3oool00P3oool100000040oooo00050?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool08@3oool00`09jPX0oooo0?ooo`2C0?ooo`<0
0000;03oool01@000000oooo0?ooo`3oool000000040oooo00050?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0803oool00`09jPX0oooo0?ooo`2@0?ooo`@00000<03oool010000000
oooo0?ooo`0000010?ooo`001@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01l0
oooo00<02NX:0?ooo`3oool0S@3oool4000003D0oooo00<000000?ooo`3oool00@00000000D0oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0O0?ooo`0300WZ2P3oool0oooo08X0oooo
0`00000i0?ooo`030000003oool0oooo0040000000050?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool07P3oool00`09jPX0oooo0?ooo`270?ooo`@00000?@3oool100000040oooo0@00
000000D0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0M0?ooo`0300WZ2P3oool0
oooo08@0oooo100000120?ooo`80000000050?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0703oool00`09jPX0oooo0?ooo`220?ooo`<00000AP3oool2000000001@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo01/0oooo00<02NX:0?ooo`3oool0O`3oool4000004D0
oooo100000020?ooo`00103oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo01/0oooo
00<02NX:0?ooo`3oool0N`3oool4000004D0oooo100000060?ooo`00103oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo01X0oooo00<02NX:0?ooo`3oool0N@3oool3000004D0oooo1000
000:0?ooo`00103oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo01T0oooo00<02NX:
0?ooo`3oool0MP3oool4000004@0oooo1000000>0?ooo`00103oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo01P0oooo00<02NX:0?ooo`3oool0L`3oool4000004@0oooo1000000B0?oo
o`00103oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01P0oooo00<02NX:0?ooo`3o
ool0L@3oool3000004@0oooo1000000F0?ooo`00103oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo01P0oooo00<02NX:0?ooo`3oool0K@3oool4000004@0oooo0`00000J0?ooo`00103o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01L0oooo00<02NX:0?ooo`3oool0JP3o
ool4000004@0oooo1000000M0?ooo`00103oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo01H0oooo00<02NX:0?ooo`3oool0I`3oool4000004@0oooo1000000Q0?ooo`00103oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo01D0oooo00<02NX:0?ooo`3oool0I@3oool30000
04@0oooo1000000U0?ooo`00103oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01@0
oooo00<02NX:0?ooo`3oool0HP3oool4000004<0oooo1000000Y0?ooo`00103oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo01@0oooo00<02NX:0?ooo`3oool0GP3oool4000004<0oooo
1000000]0?ooo`000`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo01<0oooo00<0
2NX:0?ooo`3oool0G03oool3000004<0oooo1000000a0?ooo`000`3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0180oooo00<02NX:0?ooo`3oool0F@3oool4000004<0oooo0`00000e
0?ooo`000`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0140oooo00<02NX:0?oo
o`3oool0EP3oool4000004<0oooo1000000h0?ooo`000`3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0100oooo00<02NX:0?ooo`3oool0E03oool3000004<0oooo1000000l0?ooo`00
0`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<02NX:0?ooo`3oool0
D03oool400000480oooo100000100?ooo`000`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0100oooo00<02NX:0?ooo`3oool0C@3oool400000480oooo100000140?ooo`000`3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<02NX:0?ooo`3oool0B`3oool3
00000480oooo100000180?ooo`000`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
00h0oooo00<02NX:0?ooo`3oool0B03oool400000440oooo1000001<0?ooo`000`3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo00d0oooo00<02NX:0?ooo`3oool0A@3oool400000480
oooo0`00001@0?ooo`000`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00`0oooo
00<02NX:0?ooo`3oool0@`3oool300000480oooo1000001C0?ooo`000`3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo00`0oooo00<02NX:0?ooo`3oool0?`3oool400000440oooo1000
001G0?ooo`000P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00/0oooo00<02NX:
0?ooo`3oool0?03oool400000440oooo1000001K0?ooo`000P3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo00X0oooo00<02NX:0?ooo`3oool0>P3oool300000440oooo1000001O0?oo
o`000P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00T0oooo00<02NX:0?ooo`3o
ool0=`3oool400000400oooo1000001S0?ooo`000P3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo00P0oooo00<02NX:0?ooo`3oool0=03oool400000400oooo1000001W0?ooo`000P3o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00P0oooo00<02NX:0?ooo`3oool0<03o
ool400000440oooo0`00001[0?ooo`000P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo00L0oooo00<02NX:0?ooo`3oool0;P3oool300000440oooo1000001^0?ooo`000P3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo00H0oooo00<02NX:0?ooo`3oool0:`3oool40000
0400oooo1000001b0?ooo`000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00H0
oooo00<02NX:0?ooo`3oool0:03oool400000400oooo1000001f0?ooo`000P3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo00D0oooo00<02NX:0?ooo`3oool09P3oool300000400oooo
1000001j0?ooo`000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00D0oooo00<0
2NX:0?ooo`3oool08P3oool4000003l0oooo1000001n0?ooo`000P3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo00@0oooo00<02NX:0?ooo`3oool07`3oool4000003l0oooo10000022
0?ooo`0000<0oooo0000003oool04@3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo
01d0oooo0`0000100?ooo`<00000QP3oool000030?ooo`000000oooo0140oooo00<000000?ooo`3o
ool00P3oool00`09jPX0oooo0?ooo`0J0?ooo`@00000?`3oool4000008T0oooo00000`3oool00000
0?ooo`0A0?ooo`050000003oool0oooo0?ooo`09jPX06@3oool4000003l0oooo1000002=0?ooo`00
00<0oooo0000003oool04@3oool01@000000oooo0?ooo`3oool02NX:01H0oooo0`00000o0?ooo`@0
0000T@3oool000030?ooo`000000oooo0140oooo00@000000?ooo`3oool02NX:4`3oool4000003h0
oooo1000002E0?ooo`0000<0oooo0000003oool04@3oool00`000000oooo00WZ2P0@0?ooo`@00000
?P3oool4000009T0oooo00000`3oool000000?ooo`0A0?ooo`0300000009jPX0oooo00d0oooo0`00
000n0?ooo`@00000W@3oool000030?ooo`000000oooo0140oooo00<02NX:0?ooo`3oool02@3oool4
000003h0oooo0`00002Q0?ooo`0000<0oooo0000003oool04@3oool00`09jPX0oooo0?ooo`050?oo
o`@00000?P3oool400000:@0oooo00000`3oool000000?ooo`0@0?ooo`0300WZ2P3oool0oooo0080
oooo1000000n0?ooo`@00000Z03oool000030?ooo`000000oooo00l0oooo00<02NX:0000003oool0
0`00000n0?ooo`@00000[03oool000030000003oool0oooo00h0oooo1000000m0?ooo`@00000/03o
ool000030000003oool0oooo00X0oooo100000020?ooo`030000003oool0oooo03P0oooo1000002d
0?ooo`0000<000000?ooo`3oool01`3oool3000000<0oooo00@02NX:0?ooo`3oool00000=P3oool4
00000;P0oooo00000`000000oooo0?ooo`030?ooo`@000001@3oool01@09jPX0oooo0?ooo`3oool0
000003<0oooo0`00002l0?ooo`0000<000000?ooo`0000000`0000080?ooo`0300WZ2P3oool0oooo
0080oooo00<000000?ooo`3oool0;@3oool400000;l0oooo000200000140oooo00<000000?ooo`3o
ool0:@3oool400000<<0oooo00000`3oool000000000000@0?ooo`030000003oool0oooo02D0oooo
100000370?ooo`000`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0240oooo1000
003;0?ooo`00103oool2000000d0oooo00<000000?ooo`3oool07@3oool400000<l0oooo00060?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool06@3oool400000=<0oooo00070?ooo`80
00002P3oool00`000000oooo0?ooo`0F0?ooo`<00000e`3oool000T0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0C0?ooo`@00000fP3oool000X0oooo0P0000060?ooo`030000003o
ool0oooo00l0oooo1000003N0?ooo`00303oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00/0oooo1000003R0?ooo`003@3oool2000000<0oooo00<000000?ooo`3oool01`3oool40000
0>H0oooo000?0?ooo`040000003oool0oooo000000D0oooo1000003Z0?ooo`00403oool300000003
0?ooo`000000000000800000kP3oool00180oooo0P00003b0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 261.125}, {286.938, 0}} -> {0.0733046, 0.0149135, \
0.00343362, 0.00343362}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ShowSystem[setup, ShowRange \[Rule] All, 
        PlotType \[Rule] TopView];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .12077 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.350985 0.00884783 0.0603865 0.00884783 [
[ 0 0 0 0 ]
[ 1 .12077 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.86746 .00288 m
.86372 .00575 L
.86044 .00863 L
.85753 .0115 L
.85494 .01438 L
.8526 .01725 L
.85051 .02013 L
.84862 .023 L
.84692 .02588 L
.8454 .02876 L
.84405 .03163 L
.84284 .03451 L
.84179 .03738 L
.84087 .04026 L
.84008 .04313 L
.83942 .04601 L
.83888 .04888 L
.83847 .05176 L
.83818 .05464 L
.838 .05751 L
.83794 .06039 L
.838 .06326 L
.83818 .06614 L
.83847 .06901 L
.83888 .07189 L
.83942 .07476 L
.84008 .07764 L
.84087 .08052 L
.84179 .08339 L
.84284 .08627 L
.84405 .08914 L
.8454 .09202 L
.84692 .09489 L
.84862 .09777 L
.85051 .10064 L
.8526 .10352 L
.85494 .1064 L
.85753 .10927 L
.86044 .11215 L
.86372 .11502 L
.86746 .1179 L
.86746 .1179 L
.86372 .11502 L
.86044 .11215 L
.85753 .10927 L
.85494 .1064 L
.8526 .10352 L
.85051 .10064 L
.84862 .09777 L
.84692 .09489 L
Mistroke
.8454 .09202 L
.84405 .08914 L
.84284 .08627 L
.84179 .08339 L
.84087 .08052 L
.84008 .07764 L
.83942 .07476 L
.83888 .07189 L
.83847 .06901 L
.83818 .06614 L
.838 .06326 L
.83794 .06039 L
.838 .05751 L
.83818 .05464 L
.83847 .05176 L
.83888 .04888 L
.83942 .04601 L
.84008 .04313 L
.84087 .04026 L
.84179 .03738 L
.84284 .03451 L
.84405 .03163 L
.8454 .02876 L
.84692 .02588 L
.84862 .023 L
.85051 .02013 L
.8526 .01725 L
.85494 .01438 L
.85753 .0115 L
.86044 .00863 L
.86372 .00575 L
.86746 .00288 L
.86746 .00288 L
Mfstroke
.86746 .06039 m
.86372 .06039 L
.86044 .06039 L
.85753 .06039 L
.85494 .06039 L
.8526 .06039 L
.85051 .06039 L
.84862 .06039 L
.84692 .06039 L
.8454 .06039 L
.84405 .06039 L
.84284 .06039 L
.84179 .06039 L
.84087 .06039 L
.84008 .06039 L
.83942 .06039 L
.83888 .06039 L
.83847 .06039 L
.83818 .06039 L
.838 .06039 L
.83794 .06039 L
.838 .06039 L
.83818 .06039 L
.83847 .06039 L
.83888 .06039 L
.83942 .06039 L
.84008 .06039 L
.84087 .06039 L
.84179 .06039 L
.84284 .06039 L
.84405 .06039 L
.8454 .06039 L
.84692 .06039 L
.84862 .06039 L
.85051 .06039 L
.8526 .06039 L
.85494 .06039 L
.85753 .06039 L
.86044 .06039 L
.86372 .06039 L
.86746 .06039 L
.86746 .06039 L
.86372 .06039 L
.86044 .06039 L
.85753 .06039 L
.85494 .06039 L
.8526 .06039 L
.85051 .06039 L
.84862 .06039 L
.84692 .06039 L
Mistroke
.8454 .06039 L
.84405 .06039 L
.84284 .06039 L
.84179 .06039 L
.84087 .06039 L
.84008 .06039 L
.83942 .06039 L
.83888 .06039 L
.83847 .06039 L
.83818 .06039 L
.838 .06039 L
.83794 .06039 L
.838 .06039 L
.83818 .06039 L
.83847 .06039 L
.83888 .06039 L
.83942 .06039 L
.84008 .06039 L
.84087 .06039 L
.84179 .06039 L
.84284 .06039 L
.84405 .06039 L
.8454 .06039 L
.84692 .06039 L
.84862 .06039 L
.85051 .06039 L
.8526 .06039 L
.85494 .06039 L
.85753 .06039 L
.86044 .06039 L
.86372 .06039 L
.86746 .06039 L
.86746 .06039 L
Mfstroke
.87413 .00951 m
.86949 .01206 L
.86568 .0146 L
.86244 .01714 L
.85962 .01969 L
.85715 .02223 L
.85497 .02477 L
.85303 .02732 L
.8513 .02986 L
.84976 .03241 L
.8484 .03495 L
.8472 .03749 L
.84615 .04004 L
.84524 .04258 L
.84446 .04512 L
.84381 .04767 L
.84329 .05021 L
.84288 .05276 L
.8426 .0553 L
.84242 .05784 L
.84237 .06039 L
.84242 .06293 L
.8426 .06547 L
.84288 .06802 L
.84329 .07056 L
.84381 .07311 L
.84446 .07565 L
.84524 .07819 L
.84615 .08074 L
.8472 .08328 L
.8484 .08582 L
.84976 .08837 L
.8513 .09091 L
.85303 .09346 L
.85497 .096 L
.85715 .09854 L
.85962 .10109 L
.86244 .10363 L
.86568 .10617 L
.86949 .10872 L
.87413 .11126 L
.87413 .11126 L
.86949 .10872 L
.86568 .10617 L
.86244 .10363 L
.85962 .10109 L
.85715 .09854 L
.85497 .096 L
.85303 .09346 L
.8513 .09091 L
Mistroke
.84976 .08837 L
.8484 .08582 L
.8472 .08328 L
.84615 .08074 L
.84524 .07819 L
.84446 .07565 L
.84381 .07311 L
.84329 .07056 L
.84288 .06802 L
.8426 .06547 L
.84242 .06293 L
.84237 .06039 L
.84242 .05784 L
.8426 .0553 L
.84288 .05276 L
.84329 .05021 L
.84381 .04767 L
.84446 .04512 L
.84524 .04258 L
.84615 .04004 L
.8472 .03749 L
.8484 .03495 L
.84976 .03241 L
.8513 .02986 L
.85303 .02732 L
.85497 .02477 L
.85715 .02223 L
.85962 .01969 L
.86244 .01714 L
.86568 .0146 L
.86949 .01206 L
.87413 .00951 L
.87413 .00951 L
Mfstroke
.87413 .06039 m
.86949 .06039 L
.86568 .06039 L
.86244 .06039 L
.85962 .06039 L
.85715 .06039 L
.85497 .06039 L
.85303 .06039 L
.8513 .06039 L
.84976 .06039 L
.8484 .06039 L
.8472 .06039 L
.84615 .06039 L
.84524 .06039 L
.84446 .06039 L
.84381 .06039 L
.84329 .06039 L
.84288 .06039 L
.8426 .06039 L
.84242 .06039 L
.84237 .06039 L
.84242 .06039 L
.8426 .06039 L
.84288 .06039 L
.84329 .06039 L
.84381 .06039 L
.84446 .06039 L
.84524 .06039 L
.84615 .06039 L
.8472 .06039 L
.8484 .06039 L
.84976 .06039 L
.8513 .06039 L
.85303 .06039 L
.85497 .06039 L
.85715 .06039 L
.85962 .06039 L
.86244 .06039 L
.86568 .06039 L
.86949 .06039 L
.87413 .06039 L
.87413 .06039 L
.86949 .06039 L
.86568 .06039 L
.86244 .06039 L
.85962 .06039 L
.85715 .06039 L
.85497 .06039 L
.85303 .06039 L
.8513 .06039 L
Mistroke
.84976 .06039 L
.8484 .06039 L
.8472 .06039 L
.84615 .06039 L
.84524 .06039 L
.84446 .06039 L
.84381 .06039 L
.84329 .06039 L
.84288 .06039 L
.8426 .06039 L
.84242 .06039 L
.84237 .06039 L
.84242 .06039 L
.8426 .06039 L
.84288 .06039 L
.84329 .06039 L
.84381 .06039 L
.84446 .06039 L
.84524 .06039 L
.84615 .06039 L
.8472 .06039 L
.8484 .06039 L
.84976 .06039 L
.8513 .06039 L
.85303 .06039 L
.85497 .06039 L
.85715 .06039 L
.85962 .06039 L
.86244 .06039 L
.86568 .06039 L
.86949 .06039 L
.87413 .06039 L
.87413 .06039 L
Mfstroke
.88065 .01792 m
.87953 .02004 L
.87848 .02216 L
.87749 .02429 L
.87658 .02641 L
.87573 .02853 L
.87494 .03066 L
.87421 .03278 L
.87354 .0349 L
.87293 .03703 L
.87238 .03915 L
.87188 .04128 L
.87144 .0434 L
.87105 .04552 L
.87072 .04765 L
.87043 .04977 L
.8702 .05189 L
.87002 .05402 L
.8699 .05614 L
.86982 .05826 L
.8698 .06039 L
.86982 .06251 L
.8699 .06463 L
.87002 .06676 L
.8702 .06888 L
.87043 .071 L
.87072 .07313 L
.87105 .07525 L
.87144 .07737 L
.87188 .0795 L
.87238 .08162 L
.87293 .08374 L
.87354 .08587 L
.87421 .08799 L
.87494 .09012 L
.87573 .09224 L
.87658 .09436 L
.87749 .09649 L
.87848 .09861 L
.87953 .10073 L
.88065 .10286 L
.88065 .10286 L
.87953 .10073 L
.87848 .09861 L
.87749 .09649 L
.87658 .09436 L
.87573 .09224 L
.87494 .09012 L
.87421 .08799 L
.87354 .08587 L
Mistroke
.87293 .08374 L
.87238 .08162 L
.87188 .0795 L
.87144 .07737 L
.87105 .07525 L
.87072 .07313 L
.87043 .071 L
.8702 .06888 L
.87002 .06676 L
.8699 .06463 L
.86982 .06251 L
.8698 .06039 L
.86982 .05826 L
.8699 .05614 L
.87002 .05402 L
.8702 .05189 L
.87043 .04977 L
.87072 .04765 L
.87105 .04552 L
.87144 .0434 L
.87188 .04128 L
.87238 .03915 L
.87293 .03703 L
.87354 .0349 L
.87421 .03278 L
.87494 .03066 L
.87573 .02853 L
.87658 .02641 L
.87749 .02429 L
.87848 .02216 L
.87953 .02004 L
.88065 .01792 L
.88065 .01792 L
Mfstroke
.88065 .06039 m
.87953 .06039 L
.87848 .06039 L
.87749 .06039 L
.87658 .06039 L
.87573 .06039 L
.87494 .06039 L
.87421 .06039 L
.87354 .06039 L
.87293 .06039 L
.87238 .06039 L
.87188 .06039 L
.87144 .06039 L
.87105 .06039 L
.87072 .06039 L
.87043 .06039 L
.8702 .06039 L
.87002 .06039 L
.8699 .06039 L
.86982 .06039 L
.8698 .06039 L
.86982 .06039 L
.8699 .06039 L
.87002 .06039 L
.8702 .06039 L
.87043 .06039 L
.87072 .06039 L
.87105 .06039 L
.87144 .06039 L
.87188 .06039 L
.87238 .06039 L
.87293 .06039 L
.87354 .06039 L
.87421 .06039 L
.87494 .06039 L
.87573 .06039 L
.87658 .06039 L
.87749 .06039 L
.87848 .06039 L
.87953 .06039 L
.88065 .06039 L
.88065 .06039 L
.87953 .06039 L
.87848 .06039 L
.87749 .06039 L
.87658 .06039 L
.87573 .06039 L
.87494 .06039 L
.87421 .06039 L
.87354 .06039 L
Mistroke
.87293 .06039 L
.87238 .06039 L
.87188 .06039 L
.87144 .06039 L
.87105 .06039 L
.87072 .06039 L
.87043 .06039 L
.8702 .06039 L
.87002 .06039 L
.8699 .06039 L
.86982 .06039 L
.8698 .06039 L
.86982 .06039 L
.8699 .06039 L
.87002 .06039 L
.8702 .06039 L
.87043 .06039 L
.87072 .06039 L
.87105 .06039 L
.87144 .06039 L
.87188 .06039 L
.87238 .06039 L
.87293 .06039 L
.87354 .06039 L
.87421 .06039 L
.87494 .06039 L
.87573 .06039 L
.87658 .06039 L
.87749 .06039 L
.87848 .06039 L
.87953 .06039 L
.88065 .06039 L
.88065 .06039 L
Mfstroke
.88041 .01792 m
.88306 .02004 L
.8854 .02216 L
.88748 .02429 L
.88935 .02641 L
.89103 .02853 L
.89254 .03066 L
.89391 .03278 L
.89513 .0349 L
.89623 .03703 L
.89722 .03915 L
.89809 .04128 L
.89886 .0434 L
.89952 .04552 L
.9001 .04765 L
.90057 .04977 L
.90096 .05189 L
.90126 .05402 L
.90148 .05614 L
.9016 .05826 L
.90165 .06039 L
.9016 .06251 L
.90148 .06463 L
.90126 .06676 L
.90096 .06888 L
.90057 .071 L
.9001 .07313 L
.89952 .07525 L
.89886 .07737 L
.89809 .0795 L
.89722 .08162 L
.89623 .08374 L
.89513 .08587 L
.89391 .08799 L
.89254 .09012 L
.89103 .09224 L
.88935 .09436 L
.88748 .09649 L
.8854 .09861 L
.88306 .10073 L
.88041 .10286 L
.88041 .10286 L
.88306 .10073 L
.8854 .09861 L
.88748 .09649 L
.88935 .09436 L
.89103 .09224 L
.89254 .09012 L
.89391 .08799 L
.89513 .08587 L
Mistroke
.89623 .08374 L
.89722 .08162 L
.89809 .0795 L
.89886 .07737 L
.89952 .07525 L
.9001 .07313 L
.90057 .071 L
.90096 .06888 L
.90126 .06676 L
.90148 .06463 L
.9016 .06251 L
.90165 .06039 L
.9016 .05826 L
.90148 .05614 L
.90126 .05402 L
.90096 .05189 L
.90057 .04977 L
.9001 .04765 L
.89952 .04552 L
.89886 .0434 L
.89809 .04128 L
.89722 .03915 L
.89623 .03703 L
.89513 .0349 L
.89391 .03278 L
.89254 .03066 L
.89103 .02853 L
.88935 .02641 L
.88748 .02429 L
.8854 .02216 L
.88306 .02004 L
.88041 .01792 L
.88041 .01792 L
Mfstroke
.88041 .06039 m
.88306 .06039 L
.8854 .06039 L
.88748 .06039 L
.88935 .06039 L
.89103 .06039 L
.89254 .06039 L
.89391 .06039 L
.89513 .06039 L
.89623 .06039 L
.89722 .06039 L
.89809 .06039 L
.89886 .06039 L
.89952 .06039 L
.9001 .06039 L
.90057 .06039 L
.90096 .06039 L
.90126 .06039 L
.90148 .06039 L
.9016 .06039 L
.90165 .06039 L
.9016 .06039 L
.90148 .06039 L
.90126 .06039 L
.90096 .06039 L
.90057 .06039 L
.9001 .06039 L
.89952 .06039 L
.89886 .06039 L
.89809 .06039 L
.89722 .06039 L
.89623 .06039 L
.89513 .06039 L
.89391 .06039 L
.89254 .06039 L
.89103 .06039 L
.88935 .06039 L
.88748 .06039 L
.8854 .06039 L
.88306 .06039 L
.88041 .06039 L
.88041 .06039 L
.88306 .06039 L
.8854 .06039 L
.88748 .06039 L
.88935 .06039 L
.89103 .06039 L
.89254 .06039 L
.89391 .06039 L
.89513 .06039 L
Mistroke
.89623 .06039 L
.89722 .06039 L
.89809 .06039 L
.89886 .06039 L
.89952 .06039 L
.9001 .06039 L
.90057 .06039 L
.90096 .06039 L
.90126 .06039 L
.90148 .06039 L
.9016 .06039 L
.90165 .06039 L
.9016 .06039 L
.90148 .06039 L
.90126 .06039 L
.90096 .06039 L
.90057 .06039 L
.9001 .06039 L
.89952 .06039 L
.89886 .06039 L
.89809 .06039 L
.89722 .06039 L
.89623 .06039 L
.89513 .06039 L
.89391 .06039 L
.89254 .06039 L
.89103 .06039 L
.88935 .06039 L
.88748 .06039 L
.8854 .06039 L
.88306 .06039 L
.88041 .06039 L
.88041 .06039 L
Mfstroke
.039 .916 .04 r
.02381 .06039 m
.84071 .06039 L
s
0 0 0 r
2 Mabswid
.84071 .06039 Mdot
.039 .916 .04 r
.5 Mabswid
.84071 .06039 m
.84482 .06039 L
s
0 0 0 r
2 Mabswid
.84482 .06039 Mdot
.039 .916 .04 r
.5 Mabswid
.84482 .06039 m
.86984 .06039 L
s
0 0 0 r
2 Mabswid
.86984 .06039 Mdot
.039 .916 .04 r
.5 Mabswid
.86984 .06039 m
.89706 .06039 L
s
0 0 0 r
2 Mabswid
.89706 .06039 Mdot
.039 .916 .04 r
.5 Mabswid
.89706 .06039 m
.97619 .06039 L
s
0 0 0 r
2 Mabswid
.97619 .06039 Mdot
0 0 m
1 0 L
1 .12077 L
0 .12077 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 34.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P00008R000`400?l00000o`00003omP3oool0
0`000000oooo0?ooo`0W0?ooo`00m@3oool2000002T0oooo003d0?ooo`030000003oool0oooo0080
00009`3oool00?<0oooo00@000000?ooo`3oool00000:@3oool00?80oooo00@000000?ooo`3oool0
0000:P3oool00?40oooo100000040?ooo`8000009@3oool00?00oooo00@000000?ooo`3oool00000
1@3oool00`000000oooo0000000T0?ooo`00l03oool00`000000oooo000000050?ooo`030000003o
ool0oooo008000008`3oool00?00oooo0P0000060?ooo`040000003oool0oooo0?ooo`8000008P3o
ool00>l0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo0200oooo003_0?ooo`8000001P3oool00`000000oooo0?ooo`030?ooo`8000008@3oool00>h0
oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01l0
oooo003^0?ooo`8000001`3oool00`000000oooo0?ooo`040?ooo`800000803oool00>h0oooo0P00
00070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool07P3oool00>h0oooo0P000006
0?ooo`8000001`3oool00`000000oooo0?ooo`0N0?ooo`00kP3oool2000000H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0N0?ooo`00k@3oool4000000D0oooo0`000000103oool0
00000?ooo`3oool3000001@0oooo0P00000:0?ooo`002P3ooooc00WZ2P0300000009jPX02NX:01@0
2NX:0P00000:0?ooo`00kP3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0N0?ooo`00kP3oool2000000H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0N0?ooo`00kP3oool2000000L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0N
0?ooo`00kP3oool2000000L0oooo00<000000?ooo`3oool0103oool200000200oooo003^0?ooo`<0
00001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01l0oooo003_0?ooo`800000
1P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01l0oooo003_0?ooo`<000001@3o
ool2000000@0oooo00<000000?ooo`3oool0803oool00>l0oooo0`0000060?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0803oool00?00oooo00<000000?ooo`0000001@3oool01@00
0000oooo0?ooo`3oool0000002<0oooo003`0?ooo`040000003oool00000000000@0oooo0P000000
0`3oool000000?ooo`0S0?ooo`00l@3oool00`000000oooo000000050?ooo`8000009@3oool00?80
oooo00@000000?ooo`0000000000:P3oool00?<0oooo00<000000?ooo`3oool00P00000X0?ooo`00
m03oool01@000000oooo0?ooo`3oool0000002L0oooo003e0?ooo`800000:@3oool00?H0oooo00<0
00000?ooo`3oool09`3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {33.75, 0}} -> {38.1431, -6.82508, 0.404439, \
0.404439}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ShowSystem[setup, ShowRange \[Rule] All, 
        PlotType \[Rule] SideView];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .97003 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.350985 0.00884783 0.100947 0.00884783 [
[ 0 0 0 0 ]
[ 1 .97003 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.86746 .10095 m
.86372 .10095 L
.86044 .10095 L
.85753 .10095 L
.85494 .10095 L
.8526 .10095 L
.85051 .10095 L
.84862 .10095 L
.84692 .10095 L
.8454 .10095 L
.84405 .10095 L
.84284 .10095 L
.84179 .10095 L
.84087 .10095 L
.84008 .10095 L
.83942 .10095 L
.83888 .10095 L
.83847 .10095 L
.83818 .10095 L
.838 .10095 L
.83794 .10095 L
.838 .10095 L
.83818 .10095 L
.83847 .10095 L
.83888 .10095 L
.83942 .10095 L
.84008 .10095 L
.84087 .10095 L
.84179 .10095 L
.84284 .10095 L
.84405 .10095 L
.8454 .10095 L
.84692 .10095 L
.84862 .10095 L
.85051 .10095 L
.8526 .10095 L
.85494 .10095 L
.85753 .10095 L
.86044 .10095 L
.86372 .10095 L
.86746 .10095 L
.86746 .10095 L
.86372 .10095 L
.86044 .10095 L
.85753 .10095 L
.85494 .10095 L
.8526 .10095 L
.85051 .10095 L
.84862 .10095 L
.84692 .10095 L
Mistroke
.8454 .10095 L
.84405 .10095 L
.84284 .10095 L
.84179 .10095 L
.84087 .10095 L
.84008 .10095 L
.83942 .10095 L
.83888 .10095 L
.83847 .10095 L
.83818 .10095 L
.838 .10095 L
.83794 .10095 L
.838 .10095 L
.83818 .10095 L
.83847 .10095 L
.83888 .10095 L
.83942 .10095 L
.84008 .10095 L
.84087 .10095 L
.84179 .10095 L
.84284 .10095 L
.84405 .10095 L
.8454 .10095 L
.84692 .10095 L
.84862 .10095 L
.85051 .10095 L
.8526 .10095 L
.85494 .10095 L
.85753 .10095 L
.86044 .10095 L
.86372 .10095 L
.86746 .10095 L
.86746 .10095 L
Mfstroke
.86746 .04344 m
.86372 .04631 L
.86044 .04919 L
.85753 .05206 L
.85494 .05494 L
.8526 .05781 L
.85051 .06069 L
.84862 .06356 L
.84692 .06644 L
.8454 .06932 L
.84405 .07219 L
.84284 .07507 L
.84179 .07794 L
.84087 .08082 L
.84008 .08369 L
.83942 .08657 L
.83888 .08944 L
.83847 .09232 L
.83818 .0952 L
.838 .09807 L
.83794 .10095 L
.838 .10382 L
.83818 .1067 L
.83847 .10957 L
.83888 .11245 L
.83942 .11532 L
.84008 .1182 L
.84087 .12108 L
.84179 .12395 L
.84284 .12683 L
.84405 .1297 L
.8454 .13258 L
.84692 .13545 L
.84862 .13833 L
.85051 .1412 L
.8526 .14408 L
.85494 .14696 L
.85753 .14983 L
.86044 .15271 L
.86372 .15558 L
.86746 .15846 L
.86746 .15846 L
.86372 .15558 L
.86044 .15271 L
.85753 .14983 L
.85494 .14696 L
.8526 .14408 L
.85051 .1412 L
.84862 .13833 L
.84692 .13545 L
Mistroke
.8454 .13258 L
.84405 .1297 L
.84284 .12683 L
.84179 .12395 L
.84087 .12108 L
.84008 .1182 L
.83942 .11532 L
.83888 .11245 L
.83847 .10957 L
.83818 .1067 L
.838 .10382 L
.83794 .10095 L
.838 .09807 L
.83818 .0952 L
.83847 .09232 L
.83888 .08944 L
.83942 .08657 L
.84008 .08369 L
.84087 .08082 L
.84179 .07794 L
.84284 .07507 L
.84405 .07219 L
.8454 .06932 L
.84692 .06644 L
.84862 .06356 L
.85051 .06069 L
.8526 .05781 L
.85494 .05494 L
.85753 .05206 L
.86044 .04919 L
.86372 .04631 L
.86746 .04344 L
.86746 .04344 L
Mfstroke
.87413 .10095 m
.86949 .10095 L
.86568 .10095 L
.86244 .10095 L
.85962 .10095 L
.85715 .10095 L
.85497 .10095 L
.85303 .10095 L
.8513 .10095 L
.84976 .10095 L
.8484 .10095 L
.8472 .10095 L
.84615 .10095 L
.84524 .10095 L
.84446 .10095 L
.84381 .10095 L
.84329 .10095 L
.84288 .10095 L
.8426 .10095 L
.84242 .10095 L
.84237 .10095 L
.84242 .10095 L
.8426 .10095 L
.84288 .10095 L
.84329 .10095 L
.84381 .10095 L
.84446 .10095 L
.84524 .10095 L
.84615 .10095 L
.8472 .10095 L
.8484 .10095 L
.84976 .10095 L
.8513 .10095 L
.85303 .10095 L
.85497 .10095 L
.85715 .10095 L
.85962 .10095 L
.86244 .10095 L
.86568 .10095 L
.86949 .10095 L
.87413 .10095 L
.87413 .10095 L
.86949 .10095 L
.86568 .10095 L
.86244 .10095 L
.85962 .10095 L
.85715 .10095 L
.85497 .10095 L
.85303 .10095 L
.8513 .10095 L
Mistroke
.84976 .10095 L
.8484 .10095 L
.8472 .10095 L
.84615 .10095 L
.84524 .10095 L
.84446 .10095 L
.84381 .10095 L
.84329 .10095 L
.84288 .10095 L
.8426 .10095 L
.84242 .10095 L
.84237 .10095 L
.84242 .10095 L
.8426 .10095 L
.84288 .10095 L
.84329 .10095 L
.84381 .10095 L
.84446 .10095 L
.84524 .10095 L
.84615 .10095 L
.8472 .10095 L
.8484 .10095 L
.84976 .10095 L
.8513 .10095 L
.85303 .10095 L
.85497 .10095 L
.85715 .10095 L
.85962 .10095 L
.86244 .10095 L
.86568 .10095 L
.86949 .10095 L
.87413 .10095 L
.87413 .10095 L
Mfstroke
.87413 .05007 m
.86949 .05262 L
.86568 .05516 L
.86244 .0577 L
.85962 .06025 L
.85715 .06279 L
.85497 .06533 L
.85303 .06788 L
.8513 .07042 L
.84976 .07297 L
.8484 .07551 L
.8472 .07805 L
.84615 .0806 L
.84524 .08314 L
.84446 .08568 L
.84381 .08823 L
.84329 .09077 L
.84288 .09332 L
.8426 .09586 L
.84242 .0984 L
.84237 .10095 L
.84242 .10349 L
.8426 .10603 L
.84288 .10858 L
.84329 .11112 L
.84381 .11367 L
.84446 .11621 L
.84524 .11875 L
.84615 .1213 L
.8472 .12384 L
.8484 .12638 L
.84976 .12893 L
.8513 .13147 L
.85303 .13402 L
.85497 .13656 L
.85715 .1391 L
.85962 .14165 L
.86244 .14419 L
.86568 .14673 L
.86949 .14928 L
.87413 .15182 L
.87413 .15182 L
.86949 .14928 L
.86568 .14673 L
.86244 .14419 L
.85962 .14165 L
.85715 .1391 L
.85497 .13656 L
.85303 .13402 L
.8513 .13147 L
Mistroke
.84976 .12893 L
.8484 .12638 L
.8472 .12384 L
.84615 .1213 L
.84524 .11875 L
.84446 .11621 L
.84381 .11367 L
.84329 .11112 L
.84288 .10858 L
.8426 .10603 L
.84242 .10349 L
.84237 .10095 L
.84242 .0984 L
.8426 .09586 L
.84288 .09332 L
.84329 .09077 L
.84381 .08823 L
.84446 .08568 L
.84524 .08314 L
.84615 .0806 L
.8472 .07805 L
.8484 .07551 L
.84976 .07297 L
.8513 .07042 L
.85303 .06788 L
.85497 .06533 L
.85715 .06279 L
.85962 .06025 L
.86244 .0577 L
.86568 .05516 L
.86949 .05262 L
.87413 .05007 L
.87413 .05007 L
Mfstroke
.88065 .10095 m
.87953 .10095 L
.87848 .10095 L
.87749 .10095 L
.87658 .10095 L
.87573 .10095 L
.87494 .10095 L
.87421 .10095 L
.87354 .10095 L
.87293 .10095 L
.87238 .10095 L
.87188 .10095 L
.87144 .10095 L
.87105 .10095 L
.87072 .10095 L
.87043 .10095 L
.8702 .10095 L
.87002 .10095 L
.8699 .10095 L
.86982 .10095 L
.8698 .10095 L
.86982 .10095 L
.8699 .10095 L
.87002 .10095 L
.8702 .10095 L
.87043 .10095 L
.87072 .10095 L
.87105 .10095 L
.87144 .10095 L
.87188 .10095 L
.87238 .10095 L
.87293 .10095 L
.87354 .10095 L
.87421 .10095 L
.87494 .10095 L
.87573 .10095 L
.87658 .10095 L
.87749 .10095 L
.87848 .10095 L
.87953 .10095 L
.88065 .10095 L
.88065 .10095 L
.87953 .10095 L
.87848 .10095 L
.87749 .10095 L
.87658 .10095 L
.87573 .10095 L
.87494 .10095 L
.87421 .10095 L
.87354 .10095 L
Mistroke
.87293 .10095 L
.87238 .10095 L
.87188 .10095 L
.87144 .10095 L
.87105 .10095 L
.87072 .10095 L
.87043 .10095 L
.8702 .10095 L
.87002 .10095 L
.8699 .10095 L
.86982 .10095 L
.8698 .10095 L
.86982 .10095 L
.8699 .10095 L
.87002 .10095 L
.8702 .10095 L
.87043 .10095 L
.87072 .10095 L
.87105 .10095 L
.87144 .10095 L
.87188 .10095 L
.87238 .10095 L
.87293 .10095 L
.87354 .10095 L
.87421 .10095 L
.87494 .10095 L
.87573 .10095 L
.87658 .10095 L
.87749 .10095 L
.87848 .10095 L
.87953 .10095 L
.88065 .10095 L
.88065 .10095 L
Mfstroke
.88065 .05848 m
.87953 .0606 L
.87848 .06272 L
.87749 .06485 L
.87658 .06697 L
.87573 .06909 L
.87494 .07122 L
.87421 .07334 L
.87354 .07547 L
.87293 .07759 L
.87238 .07971 L
.87188 .08184 L
.87144 .08396 L
.87105 .08608 L
.87072 .08821 L
.87043 .09033 L
.8702 .09245 L
.87002 .09458 L
.8699 .0967 L
.86982 .09882 L
.8698 .10095 L
.86982 .10307 L
.8699 .10519 L
.87002 .10732 L
.8702 .10944 L
.87043 .11156 L
.87072 .11369 L
.87105 .11581 L
.87144 .11793 L
.87188 .12006 L
.87238 .12218 L
.87293 .12431 L
.87354 .12643 L
.87421 .12855 L
.87494 .13068 L
.87573 .1328 L
.87658 .13492 L
.87749 .13705 L
.87848 .13917 L
.87953 .14129 L
.88065 .14342 L
.88065 .14342 L
.87953 .14129 L
.87848 .13917 L
.87749 .13705 L
.87658 .13492 L
.87573 .1328 L
.87494 .13068 L
.87421 .12855 L
.87354 .12643 L
Mistroke
.87293 .12431 L
.87238 .12218 L
.87188 .12006 L
.87144 .11793 L
.87105 .11581 L
.87072 .11369 L
.87043 .11156 L
.8702 .10944 L
.87002 .10732 L
.8699 .10519 L
.86982 .10307 L
.8698 .10095 L
.86982 .09882 L
.8699 .0967 L
.87002 .09458 L
.8702 .09245 L
.87043 .09033 L
.87072 .08821 L
.87105 .08608 L
.87144 .08396 L
.87188 .08184 L
.87238 .07971 L
.87293 .07759 L
.87354 .07547 L
.87421 .07334 L
.87494 .07122 L
.87573 .06909 L
.87658 .06697 L
.87749 .06485 L
.87848 .06272 L
.87953 .0606 L
.88065 .05848 L
.88065 .05848 L
Mfstroke
.88041 .10095 m
.88306 .10095 L
.8854 .10095 L
.88748 .10095 L
.88935 .10095 L
.89103 .10095 L
.89254 .10095 L
.89391 .10095 L
.89513 .10095 L
.89623 .10095 L
.89722 .10095 L
.89809 .10095 L
.89886 .10095 L
.89952 .10095 L
.9001 .10095 L
.90057 .10095 L
.90096 .10095 L
.90126 .10095 L
.90148 .10095 L
.9016 .10095 L
.90165 .10095 L
.9016 .10095 L
.90148 .10095 L
.90126 .10095 L
.90096 .10095 L
.90057 .10095 L
.9001 .10095 L
.89952 .10095 L
.89886 .10095 L
.89809 .10095 L
.89722 .10095 L
.89623 .10095 L
.89513 .10095 L
.89391 .10095 L
.89254 .10095 L
.89103 .10095 L
.88935 .10095 L
.88748 .10095 L
.8854 .10095 L
.88306 .10095 L
.88041 .10095 L
.88041 .10095 L
.88306 .10095 L
.8854 .10095 L
.88748 .10095 L
.88935 .10095 L
.89103 .10095 L
.89254 .10095 L
.89391 .10095 L
.89513 .10095 L
Mistroke
.89623 .10095 L
.89722 .10095 L
.89809 .10095 L
.89886 .10095 L
.89952 .10095 L
.9001 .10095 L
.90057 .10095 L
.90096 .10095 L
.90126 .10095 L
.90148 .10095 L
.9016 .10095 L
.90165 .10095 L
.9016 .10095 L
.90148 .10095 L
.90126 .10095 L
.90096 .10095 L
.90057 .10095 L
.9001 .10095 L
.89952 .10095 L
.89886 .10095 L
.89809 .10095 L
.89722 .10095 L
.89623 .10095 L
.89513 .10095 L
.89391 .10095 L
.89254 .10095 L
.89103 .10095 L
.88935 .10095 L
.88748 .10095 L
.8854 .10095 L
.88306 .10095 L
.88041 .10095 L
.88041 .10095 L
Mfstroke
.88041 .05848 m
.88306 .0606 L
.8854 .06272 L
.88748 .06485 L
.88935 .06697 L
.89103 .06909 L
.89254 .07122 L
.89391 .07334 L
.89513 .07547 L
.89623 .07759 L
.89722 .07971 L
.89809 .08184 L
.89886 .08396 L
.89952 .08608 L
.9001 .08821 L
.90057 .09033 L
.90096 .09245 L
.90126 .09458 L
.90148 .0967 L
.9016 .09882 L
.90165 .10095 L
.9016 .10307 L
.90148 .10519 L
.90126 .10732 L
.90096 .10944 L
.90057 .11156 L
.9001 .11369 L
.89952 .11581 L
.89886 .11793 L
.89809 .12006 L
.89722 .12218 L
.89623 .12431 L
.89513 .12643 L
.89391 .12855 L
.89254 .13068 L
.89103 .1328 L
.88935 .13492 L
.88748 .13705 L
.8854 .13917 L
.88306 .14129 L
.88041 .14342 L
.88041 .14342 L
.88306 .14129 L
.8854 .13917 L
.88748 .13705 L
.88935 .13492 L
.89103 .1328 L
.89254 .13068 L
.89391 .12855 L
.89513 .12643 L
Mistroke
.89623 .12431 L
.89722 .12218 L
.89809 .12006 L
.89886 .11793 L
.89952 .11581 L
.9001 .11369 L
.90057 .11156 L
.90096 .10944 L
.90126 .10732 L
.90148 .10519 L
.9016 .10307 L
.90165 .10095 L
.9016 .09882 L
.90148 .0967 L
.90126 .09458 L
.90096 .09245 L
.90057 .09033 L
.9001 .08821 L
.89952 .08608 L
.89886 .08396 L
.89809 .08184 L
.89722 .07971 L
.89623 .07759 L
.89513 .07547 L
.89391 .07334 L
.89254 .07122 L
.89103 .06909 L
.88935 .06697 L
.88748 .06485 L
.8854 .06272 L
.88306 .0606 L
.88041 .05848 L
.88041 .05848 L
Mfstroke
.039 .916 .04 r
.02381 .94693 m
.84071 .12053 L
s
0 0 0 r
2 Mabswid
.84071 .12053 Mdot
.039 .916 .04 r
.5 Mabswid
.84071 .12053 m
.84482 .11744 L
s
0 0 0 r
2 Mabswid
.84482 .11744 Mdot
.039 .916 .04 r
.5 Mabswid
.84482 .11744 m
.86984 .09823 L
s
0 0 0 r
2 Mabswid
.86984 .09823 Mdot
.039 .916 .04 r
.5 Mabswid
.86984 .09823 m
.89706 .07937 L
s
0 0 0 r
2 Mabswid
.89706 .07937 Mdot
.039 .916 .04 r
.5 Mabswid
.89706 .07937 m
.97619 .0231 L
s
0 0 0 r
2 Mabswid
.97619 .0231 Mdot
0 0 m
1 0 L
1 .97003 L
0 .97003 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 279.312},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P00015b000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolH0?ooo`8000001`3oool00?l0oooo603oool2000000L0oooo003o0?oooaL0oooo
0P09jPX80?ooo`00o`3ooolF0?ooo`0300WZ2P3oool0oooo00P0oooo003o0?oooa@0oooo0P09jPX;
0?ooo`00o`3ooolC0?ooo`0300WZ2P3oool0oooo00/0oooo003i0?ooo`030000003oool0oooo01D0
oooo00<02NX:0?ooo`3oool0303oool00?L0oooo0P00000F0?ooo`802NX:3`3oool00?H0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0@0?ooo`0300WZ2P3oool0oooo00l0oooo003f
0?ooo`030000003oool0oooo008000004@3oool200WZ2Q80oooo003e0?ooo`040000003oool0oooo
00000180oooo00<02NX:0?ooo`3oool04P3oool00?@0oooo00@000000?ooo`0000000000103oool0
0`000000oooo0?ooo`0:0?ooo`802NX:5@3oool00?<0oooo0`0000060?ooo`<000002@3oool00`09
jPX0oooo0?ooo`0E0?ooo`00l`3oool00`000000oooo000000050?ooo`030000003oool0oooo0080
00001`3oool00`09jPX0oooo0?ooo`0F0?ooo`00lP3oool00`000000oooo000000060?ooo`050000
003oool0oooo0?ooo`0000001@3oool200WZ2QT0oooo003b0?ooo`8000001P3oool2000000@0oooo
00D000000?ooo`3oool0oooo00WZ2P0K0?ooo`00l@3oool00`000000oooo000000060?ooo`030000
003oool0oooo00<0oooo0P00000200WZ2Q`0oooo003a0?ooo`<000001P3oool00`000000oooo0?oo
o`030?ooo`0300000009jPX0oooo01d0oooo003a0?ooo`8000001`3oool00`000000oooo0?ooo`02
0?ooo`802NX:00<000000?ooo`3oool0703oool00?00oooo00<000000?ooo`0000001P3oool01000
0000oooo0?ooo`3oool200WZ2P<0oooo00<000000?ooo`3oool06`3oool00?00oooo0`0000060?oo
o`040000003oool0oooo00WZ2PD0oooo00<000000?ooo`3oool06`3oool00?00oooo0P0000070?oo
o`0300000009jPX02NX:00H0oooo00<000000?ooo`3oool06`3oool00?00oooo0P0000070?ooo`03
00WZ2P000000oooo00H0oooo00<000000?ooo`3oool06`3oool00?00oooo200000000`09jPX00000
00000008000001d0oooo003`0?ooo`8000001@3oool00`09jPX0oooo000000080?ooo`030000003o
ool0oooo01/0oooo003`0?ooo`8000000`3oool200WZ2P80oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`0K0?ooo`00l03oool200000080oooo00<02NX:0?ooo`3oool00P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo01/0oooo003`0?ooo`<0000000<02NX:0?ooo`3o
ool00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01/0oooo003`0?ooo`800000
00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01`0oooo
003`0?ooo`0300000009jPX0000000L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0L0?ooo`00l03oool01009jPX000000?ooo`0000060?ooo`030000003oool0oooo00<0oooo0P00
000N0?ooo`00k`3oool00`09jPX0oooo00000002000000H0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0M0?ooo`00kP3oool01`09jPX0oooo0?ooo`3oool000000?ooo`0000001P3o
ool010000000oooo0?ooo`3oool2000001l0oooo003]0?ooo`0300WZ2P3oool0oooo00<0oooo0`00
00050?ooo`050000003oool0oooo0?ooo`000000803oool00>`0oooo00<02NX:0?ooo`3oool0103o
ool00`000000oooo000000050?ooo`80000000<0oooo0000003oool0803oool00>/0oooo00<02NX:
0?ooo`3oool01P3oool00`000000oooo000000050?ooo`8000008P3oool00>X0oooo00<02NX:0?oo
o`3oool01`3oool2000000030?ooo`000000000002L0oooo003Y0?ooo`0300WZ2P3oool0oooo00X0
oooo00H000000?ooo`3oool000000?ooo`00000T0?ooo`00j03oool00`09jPX0oooo0?ooo`0;0?oo
o`050000003oool0oooo0?ooo`0000009@3oool00>L0oooo00<02NX:0?ooo`3oool03@3oool00`00
0000oooo0000000V0?ooo`00iP3oool00`09jPX0oooo0?ooo`0?0?ooo`030000003oool0oooo02D0
oooo003U0?ooo`0300WZ2P3oool0oooo03P0oooo003T0?ooo`0300WZ2P3oool0oooo03T0oooo003S
0?ooo`0300WZ2P3oool0oooo03X0oooo003R0?ooo`0300WZ2P3oool0oooo03/0oooo003Q0?ooo`03
00WZ2P3oool0oooo03`0oooo003P0?ooo`0300WZ2P3oool0oooo03d0oooo003O0?ooo`0300WZ2P3o
ool0oooo03h0oooo003N0?ooo`0300WZ2P3oool0oooo03l0oooo003M0?ooo`0300WZ2P3oool0oooo
0400oooo003L0?ooo`0300WZ2P3oool0oooo0440oooo003K0?ooo`0300WZ2P3oool0oooo0480oooo
003J0?ooo`0300WZ2P3oool0oooo04<0oooo003I0?ooo`0300WZ2P3oool0oooo04@0oooo003H0?oo
o`0300WZ2P3oool0oooo04D0oooo003G0?ooo`0300WZ2P3oool0oooo04H0oooo003F0?ooo`0300WZ
2P3oool0oooo04L0oooo003E0?ooo`0300WZ2P3oool0oooo04P0oooo003D0?ooo`0300WZ2P3oool0
oooo04T0oooo003C0?ooo`0300WZ2P3oool0oooo04X0oooo003B0?ooo`0300WZ2P3oool0oooo04/0
oooo003A0?ooo`0300WZ2P3oool0oooo04`0oooo003@0?ooo`0300WZ2P3oool0oooo04d0oooo003?
0?ooo`0300WZ2P3oool0oooo04h0oooo003>0?ooo`0300WZ2P3oool0oooo04l0oooo003=0?ooo`03
00WZ2P3oool0oooo0500oooo003<0?ooo`0300WZ2P3oool0oooo0540oooo003;0?ooo`0300WZ2P3o
ool0oooo0580oooo003:0?ooo`0300WZ2P3oool0oooo05<0oooo00390?ooo`0300WZ2P3oool0oooo
05@0oooo00380?ooo`0300WZ2P3oool0oooo05D0oooo00370?ooo`0300WZ2P3oool0oooo05H0oooo
00360?ooo`0300WZ2P3oool0oooo05L0oooo00350?ooo`0300WZ2P3oool0oooo05P0oooo00340?oo
o`0300WZ2P3oool0oooo05T0oooo00330?ooo`0300WZ2P3oool0oooo05X0oooo00320?ooo`0300WZ
2P3oool0oooo05/0oooo00310?ooo`0300WZ2P3oool0oooo05`0oooo00300?ooo`0300WZ2P3oool0
oooo05d0oooo002o0?ooo`0300WZ2P3oool0oooo05h0oooo002n0?ooo`0300WZ2P3oool0oooo05l0
oooo002m0?ooo`0300WZ2P3oool0oooo0600oooo002l0?ooo`0300WZ2P3oool0oooo0640oooo002k
0?ooo`0300WZ2P3oool0oooo0680oooo002j0?ooo`0300WZ2P3oool0oooo06<0oooo002i0?ooo`03
00WZ2P3oool0oooo06@0oooo002h0?ooo`0300WZ2P3oool0oooo06D0oooo002g0?ooo`0300WZ2P3o
ool0oooo06H0oooo002f0?ooo`0300WZ2P3oool0oooo06L0oooo002f0?ooo`0300WZ2P3oool0oooo
06L0oooo002e0?ooo`0300WZ2P3oool0oooo06P0oooo002d0?ooo`0300WZ2P3oool0oooo06T0oooo
002c0?ooo`0300WZ2P3oool0oooo06X0oooo002b0?ooo`0300WZ2P3oool0oooo06/0oooo002a0?oo
o`0300WZ2P3oool0oooo06`0oooo002`0?ooo`0300WZ2P3oool0oooo06d0oooo002_0?ooo`0300WZ
2P3oool0oooo06h0oooo002^0?ooo`0300WZ2P3oool0oooo06l0oooo002]0?ooo`0300WZ2P3oool0
oooo0700oooo002/0?ooo`0300WZ2P3oool0oooo0740oooo002[0?ooo`0300WZ2P3oool0oooo0780
oooo002Z0?ooo`0300WZ2P3oool0oooo07<0oooo002Y0?ooo`0300WZ2P3oool0oooo07@0oooo002X
0?ooo`0300WZ2P3oool0oooo07D0oooo002W0?ooo`0300WZ2P3oool0oooo07H0oooo002V0?ooo`03
00WZ2P3oool0oooo07L0oooo002U0?ooo`0300WZ2P3oool0oooo07P0oooo002T0?ooo`0300WZ2P3o
ool0oooo07T0oooo002S0?ooo`0300WZ2P3oool0oooo07X0oooo002R0?ooo`0300WZ2P3oool0oooo
07/0oooo002Q0?ooo`0300WZ2P3oool0oooo07`0oooo002P0?ooo`0300WZ2P3oool0oooo07d0oooo
002O0?ooo`0300WZ2P3oool0oooo07h0oooo002N0?ooo`0300WZ2P3oool0oooo07l0oooo002M0?oo
o`0300WZ2P3oool0oooo0800oooo002L0?ooo`0300WZ2P3oool0oooo0840oooo002K0?ooo`0300WZ
2P3oool0oooo0880oooo002J0?ooo`0300WZ2P3oool0oooo08<0oooo002I0?ooo`0300WZ2P3oool0
oooo08@0oooo002H0?ooo`0300WZ2P3oool0oooo08D0oooo002G0?ooo`0300WZ2P3oool0oooo08H0
oooo002F0?ooo`0300WZ2P3oool0oooo08L0oooo002E0?ooo`0300WZ2P3oool0oooo08P0oooo002D
0?ooo`0300WZ2P3oool0oooo08T0oooo002C0?ooo`0300WZ2P3oool0oooo08X0oooo002B0?ooo`03
00WZ2P3oool0oooo08/0oooo002A0?ooo`0300WZ2P3oool0oooo08`0oooo002@0?ooo`0300WZ2P3o
ool0oooo08d0oooo002?0?ooo`0300WZ2P3oool0oooo08h0oooo002>0?ooo`0300WZ2P3oool0oooo
08l0oooo002=0?ooo`0300WZ2P3oool0oooo0900oooo002<0?ooo`0300WZ2P3oool0oooo0940oooo
002;0?ooo`0300WZ2P3oool0oooo0980oooo002:0?ooo`0300WZ2P3oool0oooo09<0oooo00290?oo
o`0300WZ2P3oool0oooo09@0oooo00280?ooo`0300WZ2P3oool0oooo09D0oooo00270?ooo`0300WZ
2P3oool0oooo09H0oooo00260?ooo`0300WZ2P3oool0oooo09L0oooo00250?ooo`0300WZ2P3oool0
oooo09P0oooo00240?ooo`0300WZ2P3oool0oooo09T0oooo00230?ooo`0300WZ2P3oool0oooo09X0
oooo00220?ooo`0300WZ2P3oool0oooo09/0oooo00210?ooo`0300WZ2P3oool0oooo09`0oooo0020
0?ooo`0300WZ2P3oool0oooo09d0oooo001o0?ooo`0300WZ2P3oool0oooo09h0oooo001n0?ooo`03
00WZ2P3oool0oooo09l0oooo001m0?ooo`0300WZ2P3oool0oooo0:00oooo001l0?ooo`0300WZ2P3o
ool0oooo0:40oooo001k0?ooo`0300WZ2P3oool0oooo0:80oooo001j0?ooo`0300WZ2P3oool0oooo
0:<0oooo001i0?ooo`0300WZ2P3oool0oooo0:@0oooo001h0?ooo`0300WZ2P3oool0oooo0:D0oooo
001g0?ooo`0300WZ2P3oool0oooo0:H0oooo001f0?ooo`0300WZ2P3oool0oooo0:L0oooo001e0?oo
o`0300WZ2P3oool0oooo0:P0oooo001d0?ooo`0300WZ2P3oool0oooo0:T0oooo001c0?ooo`0300WZ
2P3oool0oooo0:X0oooo001b0?ooo`0300WZ2P3oool0oooo0:/0oooo001a0?ooo`0300WZ2P3oool0
oooo0:`0oooo001`0?ooo`0300WZ2P3oool0oooo0:d0oooo001_0?ooo`0300WZ2P3oool0oooo0:h0
oooo001^0?ooo`0300WZ2P3oool0oooo0:l0oooo001]0?ooo`0300WZ2P3oool0oooo0;00oooo001/
0?ooo`0300WZ2P3oool0oooo0;40oooo001[0?ooo`0300WZ2P3oool0oooo0;80oooo001Z0?ooo`03
00WZ2P3oool0oooo0;<0oooo001Y0?ooo`0300WZ2P3oool0oooo0;@0oooo001X0?ooo`0300WZ2P3o
ool0oooo0;D0oooo001W0?ooo`0300WZ2P3oool0oooo0;H0oooo001V0?ooo`0300WZ2P3oool0oooo
0;L0oooo001U0?ooo`0300WZ2P3oool0oooo0;P0oooo001T0?ooo`0300WZ2P3oool0oooo0;T0oooo
001S0?ooo`0300WZ2P3oool0oooo0;X0oooo001R0?ooo`0300WZ2P3oool0oooo0;/0oooo001Q0?oo
o`0300WZ2P3oool0oooo0;`0oooo001P0?ooo`0300WZ2P3oool0oooo0;d0oooo001O0?ooo`0300WZ
2P3oool0oooo0;h0oooo001N0?ooo`0300WZ2P3oool0oooo0;l0oooo001M0?ooo`0300WZ2P3oool0
oooo0<00oooo001L0?ooo`0300WZ2P3oool0oooo0<40oooo001K0?ooo`0300WZ2P3oool0oooo0<80
oooo001J0?ooo`0300WZ2P3oool0oooo0<<0oooo001I0?ooo`0300WZ2P3oool0oooo0<@0oooo001H
0?ooo`0300WZ2P3oool0oooo0<D0oooo001G0?ooo`0300WZ2P3oool0oooo0<H0oooo001F0?ooo`03
00WZ2P3oool0oooo0<L0oooo001E0?ooo`0300WZ2P3oool0oooo0<P0oooo001D0?ooo`0300WZ2P3o
ool0oooo0<T0oooo001C0?ooo`0300WZ2P3oool0oooo0<X0oooo001B0?ooo`0300WZ2P3oool0oooo
0</0oooo001A0?ooo`0300WZ2P3oool0oooo0<`0oooo001@0?ooo`0300WZ2P3oool0oooo0<d0oooo
001?0?ooo`0300WZ2P3oool0oooo0<h0oooo001>0?ooo`0300WZ2P3oool0oooo0<l0oooo001=0?oo
o`0300WZ2P3oool0oooo0=00oooo001<0?ooo`0300WZ2P3oool0oooo0=40oooo001;0?ooo`0300WZ
2P3oool0oooo0=80oooo001:0?ooo`0300WZ2P3oool0oooo0=<0oooo00190?ooo`0300WZ2P3oool0
oooo0=@0oooo00180?ooo`0300WZ2P3oool0oooo0=D0oooo00170?ooo`0300WZ2P3oool0oooo0=H0
oooo00160?ooo`0300WZ2P3oool0oooo0=L0oooo00150?ooo`0300WZ2P3oool0oooo0=P0oooo0014
0?ooo`0300WZ2P3oool0oooo0=T0oooo00130?ooo`0300WZ2P3oool0oooo0=X0oooo00120?ooo`03
00WZ2P3oool0oooo0=/0oooo00110?ooo`0300WZ2P3oool0oooo0=`0oooo00110?ooo`0300WZ2P3o
ool0oooo0=`0oooo00100?ooo`0300WZ2P3oool0oooo0=d0oooo000o0?ooo`0300WZ2P3oool0oooo
0=h0oooo000n0?ooo`0300WZ2P3oool0oooo0=l0oooo000m0?ooo`0300WZ2P3oool0oooo0>00oooo
000l0?ooo`0300WZ2P3oool0oooo0>40oooo000k0?ooo`0300WZ2P3oool0oooo0>80oooo000j0?oo
o`0300WZ2P3oool0oooo0><0oooo000i0?ooo`0300WZ2P3oool0oooo0>@0oooo000h0?ooo`0300WZ
2P3oool0oooo0>D0oooo000g0?ooo`0300WZ2P3oool0oooo0>H0oooo000f0?ooo`0300WZ2P3oool0
oooo0>L0oooo000e0?ooo`0300WZ2P3oool0oooo0>P0oooo000d0?ooo`0300WZ2P3oool0oooo0>T0
oooo000c0?ooo`0300WZ2P3oool0oooo0>X0oooo000b0?ooo`0300WZ2P3oool0oooo0>/0oooo000a
0?ooo`0300WZ2P3oool0oooo0>`0oooo000`0?ooo`0300WZ2P3oool0oooo0>d0oooo000_0?ooo`03
00WZ2P3oool0oooo0>h0oooo000^0?ooo`0300WZ2P3oool0oooo0>l0oooo000]0?ooo`0300WZ2P3o
ool0oooo0?00oooo000/0?ooo`0300WZ2P3oool0oooo0?40oooo000[0?ooo`0300WZ2P3oool0oooo
0?80oooo000Z0?ooo`0300WZ2P3oool0oooo0?<0oooo000Y0?ooo`0300WZ2P3oool0oooo0?@0oooo
000X0?ooo`0300WZ2P3oool0oooo0?D0oooo000W0?ooo`0300WZ2P3oool0oooo0?H0oooo000V0?oo
o`0300WZ2P3oool0oooo0?L0oooo000U0?ooo`0300WZ2P3oool0oooo0?P0oooo000T0?ooo`0300WZ
2P3oool0oooo0?T0oooo000S0?ooo`0300WZ2P3oool0oooo0?X0oooo000R0?ooo`0300WZ2P3oool0
oooo0?/0oooo000Q0?ooo`0300WZ2P3oool0oooo0?`0oooo000P0?ooo`0300WZ2P3oool0oooo0?d0
oooo000O0?ooo`0300WZ2P3oool0oooo0?h0oooo000N0?ooo`0300WZ2P3oool0oooo0?l0oooo000M
0?ooo`0300WZ2P3oool0oooo0?l0oooo0@3oool001`0oooo00<02NX:0?ooo`3oool0o`3oool20?oo
o`006`3oool00`09jPX0oooo0?ooo`3o0?ooo`<0oooo000J0?ooo`0300WZ2P3oool0oooo0?l0oooo
103oool001T0oooo00<02NX:0?ooo`3oool0o`3oool50?ooo`00603oool00`09jPX0oooo0?ooo`3o
0?ooo`H0oooo000G0?ooo`0300WZ2P3oool0oooo0?l0oooo1`3oool001H0oooo00<02NX:0?ooo`3o
ool0o`3oool80?ooo`005@3oool00`09jPX0oooo0?ooo`3o0?ooo`T0oooo000D0?ooo`0300WZ2P3o
ool0oooo0?l0oooo2P3oool001<0oooo00<02NX:0?ooo`3oool0o`3oool;0?ooo`004P3oool00`09
jPX0oooo0?ooo`3o0?ooo``0oooo000A0?ooo`0300WZ2P3oool0oooo0?l0oooo3@3oool00100oooo
00<02NX:0?ooo`3oool0o`3oool>0?ooo`003`3oool00`09jPX0oooo0?ooo`3o0?ooo`l0oooo000>
0?ooo`0300WZ2P3oool0oooo0?l0oooo403oool000d0oooo00<02NX:0?ooo`3oool0o`3ooolA0?oo
o`00303oool00`09jPX0oooo0?ooo`3o0?oooa80oooo000;0?ooo`0300WZ2P3oool0oooo0?l0oooo
4`3oool000X0oooo00<02NX:0?ooo`3oool0o`3ooolD0?ooo`002@3oool00`09jPX0oooo0?ooo`3o
0?oooaD0oooo00080?ooo`0300WZ2P3oool0oooo0?l0oooo5P3oool000L0oooo00<02NX:0?ooo`3o
ool0o`3ooolG0?ooo`001P3oool00`09jPX0oooo0?ooo`3o0?oooaP0oooo003o0?ooob40oooo003o
0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo0000
\
\>"],
  ImageRangeCache->{{{0, 287}, {278.312, 0}} -> {39.651, -11.4098, 0.393931, \
0.393931}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(ReadRays[setup, 
      RayEnd, {{ComponentNumber \[Rule] 1}, {ComponentNumber \[Rule] 
            2}, {ComponentNumber \[Rule] 3}, {ComponentNumber \[Rule] 
            4}}]\), "\[IndentingNewLine]", 
    \(Flatten[Map[Drop[#, 2] &, %]]\), "\[IndentingNewLine]", 
    \(nr = Length[Select[%, # > 0 &]]\)}], "Input"],

Cell[BoxData[
    \({{134.68724026232144`, 0.`, 2.2132216824645496`}, {135.15246366819204`, 
        0.`, 1.8640141806572719`}, {137.97970551199882`, 
        0.`, \(-0.3067378329013475`\)}, {141.05703966592063`, 
        0.`, \(-2.438696598856164`\)}, {150.`, 
        0.`, \(-8.79888426117314`\)}}\)], "Output"],

Cell[BoxData[
    \({2.2132216824645496`, 
      1.8640141806572719`, \(-0.3067378329013475`\), \(-2.438696598856164`\), \
\(-8.79888426117314`\)}\)], "Output"],

Cell[BoxData[
    \(2\)], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(coordRayEnd = 
        Flatten[ReadRays[setup, 
            RayEnd, {ComponentNumber \[Rule] 
                nr}]];\)\), "\[IndentingNewLine]", 
    \(\(cosRayTilt = 
        Flatten[ReadRays[setup, 
            RayTilt, {ComponentNumber \[Rule] 
                nr + 1}]];\)\), "\[IndentingNewLine]", 
    \(xA = coordRayEnd[\([1]\)]; yA = coordRayEnd[\([2]\)]; 
    zA = coordRayEnd[\([3]\)];\), "\[IndentingNewLine]", 
    \(cosx = cosRayTilt[\([1]\)]; cosy = cosRayTilt[\([2]\)]; 
    cosz = cosRayTilt[\([3]\)];\), "\[IndentingNewLine]", 
    \(\(xpac = xA - \((cosx/cosz)\)*zA - xcor;\)\), "\[IndentingNewLine]", 
    \(\(ypac = yA - \((cosy/cosz)\)*zA;\)\)}], "Input"],

Cell[BoxData[
    \(xnulac = 10. ; xcorac = xnulac + 3.6; xs = xnulac + 95.615; 
    zs = 95.615;\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"If", "[", 
        RowBox[{\(nr == 1\), ",", 
          RowBox[{"back", "=", 
            RowBox[{"DrawSystem", "[", 
              RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                  
                  RowBox[{\(Move3D[
                      ConeOfRays[1, NumberOfRays \[Rule] 8, 
                        IntrinsicMedium \[Rule] Cornea], {xcorac - 
                          xpac, \(-ypac\), 
                        0. }, {\(+cosx\), \(+cosy\), \(-cosz\)}, 0]\), ",", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\(Move[
                        IntrinsicSphericalSurface[\(-8.0\), 13. , Cornea, 
                          Air, \ SurfaceRendering \[Rule] Empty], {xcorac, 
                          0. , 0. }]\),
                      "Text"], 
                    StyleBox[",",
                      "Text"], 
                    "\[IndentingNewLine]", \(Boundary[{\(-10\), \(-10\), \
\(-10\)}, {150, 150, 150}]\)}], "}"}], ",", \(PlotPoints \[Rule] 100\)}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
            RowBox[{\(nr == 2\), ",", 
              RowBox[{"back", "=", 
                RowBox[{"DrawSystem", "[", 
                  RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                      
                      RowBox[{\(Move3D[
                          ConeOfRays[1, NumberOfRays \[Rule] 8, 
                            IntrinsicMedium \[Rule] Aqueous], {xcorac - 
                              xpac, \(-ypac\), 
                            0. }, {\(+cosx\), \(+cosy\), \(-cosz\)}, 0]\), 
                        ",", " ", 
                        
                        StyleBox[\(Move[
                            IntrinsicSphericalSurface[\(-6.4\), 11.5, 
                              Aqueous, Cornea, 
                              SurfaceRendering \[Rule] Empty], {xcorac - 0.5, 
                              0. , 0. }]\),
                          "Text"], 
                        StyleBox[",",
                          "Text"], 
                        
                        StyleBox[\(Move[
                            IntrinsicSphericalSurface[\(-8.0\), 13. , Cornea, 
                              Air, \ SurfaceRendering \[Rule] 
                                Empty], {xcorac, 0. , 0. }]\),
                          "Text"], 
                        StyleBox[",",
                          
                          "Text"], \(Boundary[{\(-10\), \(-10\), \(-10\)}, \
{150, 150, 150}]\)}], "}"}], ",", \(PlotPoints \[Rule] 100\)}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
                RowBox[{\(nr == 3\), ",", 
                  RowBox[{"back", "=", 
                    RowBox[{"DrawSystem", "[", 
                      RowBox[{
                        RowBox[{"{", "\[IndentingNewLine]", 
                          
                          RowBox[{\(Move3D[
                              ConeOfRays[1, NumberOfRays \[Rule] 8, 
                                IntrinsicMedium \[Rule] 
                                  Crystalline], {xcorac - xpac, \(-ypac\), 
                                0. }, {\(+cosx\), \(+cosy\), \(-cosz\)}, 0]\),
                             ",", " ", 
                            
                            StyleBox[\(Move[
                                IntrinsicSphericalSurface[\(-10.0\), 9.6, 
                                  Aqueous, Crystalline, 
                                  SurfaceRendering \[Rule] Empty], {xcorac - 
                                    3.6, 0. , 0. , 0. }]\),
                              "Text"], 
                            StyleBox[",",
                              "Text"], 
                            
                            StyleBox[\(Move[
                                IntrinsicSphericalSurface[\(-6.4\), 11.5, 
                                  Aqueous, Cornea, 
                                  SurfaceRendering \[Rule] Empty], {xcorac - 
                                    0.5, 0. , 0. }]\),
                              "Text"], 
                            StyleBox[",",
                              "Text"], 
                            
                            StyleBox[\(Move[
                                IntrinsicSphericalSurface[\(-8.0\), 13. , 
                                  Cornea, Air, \ 
                                  SurfaceRendering \[Rule] Empty], {xcorac, 
                                  0. , 0. }]\),
                              "Text"], 
                            StyleBox[",",
                              
                              "Text"], \(Boundary[{\(-10\), \(-10\), \
\(-10\)}, {150, 150, 150}]\)}], "}"}], ",", \(PlotPoints \[Rule] 100\)}], 
                      "]"}]}], ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                    RowBox[{\(nr == 4\), ",", 
                      RowBox[{"back", "=", 
                        RowBox[{"DrawSystem", "[", 
                          RowBox[{
                            RowBox[{"{", "\[IndentingNewLine]", 
                              
                              RowBox[{\(Move3D[
                                  ConeOfRays[1, NumberOfRays \[Rule] 8, 
                                    IntrinsicMedium \[Rule] 
                                      Aqueous], {xcorac - xpac, \(-ypac\), 
                                    0. }, {\(+cosx\), \(+cosy\), \(-cosz\)}, 
                                  0]\), ",", " ", 
                                
                                StyleBox[\(Move[
                                    IntrinsicSphericalSurface[\(+6.0\), 9.6, 
                                      Aqueous, Crystalline, 
                                      SurfaceRendering \[Rule] 
                                        Empty], {xcorac - 7.2, 0. , 0. , 
                                      0. }]\),
                                  "Text"], 
                                StyleBox[",",
                                  "Text"], 
                                
                                StyleBox[\(Move[
                                    IntrinsicSphericalSurface[\(-10.0\), 9.6, 
                                      Aqueous, Crystalline, 
                                      SurfaceRendering \[Rule] 
                                        Empty], {xcorac - 3.6, 0. , 0. , 
                                      0. }]\),
                                  "Text"], 
                                StyleBox[",",
                                  "Text"], 
                                
                                StyleBox[\(Move[
                                    IntrinsicSphericalSurface[\(-6.4\), 11.5, 
                                      Aqueous, Cornea, 
                                      SurfaceRendering \[Rule] 
                                        Empty], {xcorac - 0.5, 0. , 0. }]\),
                                  "Text"], 
                                StyleBox[",",
                                  "Text"], 
                                
                                StyleBox[\(Move[
                                    IntrinsicSphericalSurface[\(-8.0\), 13. , 
                                      Cornea, Air, \ 
                                      SurfaceRendering \[Rule] 
                                        Empty], {xcorac, 0. , 0. }]\),
                                  "Text"], 
                                StyleBox[",",
                                  
                                  "Text"], \(Boundary[{\(-10\), \(-10\), \
\(-10\)}, {150, 150, 150}]\)}], "}"}], ",", \(PlotPoints \[Rule] 100\)}], 
                          "]"}]}]}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
      ";"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.17522 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.126505 1.20472 -0.0294955 1.20472 [
[ 0 0 0 0 ]
[ 1 1.17522 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07346 .29918 m
0 1.13709 L
s
0 1.13709 m
.05344 1.17522 L
s
.05344 1.17522 m
.11763 .34476 L
s
.11763 .34476 m
.07346 .29918 L
s
.87758 0 m
.91224 .05543 L
s
.91224 .05543 m
1 .92935 L
s
1 .92935 m
.96009 .8812 L
s
.96009 .8812 m
.87758 0 L
s
.07346 .29918 m
0 1.13709 L
s
0 1.13709 m
.96009 .8812 L
s
.96009 .8812 m
.87758 0 L
s
.87758 0 m
.07346 .29918 L
s
.11763 .34476 m
.91224 .05543 L
s
.91224 .05543 m
1 .92935 L
s
1 .92935 m
.05344 1.17522 L
s
.05344 1.17522 m
.11763 .34476 L
s
0 0 m
1 0 L
1 1.17522 L
0 1.17522 L
closepath
clip
newpath
.5 Mabswid
.13412 .38241 m
.13517 .38059 L
s
.13412 .38241 m
.13412 .38241 L
s
.12797 .38129 m
.12965 .37941 L
s
.12797 .38129 m
.12797 .38129 L
s
.13517 .38059 m
.13597 .37886 L
s
.13086 .37769 m
.12965 .37941 L
s
.13597 .37886 m
.13656 .37721 L
s
.11542 .33132 m
.11542 .33132 L
s
.1174 .33202 m
.11542 .33132 L
s
.11142 .33608 m
.11142 .33608 L
s
.11392 .33643 m
.11142 .33608 L
s
.13086 .37769 m
.13176 .37609 L
s
.13656 .37721 m
.13698 .37561 L
s
.11913 .33282 m
.1174 .33202 L
s
.11595 .33695 m
.11392 .33643 L
s
.13176 .37609 m
.13242 .37457 L
s
.12065 .33369 m
.11913 .33282 L
s
.13698 .37561 m
.13725 .37406 L
s
.11767 .33759 m
.11595 .33695 L
s
.13288 .37312 m
.13242 .37457 L
s
.12199 .33463 m
.12065 .33369 L
s
.13725 .37406 m
.13739 .37256 L
s
.11915 .33832 m
.11767 .33759 L
s
.13288 .37312 m
.13319 .37173 L
s
.12319 .33563 m
.12199 .33463 L
s
.13739 .37256 m
.1374 .37111 L
s
.12044 .33912 m
.11915 .33832 L
s
.13319 .37173 m
.13335 .37038 L
s
.12426 .33668 m
.12319 .33563 L
s
.1374 .37111 m
.13731 .36969 L
s
.12157 .33998 m
.12044 .33912 L
s
.13335 .37038 m
.1334 .36908 L
s
.12521 .33776 m
.12426 .33668 L
s
.13731 .36969 m
.13713 .3683 L
s
.12256 .34088 m
.12157 .33998 L
s
.1334 .36908 m
.13334 .36782 L
s
.12605 .33889 m
.12521 .33776 L
s
.12343 .34184 m
.12256 .34088 L
s
.13713 .3683 m
.13684 .36694 L
s
.13334 .36782 m
.13318 .36658 L
s
.1268 .34006 m
.12605 .33889 L
s
.1242 .34283 m
.12343 .34184 L
s
.13684 .36694 m
.13648 .36562 L
s
.13318 .36658 m
.13293 .36538 L
s
.12745 .34126 m
.1268 .34006 L
s
.12487 .34386 m
.1242 .34283 L
s
.13648 .36562 m
.13603 .36432 L
s
.13293 .36538 m
.13259 .36421 L
s
.12802 .34249 m
.12745 .34126 L
s
.12545 .34493 m
.12487 .34386 L
s
.13603 .36432 m
.1355 .36305 L
s
.13259 .36421 m
.13218 .36307 L
s
.12851 .34376 m
.12802 .34249 L
s
.12594 .34602 m
.12545 .34493 L
s
.13218 .36307 m
.13169 .36195 L
s
.1355 .36305 m
.13489 .36181 L
s
.12635 .34715 m
.12594 .34602 L
s
.12891 .34505 m
.12851 .34376 L
s
.13169 .36195 m
.13113 .36086 L
s
.12669 .3483 m
.12635 .34715 L
s
.13489 .36181 m
.13422 .36059 L
s
.12925 .34637 m
.12891 .34505 L
s
.12696 .34948 m
.12669 .3483 L
s
.13113 .36086 m
.13049 .3598 L
s
.12951 .34772 m
.12925 .34637 L
s
.039 .916 .04 r
.11377 .36066 m
.12535 .36479 L
s
.11377 .36066 m
.1253 .36468 L
s
.11377 .36066 m
.12523 .36466 L
s
.11377 .36066 m
.12517 .36474 L
s
.11377 .36066 m
.12515 .36486 L
s
.11377 .36066 m
.1252 .36497 L
s
.11377 .36066 m
.12528 .36499 L
s
.11377 .36066 m
.12534 .36491 L
s
0 g
.13422 .36059 m
.13347 .3594 L
s
.12716 .35069 m
.12696 .34948 L
s
.13049 .3598 m
.12979 .35875 L
s
.1297 .3491 m
.12951 .34772 L
s
.13265 .35823 m
.13347 .3594 L
s
.12729 .35192 m
.12716 .35069 L
s
.12979 .35875 m
.12902 .35773 L
s
.12982 .3505 m
.1297 .3491 L
s
.12735 .35318 m
.12729 .35192 L
s
.13176 .35708 m
.13265 .35823 L
s
.12819 .35674 m
.12902 .35773 L
s
.12988 .35193 m
.12982 .3505 L
s
.12735 .35446 m
.12735 .35318 L
s
.13176 .35708 m
.13081 .35596 L
s
.12819 .35674 m
.12729 .35576 L
s
.12987 .35338 m
.12988 .35193 L
s
.12729 .35576 m
.12735 .35446 L
s
.13081 .35596 m
.12979 .35486 L
s
.12979 .35486 m
.12987 .35338 L
s
.12715 .35709 m
.12729 .35576 L
s
.12729 .35576 m
.12632 .35481 L
s
.12696 .35845 m
.12715 .35709 L
s
.12965 .35636 m
.12979 .35486 L
s
.12979 .35486 m
.1287 .35378 L
s
.12632 .35481 m
.12529 .35388 L
s
.1267 .35983 m
.12696 .35845 L
s
.12943 .35789 m
.12965 .35636 L
s
.12529 .35388 m
.12419 .35298 L
s
.12755 .35273 m
.1287 .35378 L
s
.12637 .36123 m
.1267 .35983 L
s
.12916 .35944 m
.12943 .35789 L
s
.12303 .3521 m
.12419 .35298 L
s
.12597 .36266 m
.12637 .36123 L
s
.12632 .35169 m
.12755 .35273 L
s
.12881 .36102 m
.12916 .35944 L
s
.12303 .3521 m
.12179 .35124 L
s
.1255 .36411 m
.12597 .36266 L
s
.12632 .35169 m
.12503 .35069 L
s
.1284 .36262 m
.12881 .36102 L
s
.12496 .36559 m
.1255 .36411 L
s
.12179 .35124 m
.12049 .35041 L
s
.039 .916 .04 r
.12535 .36479 m
.12758 .36555 L
s
0 0 0 r
2 Mabswid
.12535 .36479 Mdot
.039 .916 .04 r
.5 Mabswid
.12534 .36491 m
.12757 .36569 L
s
0 0 0 r
2 Mabswid
.12534 .36491 Mdot
.039 .916 .04 r
.5 Mabswid
.1253 .36468 m
.12752 .36542 L
s
0 0 0 r
2 Mabswid
.1253 .36468 Mdot
.039 .916 .04 r
.5 Mabswid
.12528 .36499 m
.1275 .36578 L
s
0 0 0 r
2 Mabswid
.12528 .36499 Mdot
.039 .916 .04 r
.5 Mabswid
.12523 .36466 m
.12743 .3654 L
s
0 0 0 r
2 Mabswid
.12523 .36466 Mdot
.039 .916 .04 r
.5 Mabswid
.1252 .36497 m
.12741 .36576 L
s
0 0 0 r
2 Mabswid
.1252 .36497 Mdot
.039 .916 .04 r
.5 Mabswid
.12517 .36474 m
.12736 .36548 L
s
0 0 0 r
2 Mabswid
.12517 .36474 Mdot
.039 .916 .04 r
.5 Mabswid
.12515 .36486 m
.12735 .36563 L
s
0 0 0 r
2 Mabswid
.12515 .36486 Mdot
0 g
.5 Mabswid
.12435 .3671 m
.12496 .36559 L
s
.12503 .35069 m
.12367 .34971 L
s
.12791 .36425 m
.1284 .36262 L
s
.12049 .35041 m
.11911 .3496 L
s
.12365 .36864 m
.12435 .3671 L
s
.12735 .36591 m
.12791 .36425 L
s
.12367 .34971 m
.12224 .34875 L
s
.11911 .3496 m
.11766 .34882 L
s
.12287 .37021 m
.12365 .36864 L
s
.039 .916 .04 r
.12758 .36555 m
.95356 .85862 L
s
0 0 0 r
2 Mabswid
.12758 .36555 Mdot
.039 .916 .04 r
.5 Mabswid
.12757 .36569 m
.95659 .87446 L
s
0 0 0 r
2 Mabswid
.12757 .36569 Mdot
.039 .916 .04 r
.5 Mabswid
.12752 .36542 m
.94891 .84798 L
s
0 0 0 r
2 Mabswid
.12752 .36542 Mdot
.039 .916 .04 r
.5 Mabswid
.1275 .36578 m
.95619 .88641 L
s
0 0 0 r
2 Mabswid
.1275 .36578 Mdot
.039 .916 .04 r
.5 Mabswid
.12743 .3654 m
.94528 .84856 L
s
0 0 0 r
2 Mabswid
.12743 .3654 Mdot
.039 .916 .04 r
.5 Mabswid
.12741 .36576 m
.95253 .88724 L
s
0 0 0 r
2 Mabswid
.12741 .36576 Mdot
.039 .916 .04 r
.5 Mabswid
.12736 .36548 m
.94477 .86018 L
s
0 0 0 r
2 Mabswid
.12736 .36548 Mdot
.039 .916 .04 r
.5 Mabswid
.12735 .36563 m
.94776 .87628 L
s
0 0 0 r
2 Mabswid
.12735 .36563 Mdot
0 g
.5 Mabswid
.12672 .36759 m
.12735 .36591 L
s
.122 .37181 m
.12287 .37021 L
s
.11766 .34882 m
.11612 .34807 L
s
.12224 .34875 m
.12073 .34782 L
s
.12103 .37345 m
.122 .37181 L
s
.12601 .36931 m
.12672 .36759 L
s
.11612 .34807 m
.1145 .34735 L
s
.11995 .37513 m
.12103 .37345 L
s
.12073 .34782 m
.11915 .34691 L
s
.12521 .37105 m
.12601 .36931 L
s
.11875 .37686 m
.11995 .37513 L
s
.11279 .34666 m
.1145 .34735 L
s
.11741 .37863 m
.11875 .37686 L
s
.12433 .37283 m
.12521 .37105 L
s
.11915 .34691 m
.11749 .34604 L
s
.1159 .38046 m
.11741 .37863 L
s
.11279 .34666 m
.11098 .34601 L
s
.11421 .38237 m
.1159 .38046 L
s
.12335 .37464 m
.12433 .37283 L
s
.11227 .38436 m
.11421 .38237 L
s
.10727 .38874 m
.11 .38646 L
s
.10727 .38874 m
.10727 .38874 L
s
.11 .38646 m
.11227 .38436 L
s
.11749 .34604 m
.11575 .34519 L
s
.11098 .34601 m
.10906 .3454 L
s
.12228 .37649 m
.12335 .37464 L
s
.10702 .34483 m
.10906 .3454 L
s
.12109 .37837 m
.12228 .37649 L
s
.11575 .34519 m
.11391 .34437 L
s
.10702 .34483 m
.10483 .34431 L
s
.11979 .3803 m
.12109 .37837 L
s
.11391 .34437 m
.11199 .34359 L
s
.10483 .34431 m
.10249 .34385 L
s
.11835 .38228 m
.11979 .3803 L
s
.10249 .34385 m
.09995 .34346 L
s
.11676 .38432 m
.11835 .38228 L
s
.11199 .34359 m
.10996 .34284 L
s
.09995 .34346 m
.09717 .34316 L
s
.11499 .38642 m
.11676 .38432 L
s
.09717 .34316 m
.09407 .34298 L
s
.11301 .38859 m
.11499 .38642 L
s
.09407 .34298 m
.09049 .34297 L
s
.09049 .34297 m
.09049 .34297 L
s
.11078 .39086 m
.11301 .38859 L
s
.10996 .34284 m
.10782 .34213 L
s
.11078 .39086 m
.11078 .39086 L
s
.10782 .34213 m
.10556 .34147 L
s
.10556 .34147 m
.10317 .34085 L
s
.10317 .34085 m
.10063 .34029 L
s
.09791 .33979 m
.10063 .34029 L
s
.09791 .33979 m
.09498 .33937 L
s
.09498 .33937 m
.09178 .33905 L
s
.09178 .33905 m
.09178 .33905 L
s
0 0 0 r
2 Mabswid
.95356 .85862 Mdot
.94891 .84798 Mdot
.95659 .87446 Mdot
.94528 .84856 Mdot
.95619 .88641 Mdot
.94477 .86018 Mdot
.95253 .88724 Mdot
.94776 .87628 Mdot
0 g
.25 Mabswid
.87758 0 m
.91224 .05543 L
s
.91224 .05543 m
1 .92935 L
s
1 .92935 m
.96009 .8812 L
s
.96009 .8812 m
.87758 0 L
s
.07346 .29918 m
0 1.13709 L
s
0 1.13709 m
.96009 .8812 L
s
.96009 .8812 m
.87758 0 L
s
.87758 0 m
.07346 .29918 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{245, 287.875},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003e00017b000`400?l00000o`00003oe@3oool2
000001h0oooo003B0?ooo`<0000000<0oooo0000000000007@3oool00=00oooo0P0000040?ooo`80
00007@3oool00<d0oooo0`0000060?ooo`030000003oool0000001`0oooo003:0?ooo`<000002@3o
ool00`000000oooo0000000L0?ooo`00b03oool2000000`0oooo00@000000?ooo`3oool000006`3o
ool00<D0oooo0`00000?0?ooo`040000003oool0oooo000001X0oooo00320?ooo`<000004P3oool0
10000000oooo0?ooo`00000J0?ooo`00`03oool2000001D0oooo00D000000?ooo`3oool0oooo0000
000I0?ooo`00_@3oool3000001L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0F
0?ooo`00^P3oool3000001X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0F0?oo
o`00]`3oool3000001d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0E0?ooo`00
]@3oool200000200oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0E0?ooo`00/P3o
ool300000280oooo00<000000?ooo`3oool00`3oool2000001H0oooo002_0?ooo`<000009@3oool0
0`000000oooo0?ooo`03000000030?ooo`000000oooo01D0oooo002]0?ooo`800000:03oool30000
00@0oooo00<000000?ooo`3oool0503oool00:X0oooo0`00000X0?ooo`<000001P3oool00`000000
oooo0?ooo`0D0?ooo`00Y`3oool3000002P0oooo0`0000030?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0503oool00:D0oooo0P00000X0?ooo`<000001P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo01<0oooo002R0?ooo`<00000:03oool2000000T0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0C0?ooo`00W`3oool3000002P0oooo0`00000;0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool04`3oool009`0oooo0`00000X0?ooo`<0
00003P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01<0oooo002J0?ooo`800000
:@3oool200000140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0C0?ooo`00U`3o
ool3000002P0oooo0`00000C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04`3o
ool009@0oooo0`00000X0?ooo`<000005P3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo01<0oooo002B0?ooo`800000:03oool3000001T0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0C0?ooo`00S`3oool3000002P0oooo0P00000L0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool04`3oool008`0oooo0`00000X0?ooo`<000007`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo01<0oooo002:0?ooo`800000:03oool300000280oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0B0?ooo`00Q`3oool3000002L0oooo0`00000U
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04P3oool008@0oooo0`00000X0?oo
o`800000:03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0180oooo00210?ooo`<0
0000:03oool3000002X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0B0?ooo`00
O`3oool2000002P0oooo0`00000]0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
4P3oool007`0oooo0`00000W0?ooo`<00000<03oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0180oooo001i0?ooo`<00000:03oool2000003<0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0B0?ooo`00M`3oool2000002P0oooo0`00000e0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool04P3oool007@0oooo0`00000W0?ooo`<00000>03oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo0180oooo001a0?ooo`<00000:03oool2000003/0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0B0?ooo`00K`3oool2000002P0oooo0`00
000n0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool006`0oooo0`00000W
0?ooo`<00000@@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0140oooo001Y0?oo
o`<000009`3oool3000004@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A0?oo
o`00I`3oool2000002P0oooo0P0000170?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool04@3oool006@0oooo0`00000W0?ooo`<00000B@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0140oooo001Q0?ooo`<000009`3oool3000004`0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0A0?ooo`00GP3oool3000002L0oooo0`00001?0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool04@3oool005`0oooo0P00000X0?ooo`800000DP3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo0140oooo001I0?ooo`<000009`3oool3000005@0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A0?ooo`00EP3oool3000002L0oooo
0`00001G0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0403oool005@0oooo0P00
000W0?ooo`<00000FP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0100oooo001A
0?ooo`<000009`3oool2000005h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0@
0?ooo`00CP3oool3000002L0oooo0`00001P0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0403oool004`0oooo0P00000W0?ooo`<00000H`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0100oooo00190?ooo`<000009`3oool2000006H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0@0?ooo`00AP3oool3000002L0oooo0`00001X0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0403oool004<0oooo0`00000W0?ooo`<00000J`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0100oooo00110?ooo`8000009`3oool30000
06h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0@0?ooo`00?P3oool3000002L0
oooo0P00001a0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0403oool003/0oooo
0`00000W0?ooo`<00000L`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00l0oooo
000i0?ooo`8000009`3oool3000007H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0?0?ooo`00=P3oool3000002H0oooo0`00001i0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool03`3oool003<0oooo0`00000W0?ooo`800000O@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00l0oooo000a0?ooo`8000009`3oool3000007l0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0?0?ooo`00;P3oool3000002H0oooo0`0000220?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool002/0oooo0`00000W0?ooo`800000Q@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo000X0?ooo`<000009`3oool3
000008L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0?0?ooo`009P3oool20000
02L0oooo0`00002:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool002<0
oooo0`00000V0?ooo`<00000S@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00l0
oooo000P0?ooo`<000009`3oool200000900oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0>0?ooo`007P3oool2000002L0oooo0`00002B0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool03P3oool001/0oooo0`00000V0?ooo`<00000U@3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00h0oooo000H0?ooo`<000009P3oool3000009T0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0>0?ooo`005P3oool2000002L0oooo0P00002L0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool03P3oool001<0oooo0`00000V0?ooo`<00000
WP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo000A0?ooo`8000009P3o
ool300000:40oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0>0?ooo`004@3oool2
000002<0oooo0`00002T0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03P3oool0
0140oooo00<000000?ooo`000000803oool200000:L0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0>0?ooo`004@3oool010000000oooo0?ooo`00000L0?ooo`<00000Z@3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00d0oooo000A0?ooo`050000003oool0oooo0?oo
o`000000603oool300000:`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?oo
o`004@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01<0oooo0P00002_0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool03@3oool00140oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0?0?ooo`<00000/@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00d0oooo000@0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0oooo
000000090?ooo`<00000]03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00d0oooo
000@0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`0000000P0000050?ooo`<00000^03o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00d0oooo000@0?ooo`030000003oool0
oooo00<0oooo0P0000020?ooo`D000000P3oool200000;/0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0=0?ooo`00403oool00`000000oooo0?ooo`030?ooo`H0000000<0oooo0000
000000000P00002m0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00100
oooo00<000000?ooo`3oool01P3oool700000;h0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0=0?ooo`00403oool00`000000oooo0?ooo`090?ooo`@00000_P3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00d0oooo000@0?ooo`030000003oool0oooo00T0oooo00@0
00000?ooo`0000000000_P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00`0oooo
000@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`0000000P00002m0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0303oool00100oooo00<000000?ooo`3oool0203oool2
00WZ2P030?ooo`000000000000800000_03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00`0oooo000@0?ooo`030000003oool0oooo00T0oooo00<0000000WZ2P0000000`00002l0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0303oool00100oooo00<000000?ooo`3o
ool02@3oool3000000030?ooo`09jPX02NX:0;`0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0<0?ooo`00403oool00`000000oooo0?ooo`080?ooo`050000003oool000000000003o
ool00P00000200WZ2[X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0<0?ooo`00
3`3oool00`000000oooo0?ooo`090?ooo`<0000000D0oooo0000003oool000000?ooo`0200WZ2[X0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0<0?ooo`003`3oool00`000000oooo
0?ooo`090?ooo`8000000P3oool2000000@0oooo0P09jPZh0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0303oool000l0oooo00<000000?ooo`3oool0203oool3000000X0oooo0P09
jPZf0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0303oool000l0oooo00<00000
0?ooo`3oool0203oool2000000`0oooo0`09jPZd0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0303oool000l0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0<0?oo
o`802NX:/`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo000?0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool03@3oool300WZ2[40oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0;0?ooo`003`3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00l0oooo0`09jPZ_0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
2`3oool000l0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0A0?ooo`802NX:[P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo000?0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool04P3oool300WZ2Z`0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0;0?ooo`003`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
01@0oooo0`09jPZZ0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02`3oool000l0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0E0?ooo`<02NX:Z@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo000?0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool05`3oool300WZ2ZP0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0;0?ooo`003P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01P0oooo1009
jPZV0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool000h0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`0K0?ooo`<02NX:Y@3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00X0oooo000>0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool07@3oool300WZ2Z<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?oo
o`003P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01h0oooo1009jPZQ0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool02P3oool000h0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0P0?ooo`@02NX:W`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00X0oooo000>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool08@3o
ool400WZ2Yh0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`003P3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo02<0oooo1009jPZL0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool02P3oool000h0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0U0?ooo`@02NX:VP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00X0oooo000>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool09P3oool400WZ2YT0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`003P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo02P0oooo1009jPZH0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02P3oool000h0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0Y0?ooo`D02NX:UP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo000>
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0:`3oool400WZ2YD0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`003@3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo02`0oooo1@09jPZC0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool02@3oool000d0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0^0?ooo`D0
2NX:T@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo000=0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0<@3oool500WZ2Xl0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`090?ooo`003@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0380oooo1@09jPZ>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3o
ool000d0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0d0?ooo`D02NX:S03oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo000=0?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0=@3oool600WZ2XX0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`090?ooo`003@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03L0
oooo1@09jPZ90?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool000d0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0i0?ooo`D02NX:Q`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00T0oooo000=0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0>P3oool600WZ2XH0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`090?ooo`003@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03`0oooo1@09jPZ5
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000d0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0m0?ooo`H02NX:P`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00P0oooo000=0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0?`3oool600WZ2X40oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00
303oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0400oooo1P09jPZ00?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0203oool000`0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`120?ooo`H02NX:OP3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00P0oooo000<0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0A03oool6
00WZ2W`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00303oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo04D0oooo1`09jPYj0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool000`0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`180?ooo`H02NX:N@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0
oooo000<0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0B@3oool700WZ2WL0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00303oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo04/0oooo1`09jPYe0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool000`0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1=
0?ooo`H02NX:M@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo000<0?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0CP3oool700WZ2W<0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`070?ooo`00303oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo0500oooo1`09jPYa0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01`3oool000`0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1A0?ooo`L02NX:
L03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo000<0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0D`3oool700WZ2Vh0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`070?ooo`002`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo05@0oooo2009jPY/0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool0
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1F0?ooo`L02NX:J`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo000;0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool0F03oool700WZ2VT0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`070?ooo`002`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo05T0oooo
2009jPYW0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool000/0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`1K0?ooo`P02NX:I@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo000;0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0G@3oool800WZ2V@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`002`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05l0oooo2009jPYS0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool000/0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`1Q0?ooo`P02NX:H@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00H0oooo000;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
HP3oool800WZ2V00oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`002`3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo06@0oooo2009jPYN0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01P3oool000/0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`1U0?ooo`T02NX:G03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00H0oooo000;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0I`3oool500WZ
2P030?ooo`09jPX02NX:05/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?oo
o`002P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo06P0oooo2@09jPYI0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool000X0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`1Z0?ooo`T02NX:E`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00H0oooo000:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0K03o
ool500WZ2P040?ooo`09jPX02NX:00WZ2UD0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`050?ooo`002P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo06d0oooo2@09
jPYD0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool000X0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`1_0?ooo`T02NX:D`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00D0oooo000:0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0L03oool600WZ2P040?ooo`09jPX02NX:00WZ2U40oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`050?ooo`002P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0780oooo2@09jPY@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool000X0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1d0?ooo`H02NX:00@0oooo00WZ2P09
jPX02NX:CP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo000:0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0MP3oool600WZ2P040?ooo`09jPX02NX:00WZ
2T`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`002P3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo07P0oooo2@09jPY;0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool000X0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`1i0?ooo`H02NX:00@0oooo00WZ2P09jPX02NX:B@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00D0oooo000:0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
N`3oool600WZ2P040?ooo`09jPX02NX:00WZ2TL0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`050?ooo`002@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo07`0oooo
2P09jPY60?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0103oool000T0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`1n0?ooo`H02NX:00@0oooo00WZ2P09jPX02NX:
A03oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00090?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0P03oool600WZ2P040?ooo`09jPX02NX:00WZ2T80oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`002@3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo0840oooo0P09jPX00`3oool02NX:00WZ2P0600WZ2T40oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`002@3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo08<0oooo1P09jPX0103oool02NX:00WZ2P09jPY00?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool000T0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`240?ooo`L02NX:00@0oooo00WZ2P09jPX02NX:?P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00090?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0QP3oool;00WZ2S`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`04
0?ooo`002@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo08L0oooo1`09jPX0103o
ool02NX:00WZ2P09jPXk0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool0
00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2:0?ooo`802NX:00<0oooo00WZ
2P09jPX00P09jPX0103oool02NX:00WZ2P09jPXi0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2<0?oo
o`H02NX:00<0oooo00WZ2P09jPX00P09jPXg0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool00`3oool000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2=0?ooo`80
2NX:00<0oooo00WZ2P09jPX00P09jPX0103oool02NX:00WZ2P09jPXf0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool00`3oool000T0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`2?0?ooo`L02NX:00@0oooo00WZ2P09jPX02NX:=03oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00<0oooo00080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0T03oool700WZ2P030?ooo`09jPX02NX:00802NX:<P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo00080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
TP3oool200WZ2P030?ooo`09jPX02NX:00802NX:00<0oooo00WZ2P09jPX00P09jPX`0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool000P0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`2D0?ooo`L02NX:00@0oooo00WZ2P09jPX02NX:<03oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00<0oooo00080?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0U@3oool200WZ2P030?ooo`09jPX02NX:00802NX:00<0oooo00WZ2P09jPX00P09
jPX^0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool000P0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`2G0?ooo`L02NX:00<0oooo00WZ2P09jPX00P09jPX/
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool000P0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`2H0?ooo`P02NX:00@0oooo00WZ2P09jPX02NX::`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo00080?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0VP3oool200WZ2P030?ooo`09jPX02NX:00802NX:00<0oooo00WZ
2P09jPX00P09jPXY0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool000P0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2K0?ooo`P02NX:00<0oooo00WZ2P09
jPX00P09jPXW0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool000P0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2M0?ooo`802NX:00<0oooo00WZ2P09jPX0
0`09jPX0103oool02NX:00WZ2P09jPXV0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P3oool000P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2O0?ooo`802NX:
00<0oooo00WZ2P09jPX00P09jPX00`3oool02NX:00WZ2P0200WZ2R@0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`020?ooo`00203oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0:40oooo2009jPX00`3oool02NX:00WZ2P0200WZ2R80oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`020?ooo`00203oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0:<0oooo0P09jPX00`3oool02NX:00WZ2P0200WZ2P80oooo0`09jPXQ0?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool00P3oool000L0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`2T0?ooo`P02NX:00<0oooo00WZ2P09jPX00P09jPXO0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool00P3oool000L0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`2V0?ooo`802NX:00<0oooo00WZ2P09jPX00`09jPX00`3oool02NX:00WZ2P0200WZ2Qh0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`001`3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0:P0oooo0P09jPX00`3oool02NX:00WZ2P0200WZ2P80oooo
1009jPXL0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool000L0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`2Y0?ooo`P02NX:0P3oool300WZ2Q/0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`001`3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo0:/0oooo0P09jPX00`3oool02NX:00WZ2P0300WZ2P030?ooo`09jPX0
2NX:00802NX:6@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00070?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0[03oool800WZ2P80oooo1009jPXG0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00@3oool000L0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`2^0?ooo`802NX:00<0oooo00WZ2P09jPX00`09jPX20?ooo`<0
2NX:5P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0040oooo00070?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0[`3oool300WZ2P030?ooo`09jPX02NX:00<02NX:
00<0oooo00WZ2P09jPX00P09jPXD0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0@3oool000L0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2a0?ooo`802NX:00<0
oooo00WZ2P09jPX00`09jPX20?ooo`@02NX:4P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo0040oooo00070?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0/`3oool2
00WZ2P030?ooo`09jPX02NX:00<02NX:0P3oool300WZ2Q40oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`010?ooo`001`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0;@0oooo0`09jPX00`3oool02NX:00WZ2P0300WZ2P030?ooo`09jPX02NX:00802NX:3`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo0040oooo00070?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0]`3oool200WZ2P030?ooo`09jPX02NX:00<02NX:0P3oool400WZ2Ph0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`010?ooo`001P3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0;P0oooo0`09jPX00`3oool02NX:0?ooo`0300WZ2P80oooo
0`09jPX=0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00@3oool000H0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`2j0?ooo`802NX:00<0oooo00WZ2P09jPX01009
jPX00`3oool02NX:00WZ2P0200WZ2P/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`010?ooo`001P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0;`0oooo0P09jPX0
1P3oool02NX:00WZ2P09jPX0oooo00WZ2P80oooo1009jPX90?ooo`030000003oool0oooo00H0oooo
0@0000010?ooo`40oooo00060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0_@3o
ool300WZ2P030?ooo`09jPX02NX:00<02NX:0P3oool400WZ2PL0oooo00<000000?ooo`3oool01P3o
ool100000040oooo0@3oool000H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2o
0?ooo`802NX:00<0oooo00WZ2P09jPX00`09jPX20?ooo`@02NX:1P3oool00`000000oooo0?ooo`06
0?ooo`4000000@3oool10?ooo`001P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0<00oooo0`09jPX00`3oool02NX:0?ooo`0300WZ2P80oooo1009jPX40?ooo`030000003oool0oooo
00H0oooo0@0000010?ooo`40oooo00060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0`P3oool200WZ2P030?ooo`09jPX02NX:00@02NX:0P3oool300WZ2P@00000203oool100000040
oooo0@3oool000H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`330?ooo`<02NX:
00<0oooo00WZ2P09jPX00`09jPX20?ooo`802NX:100000080?ooo`4000000@3oool10?ooo`001P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0<D0oooo0`09jPX00`3oool02NX:0?oo
o`0300WZ2P80oooo0P09jPX00`3oool000000?ooo`070?ooo`4000000@3oool10?ooo`001P3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0<L0oooo0P09jPX00`3oool02NX:00WZ2P04
00WZ2P@00000203oool100000040oooo0@3oool000H0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`380?ooo`<02NX:00D0oooo00WZ2P3oool02NX:0?ooo`05000000L0oooo0@000001
0?ooo`40oooo00060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0bP3oool200WZ
2P030?ooo`09jPX02NX:00802NX:0`3oool00`000000oooo0?ooo`050?ooo`4000000@3oool10?oo
o`001@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0<`0oooo0`09jPX00`3oool0
2NX:00WZ2P0200WZ2P030?ooo`000000oooo00L0oooo0@0000010?ooo`001@3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0<h0oooo0`09jPX5000000P0oooo0@0000010?ooo`001@3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0=00oooo00<02NX:0000000000000`00
00080?ooo`4000000@3oool000D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3A
0?ooo`802NX:0`0000080?ooo`4000000@3oool000D0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`3@0?ooo`D0000000<0oooo0000003oool01P3oool100000040oooo00050?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool0c03oool400000080oooo0P0000030?ooo`03
0000003oool0oooo00@0oooo0@0000010?ooo`001@3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0<P0oooo1000000<0?ooo`030000003oool0oooo00<0oooo0@0000010?ooo`001@3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0<D0oooo0`00000A0?ooo`030000003o
ool0oooo0080oooo0@0000010?ooo`001@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo0<40oooo1000000E0?ooo`050000003oool0oooo0?ooo`0000000@3oool000D0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`2m0?ooo`@000006@3oool01@000000oooo0?ooo`3o
ool000000040oooo00050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0^@3oool4
000001h0oooo00@000000?ooo`3oool0oooo0@00000000D0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`2e0?ooo`@000008`3oool00`000000oooo0?ooo`0100000000103oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo0;80oooo0`00000X0?ooo`4000000@3oool10000
0000103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0:h0oooo1000000/0?ooo`80
000000040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0Z`3oool400000300oooo
0P00000000@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2W0?ooo`@00000<03o
ool400000080oooo00040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0Y03oool3
00000300oooo100000060?ooo`00103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0:00oooo1000000_0?ooo`@000002P3oool000@0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`2L0?ooo`@00000;`3oool4000000h0oooo00040?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool0V03oool4000002l0oooo1000000B0?ooo`00103oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo09@0oooo1000000_0?ooo`@000005P3oool000@0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`2A0?ooo`<00000<03oool3000001X0oooo00040?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0S@3oool4000002l0oooo1000000M0?oo
o`00103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo08T0oooo1000000_0?ooo`@0
00008@3oool000<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`250?ooo`@00000
;`3oool4000002D0oooo00030?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0PP3o
ool3000002l0oooo1000000Y0?ooo`000`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo07h0oooo1000000^0?ooo`@00000;@3oool000<0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`1k0?ooo`@00000;`3oool300000340oooo00030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool0M`3oool4000002l0oooo1000000d0?ooo`000`3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo07<0oooo1000000_0?ooo`@00000>03oool000<0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`1`0?ooo`<00000;`3oool4000003`0oooo0003
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0K03oool4000002h0oooo10000010
0?ooo`000`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo06P0oooo1000000^0?oo
o`@00000A03oool000<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1T0?ooo`@0
0000;P3oool4000004P0oooo00030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
H@3oool3000002l0oooo0`00001<0?ooo`000`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo05d0oooo1000000^0?ooo`@00000C`3oool00080oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`1I0?ooo`@00000;P3oool4000005<0oooo00020?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0E@3oool4000002h0oooo1000001G0?ooo`000P3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo0580oooo0`00000^0?ooo`@00000F`3oool00080oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1>0?ooo`@00000;@3oool4000005l0oooo
00020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0BP3oool4000002d0oooo1000
001S0?ooo`000P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04L0oooo1000000^
0?ooo`<00000I`3oool00080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`130?oo
o`@00000;P3oool4000006X0oooo00020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0@03oool3000002h0oooo1000001^0?ooo`000P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo03`0oooo1000000]0?ooo`@00000LP3oool00080oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0h0?ooo`@00000;@3oool4000007H0oooo00020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0=03oool4000002d0oooo1000001j0?ooo`000P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0340oooo0`00000^0?ooo`<00000OP3oool00003
0?ooo`000000oooo00`0oooo00<000000?ooo`3oool0;@3oool4000002d0oooo100000210?ooo`00
00<0oooo0000003oool0303oool00`000000oooo0?ooo`0Y0?ooo`@00000;@3oool4000008D0oooo
00000`3oool000000?ooo`0<0?ooo`030000003oool0oooo02D0oooo1000000]0?ooo`@00000R@3o
ool000030?ooo`000000oooo00`0oooo00<000000?ooo`3oool08@3oool4000002d0oooo1000002=
0?ooo`0000<0oooo0000003oool0303oool00`000000oooo0?ooo`0N0?ooo`<00000;@3oool40000
0940oooo00000`3oool000000?ooo`0<0?ooo`030000003oool0oooo01X0oooo1000000/0?ooo`@0
0000U@3oool000030?ooo`000000oooo00/0oooo00<000000?ooo`3oool05`3oool4000002d0oooo
0`00002I0?ooo`0000<0oooo0000003oool02`3oool00`000000oooo0?ooo`0C0?ooo`@00000;@3o
ool4000009`0oooo00000`3oool000000?ooo`0;0?ooo`030000003oool0oooo0100oooo0`00000]
0?ooo`@00000X03oool000030?ooo`000000oooo00/0oooo00<000000?ooo`3oool0303oool40000
02`0oooo1000002T0?ooo`0000<0oooo0000003oool02`3oool00`000000oooo0?ooo`080?ooo`@0
0000;03oool400000:P0oooo00000`3oool000000?ooo`0;0?ooo`030000003oool0oooo00@0oooo
1000000/0?ooo`@00000[03oool000030000003oool0oooo00/0oooo00<000000?ooo`3oool01000
000/0?ooo`@00000/03oool000030000003oool0oooo00/0oooo0`00000]0?ooo`<00000]03oool0
00030000003oool0oooo00L0oooo1@00000[0?ooo`@00000]`3oool000030000003oool0oooo00<0
oooo100000040?ooo`030000003oool0oooo02D0oooo1000002k0?ooo`0000<000000?ooo`000000
0`0000080?ooo`030000003oool0oooo0240oooo1000002o0?ooo`000P00000<0?ooo`030000003o
ool0oooo01d0oooo100000330?ooo`0000<0oooo0000000000002`3oool00`000000oooo0?ooo`0I
0?ooo`@00000a`3oool000<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0F0?oo
o`<00000b`3oool000@0oooo0P0000070?ooo`030000003oool0oooo01<0oooo1000003>0?ooo`00
1P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo1000003B0?ooo`001`3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00/0oooo1000003F0?ooo`00203oool2
000000<0oooo00<000000?ooo`3oool01`3oool400000=X0oooo000:0?ooo`040000003oool0oooo
000000D0oooo1000003N0?ooo`002`3oool3000000030?ooo`000000000000800000hP3oool000d0
oooo0P00003V0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 244}, {286.875, 0}} -> {0.105004, 0.024272, \
0.00340195, 0.00340195}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ShowSystem[back, ShowRange \[Rule] All, 
        PlotType \[Rule] TopView];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .09253 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0406605 0.00677901 0.0462667 0.00677901 [
[ 0 0 0 0 ]
[ 1 .09253 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .00729 m
.02737 .00924 L
.03029 .01119 L
.03277 .01313 L
.03492 .01508 L
.03682 .01703 L
.03849 .01898 L
.03998 .02093 L
.0413 .02288 L
.04248 .02483 L
.04352 .02678 L
.04444 .02873 L
.04525 .03068 L
.04594 .03262 L
.04654 .03457 L
.04704 .03652 L
.04744 .03847 L
.04775 .04042 L
.04797 .04237 L
.0481 .04432 L
.04814 .04627 L
.0481 .04822 L
.04797 .05016 L
.04775 .05211 L
.04744 .05406 L
.04704 .05601 L
.04654 .05796 L
.04594 .05991 L
.04525 .06186 L
.04444 .06381 L
.04352 .06576 L
.04248 .06771 L
.0413 .06965 L
.03998 .0716 L
.03849 .07355 L
.03682 .0755 L
.03492 .07745 L
.03277 .0794 L
.03029 .08135 L
.02737 .0833 L
.02381 .08525 L
.02381 .08525 L
.02737 .0833 L
.03029 .08135 L
.03277 .0794 L
.03492 .07745 L
.03682 .0755 L
.03849 .07355 L
.03998 .0716 L
.0413 .06965 L
Mistroke
.04248 .06771 L
.04352 .06576 L
.04444 .06381 L
.04525 .06186 L
.04594 .05991 L
.04654 .05796 L
.04704 .05601 L
.04744 .05406 L
.04775 .05211 L
.04797 .05016 L
.0481 .04822 L
.04814 .04627 L
.0481 .04432 L
.04797 .04237 L
.04775 .04042 L
.04744 .03847 L
.04704 .03652 L
.04654 .03457 L
.04594 .03262 L
.04525 .03068 L
.04444 .02873 L
.04352 .02678 L
.04248 .02483 L
.0413 .02288 L
.03998 .02093 L
.03849 .01898 L
.03682 .01703 L
.03492 .01508 L
.03277 .01313 L
.03029 .01119 L
.02737 .00924 L
.02381 .00729 L
.02381 .00729 L
Mfstroke
.02381 .04627 m
.02737 .04627 L
.03029 .04627 L
.03277 .04627 L
.03492 .04627 L
.03682 .04627 L
.03849 .04627 L
.03998 .04627 L
.0413 .04627 L
.04248 .04627 L
.04352 .04627 L
.04444 .04627 L
.04525 .04627 L
.04594 .04627 L
.04654 .04627 L
.04704 .04627 L
.04744 .04627 L
.04775 .04627 L
.04797 .04627 L
.0481 .04627 L
.04814 .04627 L
.0481 .04627 L
.04797 .04627 L
.04775 .04627 L
.04744 .04627 L
.04704 .04627 L
.04654 .04627 L
.04594 .04627 L
.04525 .04627 L
.04444 .04627 L
.04352 .04627 L
.04248 .04627 L
.0413 .04627 L
.03998 .04627 L
.03849 .04627 L
.03682 .04627 L
.03492 .04627 L
.03277 .04627 L
.03029 .04627 L
.02737 .04627 L
.02381 .04627 L
.02381 .04627 L
.02737 .04627 L
.03029 .04627 L
.03277 .04627 L
.03492 .04627 L
.03682 .04627 L
.03849 .04627 L
.03998 .04627 L
.0413 .04627 L
Mistroke
.04248 .04627 L
.04352 .04627 L
.04444 .04627 L
.04525 .04627 L
.04594 .04627 L
.04654 .04627 L
.04704 .04627 L
.04744 .04627 L
.04775 .04627 L
.04797 .04627 L
.0481 .04627 L
.04814 .04627 L
.0481 .04627 L
.04797 .04627 L
.04775 .04627 L
.04744 .04627 L
.04704 .04627 L
.04654 .04627 L
.04594 .04627 L
.04525 .04627 L
.04444 .04627 L
.04352 .04627 L
.04248 .04627 L
.0413 .04627 L
.03998 .04627 L
.03849 .04627 L
.03682 .04627 L
.03492 .04627 L
.03277 .04627 L
.03029 .04627 L
.02737 .04627 L
.02381 .04627 L
.02381 .04627 L
Mfstroke
.02892 .0022 m
.03178 .00441 L
.03429 .00661 L
.03652 .00881 L
.03851 .01102 L
.0403 .01322 L
.04191 .01542 L
.04335 .01763 L
.04465 .01983 L
.04582 .02203 L
.04686 .02423 L
.04778 .02644 L
.04859 .02864 L
.04929 .03084 L
.0499 .03305 L
.0504 .03525 L
.05081 .03745 L
.05113 .03966 L
.05135 .04186 L
.05149 .04406 L
.05153 .04627 L
.05149 .04847 L
.05135 .05067 L
.05113 .05288 L
.05081 .05508 L
.0504 .05728 L
.0499 .05949 L
.04929 .06169 L
.04859 .06389 L
.04778 .0661 L
.04686 .0683 L
.04582 .0705 L
.04465 .0727 L
.04335 .07491 L
.04191 .07711 L
.0403 .07931 L
.03851 .08152 L
.03652 .08372 L
.03429 .08592 L
.03178 .08813 L
.02892 .09033 L
.02892 .09033 L
.03178 .08813 L
.03429 .08592 L
.03652 .08372 L
.03851 .08152 L
.0403 .07931 L
.04191 .07711 L
.04335 .07491 L
.04465 .0727 L
Mistroke
.04582 .0705 L
.04686 .0683 L
.04778 .0661 L
.04859 .06389 L
.04929 .06169 L
.0499 .05949 L
.0504 .05728 L
.05081 .05508 L
.05113 .05288 L
.05135 .05067 L
.05149 .04847 L
.05153 .04627 L
.05149 .04406 L
.05135 .04186 L
.05113 .03966 L
.05081 .03745 L
.0504 .03525 L
.0499 .03305 L
.04929 .03084 L
.04859 .02864 L
.04778 .02644 L
.04686 .02423 L
.04582 .02203 L
.04465 .01983 L
.04335 .01763 L
.04191 .01542 L
.0403 .01322 L
.03851 .01102 L
.03652 .00881 L
.03429 .00661 L
.03178 .00441 L
.02892 .0022 L
.02892 .0022 L
Mfstroke
.02892 .04627 m
.03178 .04627 L
.03429 .04627 L
.03652 .04627 L
.03851 .04627 L
.0403 .04627 L
.04191 .04627 L
.04335 .04627 L
.04465 .04627 L
.04582 .04627 L
.04686 .04627 L
.04778 .04627 L
.04859 .04627 L
.04929 .04627 L
.0499 .04627 L
.0504 .04627 L
.05081 .04627 L
.05113 .04627 L
.05135 .04627 L
.05149 .04627 L
.05153 .04627 L
.05149 .04627 L
.05135 .04627 L
.05113 .04627 L
.05081 .04627 L
.0504 .04627 L
.0499 .04627 L
.04929 .04627 L
.04859 .04627 L
.04778 .04627 L
.04686 .04627 L
.04582 .04627 L
.04465 .04627 L
.04335 .04627 L
.04191 .04627 L
.0403 .04627 L
.03851 .04627 L
.03652 .04627 L
.03429 .04627 L
.03178 .04627 L
.02892 .04627 L
.02892 .04627 L
.03178 .04627 L
.03429 .04627 L
.03652 .04627 L
.03851 .04627 L
.0403 .04627 L
.04191 .04627 L
.04335 .04627 L
.04465 .04627 L
Mistroke
.04582 .04627 L
.04686 .04627 L
.04778 .04627 L
.04859 .04627 L
.04929 .04627 L
.0499 .04627 L
.0504 .04627 L
.05081 .04627 L
.05113 .04627 L
.05135 .04627 L
.05149 .04627 L
.05153 .04627 L
.05149 .04627 L
.05135 .04627 L
.05113 .04627 L
.05081 .04627 L
.0504 .04627 L
.0499 .04627 L
.04929 .04627 L
.04859 .04627 L
.04778 .04627 L
.04686 .04627 L
.04582 .04627 L
.04465 .04627 L
.04335 .04627 L
.04191 .04627 L
.0403 .04627 L
.03851 .04627 L
.03652 .04627 L
.03429 .04627 L
.03178 .04627 L
.02892 .04627 L
.02892 .04627 L
Mfstroke
.039 .916 .04 r
.02981 .04627 m
.04626 .04645 L
s
0 0 0 r
2 Mabswid
.04626 .04645 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.04622 .0464 L
s
0 0 0 r
2 Mabswid
.04622 .0464 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.04621 .04627 L
s
0 0 0 r
2 Mabswid
.04621 .04627 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.04622 .04614 L
s
0 0 0 r
2 Mabswid
.04622 .04614 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.04626 .04609 L
s
0 0 0 r
2 Mabswid
.04626 .04609 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.0463 .04614 L
s
0 0 0 r
2 Mabswid
.0463 .04614 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.04632 .04627 L
s
0 0 0 r
2 Mabswid
.04632 .04627 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .04627 m
.0463 .04639 L
s
0 0 0 r
2 Mabswid
.0463 .04639 Mdot
.039 .916 .04 r
.5 Mabswid
.04626 .04645 m
.04942 .04648 L
s
0 0 0 r
2 Mabswid
.04942 .04648 Mdot
.039 .916 .04 r
.5 Mabswid
.04622 .0464 m
.04937 .04642 L
s
0 0 0 r
2 Mabswid
.04937 .04642 Mdot
.039 .916 .04 r
.5 Mabswid
.04621 .04627 m
.04935 .04627 L
s
0 0 0 r
2 Mabswid
.04935 .04627 Mdot
.039 .916 .04 r
.5 Mabswid
.04622 .04614 m
.04937 .04611 L
s
0 0 0 r
2 Mabswid
.04937 .04611 Mdot
.039 .916 .04 r
.5 Mabswid
.04626 .04609 m
.04942 .04605 L
s
0 0 0 r
2 Mabswid
.04942 .04605 Mdot
.039 .916 .04 r
.5 Mabswid
.0463 .04614 m
.04946 .04612 L
s
0 0 0 r
2 Mabswid
.04946 .04612 Mdot
.039 .916 .04 r
.5 Mabswid
.04632 .04627 m
.04948 .04627 L
s
0 0 0 r
2 Mabswid
.04948 .04627 Mdot
.039 .916 .04 r
.5 Mabswid
.0463 .04639 m
.04946 .04642 L
s
0 0 0 r
2 Mabswid
.04946 .04642 Mdot
.039 .916 .04 r
.5 Mabswid
.04942 .04648 m
.97619 .05992 L
s
0 0 0 r
2 Mabswid
.97619 .05992 Mdot
.039 .916 .04 r
.5 Mabswid
.04937 .04642 m
.97619 .05599 L
s
0 0 0 r
2 Mabswid
.97619 .05599 Mdot
.039 .916 .04 r
.5 Mabswid
.04935 .04627 m
.97619 .04627 L
s
0 0 0 r
2 Mabswid
.97619 .04627 Mdot
.039 .916 .04 r
.5 Mabswid
.04937 .04611 m
.97619 .03655 L
s
0 0 0 r
2 Mabswid
.97619 .03655 Mdot
.039 .916 .04 r
.5 Mabswid
.04942 .04605 m
.97619 .03262 L
s
0 0 0 r
2 Mabswid
.97619 .03262 Mdot
.039 .916 .04 r
.5 Mabswid
.04946 .04612 m
.97619 .03668 L
s
0 0 0 r
2 Mabswid
.97619 .03668 Mdot
.039 .916 .04 r
.5 Mabswid
.04948 .04627 m
.97619 .04627 L
s
0 0 0 r
2 Mabswid
.97619 .04627 Mdot
.039 .916 .04 r
.5 Mabswid
.04946 .04642 m
.97619 .05585 L
s
0 0 0 r
2 Mabswid
.97619 .05585 Mdot
0 0 m
1 0 L
1 .09253 L
0 .09253 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 26.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P00006R000`400?l00000o`00003o3@3oool0
0`000000oooo0?ooo`3o0?oooa40oooo000=0?ooo`030000003oool0oooo0?l0oooo4@3oool000/0
oooo0P0000000`3oool000000000003o0?oooa40oooo000=0?ooo`030000003oool000000?l0oooo
4@3oool000h0oooo00<000000?ooo`000000o`3oool@0?ooo`003`3oool00`000000oooo0000003o
0?ooo`l0oooo000@0?ooo`800000o`3oool?0?ooo`00403oool300000?l0oooo3P3oool00140oooo
0P00003o0?ooo`800000303oool00140oooo0P00003P0?oooal02NX:0P00000<0?ooo`004P3oool2
000009l0ooooG`09jPX2000000`0oooo000B0?ooo`800000G`3ooomf00WZ2RT0oooo0P00000<0?oo
o`002`3oool00`000000oooo000000030?ooo`<000007`3ooomP00WZ2Wl0oooo0P00000<0?ooo`00
2`3oool200000?l02NX:1P09jPX2000000`0oooo000B0?ooo`800000:@3ooonF00WZ2Td0oooo000B
0?ooo`800000O`3ooomo00WZ2P800000303oool00140oooo0P00003F0?ooobT02NX:0P00000<0?oo
o`004@3oool200000?l0oooo0P00000<0?ooo`004@3oool200000?l0oooo3P3oool00100oooo0`00
003o0?ooo`h0oooo000?0?ooo`<00000o`3oool?0?ooo`003P3oool400000?l0oooo3`3oool000d0
oooo1000003o0?oooa00oooo000;0?ooo`8000000P3oool00`000000oooo0?ooo`3o0?ooo`l0oooo
000=0?ooo`800000o`3ooolB0?ooo`003@3oool00`000000oooo0?ooo`3o0?oooa40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {25.625, 0}} -> {3.3172, -6.82506, 0.532668, \
0.532668}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ShowSystem[back, ShowRange \[Rule] All, 
        PlotType \[Rule] SideView];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1.06793 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0406605 0.00677901 0.0694905 0.00677901 [
[ 0 0 0 0 ]
[ 1 1.06793 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .06949 m
.02737 .06949 L
.03029 .06949 L
.03277 .06949 L
.03492 .06949 L
.03682 .06949 L
.03849 .06949 L
.03998 .06949 L
.0413 .06949 L
.04248 .06949 L
.04352 .06949 L
.04444 .06949 L
.04525 .06949 L
.04594 .06949 L
.04654 .06949 L
.04704 .06949 L
.04744 .06949 L
.04775 .06949 L
.04797 .06949 L
.0481 .06949 L
.04814 .06949 L
.0481 .06949 L
.04797 .06949 L
.04775 .06949 L
.04744 .06949 L
.04704 .06949 L
.04654 .06949 L
.04594 .06949 L
.04525 .06949 L
.04444 .06949 L
.04352 .06949 L
.04248 .06949 L
.0413 .06949 L
.03998 .06949 L
.03849 .06949 L
.03682 .06949 L
.03492 .06949 L
.03277 .06949 L
.03029 .06949 L
.02737 .06949 L
.02381 .06949 L
.02381 .06949 L
.02737 .06949 L
.03029 .06949 L
.03277 .06949 L
.03492 .06949 L
.03682 .06949 L
.03849 .06949 L
.03998 .06949 L
.0413 .06949 L
Mistroke
.04248 .06949 L
.04352 .06949 L
.04444 .06949 L
.04525 .06949 L
.04594 .06949 L
.04654 .06949 L
.04704 .06949 L
.04744 .06949 L
.04775 .06949 L
.04797 .06949 L
.0481 .06949 L
.04814 .06949 L
.0481 .06949 L
.04797 .06949 L
.04775 .06949 L
.04744 .06949 L
.04704 .06949 L
.04654 .06949 L
.04594 .06949 L
.04525 .06949 L
.04444 .06949 L
.04352 .06949 L
.04248 .06949 L
.0413 .06949 L
.03998 .06949 L
.03849 .06949 L
.03682 .06949 L
.03492 .06949 L
.03277 .06949 L
.03029 .06949 L
.02737 .06949 L
.02381 .06949 L
.02381 .06949 L
Mfstroke
.02381 .03051 m
.02737 .03246 L
.03029 .03441 L
.03277 .03636 L
.03492 .03831 L
.03682 .04026 L
.03849 .0422 L
.03998 .04415 L
.0413 .0461 L
.04248 .04805 L
.04352 .05 L
.04444 .05195 L
.04525 .0539 L
.04594 .05585 L
.04654 .0578 L
.04704 .05975 L
.04744 .06169 L
.04775 .06364 L
.04797 .06559 L
.0481 .06754 L
.04814 .06949 L
.0481 .07144 L
.04797 .07339 L
.04775 .07534 L
.04744 .07729 L
.04704 .07924 L
.04654 .08118 L
.04594 .08313 L
.04525 .08508 L
.04444 .08703 L
.04352 .08898 L
.04248 .09093 L
.0413 .09288 L
.03998 .09483 L
.03849 .09678 L
.03682 .09872 L
.03492 .10067 L
.03277 .10262 L
.03029 .10457 L
.02737 .10652 L
.02381 .10847 L
.02381 .10847 L
.02737 .10652 L
.03029 .10457 L
.03277 .10262 L
.03492 .10067 L
.03682 .09872 L
.03849 .09678 L
.03998 .09483 L
.0413 .09288 L
Mistroke
.04248 .09093 L
.04352 .08898 L
.04444 .08703 L
.04525 .08508 L
.04594 .08313 L
.04654 .08118 L
.04704 .07924 L
.04744 .07729 L
.04775 .07534 L
.04797 .07339 L
.0481 .07144 L
.04814 .06949 L
.0481 .06754 L
.04797 .06559 L
.04775 .06364 L
.04744 .06169 L
.04704 .05975 L
.04654 .0578 L
.04594 .05585 L
.04525 .0539 L
.04444 .05195 L
.04352 .05 L
.04248 .04805 L
.0413 .0461 L
.03998 .04415 L
.03849 .0422 L
.03682 .04026 L
.03492 .03831 L
.03277 .03636 L
.03029 .03441 L
.02737 .03246 L
.02381 .03051 L
.02381 .03051 L
Mfstroke
.02892 .06949 m
.03178 .06949 L
.03429 .06949 L
.03652 .06949 L
.03851 .06949 L
.0403 .06949 L
.04191 .06949 L
.04335 .06949 L
.04465 .06949 L
.04582 .06949 L
.04686 .06949 L
.04778 .06949 L
.04859 .06949 L
.04929 .06949 L
.0499 .06949 L
.0504 .06949 L
.05081 .06949 L
.05113 .06949 L
.05135 .06949 L
.05149 .06949 L
.05153 .06949 L
.05149 .06949 L
.05135 .06949 L
.05113 .06949 L
.05081 .06949 L
.0504 .06949 L
.0499 .06949 L
.04929 .06949 L
.04859 .06949 L
.04778 .06949 L
.04686 .06949 L
.04582 .06949 L
.04465 .06949 L
.04335 .06949 L
.04191 .06949 L
.0403 .06949 L
.03851 .06949 L
.03652 .06949 L
.03429 .06949 L
.03178 .06949 L
.02892 .06949 L
.02892 .06949 L
.03178 .06949 L
.03429 .06949 L
.03652 .06949 L
.03851 .06949 L
.0403 .06949 L
.04191 .06949 L
.04335 .06949 L
.04465 .06949 L
Mistroke
.04582 .06949 L
.04686 .06949 L
.04778 .06949 L
.04859 .06949 L
.04929 .06949 L
.0499 .06949 L
.0504 .06949 L
.05081 .06949 L
.05113 .06949 L
.05135 .06949 L
.05149 .06949 L
.05153 .06949 L
.05149 .06949 L
.05135 .06949 L
.05113 .06949 L
.05081 .06949 L
.0504 .06949 L
.0499 .06949 L
.04929 .06949 L
.04859 .06949 L
.04778 .06949 L
.04686 .06949 L
.04582 .06949 L
.04465 .06949 L
.04335 .06949 L
.04191 .06949 L
.0403 .06949 L
.03851 .06949 L
.03652 .06949 L
.03429 .06949 L
.03178 .06949 L
.02892 .06949 L
.02892 .06949 L
Mfstroke
.02892 .02543 m
.03178 .02763 L
.03429 .02983 L
.03652 .03204 L
.03851 .03424 L
.0403 .03644 L
.04191 .03865 L
.04335 .04085 L
.04465 .04305 L
.04582 .04526 L
.04686 .04746 L
.04778 .04966 L
.04859 .05187 L
.04929 .05407 L
.0499 .05627 L
.0504 .05847 L
.05081 .06068 L
.05113 .06288 L
.05135 .06508 L
.05149 .06729 L
.05153 .06949 L
.05149 .07169 L
.05135 .0739 L
.05113 .0761 L
.05081 .0783 L
.0504 .08051 L
.0499 .08271 L
.04929 .08491 L
.04859 .08712 L
.04778 .08932 L
.04686 .09152 L
.04582 .09373 L
.04465 .09593 L
.04335 .09813 L
.04191 .10033 L
.0403 .10254 L
.03851 .10474 L
.03652 .10694 L
.03429 .10915 L
.03178 .11135 L
.02892 .11355 L
.02892 .11355 L
.03178 .11135 L
.03429 .10915 L
.03652 .10694 L
.03851 .10474 L
.0403 .10254 L
.04191 .10033 L
.04335 .09813 L
.04465 .09593 L
Mistroke
.04582 .09373 L
.04686 .09152 L
.04778 .08932 L
.04859 .08712 L
.04929 .08491 L
.0499 .08271 L
.0504 .08051 L
.05081 .0783 L
.05113 .0761 L
.05135 .0739 L
.05149 .07169 L
.05153 .06949 L
.05149 .06729 L
.05135 .06508 L
.05113 .06288 L
.05081 .06068 L
.0504 .05847 L
.0499 .05627 L
.04929 .05407 L
.04859 .05187 L
.04778 .04966 L
.04686 .04746 L
.04582 .04526 L
.04465 .04305 L
.04335 .04085 L
.04191 .03865 L
.0403 .03644 L
.03851 .03424 L
.03652 .03204 L
.03429 .02983 L
.03178 .02763 L
.02892 .02543 L
.02892 .02543 L
Mfstroke
.039 .916 .04 r
.02981 .06949 m
.04626 .08213 L
s
0 0 0 r
2 Mabswid
.04626 .08213 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.04622 .08226 L
s
0 0 0 r
2 Mabswid
.04622 .08226 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.04621 .08231 L
s
0 0 0 r
2 Mabswid
.04621 .08231 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.04622 .08226 L
s
0 0 0 r
2 Mabswid
.04622 .08226 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.04626 .08213 L
s
0 0 0 r
2 Mabswid
.04626 .08213 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.0463 .082 L
s
0 0 0 r
2 Mabswid
.0463 .082 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.04632 .08194 L
s
0 0 0 r
2 Mabswid
.04632 .08194 Mdot
.039 .916 .04 r
.5 Mabswid
.02981 .06949 m
.0463 .082 L
s
0 0 0 r
2 Mabswid
.0463 .082 Mdot
.039 .916 .04 r
.5 Mabswid
.04626 .08213 m
.04942 .08449 L
s
0 0 0 r
2 Mabswid
.04942 .08449 Mdot
.039 .916 .04 r
.5 Mabswid
.04622 .08226 m
.04937 .08465 L
s
0 0 0 r
2 Mabswid
.04937 .08465 Mdot
.039 .916 .04 r
.5 Mabswid
.04621 .08231 m
.04935 .08472 L
s
0 0 0 r
2 Mabswid
.04935 .08472 Mdot
.039 .916 .04 r
.5 Mabswid
.04622 .08226 m
.04937 .08465 L
s
0 0 0 r
2 Mabswid
.04937 .08465 Mdot
.039 .916 .04 r
.5 Mabswid
.04626 .08213 m
.04942 .08449 L
s
0 0 0 r
2 Mabswid
.04942 .08449 Mdot
.039 .916 .04 r
.5 Mabswid
.0463 .082 m
.04946 .08434 L
s
0 0 0 r
2 Mabswid
.04946 .08434 Mdot
.039 .916 .04 r
.5 Mabswid
.04632 .08194 m
.04948 .08427 L
s
0 0 0 r
2 Mabswid
.04948 .08427 Mdot
.039 .916 .04 r
.5 Mabswid
.0463 .082 m
.04946 .08434 L
s
0 0 0 r
2 Mabswid
.04946 .08434 Mdot
.039 .916 .04 r
.5 Mabswid
.04942 .08449 m
.97619 1.02207 L
s
0 0 0 r
2 Mabswid
.97619 1.02207 Mdot
.039 .916 .04 r
.5 Mabswid
.04937 .08465 m
.97619 1.03648 L
s
0 0 0 r
2 Mabswid
.97619 1.03648 Mdot
.039 .916 .04 r
.5 Mabswid
.04935 .08472 m
.97619 1.0425 L
s
0 0 0 r
2 Mabswid
.97619 1.0425 Mdot
.039 .916 .04 r
.5 Mabswid
.04937 .08465 m
.97619 1.03648 L
s
0 0 0 r
2 Mabswid
.97619 1.03648 Mdot
.039 .916 .04 r
.5 Mabswid
.04942 .08449 m
.97619 1.02207 L
s
0 0 0 r
2 Mabswid
.97619 1.02207 Mdot
.039 .916 .04 r
.5 Mabswid
.04946 .08434 m
.97619 1.00787 L
s
0 0 0 r
2 Mabswid
.97619 1.00787 Mdot
.039 .916 .04 r
.5 Mabswid
.04948 .08427 m
.97619 1.00204 L
s
0 0 0 r
2 Mabswid
.97619 1.00204 Mdot
.039 .916 .04 r
.5 Mabswid
.04946 .08434 m
.97619 1.00787 L
s
0 0 0 r
2 Mabswid
.97619 1.00787 Mdot
0 0 m
1 0 L
1 1.06793 L
0 1.06793 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{269.625, 287.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004=00017b000`400?l00000o`00003oo`3oool>
0?ooo`00o`3oool>0?ooo`00o`3oool>0?ooo`00o`3oool>0?ooo`00o`3oool>0?ooo`00o`3oool>
0?ooo`001`3oool200000?l0oooo1@3oool000P0oooo00<000000?ooo`3oool0o`3oool30?ooo`00
1P3oool2000000030?ooo`000000oooo0?l0oooo0`3oool000P0oooo00<000000?ooo`000000o`3o
ool30?ooo`002@3oool00`000000oooo0000003o0?ooo`80oooo000:0?ooo`800000o`3oool20?oo
o`002`3oool200000?l0oooo0@3oool000/0oooo0P00003o0?ooo`40oooo000;0?ooo`<00000o`3o
ool000`0oooo0P00003o0?ooo`00303oool200000?l0oooo000<0?ooo`800000o`3oool000H0oooo
0P0000000`09jPX000000000000400000?h0oooo00090?ooo`0300WZ2P3oool0oooo00800000o`3o
ool000X0oooo00@02NX:0?ooo`0000000000o`3oool000/0oooo0`00003o0?ooo`002`3oool20000
000300WZ2P3oool0oooo0?d0oooo000;0?ooo`<0000000<02NX:0?ooo`3oool0o03oool000/0oooo
0P0000020?ooo`0300WZ2P3oool0oooo0?/0oooo000:0?ooo`<000000`3oool00`09jPX0oooo0?oo
o`3j0?ooo`002@3oool3000000D0oooo00<02NX:0?ooo`3oool0n@3oool000P0oooo100000060?oo
o`0300WZ2P3oool0oooo0?P0oooo00060?ooo`D00000203oool00`09jPX0oooo0?ooo`3g0?ooo`00
1P3oool010000000oooo0?ooo`00000:0?ooo`0300WZ2P3oool0oooo0?H0oooo00070?ooo`800000
303oool00`09jPX0oooo0?ooo`3e0?ooo`005P3oool00`09jPX0oooo0?ooo`3d0?ooo`005`3oool0
0`09jPX0oooo0?ooo`3c0?ooo`00603oool00`09jPX0oooo0?ooo`3b0?ooo`006@3oool00`09jPX0
oooo0?ooo`3a0?ooo`006P3oool00`09jPX0oooo0?ooo`3`0?ooo`006`3oool00`09jPX0oooo0?oo
o`3_0?ooo`006`3oool200WZ2_00oooo000L0?ooo`802NX:k`3oool001d0oooo0P09jP[^0?ooo`00
7P3oool200WZ2^d0oooo000O0?ooo`802NX:k03oool00200oooo0P09jP[[0?ooo`008@3oool200WZ
2^X0oooo000R0?ooo`802NX:j@3oool002<0oooo0P09jP[X0?ooo`00903oool200WZ2^L0oooo000U
0?ooo`802NX:iP3oool002H0oooo0P09jP[U0?ooo`009`3oool200WZ2^@0oooo000X0?ooo`802NX:
h`3oool002T0oooo0P09jP[R0?ooo`00:P3oool200WZ2^40oooo000[0?ooo`802NX:h03oool002`0
oooo0P09jP[O0?ooo`00;@3oool200WZ2]h0oooo000^0?ooo`802NX:g@3oool002l0oooo0P09jP[L
0?ooo`00<03oool200WZ2]/0oooo000a0?ooo`802NX:fP3oool00380oooo0P09jP[I0?ooo`00<`3o
ool200WZ2]P0oooo000d0?ooo`802NX:e`3oool003D0oooo0P09jP[F0?ooo`00=P3oool200WZ2]D0
oooo000g0?ooo`802NX:e03oool003L0oooo0`09jP[C0?ooo`00>03oool300WZ2]80oooo000i0?oo
o`<02NX:d@3oool003X0oooo0`09jP[@0?ooo`00>`3oool300WZ2/l0oooo000l0?ooo`<02NX:cP3o
ool003d0oooo0`09jP[=0?ooo`00?P3oool300WZ2/`0oooo000o0?ooo`<02NX:b`3oool00400oooo
0`09jP[:0?ooo`00@@3oool300WZ2/T0oooo00120?ooo`<02NX:b03oool004<0oooo0`09jP[70?oo
o`00A03oool300WZ2/H0oooo00150?ooo`<02NX:a@3oool004H0oooo0`09jP[40?ooo`00A`3oool3
00WZ2/<0oooo00180?ooo`<02NX:`P3oool004T0oooo1009jP[00?ooo`00BP3oool400WZ2[l0oooo
001;0?ooo`@02NX:_P3oool004`0oooo1009jPZm0?ooo`00C@3oool400WZ2[`0oooo001>0?ooo`@0
2NX:^`3oool004l0oooo1009jPZj0?ooo`00D03oool400WZ2[T0oooo001A0?ooo`@02NX:^03oool0
0580oooo1009jPZg0?ooo`00DP3oool500WZ2[H0oooo001C0?ooo`D02NX:]@3oool005@0oooo1@09
jPZd0?ooo`00E@3oool500WZ2[<0oooo001F0?ooo`D02NX:/P3oool005L0oooo1@09jPZa0?ooo`00
F03oool500WZ2[00oooo001I0?ooo`D02NX:[`3oool005X0oooo1@09jPZ^0?ooo`00F`3oool500WZ
2Zd0oooo001L0?ooo`D02NX:[03oool005d0oooo1@09jPZ[0?ooo`00GP3oool500WZ2ZX0oooo001O
0?ooo`D02NX:Z@3oool00600oooo1@09jPZX0?ooo`00H@3oool500WZ2ZL0oooo001R0?ooo`D02NX:
YP3oool006<0oooo1@09jPZU0?ooo`00I03oool500WZ2Z@0oooo001U0?ooo`D02NX:X`3oool006H0
oooo00<02NX:0?ooo`09jPX00P09jPZR0?ooo`00I`3oool00`09jPX0oooo00WZ2P0200WZ2Z40oooo
001X0?ooo`0300WZ2P3oool02NX:00802NX:X03oool006T0oooo00<02NX:0?ooo`09jPX00P09jPZO
0?ooo`00JP3oool00`09jPX0oooo00WZ2P0200WZ2Yh0oooo001[0?ooo`0300WZ2P3oool02NX:0080
2NX:W@3oool006`0oooo00<02NX:0?ooo`09jPX00P09jPZL0?ooo`00K@3oool00`09jPX0oooo00WZ
2P0200WZ2Y/0oooo001^0?ooo`0300WZ2P3oool02NX:00802NX:VP3oool006h0oooo0P09jPX0103o
ool02NX:00WZ2P09jPZI0?ooo`00K`3oool200WZ2P040?ooo`09jPX02NX:00WZ2YP0oooo001`0?oo
o`802NX:00@0oooo00WZ2P09jPX02NX:U`3oool00740oooo0P09jPX0103oool02NX:00WZ2P09jPZF
0?ooo`00LP3oool200WZ2P040?ooo`09jPX02NX:00WZ2YD0oooo001c0?ooo`802NX:00@0oooo00WZ
2P09jPX02NX:U03oool007@0oooo0P09jPX0103oool02NX:00WZ2P09jPZC0?ooo`00M@3oool200WZ
2P040?ooo`09jPX02NX:00WZ2Y80oooo001f0?ooo`802NX:00@0oooo00WZ2P09jPX02NX:T@3oool0
07L0oooo0P09jPX0103oool02NX:00WZ2P09jPZ@0?ooo`00N03oool200WZ2P040?ooo`09jPX02NX:
00WZ2Xl0oooo001i0?ooo`802NX:00@0oooo00WZ2P09jPX02NX:SP3oool007X0oooo0P09jPX0103o
ool02NX:00WZ2P09jPZ=0?ooo`00N`3oool200WZ2P040?ooo`09jPX02NX:00WZ2X`0oooo001l0?oo
o`802NX:00@0oooo00WZ2P09jPX02NX:R`3oool007d0oooo0P09jPX0103oool02NX:00WZ2P09jPZ:
0?ooo`00OP3oool200WZ2P040?ooo`09jPX02NX:00WZ2XT0oooo001o0?ooo`802NX:00@0oooo00WZ
2P09jPX02NX:R03oool00800oooo0P09jPX0103oool02NX:00WZ2P09jPZ70?ooo`00P@3oool200WZ
2P040?ooo`09jPX02NX:00WZ2XH0oooo00220?ooo`802NX:00@0oooo00WZ2P09jPX02NX:Q@3oool0
08<0oooo0P09jPX0103oool02NX:00WZ2P09jPZ40?ooo`00Q03oool200WZ2P040?ooo`09jPX02NX:
00WZ2X<0oooo00250?ooo`802NX:00@0oooo00WZ2P09jPX02NX:PP3oool008H0oooo0P09jPX0103o
ool02NX:0?ooo`09jPZ10?ooo`00Q`3oool200WZ2P040?ooo`09jPX0oooo00WZ2X00oooo00280?oo
o`<02NX:0P3oool00`09jPX0oooo0?ooo`1m0?ooo`00R@3oool300WZ2P80oooo00<02NX:0?ooo`3o
ool0O03oool008X0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`1k0?ooo`00RP3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0O03oool008/0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:07/0oooo002<0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1j0?ooo`00S@3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0N@3oool008h0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:07P0oooo002?0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1g0?ooo`00T03o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0MP3oool00940oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:07D0oooo002B0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1d0?ooo`00T`3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0L`3oool009@0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:0780oooo002E0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1a0?ooo`00UP3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0L03oool009L0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:06l0oooo002H0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1^0?ooo`00V@3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0K@3oool009X0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:06`0oooo002K0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1[0?ooo`00W03o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0JP3oool009d0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:06T0oooo002N0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1X0?ooo`00W`3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0I`3oool00:00oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:06H0oooo002Q0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1U0?ooo`00XP3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0I03oool00:<0oooo0P09jPX01@3oool02NX:0?oo
o`3oool02NX:06<0oooo002T0?ooo`802NX:00D0oooo00WZ2P3oool0oooo00WZ2P1R0?ooo`00Y@3o
ool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX0H@3oool00:D0oooo00D02NX:0?ooo`09jPX0oooo
00WZ2P020?ooo`0300WZ2P3oool0oooo05h0oooo002V0?ooo`0500WZ2P3oool02NX:0?ooo`09jPX0
0P3oool00`09jPX0oooo0?ooo`1M0?ooo`00Y`3oool01@09jPX0oooo00WZ2P3oool02NX:0080oooo
00<02NX:0?ooo`3oool0G03oool00:P0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P020?ooo`0300WZ
2P3oool0oooo05/0oooo002Y0?ooo`0500WZ2P3oool02NX:0?ooo`09jPX00P3oool00`09jPX0oooo
0?ooo`1J0?ooo`00ZP3oool01@09jPX0oooo00WZ2P3oool02NX:0080oooo00<02NX:0?ooo`3oool0
F@3oool00:/0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P020?ooo`0300WZ2P3oool0oooo05P0oooo
002/0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPYI0?ooo`00[@3oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:F03oool00:h0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo00WZ2UL0oooo
002_0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPYF0?ooo`00/03oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:E@3oool00;40oooo0P09jPX20?ooo`0400WZ2P3oool0oooo00WZ2U@0oooo
002b0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPYC0?ooo`00/`3oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:DP3oool00;@0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo00WZ2U40oooo
002e0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPY@0?ooo`00]P3oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:C`3oool00;L0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo00WZ2Th0oooo
002h0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPY=0?ooo`00^@3oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:C03oool00;X0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo00WZ2T/0oooo
002k0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPY:0?ooo`00_03oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:B@3oool00;d0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo00WZ2TP0oooo
002n0?ooo`802NX:0P3oool01009jPX0oooo0?ooo`09jPY70?ooo`00_`3oool200WZ2P80oooo00@0
2NX:0?ooo`3oool02NX:AP3oool00<00oooo0P09jPX20?ooo`0300WZ2P3oool0oooo00802NX:A03o
ool00<40oooo0P09jPX20?ooo`0300WZ2P3oool0oooo00802NX:@`3oool00<40oooo00<02NX:0?oo
o`09jPX00P3oool00`09jPX0oooo0?ooo`0200WZ2T80oooo00320?ooo`0300WZ2P3oool02NX:0080
oooo00<02NX:0?ooo`3oool00P09jPY10?ooo`00``3oool00`09jPX0oooo00WZ2P020?ooo`0300WZ
2P3oool0oooo00802NX:@03oool00<@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?oo
o`0200WZ2Sl0oooo00350?ooo`0300WZ2P3oool02NX:0080oooo00<02NX:0?ooo`3oool00P09jPXn
0?ooo`00aP3oool00`09jPX0oooo00WZ2P020?ooo`0300WZ2P3oool0oooo00802NX:?@3oool00<L0
oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`0200WZ2S`0oooo00380?ooo`0300WZ
2P3oool02NX:0080oooo00<02NX:0?ooo`3oool00P09jPXk0?ooo`00b@3oool00`09jPX0oooo00WZ
2P020?ooo`0300WZ2P3oool0oooo00802NX:>P3oool00<X0oooo00<02NX:0?ooo`09jPX00P3oool0
0`09jPX0oooo0?ooo`0200WZ2ST0oooo003;0?ooo`0300WZ2P3oool02NX:0080oooo00<02NX:0?oo
o`3oool00P09jPXh0?ooo`00c03oool00`09jPX0oooo00WZ2P020?ooo`0300WZ2P3oool0oooo0080
2NX:=`3oool00<d0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`0200WZ2SH0oooo
003>0?ooo`0300WZ2P3oool02NX:0080oooo00<02NX:0?ooo`3oool00P09jPXe0?ooo`00c`3oool0
0`09jPX0oooo00WZ2P020?ooo`0300WZ2P3oool0oooo00802NX:=03oool00=00oooo0P09jPX30?oo
o`0300WZ2P3oool0oooo00802NX:<`3oool00=40oooo0P09jPX30?ooo`0300WZ2P3oool0oooo0080
2NX:<P3oool00=80oooo0P09jPX30?ooo`0300WZ2P3oool0oooo00802NX:<@3oool00=<0oooo0P09
jPX30?ooo`0300WZ2P3oool0oooo00802NX:<03oool00=@0oooo0P09jPX30?ooo`0300WZ2P3oool0
oooo00802NX:;`3oool00=D0oooo0P09jPX30?ooo`0300WZ2P3oool0oooo00802NX:;P3oool00=H0
oooo0P09jPX30?ooo`0300WZ2P3oool0oooo00802NX:;@3oool00=L0oooo0P09jPX30?ooo`0300WZ
2P3oool0oooo00802NX:;03oool00=P0oooo0P09jPX30?ooo`0300WZ2P3oool0oooo00802NX::`3o
ool00=T0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo0?ooo`802NX::P3oool00=X0oooo0P09jPX2
0?ooo`0400WZ2P3oool0oooo0?ooo`802NX::@3oool00=/0oooo0P09jPX20?ooo`0400WZ2P3oool0
oooo0?ooo`802NX::03oool00=`0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo0?ooo`802NX:9`3o
ool00=d0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo0?ooo`802NX:9P3oool00=d0oooo00<02NX:
0?ooo`09jPX00P3oool01009jPX0oooo0?ooo`3oool200WZ2RD0oooo003N0?ooo`0300WZ2P3oool0
2NX:0080oooo00@02NX:0?ooo`3oool0oooo0P09jPXT0?ooo`00g`3oool00`09jPX0oooo00WZ2P02
0?ooo`0400WZ2P3oool0oooo0?ooo`802NX:8`3oool00>00oooo00<02NX:0?ooo`09jPX00P3oool0
1009jPX0oooo0?ooo`3oool200WZ2R80oooo003Q0?ooo`0300WZ2P3oool02NX:0080oooo00@02NX:
0?ooo`3oool0oooo0P09jPXQ0?ooo`00hP3oool00`09jPX0oooo00WZ2P020?ooo`0400WZ2P3oool0
oooo0?ooo`802NX:803oool00><0oooo00<02NX:0?ooo`09jPX00P3oool01009jPX0oooo0?ooo`3o
ool200WZ2Ql0oooo003T0?ooo`0300WZ2P3oool02NX:0080oooo00@02NX:0?ooo`3oool0oooo0P09
jPXN0?ooo`00i@3oool00`09jPX0oooo00WZ2P020?ooo`0400WZ2P3oool0oooo0?ooo`802NX:7@3o
ool00>H0oooo00<02NX:0?ooo`09jPX00P3oool01009jPX0oooo0?ooo`3oool200WZ2Q`0oooo003W
0?ooo`0300WZ2P3oool02NX:0080oooo00@02NX:0?ooo`3oool0oooo0P09jPXK0?ooo`00j03oool0
0`09jPX0oooo00WZ2P020?ooo`0400WZ2P3oool0oooo0?ooo`802NX:6P3oool00>T0oooo00<02NX:
0?ooo`09jPX00P3oool01009jPX0oooo0?ooo`3oool200WZ2QT0oooo003Z0?ooo`0300WZ2P3oool0
2NX:0080oooo00@02NX:0?ooo`3oool0oooo0P09jPXH0?ooo`00j`3oool00`09jPX0oooo00WZ2P02
0?ooo`0400WZ2P3oool0oooo0?ooo`802NX:5`3oool00>`0oooo00<02NX:0?ooo`09jPX00P3oool0
1009jPX0oooo0?ooo`3oool200WZ2QH0oooo003]0?ooo`0300WZ2P3oool02NX:0080oooo00@02NX:
0?ooo`3oool0oooo0P09jPXE0?ooo`00kP3oool00`09jPX0oooo00WZ2P020?ooo`0400WZ2P3oool0
oooo0?ooo`802NX:503oool00>l0oooo00<02NX:0?ooo`09jPX00P3oool01009jPX0oooo0?ooo`3o
ool200WZ2Q<0oooo003`0?ooo`0300WZ2P3oool02NX:0080oooo00@02NX:0?ooo`3oool0oooo0P09
jPXB0?ooo`00l@3oool00`09jPX0oooo00WZ2P020?ooo`0400WZ2P3oool0oooo0?ooo`802NX:4@3o
ool00?80oooo00<02NX:0?ooo`09jPX00P3oool01009jPX0oooo0?ooo`3oool200WZ2Q00oooo003c
0?ooo`802NX:0`3oool01009jPX0oooo0?ooo`3oool200WZ2Pl0oooo003d0?ooo`802NX:0`3oool0
1009jPX0oooo0?ooo`3oool200WZ2Ph0oooo003e0?ooo`802NX:0`3oool01009jPX0oooo0?ooo`3o
ool200WZ2Pd0oooo003f0?ooo`802NX:0`3oool01009jPX0oooo0?ooo`3oool200WZ2P`0oooo003g
0?ooo`802NX:0`3oool01009jPX0oooo0?ooo`3oool200WZ2P/0oooo003h0?ooo`802NX:0`3oool0
1009jPX0oooo0?ooo`3oool200WZ2PX0oooo003h0?ooo`0300WZ2P3oool02NX:00<0oooo00@02NX:
0?ooo`3oool0oooo0P09jPX90?ooo`00n@3oool00`09jPX0oooo00WZ2P030?ooo`0400WZ2P3oool0
oooo0?ooo`802NX:203oool00?X0oooo00<02NX:0?ooo`09jPX00`3oool01@09jPX0oooo0?ooo`3o
ool02NX:008000001P3oool00?/0oooo00<02NX:0?ooo`09jPX00`3oool01P09jPX0oooo0?ooo`3o
ool02NX:000000H0oooo003l0?ooo`0300WZ2P3oool02NX:00<0oooo00<02NX:0?ooo`3oool00P00
00060?ooo`00o@3oool00`09jPX0oooo00WZ2P030?ooo`0400WZ2P3oool00000000000H0oooo003n
0?ooo`0300WZ2P3oool02NX:00<0oooo00<02NX:0?ooo`3oool01P3oool00?l0oooo00<02NX:0?oo
o`09jPX00`3oool00`09jPX0oooo0?ooo`050?ooo`00o`3oool10?ooo`0300WZ2P3oool02NX:0080
oooo0P0000060?ooo`00o`3oool20?ooo`0400WZ2P3oool02NX:0?ooo`8000001P3oool00?l0oooo
0`3oool00`09jPX0oooo00WZ2P080?ooo`00o`3oool40?ooo`0300WZ2P3oool02NX:00L0oooo003o
0?ooo`D0oooo00<02NX:0000000000001P3oool00?l0oooo1P3oool2000000H0oooo003o0?ooo`H0
oooo0P0000060?ooo`00o`3oool>0?ooo`00o`3oool>0?ooo`00o`3oool>0?ooo`00o`3oool>0?oo
o`00o`3oool>0?ooo`00o`3oool>0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 268.625}, {286.938, 0}} -> {5.99726, -10.2694, \
0.549151, 0.549151}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(sol = 
        FindFocusFast[back, 
          ComponentNumber \[Rule] nr + 1];\)\), "\[IndentingNewLine]", 
    \(FocalPoint /. sol\[IndentingNewLine]\)}], "Input"],

Cell[BoxData[
    \({11.088134506967492`, 0.`, 0.020008983998536678`}\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"4.2 for Macintosh",
ScreenRectangle->{{0, 1024}, {0, 748}},
WindowSize->{978, 662},
WindowMargins->{{3, Automatic}, {Automatic, 5}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
MacintoshSystemPageSetup->"\<\
00<0001804P000000]P2:?oQon82n@960dL5:0?l0080001804P000000]P2:001
0000I00000400`<300000BL?00400@00000000000000060801T1T00000000000
00000000000000000000000000000000\>"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 50, 1, 27, "Input"],
Cell[1829, 56, 68, 1, 22, "Print"]
}, Open  ]],
Cell[1912, 60, 902, 15, 155, "Input"],
Cell[2817, 77, 273, 5, 75, "Input"],

Cell[CellGroupData[{
Cell[3115, 86, 1996, 48, 171, "Input"],
Cell[5114, 136, 49332, 1616, 296, 13139, 1165, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54483, 1757, 113, 2, 27, "Input"],
Cell[54599, 1761, 14101, 792, 43, 11732, 758, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68737, 2558, 114, 2, 27, "Input"],
Cell[68854, 2562, 23637, 910, 288, 11735, 758, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[92528, 3477, 337, 6, 59, "Input"],
Cell[92868, 3485, 313, 5, 26, "Output"],
Cell[93184, 3492, 160, 3, 26, "Output"],
Cell[93347, 3497, 35, 1, 26, "Output"]
}, Open  ]],
Cell[93397, 3501, 699, 14, 107, "Input"],
Cell[94099, 3517, 110, 2, 27, "Input"],

Cell[CellGroupData[{
Cell[94234, 3523, 7916, 156, 475, "Input"],
Cell[102153, 3681, 41722, 1192, 296, 9058, 784, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[143912, 4878, 112, 2, 27, "Input"],
Cell[144027, 4882, 9654, 591, 35, 8289, 570, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[153718, 5478, 113, 2, 27, "Input"],
Cell[153834, 5482, 21540, 738, 296, 8297, 570, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[175411, 6225, 187, 4, 59, "Input"],
Cell[175601, 6231, 83, 1, 26, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

